/* -*-Mode: C++; tab-width: 4; -*- */

/******************************************
 *     FTAPI METAMARKET datamodel         *
 *           Version 3.1.51d1             *
 *                                        *
 *     Copyright (C) 2014 List S.p.A.     *
 *                                        *
 *     http://www.list-group.com          *
 *                                        *
 ******************************************/

#ifndef __API_METAMARKET_DD40__
#define __API_METAMARKET_DD40__

#if defined(_DECNUMBERS) && !defined(_DECQUADS)
	#ifndef DECNUMDIGITS
	#define  DECNUMDIGITS 34
	#endif

	#include "decNumber.h"
	#include "decimal128.h"
	typedef decimal128 dd1_decimal;
#endif	/*_DECNUMBERS*/

#ifdef _DECQUADS
	#include "decQuad.h"
	typedef decQuad dd1_decimal;
#endif	/*_DECQUADS*/

#ifndef		_FTG_
#define		_FTG_
#define		FT_SOURCE_ID_LEN 32
#define		FT_TYPE_ID_LEN 64
#define		FT_SERVICE_READ_DATA_MANAGER "FTReadDataManager"
#define		FT_SERVICE_WRITE_DATA_MANAGER "FTWriteDataManager"
#define		FT_SERVICE_PUSH_SERVER "FTPushServer"
#define		FT_SERVICE_POS_KEEPING "FTPositionKeeping"
#define		FT_SERVICE_ADAPTORS "FTAdaptor"
#define		FT_SERVICE_READ_PCM "FTReadProfileCardManager"
#define		FT_SERVICE_WRITE_PCM "FTWriteProfileCardManager"
#define		FT_SERVICE_ENGINE_EQ "FTEngineEquities"
#define		FT_SERVICE_ENGINE_EQ_PRIVATE "FTEngineMetaPrivate"
#define		FT_SERVICE_ENGINE_EQ_MASTER "FTEngineMetaMaster"
#define		FT_SERVICE_RISK_MANAGEMENT "FTEngineRiskMng"
#define		FT_SERVICE_PRICE_ENGINE "FTPriceEngine"
#define		FT_SERVICE_READ_YAS "FTReadYasProcessManager"
#define		FT_SERVICE_MONITOR "FTMonitor"
#define		FT_SERVICE_NEW_RISK_MANAGEMENT "FTEngineNewRiskMng"
#define		FT_SERVICE_MASTER_ANAGRAFICA "FTMasterFileManager"
#define		FT_INTERFACE_OMI "OMI"
#define		FT_INTERFACE_COM "COM"
#define		FT_INTERFACE_CORBA "CORBA"
#define		FT_MARKET_EBM "EBM"
#define		FT_MARKET_BTF "BTF"
#define		FT_MARKET_MRC "MRC"
#define		FT_MARKET_PCT "PCT"
#define		FT_MARKET_IDEM "IDEM"
#define		FT_MARKET_MTA "MTA"
#define		FT_MARKET_MOT "MOT"
#define		FT_MARKET_MCW "MCW"
#define		FT_MARKET_HDAT "HDAT"
#define		FT_MARKET_REPOS "REPOS"
#define		UM_ModHandlerID 1
#define		UM_DelHandlerID 2
#define		UM_NewHandlerID 3
#define		UM_PCMOpHandlerID 4
#define		UM_APMMOpHandlerID 5
#define		UM_PlatformMsgHandlerID 6
#define		UM_SetTLHandlerID 7
#define		UM_UserSessionsEndID 8
#define		UM_SessionManDownID 9
#define		UM_TLResetMsgHandlerID 10
#define		UM_UserSessionsStartID 11
#define		UM_PCMConfigFileID 12
#define		UM_LNSSyncQuoteErrID 13
#define		UM_SubscriptionReportID 14
#define		PROTOCOL_IDP "IDP"
#define		PROTOCOL_CORBA "CORBA"
#define		CLASS_OF_SERVICE_ADAPTER "ADAPTER"
#define		CLASS_OF_SERVICE_ACCESS_POINT "ACCESS_POINT"
#define		METAMARKET "METAMARKET"
#define		FT_OPTION_PORT "-port"
#define		FT_OPTION_PID "-masterid"
#define		FT_OPTION_GID "-groupid"
#define		FT_OPTION_SID "-servid"
#define		FT_OPTION_ANY "-any"
#define		FT_OPTION_LNSADDR "-lnsaddr"
#define		FT_OPTION_LNSPORT "-lnsport"
#define		FT_OPTION_LNSNETINTFCE "-lnsnetinterface"
#define		FT_OPTION_LNSTTL "-lnsttl"
#define		FT_OPTION_SHLPATH "-shared"
#define		FT_OPTION_CORBADDRESS "-corbaaddr"
#define		FT_OPTION_PUBLICADDRESS "-publicaddress"
#define		FT_OPTION_CORBANETINTFCE "-corbanetinterface"
#define		FT_OPTION_LNSLISTENERPORT "-lnslistenerport"

typedef enum {		/*  (0) */
		FT_FLAG_No,
		FT_FLAG_Yes,
		EEFT_FLAG = -99999
} FT_FLAGEnum;


typedef enum {		/*  (0) */
		FT_ACCESS_TYPE_OMI,
		FT_ACCESS_TYPE_WEB,
		FT_ACCESS_TYPE_QUEUE,
		EEFT_ACCESS_TYPE = -99999
} FT_ACCESS_TYPEEnum;


typedef enum {		/*  (0) */
		FT_SERVERSTATUS_Undefined,
		FT_SERVERSTATUS_Stopped,
		FT_SERVERSTATUS_SYNCHRO,
		FT_SERVERSTATUS_LOGONWAIT,
		FT_SERVERSTATUS_Running,
		FT_SERVERSTATUS_SHUTDOWN,
		FT_SERVERSTATUS_RESET,
		FT_SERVERSTATUS_Error,
		EEFT_SERVERSTATUS = -99999
} FT_SERVERSTATUSEnum;


typedef enum {		/*  (0) */
		FT_SERVICE_UNDEF,
		FT_SERVICE_PROCMNG,
		FT_SERVICE_ACCESS,
		FT_SERVICE_ENGINE,
		FT_SERVICE_DATABASE,
		FT_SERVICE_ADAPTOR,
		FT_SERVICE_PUSH,
		FT_SERVICE_PORTFOLIO,
		FT_SERVICE_SESSION,
		FT_SERVICE_PROFILECM,
		EXS_SERVICE_GOVERNANCE,
		EXS_SERVICE_ORDERTRADER,
		EXS_SERVICE_ANAG,
		EXS_SERVICE_RFQTRADER,
		EXS_SERVICE_PUBLISHER,
		EXS_SERVICE_TRADERADMIN,
		EXS_SERVICE_FILLMNG,
		EEFT_SERVICE = -99999
} FT_SERVICEEnum;


typedef enum {		/*  (0) */
		FT_EnvUNDEF,
		FT_EnvPRODUCTION,
		FT_EnvEXTERNTEST,
		FT_EnvINTERNTEST,
		FT_EnvDEVELOPMENT,
		FT_EnvSIMULATOR,
		EEFT_ENVIRONMENT = -99999
} FT_ENVIRONMENTEnum;


typedef enum {		/*  (0) */
		FT_QUEUE_TYPE_Microsoft,
		FT_QUEUE_TYPE_IBM,
		EEFT_QUEUE_TYPE = -99999
} FT_QUEUE_TYPEEnum;


#endif

#ifndef		_FT_C_D_
#define		_FT_C_D_
#define		FT_C_VERSION 51
#define		FT_C_DEVELOP 1
#define		FT_C_EXCHANGE_ID 30039
#define		FT_C_EXCHANGEKey 1
#define		FT_C_MARKET_ID 30007
#define		FT_C_MARKETKey 1
#define		FT_C_SECTION_ID 30009
#define		FT_C_SECTIONKey 1
#define		FT_C_MIC_TIMEZONE_ID 30275
#define		FT_C_MIC_TIMEZONEKey 1
#define		FT_C_SECURITY_ID 30000
#define		FT_C_SECURITYKey 1
#define		FT_C_SECURITYSectionKey 2
#define		FT_C_SECURITY_LIST_ID 30176
#define		FT_C_SECURITY_LISTKey 1
#define		FT_C_SECURITY_LISTSectionKey 2
#define		FT_C_STRATEGY_LEG_ID 30167
#define		FT_C_STRATEGY_LEGKey 1
#define		FT_C_STRATEGY_LEGPositionKey 2
#define		FT_C_TICKS_ID 30144
#define		FT_C_TICKSKey 1
#define		FT_C_UNDERLYING_ID 30002
#define		FT_C_UNDERLYINGKey 1
#define		FT_C_STRATEGY_REQ_ID 30003
#define		FT_C_MARKET_CAPABILITY_ID 30279
#define		FT_C_MARKET_CAPABILITYKey 1
#define		FT_C_COUPON_PLAN_ID 30092
#define		FT_C_COUPON_PLANKey 1
#define		FT_C_BASKET_ID 30004
#define		FT_C_BASKETKey 1
#define		FT_C_BASKET_COMPOSITION_ID 30005
#define		FT_C_BASKET_COMPOSITIONKey 1
#define		FT_C_BASKET_STATUS_ID 30006
#define		FT_C_BASKET_STATUSKey 1
#define		FT_C_VIEWS_ID 30148
#define		FT_C_VIEWSKey 1
#define		FT_C_MEMBER_ID 30027
#define		FT_C_MEMBERKey 1
#define		FT_C_MEMBER_BY_SECURITY_ID 30271
#define		FT_C_MEMBER_BY_SECURITYKey 1
#define		FT_C_OPERATOR_ID 30028
#define		FT_C_OPERATORKey 1
#define		FT_C_MEMBER_STATE_ID 30029
#define		FT_C_MEMBER_STATEKey 1
#define		FT_C_BROKER_ID 30178
#define		FT_C_BROKERKey 1
#define		FT_C_MARKET_PER_BROKER_ID 30179
#define		FT_C_MARKET_PER_BROKERKey 1
#define		FT_C_MARKET_STATE_ID 30008
#define		FT_C_MARKET_STATEKey 1
#define		FT_C_MARKET_MODEL_ID 30012
#define		FT_C_MARKET_MODELKey 1
#define		FT_C_MARKET_MODEL_TIMETABLE_ID 30013
#define		FT_C_MARKET_MODEL_TIMETABLEKey 1
#define		FT_C_SECURITY_ISSUE_ID 30046
#define		FT_C_SECURITY_ISSUEKey 1
#define		FT_C_SECTION_PLANNING_ID 30040
#define		FT_C_SECTION_PLANNINGKey 1
#define		FT_C_SECURITY_PLANNING_ID 30041
#define		FT_C_SECURITY_PLANNINGKey 1
#define		FT_C_TRADING_STATE_ID 30010
#define		FT_C_TRADING_STATEKey 1
#define		FT_C_SECURITY_STATE_ID 30011
#define		FT_C_SECURITY_STATEKey 1
#define		FT_C_TRADING_STATE_HIST_ID 30242
#define		FT_C_TRADING_STATE_HISTKey 1
#define		FT_C_SECURITY_STATE_HIST_ID 30243
#define		FT_C_SECURITY_STATE_HISTKey 1
#define		FT_C_OPERATOR_STATE_ID 30030
#define		FT_C_OPERATOR_STATEKey 1
#define		FT_C_QUOTE_ID 30016
#define		FT_C_QUOTEIdKey 1
#define		FT_C_QUOTE_PRICE_EDIT_ID 30192
#define		FT_C_QUOTE_PRICE_EDITIdKey 1
#define		FT_C_LINKED_GROUP_ID 30169
#define		FT_C_LINKED_GROUPKey 1
#define		FT_C_ORDER_ID 30014
#define		FT_C_ORDERIdKey 1
#define		FT_C_ORDER_EXT_ID 30142
#define		FT_C_ORDER_BULK_ID 30248
#define		FT_C_ORDER_BULKKey 1
#define		FT_C_CARE_ORDER_SPLIT_ID 30152
#define		FT_C_CARE_ORDER_SPLITIdKey 1
#define		FT_C_CARE_ORDER_SPLIT_HISTORY_ID 30165
#define		FT_C_CARE_ORDER_SPLIT_HISTORYKey 1
#define		FT_C_CARE_ORDER_REQ_ID 30155
#define		FT_C_CARE_ORDER_EDIT_REQUEST_ID 30163
#define		FT_C_CARE_ORDER_EDIT_REQUESTKey 1
#define		FT_C_CARE_ORDER_MERGE_ID 30164
#define		FT_C_ORDER_EXTRA_INFO_ID 30168
#define		FT_C_ORDER_EXTRA_INFOKey 1
#define		FT_C_GIVE_ORDER_ID 30166
#define		FT_C_GIVE_ORDERKey 1
#define		FT_C_DEALING_INSTRUCTION_ID 30249
#define		FT_C_DEALING_INSTRUCTIONKey 1
#define		FT_C_RFQ_REQ_EXT_ID 30150
#define		FT_C_CROSS_ORDER_ID 30079
#define		FT_C_CROSS_ORDERIdKey 1
#define		FT_C_RFQ_REQ_ID 30047
#define		FT_C_RFQ_REQIdKey 1
#define		FT_C_REQUEST_FOR_QUOTE_ID 30061
#define		FT_C_REQUEST_FOR_QUOTEIdKey 1
#define		FT_C_REQUEST_FOR_QUOTE_SWITCH_ID 30071
#define		FT_C_REQUEST_FOR_QUOTE_SWITCHIdKey 1
#define		FT_C_RFQ_QUOTE_RANK_ID 30174
#define		FT_C_RFQ_QUOTE_RANKKey 1
#define		FT_C_DEPTH_RFQOFFER_ID 30175
#define		FT_C_DEPTH_RFQOFFERKey 1
#define		FT_C_MAIL_ID 30064
#define		FT_C_MAILKey 1
#define		FT_C_DEPTH_ID 30024
#define		FT_C_DEPTHKey 1
#define		FT_C_BOOK_ID 30025
#define		FT_C_BOOKKey 1
#define		FT_C_INFO_SUMMARY_ID 30235
#define		FT_C_INFO_SUMMARYKey 1
#define		FT_C_FILL_ID 30017
#define		FT_C_FILLIdKey 1
#define		FT_C_BLOTTER_ID 30181
#define		FT_C_BLOTTERKey 1
#define		FT_C_PRICE_EXEC_HISTORY_ID 30083
#define		FT_C_PRICE_EXEC_HISTORYKey 1
#define		FT_C_PRICE_EXEC_DAILY_ID 30084
#define		FT_C_PRICE_EXEC_DAILYKey 1
#define		FT_C_SUB_FILL_ID 30085
#define		FT_C_SUB_FILLIdKey 1
#define		FT_C_FILL_ALLOC_TRANS_ID 30086
#define		FT_C_FILL_ALLOC_TRANSKey 1
#define		FT_C_PRICE_EXEC_ID 30023
#define		FT_C_PRICE_EXECKey 1
#define		FT_C_PRICE_EXEC_MINMAX_ID 30259
#define		FT_C_PRICE_EXEC_MINMAXKey 1
#define		FT_C_PRICE_EXEC_BESTWORST_ID 30260
#define		FT_C_PRICE_EXEC_BESTWORSTKey 1
#define		FT_C_OFFICIAL_PRICE_ID 30032
#define		FT_C_OFFICIAL_PRICEKey 1
#define		FT_C_LAST_ERR_DESC_ID 30033
#define		FT_C_LAST_ERR_DESCKey 1
#define		FT_C_PLATFORM_EMULATED_ID 30034
#define		FT_C_PLATFORM_EMULATEDKey 1
#define		FT_C_STATISTICS_ID 30063
#define		FT_C_STATISTICSKey 1
#define		FT_C_MARKET_MAKER_ID 30062
#define		FT_C_MARKET_MAKERKey 1
#define		FT_C_MEMBER_STATISTIC_ID 30065
#define		FT_C_MEMBER_STATISTICKey 1
#define		FT_C_OTC_STATISTIC_ID 30143
#define		FT_C_OTC_STATISTICKey 1
#define		FT_C_ORDER_HISTORY_ID 30015
#define		FT_C_ORDER_HISTORYIdKey 1
#define		FT_C_QUOTE_HISTORY_ID 30099
#define		FT_C_QUOTE_HISTORYIdKey 1
#define		FT_C_EXERCISE_ID 30035
#define		FT_C_EXERCISEKey 1
#define		FT_C_ASSIGNMENT_ID 30036
#define		FT_C_ASSIGNMENTKey 1
#define		FT_C_REPORT_ID 30060
#define		FT_C_REPORTKey 1
#define		FT_C_GC_COMPOSITION_ID 30087
#define		FT_C_GC_COMPOSITIONKey 1
#define		FT_C_GC_FILL_ID 30088
#define		FT_C_GC_FILLIdKey 1
#define		FT_C_OTC_FILL_ID 30141
#define		FT_C_OTC_FILLIdKey 1
#define		FT_C_ERROR_INFO_ID 30050
#define		FT_C_REQUEST_INFO_ID 30049
#define		FT_C_REQUEST_SECURITY_ID 30056
#define		FT_C_REQUEST_TOPIC_ID 30156
#define		FT_C_OPEN_FILL_ID 30116
#define		FT_C_OPEN_FILLKey 1
#define		FT_C_MARKET_INFO_ID 30051
#define		FT_C_MARKET_INFOKey 1
#define		FT_C_CLIENT_ID 30052
#define		FT_C_CLIENTKey 1
#define		FT_C_MRK_CLIENT_ID 30280
#define		FT_C_MRK_CLIENTKey 1
#define		FT_C_CLIENT_PER_OPERATOR_ID 30053
#define		FT_C_CLIENT_PER_OPERATORKey 1
#define		FT_C_ACCOUNT_PER_CLIENT_ID 30054
#define		FT_C_ACCOUNT_PER_CLIENTKey 1
#define		FT_C_ACC_PER_CLI_AliasKey 2
#define		FT_C_ACCOUNT_ALIAS_PER_OPERATOR_ID 30159
#define		FT_C_ACCOUNT_ALIAS_PER_OPERATORKey 1
#define		FT_C_FIRM_CODE_DEFINITION_ID 30278
#define		FT_C_FIRM_CODE_DEFINITIONKey 1
#define		FT_C_SHORT_CODE_MAP_ID 30276
#define		FT_C_SHORT_CODE_MAPKey 1
#define		FT_C_SECTION_INFO_ID 30042
#define		FT_C_SECTION_INFOKey 1
#define		FT_C_SECTION_MEMBER_ID 30091
#define		FT_C_SECTION_MEMBERKey 1
#define		FT_C_SETTL_SYSTEM_ID 30018
#define		FT_C_SETTL_SYSTEMKey 1
#define		FT_C_SETTL_INFORMATION_ID 30093
#define		FT_C_SETTL_INFORMATIONKey 1
#define		FT_C_SETTL_GROUP_SYSTEM_ID 30094
#define		FT_C_SETTL_GROUP_SYSTEMKey 1
#define		FT_C_MARKET_SETTL_SYSTEM_ID 30145
#define		FT_C_MARKET_SETTL_SYSTEMKey 1
#define		FT_C_MARKET_SETTL_INFORMATION_ID 30146
#define		FT_C_MARKET_SETTL_INFORMATIONKey 1
#define		FT_C_MARKET_SETTL_GROUP_SYSTEM_ID 30147
#define		FT_C_MARKET_SETTL_GROUP_SYSTEMKey 1
#define		FT_C_MEMBER_SETTL_SYSTEMS_ID 30160
#define		FT_C_MEMBER_SETTL_SYSTEMSKey 1
#define		FT_C_LINKED_SETTL_SYSTEMS_ID 30161
#define		FT_C_LINKED_SETTL_SYSTEMSKey 1
#define		FT_C_CALENDAR_ID 30095
#define		FT_C_CALENDARKey 1
#define		FT_C_CALENDAR_EXCP_ID 30096
#define		FT_C_CALENDAR_EXCPKey 1
#define		FT_C_MARKET_CALENDAR_ID 30097
#define		FT_C_MARKET_CALENDARKey 1
#define		FT_C_MARKET_CALENDAR_EXCP_ID 30098
#define		FT_C_MARKET_CALENDAR_EXCPKey 1
#define		FT_C_SETTL_GROUP_ID 30019
#define		FT_C_SETTL_GROUPKey 1
#define		FT_C_SECURITY_BO_ID 30057
#define		FT_C_SECURITY_BOKey 1
#define		FT_C_UNDERLYING_BO_ID 30058
#define		FT_C_UNDERLYING_BOKey 1
#define		FT_C_DER_CLASS_INFO_ID 30185
#define		FT_C_DER_CLASS_INFOKey 1
#define		FT_C_DER_THEO_PRICE_ID 30186
#define		FT_C_DER_THEO_PRICEKey 1
#define		FT_C_CONTRACT_REPORT_ID 30068
#define		FT_C_CONTRACT_REPORTKey 1
#define		FT_C_NEWS_HEADER_ID 30076
#define		FT_C_NEWS_HEADERKey 1
#define		FT_C_NEWS_BODY_ID 30074
#define		FT_C_NEWS_BODYKey 1
#define		FT_C_SECURITY_EXT_ID 30075
#define		FT_C_SECURITY_EXTKey 1
#define		FT_C_AUCTION_HISTORY_ID 30078
#define		FT_C_AUCTION_HISTORYKey 1
#define		FT_C_PRICE_EXEC_WND_ID 30082
#define		FT_C_PRICE_EXEC_WNDKey 1
#define		FT_C_PRICE_EXEC_OHLC_ID 30273
#define		FT_C_MARKET_TERM_ID 30090
#define		FT_C_MARKET_TERMKey 1
#define		FT_C_COUNTERPART_ID 30100
#define		FT_C_COUNTERPARTKey 1
#define		FT_C_COUNTERPART_ABIKey 2
#define		FT_C_COUNTERPART_SWIFTKey 3
#define		FT_C_STATISTICS_EXT_ID 30103
#define		FT_C_STATISTICS_EXTKey 1
#define		FT_C_PRIVATE_DEPTH_ID 30104
#define		FT_C_PRIVATE_DEPTHKey 1
#define		FT_C_PREVIEW_ID 30105
#define		FT_C_PREVIEWKey 1
#define		FT_C_COUNTERPART_SETUP_ID 30106
#define		FT_C_COUNTERPART_SETUPKey 1
#define		FT_C_PRODUCT_LIMIT_ID 30107
#define		FT_C_PRODUCT_LIMITKey 1
#define		FT_C_GLOBAL_LIMIT_ID 30108
#define		FT_C_GLOBAL_LIMITKey 1
#define		FT_C_MEMBER_MIN_QTY_ID 30109
#define		FT_C_MEMBER_MIN_QTYKey 1
#define		FT_C_CAPS_PARAM_ID 30110
#define		FT_C_CAPS_PARAMKey 1
#define		FT_C_CAPS_PERIOD_ID 30111
#define		FT_C_CAPS_PERIODKey 1
#define		FT_C_CAPS_GLOBAL_ID 30112
#define		FT_C_CAPS_GLOBALKey 1
#define		FT_C_MEMBER_QUOTEACC_ID 30113
#define		FT_C_MEMBER_QUOTEACCKey 1
#define		FT_C_INDIRECT_FILL_ID 30114
#define		FT_C_INDIRECT_FILLKey 1
#define		FT_C_STATS_ID 30115
#define		FT_C_STATSKey 1
#define		FT_C_MARKET_EXT_ID 30118
#define		FT_C_MARKET_EXTKey 1
#define		FT_C_SETTL_NOTIFY_ID 30119
#define		FT_C_SETTL_NOTIFYKey 1
#define		FT_C_USER_PERMISSION_ID 30228
#define		FT_C_USER_PERMISSIONKey 1
#define		FT_C_USER_PERMISSIONUserKey 2
#define		FT_C_INSTRUMENT_CLASS_ID 30120
#define		FT_C_INSTRUMENT_CLASSKey 1
#define		FT_C_CALENDAR_WEEK_ID 30121
#define		FT_C_CALENDAR_WEEKKey 1
#define		FT_C_MARKET_CALENDAR_WEEK_ID 30149
#define		FT_C_MARKET_CALENDAR_WEEKKey 1
#define		FT_C_MARKET_DATE_ID 30122
#define		FT_C_MARKET_DATEKey 1
#define		FT_C_MARKET_TERM_DATES_ID 30123
#define		FT_C_MARKET_TERM_DATESKey 1
#define		FT_C_MARKET_DATE_VALUE_ID 30151
#define		FT_C_MARKET_DATE_VALUEKey 1
#define		FT_C_CURRENCY_ID 30124
#define		FT_C_CURRENCYKey 1
#define		FT_C_MARKET_CURRENCY_ID 30125
#define		FT_C_MARKET_CURRENCYKey 1
#define		FT_C_COUNTRY_ID 30126
#define		FT_C_COUNTRYKey 1
#define		FT_C_MARKET_COUNTRY_ID 30127
#define		FT_C_MARKET_COUNTRYKey 1
#define		FT_C_ISSUER_ID 30128
#define		FT_C_ISSUERKey 1
#define		FT_C_MARKET_ISSUER_ID 30129
#define		FT_C_MARKET_ISSUERKey 1
#define		FT_C_INDUSTRY_ID 30130
#define		FT_C_INDUSTRYKey 1
#define		FT_C_MARKET_INDUSTRY_ID 30131
#define		FT_C_MARKET_INDUSTRYKey 1
#define		FT_C_FLOAT_RATE_ID 30132
#define		FT_C_FLOAT_RATEKey 1
#define		FT_C_MARKET_FLOAT_RATE_ID 30133
#define		FT_C_MARKET_FLOAT_RATEKey 1
#define		FT_C_CUTOFF_ID 30134
#define		FT_C_CUTOFFKey 1
#define		FT_C_MARKET_OPERATOR_ID 30135
#define		FT_C_MARKET_OPERATORKey 1
#define		FT_C_MARKET_OPERATOR_PROFILE_ID 30136
#define		FT_C_MARKET_OPERATOR_PROFILEKey 1
#define		FT_C_MARKET_OPERATOR_ACCESS_RIGHT_ID 30137
#define		FT_C_MARKET_OPERATOR_ACCESS_RIGHTKey 1
#define		FT_C_CREDIT_LINE_NCL_ID 30138
#define		FT_C_CREDIT_LINE_NCLKey 1
#define		FT_C_CREDIT_LINE_ECL_ID 30139
#define		FT_C_CREDIT_LINE_ECLKey 1
#define		FT_C_RFQ_MSG_ID 30140
#define		FT_C_RFQ_MSGKey 1
#define		FT_C_MARKET_VIEW_ID 30153
#define		FT_C_MARKET_VIEWKey 1
#define		FT_C_MARKET_VIEW_COMPOSITION_ID 30154
#define		FT_C_MARKET_VIEW_COMPOSITIONKey 1
#define		FT_C_MEMBER_RISK_ID 30172
#define		FT_C_MEMBER_RISKKey 1
#define		FT_C_MASS_ACTION_ID 30173
#define		FT_C_CLIENT_FILL_ID 30177
#define		FT_C_CLIENT_FILLKey 1
#define		FT_C_CLIENT_FILLOrderKey 2
#define		FT_C_BLOTTER_SWITCH_LINK_ID 30193
#define		FT_C_BLOTTER_SWITCH_LINKKey 1
#define		FT_C_RFCQ_SECTION_ENABLE_ID 30205
#define		FT_C_RFCQ_SECTION_ENABLEKey 1
#define		FT_C_RFCQ_TRADING_RELATION_ID 30194
#define		FT_C_RFCQ_TRADING_RELATIONKey 1
#define		FT_C_RFCQ_TRADING_RELATION_EXCEPTION_ID 30195
#define		FT_C_RFCQ_TRADING_RELATION_EXCEPTIONKey 1
#define		FT_C_RFCQ_TRADING_RELATION_TRADER_ID 30196
#define		FT_C_RFCQ_TRADING_RELATION_TRADERKey 1
#define		FT_C_SELL_SIDE_MEMBER_ID 30197
#define		FT_C_SELL_SIDE_MEMBERKey 1
#define		FT_C_MEMBER_ACCOUNT_ID 30198
#define		FT_C_MEMBER_ACCOUNTKey 1
#define		FT_C_MEMBER_ACCOUNT_ALTKey 2
#define		FT_C_MEMBER_ACCOUNT_INFO_ID 30199
#define		FT_C_MEMBER_ACCOUNT_INFOKey 1
#define		FT_C_MEMBER_ACCOUNT_EXCEPTION_ID 30200
#define		FT_C_MEMBER_ACCOUNT_EXCEPTIONKey 1
#define		FT_C_RFCQ_BOOK_ID 30201
#define		FT_C_RFCQ_BOOKKey 1
#define		FT_C_FILL_SPLIT_ID 30202
#define		FT_C_FILL_SPLITKey 1
#define		FT_C_INVENTORY_GROUP_ID 30203
#define		FT_C_INVENTORY_GROUPKey 1
#define		FT_C_INVENTORY_GROUP_NAMEKey 2
#define		FT_C_INVENTORY_GROUP_MEMBER_ID 30204
#define		FT_C_INVENTORY_GROUP_MEMBERKey 1
#define		FT_C_REQUEST_FOR_QUOTE_MLEG_ID 30206
#define		FT_C_REQUEST_FOR_QUOTE_MLEGKey 1
#define		FT_C_RFQ_QUOTE_ID 30267
#define		FT_C_RFQ_QUOTEKey 1
#define		FT_C_RFQ_SLIM_QUOTE_ID 30268
#define		FT_C_RFQ_SLIM_QUOTEKey 1
#define		FT_C_RFQ_ORDER_ID 30269
#define		FT_C_RFQ_ORDERKey 1
#define		FT_C_MULTI_MEMBER_ID 30207
#define		FT_C_MULTI_MEMBERKey 1
#define		FT_C_RFCQ_SELL_SIDE_SUMMARY_ID 30208
#define		FT_C_RFCQ_SELL_SIDE_SUMMARYKey 1
#define		FT_C_RFCQ_BUY_SIDE_SUMMARY_ID 30209
#define		FT_C_RFCQ_BUY_SIDE_SUMMARYKey 1
#define		FT_C_RFQ_EVENT_ID 30270
#define		FT_C_RFQ_EVENTKey 1
#define		FT_C_OP_CONNECTION_STATE_ID 30210
#define		FT_C_OP_CONNECTION_STATEKey 1
#define		FT_C_SETUP_REMIND_ID 30224
#define		FT_C_SETUP_REMINDKey 1
#define		FT_C_SECTION_CALENDAR_ID 30225
#define		FT_C_SECTION_CALENDARKey 1
#define		FT_C_RFQ_EXCLUSION_ID 30226
#define		FT_C_RFQ_EXCLUSIONKey 1
#define		FT_C_RFCQ_TRADING_RELATION_TRADER_EXCEPTION_ID 30229
#define		FT_C_RFCQ_TRADING_RELATION_TRADER_EXCEPTIONKey 1
#define		FT_C_RFCQ_BUY_SIDE_TRADING_LIST_ID 30230
#define		FT_C_RFCQ_BUY_SIDE_TRADING_LISTKey 1
#define		FT_C_RFCQ_SELL_SIDE_TRADING_LIST_ID 30231
#define		FT_C_RFCQ_SELL_SIDE_TRADING_LISTKey 1
#define		FT_C_RFCQ_TYPE_EXCEPTION_ID 30232
#define		FT_C_RFCQ_TYPE_EXCEPTIONKey 1
#define		FT_C_RFCQ_BUY_SIDE_TRADING_LIST_LEG_INFO_ID 30233
#define		FT_C_RFCQ_BUY_SIDE_TRADING_LIST_LEG_INFOKey 1
#define		FT_C_RFCQ_SELL_SIDE_TRADING_LIST_LEG_INFO_ID 30234
#define		FT_C_RFCQ_SELL_SIDE_TRADING_LIST_LEG_INFOKey 1
#define		FT_C_QUERY_PAR_ID 30070
#define		FT_C_QUERY_INFO_BD_ID 30080
#define		FT_C_QUERY_INFO_EXEC_ID 30081
#define		FT_C_QUERY_ALLOC_INFO_ID 30089
#define		FT_C_BLOTTER_QUERY_PARAM_ID 30182
#define		FT_C_QUERY_BLOTTER_HISTORY_ID 30183
#define		FT_C_QUERY_MRK_OPERATOR_ID 30246
#define		FT_C_PRICE_EXEC_SECWND_ID 30250
#define		FT_C_ROW_DEPTH_ID 30072
#define		FT_C_ROW_DEPTHKey 1
#define		FT_C_ROW_BOOK_ID 30073
#define		FT_C_ROW_BOOKKey 1
#define		FT_C_MIFID_PRICE_EXEC_ID 30274
#define		FT_C_MIFID_PRICE_EXECKey 1
#define		FT_C_CONTRACT_INFO_ID 30281
#define		FT_C_CONTRACT_INFOKey 1
#define		FT_C_ONBEHALFOF_ID 30282
#define		FT_C_ONBEHALFOFKey 1
#define		FT_C_HISTORICAL_QUERY_ID 30170
#define		FT_C_HISTORICAL_QUERY_PAR_ID 30171
#define		FT_C_PROFILE_QUERY_PAR_ID 30184
#define		FT_C_DICTIONARY_QUERY_ID 30180
#define		FT_C_DICTIONARY_QUERY_PAR_ID 30157
#define		FT_C_DICTIONARY_ROW_ID 30158
#define		FT_C_QUERY_BLOTTER_ID 30190
#define		FT_C_ORDER_RETRY_ID 30191
#define		FT_C_SETTL_CIRCUIT_ID 30211
#define		FT_C_SETTL_CIRCUITKey 1
#define		FT_C_PRIVATE_BOOK_ID 30212
#define		FT_C_PRIVATE_BOOKKey 1
#define		FT_C_INVENTORY_BOOK_ID 30258
#define		FT_C_INVENTORY_BOOKKey 1
#define		FT_C_SECURITY_GROUP_ID 30213
#define		FT_C_SECURITY_GROUPKey 1
#define		FT_C_SEC_GROUP_COMP_ID 30214
#define		FT_C_SEC_GROUP_COMPKey 1
#define		FT_C_MEMBER_PRESETTL_INFO_ID 30215
#define		FT_C_MEMBER_PRESETTL_INFO_SETTLSYSKey 1
#define		FT_C_MEMBER_SECTION_PROFILE_ID 30216
#define		FT_C_MEMBER_SECTION_PROFILEKey 1
#define		FT_C_MEMBER_PROFILE_INFO_ID 30217
#define		FT_C_MEMBER_PROFILE_INFOKey 1
#define		FT_C_SETTL_SYSTEM_INFO_ID 30218
#define		FT_C_SETTL_SYSTEM_INFOKey 1
#define		FT_C_BALANCE_ID 30219
#define		FT_C_BALANCEKey 1
#define		FT_C_TOTAL_STATISTICS_ID 30220
#define		FT_C_TOTAL_STATISTICSKey 1
#define		FT_C_OPERATOR_PROFILE_ID 30222
#define		FT_C_OPERATOR_PROFILEKey 1
#define		FT_C_SERVICE_CHANNEL_ID 30223
#define		FT_C_SERVICE_CHANNELKey 1
#define		FT_C_INVENTORY_TRADING_IDEA_ID 30236
#define		FT_C_INVENTORY_TRADING_IDEA_Key 1
#define		FT_C_INVENTORY_TRADING_IDEA_MembersKey 2
#define		FT_C_SETTLEMENT_PREVIEW_ID 30237
#define		FT_C_SETTLEMENT_PREVIEWKey 1
#define		FT_C_GC_RULES_ID 30238
#define		FT_C_GC_RULESKey 1
#define		FT_C_GC_QTY_LIMITS_ID 30261
#define		FT_C_GC_QTY_LIMITSKey 1
#define		FT_C_MKT_LINKED_MEMBERS_ID 30239
#define		FT_C_MKT_LINKED_MEMBERSKey 1
#define		FT_C_ORDER_BOOK_INFO_ID 30240
#define		FT_C_ORDER_BOOK_INFOKey 1
#define		FT_C_ORDER_COMMAND_ID 30241
#define		FT_C_MARKET_OTC_BROKER_ID 30245
#define		FT_C_MARKET_OTC_BROKERKey 1
#define		FT_C_FILL_CHECK_ALLOC_ID 30247
#define		FT_C_FILL_CHECK_ALLOCKey 1
#define		FT_C_STRATEGY_CONFIG_ID 30251
#define		FT_C_STRATEGY_CONFIGKey 1
#define		FT_C_STRATEGY_MANAGER_ID 30277
#define		FT_C_STRATEGY_MANAGERKey 1
#define		FT_C_STRATEGY_PER_CLIENT_ID 30252
#define		FT_C_STRATEGY_PER_CLIENTKey 1
#define		FT_C_STRATEGY_PER_OPERATOR_ID 30272
#define		FT_C_STRATEGY_PER_OPERATORKey 1
#define		FT_C_STRATEGY_PER_CLIENT_PERMISSION_ID 30286
#define		FT_C_STRATEGY_PER_CLIENT_PERMISSIONKey 1
#define		FT_C_STRATEGY_PER_OPERATOR_PERMISSION_ID 30287
#define		FT_C_STRATEGY_PER_OPERATOR_PERMISSIONKey 1
#define		FT_C_CLEARING_MEMBER_ID 30253
#define		FT_C_CLEARING_MEMBERKey 1
#define		FT_C_PERIOD_SEQUENCE_ID 30255
#define		FT_C_PERIOD_SEQUENCEKey 1
#define		FT_C_MATURITY_BASKET_ID 30244
#define		FT_C_MATURITY_BASKETKey 1
#define		FT_C_TRADING_BOOK_ID 30254
#define		FT_C_TRADING_BOOKKey 1
#define		FT_C_TRADING_BOOK_SECTION_ID 30283
#define		FT_C_TRADING_BOOK_SECTIONKey 1
#define		FT_C_TRADING_BOOK_AUTO_NEG_ID 30284
#define		FT_C_TRADING_BOOK_AUTO_NEGKey 1
#define		FT_C_RFQ_MLEG_EXTRA_INFO_ID 30288
#define		FT_C_RFQ_MLEG_EXTRA_INFOKey 1
#define		FT_C_FILL_CORRECT_OR_CANCEL_ID 30291
#define		FT_C_FILL_CORRECT_OR_CANCELKey 1
#define		FT_C_OTC_FILL_MLEG_ID 30292
#define		FT_C_OTC_FILL_MLEGKey 1
#define		FT_C_PAYMENT_FREQUENCES_ID 30293
#define		FT_C_PAYMENT_FREQUENCESKey 1
#define		FT_C_RFCQ_SECURITY_EXCLUSION_ID 30294
#define		FT_C_RFCQ_SECURITY_EXCLUSIONKey 1
#define		FT_C_MEMBER_TAG_ACCOUNT_ID 30289
#define		FT_C_MEMBER_TAG_ACCOUNTKey 1
#define		FT_C_MEMBER_TAG_ACCOUNT_VALUES_ID 30290
#define		FT_C_MEMBER_TAG_ACCOUNT_VALUESKey 1
#define		FT_C_RFQ_TYPE_MAPPING_ID 30295
#define		FT_C_RFQ_TYPE_MAPPINGKey 1
#define		FT_C_RFQ_PROFILE_PER_RFQTYPE_ID 30296
#define		FT_C_RFQ_PROFILE_PER_RFQTYPEKey 1
#define		FT_C_RFQ_PROFILE_ID 30297
#define		FT_C_RFQ_PROFILEKey 1
#define		FT_C_OPERATOR_IP_RANGES_ID 30298
#define		FT_C_OPERATOR_IP_RANGESKey 1
#define		FT_C_TRADING_BOOK_STATIC_COMP_ID 30299
#define		FT_C_TRADING_BOOK_STATIC_COMPKey 1
#define		FT_C_OPERATOR_ACCOUNT_EXCL_ID 30300
#define		FT_C_OPERATOR_ACCOUNT_EXCLKey 1
#define		FT_C_CUSTOMER_PER_OPER_ID 30301
#define		FT_C_CUSTOMER_PER_OPERKey 1
#define		FT_C_CUST_OP_EXCL_LIST_ID 30302
#define		FT_C_CUST_OP_EXCL_LISTKey 1
#define		FT_C_QUOTE_QUERY_PARAM_ID 30303
#define		FT_C_COMPOSITE_QUOTE_QUERY_ROW_ID 30304
#define		FT_C_COMPETITIVE_DEALER_QUERY_ROW_ID 30305
#define		FT_C_RFQ_MLEG_STREAM_INFO_ID 30306
#define		FT_C_RFQ_MLEG_STREAM_INFOKey 1
#define		FT_C_SPREAD_SPOT_TIME_ID 30314
#define		FT_C_SPREAD_SPOT_TIMEKey 1
#define		FT_C_SPREAD_SPOT_DATA_ID 30315
#define		FT_C_SPREAD_SPOT_DATAKey 1
#define		FT_C_EXEC_ID 30001
#define		FT_C_EXECKey 1
#define		FT_C_EXEC_STAT_ID 30020
#define		FT_C_EXEC_STATKey 1
#define		FT_C_RFCQ_TRADING_LIST_SUMMARY_ID 30021
#define		FT_C_RFCQ_TRADING_LIST_SUMMARYKey 1
#define		FT_C_BMK_GROUP_ID 30022
#define		FT_C_BMK_GROUPKey 1
#define		FT_C_BMK_GROUP_SEC_ID 30026
#define		FT_C_BMK_GROUP_SECKey 1
#define		FT_C_RFQ_BULK_RFQ_ORDER_ID 30031
#define		FT_C_RFQ_BULK_RFQ_ORDERKey 1
#define		FT_C_SECURITY_GROUP_LEN 16
#define		FT_C_NEWS_ID_LEN 64
#define		FT_C_NEWS_TREE_LEN 64
#define		FT_C_NEWS_SUBJECT_LEN 64
#define		FT_C_NEWS_CATEGORY_LEN 16
#define		FT_C_NEWS_LEN 1024
#define		FT_C_SEC_LEN 64
#define		FT_C_SEC_TREE_LEN 32
#define		FT_C_SEC_REF_LEN 48
#define		FT_C_SOURCE_TOPIC_LEN 256
#define		FT_C_CFICODE_LEN 6
#define		FT_C_FISN_LEN 35
#define		FT_C_SENIORITY_LEN 16
#define		FT_C_EXCHANGE_LEN 12
#define		FT_C_MARKET_LEN 12
#define		FT_C_SECTION_LEN 24
#define		FT_C_SECURITY_LEN 48
#define		FT_C_MARKET_TYPE_LEN 8
#define		FT_C_TRADINGIDEAFORMAT_LEN 2048
#define		FT_C_TRADINGIDEATEXT_LEN 6144
#define		FT_C_DESCRIPTION_LEN 64
#define		FT_C_LONG_DESCRIPTION_LEN 256
#define		FT_C_SHORT_DESCRIPTION_LEN 32
#define		FT_C_ISIN_LEN 12
#define		FT_C_ISSUER_LEN 16
#define		FT_C_ISSUER_NAME_LEN 64
#define		FT_C_CURRENCY_LEN 3
#define		FT_C_CLASS_LEN 16
#define		FT_C_MRK_SUB_TYPE_LEN 32
#define		FT_C_TERM_LEN 16
#define		FT_C_FLOAT_RATE_LEN 16
#define		FT_C_CUTOFF_LEN 16
#define		FT_C_INDUSTRY_LEN 16
#define		FT_C_CLEARING_HOUSE_LEN 16
#define		FT_C_DATE_LEN 16
#define		FT_C_INDEX_NAME_LEN 32
#define		FT_C_PHASE_DESCRIPTION_LEN 16
#define		FT_C_STRATEGY_LEG_NUMBER 4
#define		FT_C_MARKET_MODEL_LEN 16
#define		FT_C_BASKET_LEN 16
#define		FT_C_CLIENT_LEN 32
#define		FT_C_ACCOUNT_LEN 32
#define		FT_C_ACCOUNT_CLIENT_LEN 65
#define		FT_C_ACCOUNT_NUMBER_LEN 128
#define		FT_C_MEMBER_LEN 16
#define		FT_C_OPERATOR_LEN 16
#define		FT_C_LINKED_MEMBER_LEN 256
#define		FT_C_ORDER_LEN 32
#define		FT_C_MRKORDER_LEN 32
#define		FT_C_CLIENT_ORDER_LEN 32
#define		FT_C_BLOTTER_MSG_KEY_LEN 32
#define		FT_C_USER_TEXT_LEN 64
#define		FT_C_FILL_LEN 32
#define		FT_C_FILLEXT_LEN 64
#define		FT_C_QUOTE_INFO_LEN 128
#define		FT_C_MSG_LEN 16
#define		FT_C_ORDER_NUM 100
#define		FT_C_SETTLPREVIEW_LEN 32
#define		FT_C_PIP_PROPOSAL_LEN 64
#define		FT_C_SHORTID_LEN 16
#define		FT_C_MEMBER_NAME_LEN 32
#define		FT_C_ADDRESS_LEN 32
#define		FT_C_CITY_LEN 24
#define		FT_C_CITY_LONG_LEN 32
#define		FT_C_EMAIL_LEN 64
#define		FT_C_ZIPCODE_LEN 10
#define		FT_C_TELEPHONE_LEN 16
#define		FT_C_FAX_LEN 16
#define		FT_C_SWIFT_CODE_LEN 16
#define		FT_C_AGENT_ACCOUNT_LEN 20
#define		FT_C_MARKET_MANAGER_LEN 32
#define		FT_C_COUNTRY_LEN 6
#define		FT_C_COUNTRY_DESC_LEN 20
#define		FT_C_COUNTRY_LONG_DESC_LEN 32
#define		FT_C_FUND_LEN 20
#define		FT_C_COUPON_PLAN_LEN 32
#define		FT_C_COUNTERPART_LEN 32
#define		FT_C_ABI_LEN 5
#define		FT_C_SWIFT_LEN 11
#define		FT_C_INSTRUMENT_CLASS_LEN 16
#define		FT_C_ROLL_LEN 32
#define		FT_C_VENUE_LEN 24
#define		FT_C_SETTL_SYSTEM_LEN 6
#define		FT_C_SETTL_GROUP_LEN 6
#define		FT_C_SETTL_CALENDAR_LEN 6
#define		FT_C_CALENDAR_LEN 6
#define		FT_C_ALT_SETTL_ACCOUNT_LEN 40
#define		FT_C_ALIAS_TYPE_LEN 32
#define		FT_C_TEMPLATE_SEC_LEN 32
#define		FT_C_DEPTH_ROW_NUMBER 5
#define		FT_C_BOOK_ROW_NUMBER 5
#define		FT_C_PAGE_DEPTH_ROW_NUMBER 10
#define		FT_C_PAGE_BOOK_ROW_NUMBER 10
#define		FT_C_LAST_EXEC_ROW_NUMBER 5
#define		FT_C_PL_ROW_NUMBER 5
#define		FT_C_REPORT_LEN 64
#define		FT_C_PAGE_LEN 1024
#define		FT_C_CARE_SPLIT_NO 16
#define		FT_C_CARE_SPLIT_EXT_NO 3
#define		FT_C_QUOTELIST_LEN 100
#define		FT_C_GCQTYLIMITS_NUMBER 30
#define		FT_C_MIC_LEN 16
#define		FT_C_LONG_MIC_LEN 32
#define		FT_C_MARKET_CODE_LEN 3
#define		FT_C_BROKER_LEN 32
#define		FT_C_BROKER_CODE_LEN 32
#define		FT_C_TIMEZONE_LEN 64
#define		FT_C_ERROR_LEN 256
#define		FT_C_ALLOC_ERROR_LEN 128
#define		FT_C_FREE_TEXT_LEN 256
#define		FT_C_FULL_STATUS_DESC_LEN 256
#define		FT_C_INSTRUCTION_LEN 32
#define		FT_C_FRW_CODE_LEN 8
#define		FT_C_LINK_GROUP_LEN 16
#define		FT_C_LINK_TAG_LEN 8
#define		FT_C_ISSUERTYPE_LEN 16
#define		FT_C_LINK_BULK_LEN 16
#define		FT_C_ADDR_LIST_LEN 20
#define		FT_C_PASSWORD_LEN 32
#define		FT_C_PROFILE_PROPERTY_LEN 32
#define		FT_C_PROFILE_VALUE_LEN 16
#define		FT_C_SETTL_MSG_TYPE_LEN 3
#define		FT_C_SETTL_CHANNEL_LEN 16
#define		QUOTES_BULK_LEN 200
#define		FT_C_TREE_SEP "/"
#define		FT_C_TREE_SPC " "
#define		FT_C_VISIBLE_PRICES 100
#define		FT_C_REQSEC_NUM 100
#define		FT_C_MAX_SUBFILL 30
#define		FT_BROKER_DMA "DMA"
#define		FT_C_MARKET_BIT_MTA "MTA"
#define		FT_C_MARKET_BIT_MCW "MCW"
#define		FT_C_MARKET_BIT_NM "NM"
#define		FT_C_CATEGORY_MARKET "Market"
#define		FT_C_CATEGORY_INDEX "Index"
#define		FT_C_CATEGORY_ECONOMICS "Economics"
#define		FT_C_CATEGORY_POLITICS "Politics"
#define		FT_C_CATEGORY_GENERAL "General"
#define		FT_C_RFQ_DESTINATION_LEN 10
#define		FT_C_RFQ_DESTINATIONEXT_LEN 20
#define		FT_C_MAIL_DESTINATION_LEN 10
#define		FT_C_MAIL_TEXT_LEN 4096
#define		FT_C_PROFILE_LEN 16
#define		FT_C_RFQ_EVENT_LEN 32
#define		FT_C_DESK_LEN 12
#define		FT_C_DEPTH_RFQOFFER_ROW_NUMBER 5
#define		FT_C_IDENTIFIER_LEN 32
#define		FT_C_IDENTTYPE_LEN 16
#define		FT_C_ORD_SERVICE_LEN 16
#define		FT_C_ORD_CHANNEL_LEN 16
#define		FT_C_ORD_FLOW_LEN 4
#define		FT_C_IDENTIFIER_NAME_LEN 32
#define		FT_C_IDENTIFIER_VALUE_LEN 256
#define		FT_C_MAX_TICKS_NUMBER 20
#define		FT_C_ACCOUNTCODE_LEN 200
#define		FT_C_ACCOUNTINFO_LEN 200
#define		FT_C_CLEARINGINFO_LEN 50
#define		FT_C_NAME_LEN 25
#define		FT_C_INVGROUPDESCR_LEN 36
#define		FT_C_GROUPNAME_LEN 36
#define		FT_C_TRADINGLEG_LEN 3
#define		FT_C_EXT_TRADINGLEG_LEN 4
#define		FT_C_TRADINGLEV_LEN 20
#define		FT_C_PROVIDERINFO_LEN 20
#define		FT_C_SETTLEMENT_INFO_LEN 36
#define		FT_C_FCM_LEN 64
#define		FT_C_MASS_ACTION_LEN 64
#define		FT_C_SPLIT_ACCOUNTINFO_LEN 100
#define		FT_C_SETTL_ACCOUNT_LEN 40
#define		FT_C_CLIENT_PREALLOCATION_LEN 100
#define		FT_C_ALLOCATION_DESCR_LEN 50
#define		FT_C_STRATEGY_MANAGER_LEN 24
#define		FT_C_MAX_BULK_CHILD 8
#define		FT_C_EXEC_POLICY_LEN 32
#define		FT_C_CURRENCY_UNDEF " "
#define		FT_C_CURRENCY_EURO "EUR"
#define		FT_C_CURRENCY_USD "USD"
#define		FT_C_STRATEGY_WIRE_VALUE_LEN 64
#define		FT_C_STRATEGY_VERSION_LEN 16
#define		FT_C_STRATEGY_DESCRIPTION_LEN 256
#define		FT_C_XMLID_LEN 32
#define		FT_C_STRATEGY_PARAMETER_LEN 1024
#define		FT_C_BULK_STRATEGY_PARAMETER_LEN 128
#define		FT_C_MMT_FLAGS_LEN 14
#define		FT_C_AREA_CODE_LEN 32
#define		FT_C_MSGTEXTFORMAT_LEN 64
#define		FT_C_CLIENT_CODE_LEN 40
#define		FT_C_LEI_LEN 20
#define		FT_C_NATIONAL_LEN 40
#define		FT_C_CODE_TYPE_LEN 4
#define		FT_C_CODE_LEN 32
#define		FT_C_DATETIME_LEN 32
#define		FT_C_PRICE_LEN 20
#define		FT_C_PRICE_NOTATION_LEN 4
#define		FT_C_QUANTITY_LEN 20
#define		FT_C_NOTIONAL_AMOUNT_LEN 20
#define		FT_C_FLAG_LEN 5
#define		FT_C_SHORTCODE_LEN 64
#define		FT_C_LONG_CODE_LEN 64
#define		FT_C_MAT_BASKET_ID_LEN 16
#define		FT_C_TRADING_BOOK_ID_LEN 16
#define		FT_C_PAYFREQ_LEN 32
#define		FT_C_TAG_ACCOUNT_INFO_LEN 512
#define		FT_C_TAG_NAME_LEN 16
#define		FT_C_TAG_NUMBER 8
#define		FT_C_TAG_VALUE_LEN 32
#define		FT_C_STATE_LEN 32
#define		FT_C_RFQTYPE_LEN 64
#define		FT_C_RFQPROFILE_LEN 32
#define		FT_C_CIDR_LEN 64
#define		FT_C_RATING_LEN 16
#define		FT_C_NULL_PRICE 0
#define		FT_C_NULL_YIELD 9999
#define		FT_C_NULL_RATE -999999
#define		FT_C_NULL_SPREAD -999999
#define		FT_C_NULL_NPV -9999999
#define		FT_C_UNIQUE_TRANS_ID_LEN 64
#define		FT_C_REPORT_TRACKING_NUM_LEN 64
#define		FT_C_TRADE_CLASS_LEN 64
#define		FT_C_INDUSTRY_GROUP_LEN 128
#define		FT_C_INDUSTRY_SUBGROUP_LEN 128
#define		FT_C_UNDERWRITER_LEN 128
#define		FT_C_SPREAD_TIMEID_LEN 32
#define		FT_C_BMK_GROUP_LEN 32
#define		FT_C_INTERNALPROP_LEN 256
#define		FT_C_PRODUCTNAME_LEN 32
#define		FT_C_PRICE_SERIES_LEN 32
#define		FT_C_TX_RESULT_DESC_LEN 128
#define		FT_C_COMPLIANCETEXT_LEN 32

typedef enum {		/*  (0) */
		FT_C_SECURITY_TYPE_UNDEF,
		FT_C_SECURITY_TYPE_EQUITY,
		FT_C_SECURITY_TYPE_RIGHTS,
		FT_C_SECURITY_TYPE_COVERED_WARRANT,
		FT_C_SECURITY_TYPE_WARRANT,
		FT_C_SECURITY_TYPE_INDEX,
		FT_C_SECURITY_TYPE_CORPORATE_BOND,
		FT_C_SECURITY_TYPE_GOVERNMENT_BOND,
		FT_C_SECURITY_TYPE_FUTURES,
		FT_C_SECURITY_TYPE_OPTIONS,
		FT_C_SECURITY_TYPE_CONVERTIBLE_BOND,
		FT_C_SECURITY_TYPE_FUND,
		FT_C_SECURITY_TYPE_RATE,
		FT_C_SECURITY_TYPE_BASIS,
		FT_C_SECURITY_TYPE_SPREAD,
		FT_C_SECURITY_TYPE_REPO,
		FT_C_SECURITY_TYPE_SWAP,
		FT_C_SECURITY_TYPE_SWITCH,
		FT_C_SECURITY_TYPE_CURRENCY,
		FT_C_SECURITY_TYPE_DEPOSIT,
		FT_C_SECURITY_TYPE_LENDING,
		FT_C_SECURITY_TYPE_FORWARD,
		FT_C_SECURITY_TYPE_TRIPARTY,
		FT_C_SECURITY_TYPE_GENERAL_COLLATERAL,
		FT_C_SECURITY_TYPE_BILLS,
		FT_C_SECURITY_TYPE_CERTIFICATES,
		FT_C_SECURITY_TYPE_STRATEGY,
		FT_C_SECURITY_TYPE_STRIPS,
		FT_C_SECURITY_TYPE_FOREX,
		FT_C_SECURITY_TYPE_COMMODITY,
		FT_C_SECURITY_TYPE_CDS,
		FT_C_SECURITY_TYPE_INFL_LINKED_BOND,
		FT_C_SECURITY_TYPE_CFD,
		FT_C_SECURITY_TYPE_PROGRAM,
		EEFT_C_SECURITY_TYPE = -99999
} FT_C_SECURITY_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_STRATEGY_TYPE_UNDEF,
		FT_C_STRATEGY_TYPE_USER_DEF,
		FT_C_STRATEGY_TYPE_TIME_SPREAD,
		FT_C_STRATEGY_TYPE_SPOT,
		FT_C_STRATEGY_TYPE_STRADDLE,
		FT_C_STRATEGY_TYPE_STRANGLE,
		FT_C_STRATEGY_TYPE_SPREAD,
		FT_C_STRATEGY_TYPE_RATIO_SPREAD,
		FT_C_STRATEGY_TYPE_BUTTERFLY,
		FT_C_STRATEGY_TYPE_JELLY_ROLL,
		FT_C_STRATEGY_TYPE_GUTS,
		FT_C_STRATEGY_TYPE_COMBO,
		FT_C_STRATEGY_TYPE_LADDER,
		FT_C_STRATEGY_TYPE_STRIP,
		FT_C_STRATEGY_TYPE_PACK,
		FT_C_STRATEGY_TYPE_CONDOR,
		FT_C_STRATEGY_TYPE_BOX,
		FT_C_STRATEGY_TYPE_BUNDLE,
		FT_C_STRATEGY_TYPE_SPREAD_VS_UNDERLYING,
		FT_C_STRATEGY_TYPE_COMBO_VS_UNDERLYING,
		FT_C_STRATEGY_TYPE_LADDER_VS_UNDERLYING,
		FT_C_STRATEGY_TYPE_STRADDLE_VS_UNDERLYING,
		FT_C_STRATEGY_TYPE_STRANGLE_VS_UNDERLYING,
		FT_C_STRATEGY_TYPE_REVERSAL_CONVERSION,
		FT_C_STRATEGY_TYPE_SYNTHETIC_UNDERLYING,
		FT_C_STRATEGY_TYPE_VOLATILITY_TRADE,
		EEFT_C_STRATEGY_TYPE = -99999
} FT_C_STRATEGY_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_OPTION_TYPE_None,
		FT_C_OPTION_TYPE_Call,
		FT_C_OPTION_TYPE_Put,
		FT_C_OPTION_TYPE_Range,
		EEFT_C_OPTION_TYPE = -99999
} FT_C_OPTION_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_OPTION_STYLE_None,
		FT_C_OPTION_STYLE_American,
		FT_C_OPTION_STYLE_European,
		FT_C_OPTION_STYLE_Bermudan,
		FT_C_OPTION_STYLE_Periodic,
		FT_C_OPTION_STYLE_Asian,
		FT_C_OPTION_STYLE_Other,
		EEFT_C_OPTION_STYLE = -99999
} FT_C_OPTION_STYLEEnum;


typedef enum {		/*  (0) */
		FT_C_QUOTE_AUTO_None,
		FT_C_QUOTE_AUTO_Automatic,
		EEFT_C_QUOTE_AUTO = -99999
} FT_C_QUOTE_AUTOEnum;


typedef enum {		/*  (0) */
		FT_C_VERB_Buy,
		FT_C_VERB_Sell,
		EEFT_C_VERB = -99999
} FT_C_VERBEnum;


typedef enum {		/*  (0) */
		FT_C_RFQ_VERB_Buy,
		FT_C_RFQ_VERB_Sell,
		FT_C_RFQ_VERB_BuySell,
		EEFT_C_RFQ_VERB = -99999
} FT_C_RFQ_VERBEnum;


typedef enum {		/*  (0) */
		FT_C_TRADING_PHASE_UNDEF,
		FT_C_TRADING_PHASE_CLOSURE,
		FT_C_TRADING_PHASE_PRE_ISSUE,
		FT_C_TRADING_PHASE_ISSUE,
		FT_C_TRADING_PHASE_PRE_AUCTION,
		FT_C_TRADING_PHASE_AUCTION,
		FT_C_TRADING_PHASE_POST_AUCTION,
		FT_C_TRADING_PHASE_PRE_TRADING,
		FT_C_TRADING_PHASE_TRADING,
		FT_C_TRADING_PHASE_POST_TRADING,
		FT_C_TRADING_PHASE_TRADING_AT_LAST,
		FT_C_TRADING_PHASE_TRADING_AFTER_HOUR,
		FT_C_TRADING_PHASE_FAST_MARKET,
		FT_C_TRADING_PHASE_MANAGEMENT,
		FT_C_TRADING_PHASE_NO_OPERATION,
		FT_C_TRADING_PHASE_GC_DEFINITION,
		FT_C_TRADING_PHASE_OVERNIGHT_CLOSURE,
		EEFT_C_TRADING_PHASE = -99999
} FT_C_TRADING_PHASEEnum;


typedef enum {		/*  (0) */
		FT_C_TRADE_STATUS_TradeOn,
		FT_C_TRADE_STATUS_TradeOff,
		FT_C_TRADE_STATUS_TradeOnFastMarket,
		EEFT_C_TRADE_STATUS = -99999
} FT_C_TRADE_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_TRADING_STATUS_Active,
		FT_C_TRADING_STATUS_Suspended,
		FT_C_TRADING_STATUS_Frozen,
		FT_C_TRADING_STATUS_Reserved,
		FT_C_TRADING_STATUS_RFE,
		FT_C_TRADING_STATUS_PIP,
		EEFT_C_TRADING_STATUS = -99999
} FT_C_TRADING_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_FLAG_No,
		FT_C_FLAG_Yes,
		EEFT_C_FLAG = -99999
} FT_C_FLAGEnum;


typedef enum {		/*  (0) */
		FT_C_FLAG_UND_Undef,
		FT_C_FLAG_UND_Yes,
		FT_C_FLAG_UND_No,
		EEFT_C_FLAG_UND = -99999
} FT_C_FLAG_UNDEnum;


typedef enum {		/*  (0) */
		FT_C_ORDER_ENTRY_Undef,
		FT_C_ORDER_ENTRY_Enabled,
		FT_C_ORDER_ENTRY_Disabled,
		FT_C_ORDER_ENTRY_OnlyCan,
		FT_C_ORDER_ENTRY_OnlyBil,
		FT_C_ORDER_ENTRY_OnlyBilAndCCPGCDef,
		FT_C_ORDER_ENTRY_LPBidOnly,
		EEFT_C_ORDER_ENTRY = -99999
} FT_C_ORDER_ENTRYEnum;


typedef enum {		/*  (0) */
		FT_C_LINK_FLAG_No,
		FT_C_LINK_FLAG_Yes,
		FT_C_LINK_FLAG_Dirty,
		EEFT_C_LINK_FLAG = -99999
} FT_C_LINK_FLAGEnum;


typedef enum {		/*  (0) */
		FT_C_QUOTE_DISABLED_No,
		FT_C_QUOTE_DISABLED_Yes,
		FT_C_QUOTE_DISABLED_OnlyAsk,
		FT_C_QUOTE_DISABLED_OnlyBid,
		FT_C_QUOTE_DISABLED_SingleSide,
		FT_C_QUOTE_DISABLED_DoubleorSingleSide,
		EEFT_C_QUOTE_DISABLED = -99999
} FT_C_QUOTE_DISABLEDEnum;


typedef enum {		/*  (0) */
		FT_C_CONFIG_FLAG_No,
		FT_C_CONFIG_FLAG_Yes,
		FT_C_CONFIG_FLAG_Both,
		EEFT_C_CONFIG_FLAG = -99999
} FT_C_CONFIG_FLAGEnum;


typedef enum {		/*  (0) */
		FT_C_QUOTING_TYPE_Price,
		FT_C_QUOTING_TYPE_Yield,
		FT_C_QUOTING_TYPE_PriceOrYield,
		FT_C_QUOTING_TYPE_Price32nd,
		EEFT_C_QUOTING_TYPE = -99999
} FT_C_QUOTING_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_SIGN_None,
		FT_C_SIGN_Equal,
		FT_C_SIGN_Positive,
		FT_C_SIGN_Negative,
		EEFT_C_SIGN = -99999
} FT_C_SIGNEnum;


typedef enum {		/*  (0) */
		FT_C_FREQUENCY_Daily,
		FT_C_FREQUENCY_Weekly,
		FT_C_FREQUENCY_Monthly,
		EEFT_C_FREQUENCY = -99999
} FT_C_FREQUENCYEnum;


typedef enum {		/*  (0) */
		FT_C_EXEC_TYPE_Undef,
		FT_C_EXEC_TYPE_Cross,
		FT_C_EXEC_TYPE_RFQ,
		FT_C_EXEC_TYPE_Order,
		FT_C_EXEC_TYPE_OTC,
		EEFT_C_EXEC_TYPE = -99999
} FT_C_EXEC_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_ORDER_STATUS_Active,
		FT_C_ORDER_STATUS_PartFilled,
		FT_C_ORDER_STATUS_CompFilled,
		FT_C_ORDER_STATUS_Cancelled,
		FT_C_ORDER_STATUS_Suspended,
		FT_C_ORDER_STATUS_CancelledByGov,
		FT_C_ORDER_STATUS_Stopped,
		FT_C_ORDER_STATUS_Submitted,
		FT_C_ORDER_STATUS_Rejected,
		FT_C_ORDER_STATUS_DeletedByEdit,
		FT_C_ORDER_STATUS_InAcceptance,
		FT_C_ORDER_STATUS_AcceptAndDecrease,
		FT_C_ORDER_STATUS_AcceptAndSuspend,
		FT_C_ORDER_STATUS_AcceptAndTradeOff,
		FT_C_ORDER_STATUS_RejectAndUnwelcome,
		FT_C_ORDER_STATUS_RejectAndSuspend,
		FT_C_ORDER_STATUS_RejectAndTradeOff,
		FT_C_ORDER_STATUS_WaitingForAccept,
		FT_C_ORDER_STATUS_RejectPrice,
		FT_C_ORDER_STATUS_RejectQty,
		FT_C_ORDER_STATUS_RejectOffline,
		FT_C_ORDER_STATUS_RejectRecalled,
		FT_C_ORDER_STATUS_RejectSettlement,
		FT_C_ORDER_STATUS_RejectTimeout,
		FT_C_ORDER_STATUS_Locked,
		FT_C_ORDER_STATUS_LocalRj,
		FT_C_ORDER_STATUS_Accepted,
		FT_C_ORDER_STATUS_RejectedBySystem,
		FT_C_ORDER_STATUS_AcceptPartially,
		FT_C_ORDER_STATUS_RejectAndActive,
		FT_C_ORDER_STATUS_Exception,
		FT_C_ORDER_STATUS_NoChange,
		FT_C_ORDER_STATUS_NoInterest,
		FT_C_ORDER_STATUS_RejectCreditLine,
		FT_C_ORDER_STATUS_RejectDeliveryRisk,
		FT_C_ORDER_STATUS_RejectDueToSuspension,
		FT_C_ORDER_STATUS_AcceptAndDecreaseAndUnwelcome,
		FT_C_ORDER_STATUS_AcceptAndSuspendAndUnwelcome,
		FT_C_ORDER_STATUS_AcceptAndActiveAndUnwelcome,
		FT_C_ORDER_STATUS_RejectAndSuspendAndUnwelcome,
		FT_C_ORDER_STATUS_RejectAndActiveAndUnwelcome,
		EEFT_C_ORDER_STATUS = -99999
} FT_C_ORDER_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_INTERNAL_ORDER_STATUS_Undef,
		FT_C_INTERNAL_ORDER_STATUS_ToProcess,
		FT_C_INTERNAL_ORDER_STATUS_WaitDeskAccept,
		FT_C_INTERNAL_ORDER_STATUS_Dealing,
		FT_C_INTERNAL_ORDER_STATUS_WaitMrkTradable,
		FT_C_INTERNAL_ORDER_STATUS_WaitSecTradable,
		FT_C_INTERNAL_ORDER_STATUS_WaitExecTime,
		FT_C_INTERNAL_ORDER_STATUS_ToReport,
		FT_C_INTERNAL_ORDER_STATUS_ToSettle,
		FT_C_INTERNAL_ORDER_STATUS_Completed,
		FT_C_INTERNAL_ORDER_STATUS_Error,
		FT_C_INTERNAL_ORDER_STATUS_Exception,
		FT_C_INTERNAL_ORDER_STATUS_InvalidOrder,
		FT_C_INTERNAL_ORDER_STATUS_Sent,
		FT_C_INTERNAL_ORDER_STATUS_Refused,
		FT_C_INTERNAL_ORDER_STATUS_ToBeRecovered,
		FT_C_INTERNAL_ORDER_STATUS_WaitNextDate,
		FT_C_INTERNAL_ORDER_STATUS_FilterException,
		FT_C_INTERNAL_ORDER_STATUS_WaitingBestExec,
		FT_C_INTERNAL_ORDER_STATUS_RefusedException,
		FT_C_INTERNAL_ORDER_STATUS_CbgException,
		FT_C_INTERNAL_ORDER_STATUS_WaitNextDateBE,
		FT_C_INTERNAL_ORDER_STATUS_AnagInfException,
		FT_C_INTERNAL_ORDER_STATUS_UnkInstRetryAllowed,
		FT_C_INTERNAL_ORDER_STATUS_MultiMarketException,
		FT_C_INTERNAL_ORDER_STATUS_RestartMultiMarketBE,
		FT_C_INTERNAL_ORDER_STATUS_DeletedByPanic,
		FT_C_INTERNAL_ORDER_STATUS_OCOUnsolicited,
		FT_C_INTERNAL_ORDER_STATUS_WaitTriggering,
		FT_C_INTERNAL_ORDER_STATUS_DelistingException,
		FT_C_INTERNAL_ORDER_STATUS_MultiMarketBEManual,
		FT_C_INTERNAL_ORDER_STATUS_MultiMarketBEParked,
		FT_C_INTERNAL_ORDER_STATUS_MultiMarketBERested,
		FT_C_INTERNAL_ORDER_STATUS_MultiMarketProcessing,
		FT_C_INTERNAL_ORDER_STATUS_MultiMarketStrategyToManual,
		EEFT_C_INTERNAL_ORDER_STATUS = -99999
} FT_C_INTERNAL_ORDER_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_QUOTE_SUB_STATUS_None,
		FT_C_QUOTE_SUB_STATUS_LinkSusp,
		FT_C_QUOTE_SUB_STATUS_SuspByGov,
		FT_C_QUOTE_SUB_STATUS_SuspByApplSusp,
		FT_C_QUOTE_SUB_STATUS_SuspSuspVirtualMatch,
		FT_C_QUOTE_SUB_STATUS_SuspByCAPS,
		FT_C_QUOTE_SUB_STATUS_SuspByPreemptiveAction,
		EEFT_C_QUOTE_SUB_STATUS = -99999
} FT_C_QUOTE_SUB_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_CROSS_OTC_STATUS_ToSend,
		FT_C_CROSS_OTC_STATUS_Waiting,
		FT_C_CROSS_OTC_STATUS_Done,
		FT_C_CROSS_OTC_STATUS_Rejected,
		FT_C_CROSS_OTC_STATUS_Deleted,
		FT_C_CROSS_OTC_STATUS_Validated,
		FT_C_CROSS_OTC_STATUS_Accepted,
		FT_C_CROSS_OTC_STATUS_Pending,
		FT_C_CROSS_OTC_STATUS_InAcceptance,
		FT_C_CROSS_OTC_STATUS_WaitingForAcceptance,
		FT_C_CROSS_OTC_STATUS_WaitingForConfirmation,
		FT_C_CROSS_OTC_STATUS_Expired,
		FT_C_CROSS_OTC_STATUS_Refused,
		FT_C_CROSS_OTC_STATUS_ToSendPreAccepted,
		EEFT_C_CROSS_OTC_STATUS = -99999
} FT_C_CROSS_OTC_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_FILL_STATUS_Active,
		FT_C_FILL_STATUS_CancelledByGov,
		FT_C_FILL_STATUS_ToBeAllocated,
		FT_C_FILL_STATUS_Rejected,
		FT_C_FILL_STATUS_Ghost,
		FT_C_FILL_STATUS_CancelledForSplit,
		FT_C_FILL_STATUS_CancelledForNotAllocation,
		FT_C_FILL_STATUS_Cancelled,
		FT_C_FILL_STATUS_Corrected,
		FT_C_FILL_STATUS_CorrectedByGov,
		FT_C_FILL_STATUS_WaitingForSpotPrice,
		EEFT_C_FILL_STATUS = -99999
} FT_C_FILL_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_FILL_SETTL_STATUS_None,
		FT_C_FILL_SETTL_STATUS_SettlAccepted,
		FT_C_FILL_SETTL_STATUS_SettlRejected,
		EEFT_C_FILL_SETTL_STATUS = -99999
} FT_C_FILL_SETTL_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_MEMBER_STATUS_Active,
		FT_C_MEMBER_STATUS_Suspended,
		FT_C_MEMBER_STATUS_SuspGov,
		FT_C_MEMBER_STATUS_Disconnected,
		EEFT_C_MEMBER_STATUS = -99999
} FT_C_MEMBER_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_ORDER_TYPE_Limit,
		FT_C_ORDER_TYPE_Market,
		FT_C_ORDER_TYPE_Market_to_limit,
		FT_C_ORDER_TYPE_Stop_market,
		FT_C_ORDER_TYPE_OpeningPrice,
		FT_C_ORDER_TYPE_Stop_limit,
		FT_C_ORDER_TYPE_Subscription,
		FT_C_ORDER_TYPE_InAcceptance,
		FT_C_ORDER_TYPE_Cross,
		FT_C_ORDER_TYPE_Passive,
		FT_C_ORDER_TYPE_LimitAtBest,
		FT_C_ORDER_TYPE_PassiveAtBest,
		FT_C_ORDER_TYPE_Quote_Leg,
		FT_C_ORDER_TYPE_RfqOffer,
		FT_C_ORDER_TYPE_PeggedOrder,
		FT_C_ORDER_TYPE_UnpricedLimit,
		EEFT_C_ORDER_TYPE = -99999
} FT_C_ORDER_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_STOP_TRIGGER_MECHANISM_BestPrice,
		FT_C_STOP_TRIGGER_MECHANISM_LastPrice,
		FT_C_STOP_TRIGGER_MECHANISM_BID_GREAT,
		FT_C_STOP_TRIGGER_MECHANISM_BID_LESS,
		FT_C_STOP_TRIGGER_MECHANISM_ASK_GREAT,
		FT_C_STOP_TRIGGER_MECHANISM_ASK_LESS,
		FT_C_STOP_TRIGGER_MECHANISM_LAST_GREAT,
		FT_C_STOP_TRIGGER_MECHANISM_LAST_LESS,
		FT_C_STOP_TRIGGER_MECHANISM_BestPriceTP,
		FT_C_STOP_TRIGGER_MECHANISM_LastPriceTP,
		EEFT_C_STOP_TRIGGER_MECHANISM = -99999
} FT_C_STOP_TRIGGER_MECHANISMEnum;


typedef enum {		/*  (0) */
		FT_C_TIMEINFORCE_Default,
		FT_C_TIMEINFORCE_Day,
		FT_C_TIMEINFORCE_Good_till_Date,
		FT_C_TIMEINFORCE_Good_till_Cancel,
		FT_C_TIMEINFORCE_Immediate_or_Cancel,
		FT_C_TIMEINFORCE_Good_till_Maturity,
		FT_C_TIMEINFORCE_Good_till_Hour,
		FT_C_TIMEINFORCE_Cancel_after_Filled,
		FT_C_TIMEINFORCE_Good_Auction_Closure,
		FT_C_TIMEINFORCE_Good_Auction_Open,
		FT_C_TIMEINFORCE_Good_Auction_Intraday,
		FT_C_TIMEINFORCE_Good_Next_Auction,
		FT_C_TIMEINFORCE_Good_Next_TAL,
		FT_C_TIMEINFORCE_At_Closing_Price,
		FT_C_TIMEINFORCE_Good_PIP,
		EEFT_C_TIMEINFORCE = -99999
} FT_C_TIMEINFORCEEnum;


typedef enum {		/*  (0) */
		FT_C_QTY_PARAMETER_Default,
		FT_C_QTY_PARAMETER_All_or_None,
		EEFT_C_QTY_PARAMETER = -99999
} FT_C_QTY_PARAMETEREnum;


typedef enum {		/*  (0) */
		FT_C_QTY_TYPE_Default,
		FT_C_QTY_TYPE_Relative,
		FT_C_QTY_TYPE_Absolute,
		EEFT_C_QTY_TYPE = -99999
} FT_C_QTY_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_POSITION_Default,
		FT_C_POSITION_Open,
		FT_C_POSITION_Close,
		EEFT_C_POSITION = -99999
} FT_C_POSITIONEnum;


typedef enum {		/*  (0) */
		FT_C_NEG_PHASE_Default,
		FT_C_NEG_PHASE_Auction,
		FT_C_NEG_PHASE_Negotiation,
		FT_C_NEG_PHASE_PreOpening,
		FT_C_NEG_PHASE_PreClosure,
		EEFT_C_NEG_PHASE = -99999
} FT_C_NEG_PHASEEnum;


typedef enum {		/*  (0) */
		FT_C_ORIGIN_None,
		FT_C_ORIGIN_Client,
		FT_C_ORIGIN_Proprietary,
		FT_C_ORIGIN_Specialist,
		FT_C_ORIGIN_SpecialistClient,
		FT_C_ORIGIN_Broker,
		FT_C_ORIGIN_MatchedPrincipal,
		FT_C_ORIGIN_UnmatchedPrincipal,
		EEFT_C_ORIGIN = -99999
} FT_C_ORIGINEnum;


typedef enum {		/*  (0) */
		FT_C_ORIGIN_SELECTION_All,
		FT_C_ORIGIN_SELECTION_OnlyClient,
		FT_C_ORIGIN_SELECTION_OnlyProprietary,
		FT_C_ORIGIN_SELECTION_OnlySpecialist,
		FT_C_ORIGIN_SELECTION_OnlySpecialistClient,
		FT_C_ORIGIN_SELECTION_OnlyBroker,
		FT_C_ORIGIN_SELECTION_AllClient,
		FT_C_ORIGIN_SELECTION_AllProprietary,
		FT_C_ORIGIN_SELECTION_OnlyMatchedPrincipal,
		FT_C_ORIGIN_SELECTION_OnlyUnmatchedPrincipal,
		EEFT_C_ORIGIN_SELECTION = -99999
} FT_C_ORIGIN_SELECTIONEnum;


typedef enum {		/*  (0) */
		FT_C_CONFIG_ORIGIN_None,
		FT_C_CONFIG_ORIGIN_Client,
		FT_C_CONFIG_ORIGIN_Proprietary,
		FT_C_CONFIG_ORIGIN_Both,
		EEFT_C_CONFIG_ORIGIN = -99999
} FT_C_CONFIG_ORIGINEnum;


typedef enum {		/*  (0) */
		FT_C_RFQ_STATUS_Open,
		FT_C_RFQ_STATUS_Outstanding,
		FT_C_RFQ_STATUS_Close,
		FT_C_RFQ_STATUS_Cancelled,
		FT_C_RFQ_STATUS_CancelledByGov,
		EEFT_C_RFQ_STATUS = -99999
} FT_C_RFQ_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_RFQ_OFFER_STATUS_Open,
		FT_C_RFQ_OFFER_STATUS_Accepted,
		FT_C_RFQ_OFFER_STATUS_Rejected,
		FT_C_RFQ_OFFER_STATUS_Cancelled,
		FT_C_RFQ_OFFER_STATUS_CancelledByGov,
		EEFT_C_RFQ_OFFER_STATUS = -99999
} FT_C_RFQ_OFFER_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_RFQ_DESTINATION_TYPE_All,
		FT_C_RFQ_DESTINATION_TYPE_Primary,
		FT_C_RFQ_DESTINATION_TYPE_Selected,
		FT_C_RFQ_DESTINATION_TYPE_Profile,
		FT_C_RFQ_DESTINATION_TYPE_CCPONLY,
		EEFT_C_RFQ_DESTINATION_TYPE = -99999
} FT_C_RFQ_DESTINATION_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_MAIL_DESTINATION_TYPE_All,
		FT_C_MAIL_DESTINATION_TYPE_Profile,
		FT_C_MAIL_DESTINATION_TYPE_Selected,
		EEFT_C_MAIL_DESTINATION_TYPE = -99999
} FT_C_MAIL_DESTINATION_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_MAIL_EXPIRY_TYPE_NonPermanent,
		FT_C_MAIL_EXPIRY_TYPE_Permanent,
		EEFT_C_MAIL_EXPIRY_TYPE = -99999
} FT_C_MAIL_EXPIRY_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_OPT_COMBO_IND_Single,
		FT_C_OPT_COMBO_IND_Combo,
		FT_C_OPT_COMBO_IND_OCO,
		FT_C_OPT_COMBO_IND_OTO,
		FT_C_OPT_COMBO_IND_OTOCO,
		EEFT_C_OPT_COMBO_IND = -99999
} FT_C_OPT_COMBO_INDEnum;


typedef enum {		/*  (0) */
		FT_C_CLEARING_MODE_Default,
		FT_C_CLEARING_MODE_Manual,
		FT_C_CLEARING_MODE_Automatic,
		FT_C_CLEARING_MODE_Redo,
		FT_C_CLEARING_MODE_CancelledFromSettlement,
		FT_C_CLEARING_MODE_Bilateral,
		FT_C_CLEARING_MODE_RedoByMember,
		FT_C_CLEARING_MODE_RedoByCtp,
		EEFT_C_CLEARING_MODE = -99999
} FT_C_CLEARING_MODEEnum;


typedef enum {		/*  (0) */
		FT_C_SRC_TYPE_Order,
		FT_C_SRC_TYPE_Quote,
		FT_C_SRC_TYPE_CrossOrder,
		FT_C_SRC_TYPE_RFQ,
		FT_C_SRC_TYPE_RFCQ,
		FT_C_SRC_TYPE_RFQSwitch,
		FT_C_SRC_TYPE_RFCQSwitch,
		FT_C_SRC_TYPE_OTC,
		FT_C_SRC_TYPE_OrderStaging,
		FT_C_SRC_TYPE_Rollover,
		FT_C_SRC_TYPE_RFQButterfly,
		EEFT_C_SRC_TYPE = -99999
} FT_C_SRC_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_QUERY_SOURCE_TYPE_None,
		FT_C_QUERY_SOURCE_TYPE_RFQ,
		FT_C_QUERY_SOURCE_TYPE_RFCQ,
		FT_C_QUERY_SOURCE_TYPE_OTC,
		EEFT_C_QUERY_SOURCE_TYPE = -99999
} FT_C_QUERY_SOURCE_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_SETTL_FORMULA_ActAct,
		FT_C_SETTL_FORMULA_ZeroCoupon,
		FT_C_SETTL_FORMULA_ReconvIt,
		FT_C_SETTL_FORMULA_ReconvEuro,
		FT_C_SETTL_FORMULA_Act365,
		FT_C_SETTL_FORMULA_Act360,
		FT_C_SETTL_FORMULA_Act366,
		FT_C_SETTL_FORMULA_ReconvAmerica,
		EEFT_C_SETTL_FORMULA = -99999
} FT_C_SETTL_FORMULAEnum;


typedef enum {		/*  (0) */
		FT_C_YIELD_FORMULA_None,
		FT_C_YIELD_FORMULA_CTZ2000,
		FT_C_YIELD_FORMULA_BOT365,
		FT_C_YIELD_FORMULA_JGBYield,
		FT_C_YIELD_FORMULA_ZCCompound,
		FT_C_YIELD_FORMULA_FixedRate,
		FT_C_YIELD_FORMULA_OneYearToMaturity,
		EEFT_C_YIELD_FORMULA = -99999
} FT_C_YIELD_FORMULAEnum;


typedef enum {		/*  (0) */
		FT_C_DAY_COUNT_FRACTION_None,
		FT_C_DAY_COUNT_FRACTION_1_1,
		FT_C_DAY_COUNT_FRACTION_30_360,
		FT_C_DAY_COUNT_FRACTION_30E_360,
		FT_C_DAY_COUNT_FRACTION_ACT_360,
		FT_C_DAY_COUNT_FRACTION_ACT_365_FIXED,
		FT_C_DAY_COUNT_FRACTION_ACT_ACT,
		FT_C_DAY_COUNT_FRACTION_ACT_ACT_AFB,
		FT_C_DAY_COUNT_FRACTION_ACT_ACT_ISDA,
		FT_C_DAY_COUNT_FRACTION_ACT_ACT_ISMA,
		FT_C_DAY_COUNT_FRACTION_ACT_361,
		FT_C_DAY_COUNT_FRACTION_ACT_362,
		EEFT_C_DAY_COUNT_FRACTION = -99999
} FT_C_DAY_COUNT_FRACTIONEnum;


typedef enum {		/*  (0) */
		FT_C_EXERCISE_TYPE_Anticipated,
		FT_C_EXERCISE_TYPE_Exception,
		EEFT_C_EXERCISE_TYPE = -99999
} FT_C_EXERCISE_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_PHASE_FLAG_Old,
		FT_C_PHASE_FLAG_ToCome,
		FT_C_PHASE_FLAG_ToDelete,
		EEFT_C_PHASE_FLAG = -99999
} FT_C_PHASE_FLAGEnum;


typedef enum {		/*  (0) */
		FT_C_REQUEST_CODE_Security4Section,
		FT_C_REQUEST_CODE_SecurityInfo,
		FT_C_REQUEST_CODE_Depth,
		FT_C_REQUEST_CODE_Book,
		FT_C_REQUEST_CODE_Best,
		FT_C_REQUEST_CODE_Order,
		FT_C_REQUEST_CODE_Fill,
		FT_C_REQUEST_CODE_Starting,
		FT_C_REQUEST_CODE_Start,
		FT_C_REQUEST_CODE_All,
		FT_C_REQUEST_CODE_Unsub,
		FT_C_REQUEST_CODE_UnsubDepth,
		FT_C_REQUEST_CODE_UnsubBook,
		FT_C_REQUEST_CODE_SubExt,
		FT_C_REQUEST_CODE_InventoryBook,
		FT_C_REQUEST_CODE_PrivateBook,
		FT_C_REQUEST_CODE_UnsubInventoryBook,
		FT_C_REQUEST_CODE_UnsubPrivateBook,
		EEFT_C_REQUEST_CODE = -99999
} FT_C_REQUEST_CODEEnum;


typedef enum {		/*  (0) */
		FT_C_EXEC_HISTORY_TYPE_Min,
		FT_C_EXEC_HISTORY_TYPE_Quart,
		FT_C_EXEC_HISTORY_TYPE_Hour,
		FT_C_EXEC_HISTORY_TYPE_Day,
		EEFT_C_EXEC_HISTORY_TYPE = -99999
} FT_C_EXEC_HISTORY_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_EXERCISE_STATUS_Confirmed,
		FT_C_EXERCISE_STATUS_Rejected,
		EEFT_C_EXERCISE_STATUS = -99999
} FT_C_EXERCISE_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_STATISTICS_TYPE_Life,
		FT_C_STATISTICS_TYPE_Yesterday,
		FT_C_STATISTICS_TYPE_Today,
		FT_C_STATISTICS_TYPE_Hour,
		FT_C_STATISTICS_TYPE_Quarter,
		FT_C_STATISTICS_TYPE_Min,
		FT_C_STATISTICS_TYPE_4Weeks,
		FT_C_STATISTICS_TYPE_Trade,
		FT_C_STATISTICS_TYPE_Settlement,
		FT_C_STATISTICS_TYPE_LastMonth,
		FT_C_STATISTICS_TYPE_WEBYesterday,
		EEFT_C_STATISTICS_TYPE = -99999
} FT_C_STATISTICS_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_MEMB_STATISTICS_AGGR_TYPE_All,
		FT_C_MEMB_STATISTICS_AGGR_TYPE_Repo_Special,
		FT_C_MEMB_STATISTICS_AGGR_TYPE_Repo_Allocated,
		EEFT_C_MEMB_STATISTICS_AGGR_TYPE = -99999
} FT_C_MEMB_STATISTICS_AGGR_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_AUCTION_TYPE_Opening,
		FT_C_AUCTION_TYPE_Closure,
		FT_C_AUCTION_TYPE_Intraday,
		EEFT_C_AUCTION_TYPE = -99999
} FT_C_AUCTION_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_AP_SUIT_Undef,
		FT_C_AP_SUIT_Valid,
		FT_C_AP_SUIT_Not_Valid,
		EEFT_C_AP_SUIT = -99999
} FT_C_AP_SUITEnum;


typedef enum {		/*  (0) */
		FT_C_CROSS_ORDER_TYPE_Undef,
		FT_C_CROSS_ORDER_TYPE_InternalCross,
		FT_C_CROSS_ORDER_TYPE_InterbankCross,
		FT_C_CROSS_ORDER_TYPE_ExternalCross,
		FT_C_CROSS_ORDER_TYPE_InterbankBTF,
		EEFT_C_CROSS_ORDER_TYPE = -99999
} FT_C_CROSS_ORDER_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_MEMBER_TYPE_None,
		FT_C_MEMBER_TYPE_Governance,
		FT_C_MEMBER_TYPE_Primary,
		FT_C_MEMBER_TYPE_Dealer,
		FT_C_MEMBER_TYPE_Datafeed,
		FT_C_MEMBER_TYPE_Press,
		FT_C_MEMBER_TYPE_Clearing,
		FT_C_MEMBER_TYPE_Custodian,
		FT_C_MEMBER_TYPE_Reporter,
		FT_C_MEMBER_TYPE_Association,
		FT_C_MEMBER_TYPE_Observer,
		FT_C_MEMBER_TYPE_All,
		FT_C_MEMBER_TYPE_RegularBank,
		FT_C_MEMBER_TYPE_BankOfItaly,
		FT_C_MEMBER_TYPE_Broker,
		FT_C_MEMBER_TYPE_EnduserCluster,
		FT_C_MEMBER_TYPE_FuturesBridge,
		FT_C_MEMBER_TYPE_InvestmentCompany,
		FT_C_MEMBER_TYPE_Corporate,
		EEFT_C_MEMBER_TYPE = -99999
} FT_C_MEMBER_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_REPO_BASKET_None,
		FT_C_REPO_BASKET_SPECIAL,
		FT_C_REPO_BASKET_GENERAL,
		FT_C_REPO_BASKET_BOTH,
		EEFT_C_REPO_BASKET = -99999
} FT_C_REPO_BASKETEnum;


typedef enum {		/*  (0) */
		FT_C_REPO_CLASS_None,
		FT_C_REPO_CLASS_Classic,
		FT_C_REPO_CLASS_BuySellBack,
		FT_C_REPO_CLASS_Triparty,
		EEFT_C_REPO_CLASS = -99999
} FT_C_REPO_CLASSEnum;


typedef enum {		/*  (0) */
		FT_C_ENABLE_REPO_CLASS_None,
		FT_C_ENABLE_REPO_CLASS_Classic,
		FT_C_ENABLE_REPO_CLASS_BuySellBack,
		FT_C_ENABLE_REPO_CLASS_All,
		FT_C_ENABLE_REPO_CLASS_Triparty,
		EEFT_C_ENABLE_REPO_CLASS = -99999
} FT_C_ENABLE_REPO_CLASSEnum;


typedef enum {		/*  (0) */
		FT_C_ALLOC_STATUS_NotFullyAllocated,
		FT_C_ALLOC_STATUS_FullyAllocated,
		FT_C_ALLOC_STATUS_Substituted,
		EEFT_C_ALLOC_STATUS = -99999
} FT_C_ALLOC_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_BD_TYPE_NoBD,
		FT_C_BD_TYPE_BDMaster,
		FT_C_BD_TYPE_BDInstance,
		EEFT_C_BD_TYPE = -99999
} FT_C_BD_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_DUR_UNIT_None,
		FT_C_DUR_UNIT_Day,
		FT_C_DUR_UNIT_Month,
		EEFT_C_DUR_UNIT = -99999
} FT_C_DUR_UNITEnum;


typedef enum {		/*  (0) */
		FT_C_W_SETUP_VALUE_Unwelcome,
		FT_C_W_SETUP_VALUE_Welcome,
		FT_C_W_SETUP_VALUE_WelcomePlus,
		EEFT_C_W_SETUP_VALUE = -99999
} FT_C_W_SETUP_VALUEEnum;


typedef enum {		/*  (0) */
		FT_C_W_SETUP_TYPE_DepoDeliveryRisk,
		FT_C_W_SETUP_TYPE_DepoCreditLimit,
		FT_C_W_SETUP_TYPE_DepoSwapLimit,
		EEFT_C_W_SETUP_TYPE = -99999
} FT_C_W_SETUP_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_SETUP_STATUS_Active,
		FT_C_SETUP_STATUS_Cancelled,
		EEFT_C_SETUP_STATUS = -99999
} FT_C_SETUP_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_PROPOSAL_ACTION_None,
		FT_C_PROPOSAL_ACTION_SuspendProposal,
		FT_C_PROPOSAL_ACTION_DecreaseQuantity,
		EEFT_C_PROPOSAL_ACTION = -99999
} FT_C_PROPOSAL_ACTIONEnum;


typedef enum {		/*  (0) */
		FT_C_CONTRACT_TYPE_None,
		FT_C_CONTRACT_TYPE_Loan,
		FT_C_CONTRACT_TYPE_Refound,
		EEFT_C_CONTRACT_TYPE = -99999
} FT_C_CONTRACT_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_OTC_TYPE_None,
		FT_C_OTC_TYPE_Block,
		FT_C_OTC_TYPE_OffExchange,
		FT_C_OTC_TYPE_InternalClient,
		FT_C_OTC_TYPE_External,
		FT_C_OTC_TYPE_ReverseOff,
		FT_C_OTC_TYPE_ReverseBlock,
		FT_C_OTC_TYPE_Biso,
		EEFT_C_OTC_TYPE = -99999
} FT_C_OTC_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_WEEK_DAY_Undefined,
		FT_C_WEEK_DAY_Monday,
		FT_C_WEEK_DAY_Tuesday,
		FT_C_WEEK_DAY_Wednesday,
		FT_C_WEEK_DAY_Thursday,
		FT_C_WEEK_DAY_Friday,
		FT_C_WEEK_DAY_Saturday,
		FT_C_WEEK_DAY_Sunday,
		EEFT_C_WEEK_DAY = -99999
} FT_C_WEEK_DAYEnum;


typedef enum {		/*  (0) */
		FT_C_DATE_TYPE_START_DATE,
		FT_C_DATE_TYPE_END_DATE,
		FT_C_DATE_TYPE_BOTH,
		EEFT_C_DATE_TYPE = -99999
} FT_C_DATE_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_CUTOFF_TYPE_TRADING,
		FT_C_CUTOFF_TYPE_GC_DEFINITION,
		FT_C_CUTOFF_TYPE_BOTH,
		EEFT_C_CUTOFF_TYPE = -99999
} FT_C_CUTOFF_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_MARKET_CLASS_TYPE_All,
		FT_C_MARKET_CLASS_TYPE_MemberStatus,
		FT_C_MARKET_CLASS_TYPE_TraderStatus,
		FT_C_MARKET_CLASS_TYPE_Message,
		FT_C_MARKET_CLASS_TYPE_Admin,
		FT_C_MARKET_CLASS_TYPE_PublicInfo,
		FT_C_MARKET_CLASS_TYPE_PrivateInfo,
		EEFT_C_MARKET_CLASS_TYPE = -99999
} FT_C_MARKET_CLASS_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_INSTR_CLASS_TYPE_All,
		FT_C_INSTR_CLASS_TYPE_Order,
		FT_C_INSTR_CLASS_TYPE_Proposal,
		FT_C_INSTR_CLASS_TYPE_Rfq,
		FT_C_INSTR_CLASS_TYPE_PublicInfo,
		FT_C_INSTR_CLASS_TYPE_PrivateInfo,
		FT_C_INSTR_CLASS_TYPE_OTC,
		FT_C_INSTR_CLASS_TYPE_MidPriceFASOrder,
		FT_C_INSTR_CLASS_TYPE_MidPriceFOKOrder,
		FT_C_INSTR_CLASS_TYPE_InventoryOrderSend,
		FT_C_INSTR_CLASS_TYPE_InventoryOrderRespond,
		EEFT_C_INSTR_CLASS_TYPE = -99999
} FT_C_INSTR_CLASS_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_ACCESS_RIGHT_None,
		FT_C_ACCESS_RIGHT_Read,
		FT_C_ACCESS_RIGHT_ReadWrite,
		EEFT_C_ACCESS_RIGHT = -99999
} FT_C_ACCESS_RIGHTEnum;


typedef enum {		/*  (0) */
		FT_C_FORCE_TYPE_NeverForcing,
		FT_C_FORCE_TYPE_ClassicRepoTrade,
		FT_C_FORCE_TYPE_BuySellBack,
		EEFT_C_FORCE_TYPE = -99999
} FT_C_FORCE_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_CP_CODE_TYPE_UNDEF,
		FT_C_CP_CODE_TYPE_CIBI,
		FT_C_CP_CODE_TYPE_NPE,
		FT_C_CP_CODE_TYPE_SWIFT,
		FT_C_CP_CODE_TYPE_CAB,
		FT_C_CP_CODE_TYPE_ABI,
		FT_C_CP_CODE_TYPE_IVA,
		FT_C_CP_CODE_TYPE_CED,
		EEFT_C_CP_CODE_TYPE = -99999
} FT_C_CP_CODE_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_TC_Generic,
		FT_C_TC_ForeignBranch,
		FT_C_TC_Subsidiary,
		FT_C_TC_Internal,
		FT_C_TC_Broker,
		FT_C_TC_Client,
		EEFT_C_CP_TYPE = -99999
} FT_C_CP_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_ISSUE_TYPE_Fixed_Price,
		FT_C_ISSUE_TYPE_Max_Quantity,
		FT_C_ISSUE_TYPE_Manual,
		EEFT_C_ISSUE_TYPE = -99999
} FT_C_ISSUE_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_ISSUE_MODE_Standard,
		FT_C_ISSUE_MODE_Reverse,
		EEFT_C_ISSUE_MODE = -99999
} FT_C_ISSUE_MODEEnum;


typedef enum {		/*  (0) */
		FT_C_ISSUE_STATUS_Open,
		FT_C_ISSUE_STATUS_Issuing,
		FT_C_ISSUE_STATUS_Closed,
		FT_C_ISSUE_STATUS_Executed,
		FT_C_ISSUE_STATUS_CancelledByGov,
		EEFT_C_ISSUE_STATUS = -99999
} FT_C_ISSUE_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_ISSUE_ACCESS_None,
		FT_C_ISSUE_ACCESS_Restricted,
		FT_C_ISSUE_ACCESS_Full,
		EEFT_C_ISSUE_ACCESS = -99999
} FT_C_ISSUE_ACCESSEnum;


typedef enum {		/*  (0) */
		FT_C_REQUEST_FOR_QUOTE_STATUS_FirstRequest,
		FT_C_REQUEST_FOR_QUOTE_STATUS_FirstAcceptance,
		FT_C_REQUEST_FOR_QUOTE_STATUS_SecondRequest,
		FT_C_REQUEST_FOR_QUOTE_STATUS_Accepted,
		FT_C_REQUEST_FOR_QUOTE_STATUS_Cancelled,
		FT_C_REQUEST_FOR_QUOTE_STATUS_CancelledByGov,
		FT_C_REQUEST_FOR_QUOTE_STATUS_RejectedByUser,
		FT_C_REQUEST_FOR_QUOTE_STATUS_RejectedByTimeout,
		FT_C_REQUEST_FOR_QUOTE_STATUS_RejectedByPanic,
		FT_C_REQUEST_FOR_QUOTE_STATUS_FirstInquiry,
		FT_C_REQUEST_FOR_QUOTE_STATUS_FirstMultiInquiry,
		FT_C_REQUEST_FOR_QUOTE_STATUS_MltInqryAccptnc,
		FT_C_REQUEST_FOR_QUOTE_STATUS_InquiryTime,
		FT_C_REQUEST_FOR_QUOTE_STATUS_Suspended,
		FT_C_REQUEST_FOR_QUOTE_STATUS_AcceptAndDecrease,
		FT_C_REQUEST_FOR_QUOTE_STATUS_AcceptAndSuspend,
		FT_C_REQUEST_FOR_QUOTE_STATUS_AcceptAndTradeOff,
		FT_C_REQUEST_FOR_QUOTE_STATUS_RejectAndUnwelcome,
		FT_C_REQUEST_FOR_QUOTE_STATUS_RejectAndSuspend,
		FT_C_REQUEST_FOR_QUOTE_STATUS_RejectAndTradeOff,
		FT_C_REQUEST_FOR_QUOTE_STATUS_Streaming,
		FT_C_REQUEST_FOR_QUOTE_STATUS_CF,
		FT_C_REQUEST_FOR_QUOTE_STATUS_Locked,
		FT_C_REQUEST_FOR_QUOTE_STATUS_PF,
		FT_C_REQUEST_FOR_QUOTE_STATUS_ZF,
		FT_C_REQUEST_FOR_QUOTE_STATUS_Expired,
		FT_C_REQUEST_FOR_QUOTE_STATUS_RejectedBySystem,
		FT_C_REQUEST_FOR_QUOTE_STATUS_DeletedForSusp,
		FT_C_REQUEST_FOR_QUOTE_STATUS_Matched,
		FT_C_REQUEST_FOR_QUOTE_STATUS_NoInterest,
		FT_C_REQUEST_FOR_QUOTE_STATUS_QuoteSuspended,
		FT_C_REQUEST_FOR_QUOTE_STATUS_AcceptAndActive,
		FT_C_REQUEST_FOR_QUOTE_STATUS_RejectAndActive,
		FT_C_REQUEST_FOR_QUOTE_STATUS_QuoteCancelled,
		FT_C_REQUEST_FOR_QUOTE_STATUS_PartiallyAccepted,
		FT_C_REQUEST_FOR_QUOTE_STATUS_WaitingForStart,
		FT_C_REQUEST_FOR_QUOTE_STATUS_AcceptAndDecreaseAndUnwelcome,
		FT_C_REQUEST_FOR_QUOTE_STATUS_AcceptAndSuspendAndUnwelcome,
		FT_C_REQUEST_FOR_QUOTE_STATUS_AcceptAndActiveAndUnwelcome,
		FT_C_REQUEST_FOR_QUOTE_STATUS_RejectAndSuspendAndUnwelcome,
		FT_C_REQUEST_FOR_QUOTE_STATUS_RejectAndActiveAndUnwelcome,
		EEFT_C_REQUEST_FOR_QUOTE_STATUS = -99999
} FT_C_REQUEST_FOR_QUOTE_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_RFQ_TYPE_None,
		FT_C_RFQ_TYPE_Qty,
		FT_C_RFQ_TYPE_Price,
		FT_C_RFQ_TYPE_Order,
		FT_C_RFQ_TYPE_AuctionQty,
		FT_C_RFQ_TYPE_AuctionPriceQty,
		FT_C_RFQ_TYPE_LimitOrder,
		FT_C_RFQ_TYPE_TradeAtTime,
		FT_C_RFQ_TYPE_IOI,
		FT_C_RFQ_TYPE_Axe,
		FT_C_RFQ_TYPE_LimitOrderAxe,
		FT_C_RFQ_TYPE_MMSellBack,
		FT_C_RFQ_TYPE_BySpread,
		EEFT_C_RFQ_TYPE = -99999
} FT_C_RFQ_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_PRD_RESULT_NewBD,
		FT_C_PRD_RESULT_OverlapBD,
		FT_C_PRD_RESULT_OverlapStdPrd,
		FT_C_PRD_RESULT_SettlInfo,
		EEFT_C_PRD_RESULT = -99999
} FT_C_PRD_RESULTEnum;


typedef enum {		/*  (0) */
		FT_C_REC_TYPE_Normal,
		FT_C_REC_TYPE_FirstTranche,
		FT_C_REC_TYPE_SecondTranche,
		EEFT_C_REC_TYPE = -99999
} FT_C_REC_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_CLIENT_TYPE_None,
		FT_C_CLIENT_TYPE_Administrated,
		FT_C_CLIENT_TYPE_Managed,
		FT_C_CLIENT_TYPE_Institutional,
		FT_C_CLIENT_TYPE_Proprietary,
		EEFT_C_CLIENT_TYPE = -99999
} FT_C_CLIENT_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_ACCOUNT_TYPE_None,
		FT_C_ACCOUNT_TYPE_Master,
		FT_C_ACCOUNT_TYPE_Settlement,
		EEFT_C_ACCOUNT_TYPE = -99999
} FT_C_ACCOUNT_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_CARE_RELEASE_STATUS_New,
		FT_C_CARE_RELEASE_STATUS_Progress,
		FT_C_CARE_RELEASE_STATUS_Settlement,
		FT_C_CARE_RELEASE_STATUS_Manual,
		EEFT_C_CARE_RELEASE_STATUS = -99999
} FT_C_CARE_RELEASE_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_PERIOD_None,
		FT_C_PERIOD_Term,
		FT_C_PERIOD_Day,
		FT_C_PERIOD_Week,
		FT_C_PERIOD_Month,
		FT_C_PERIOD_Year,
		FT_C_PERIOD_AtMaturity,
		FT_C_PERIOD_Overnight,
		EEFT_C_PERIOD = -99999
} FT_C_PERIODEnum;


typedef enum {		/*  (0) */
		FT_C_ERROR_SOURCE_Und,
		FT_C_ERROR_SOURCE_MM,
		FT_C_ERROR_SOURCE_Mrk,
		EEFT_C_ERROR_SOURCE = -99999
} FT_C_ERROR_SOURCEEnum;


typedef enum {		/*  (0) */
		FT_C_OWN_TYPE_Und,
		FT_C_OWN_TYPE_Lock,
		FT_C_OWN_TYPE_Private,
		FT_C_OWN_TYPE_BLGLock,
		FT_C_OWN_TYPE_InternalBroker,
		EEFT_C_OWN_TYPE = -99999
} FT_C_OWN_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_PRIORITY_Low,
		FT_C_PRIORITY_BelNorm,
		FT_C_PRIORITY_Norm,
		FT_C_PRIORITY_AboNorm,
		FT_C_PRIORITY_High,
		FT_C_PRIORITY_Highest,
		EEFT_C_PRIORITY = -99999
} FT_C_PRIORITYEnum;


typedef enum {		/*  (0) */
		FT_C_LINKED_QUOTE_STATUS_Active,
		FT_C_LINKED_QUOTE_STATUS_Deleted,
		EEFT_C_LINKED_QUOTE_STATUS = -99999
} FT_C_LINKED_QUOTE_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_ACTION_Add,
		FT_C_ACTION_Edit,
		FT_C_ACTION_Delete,
		FT_C_ACTION_Trade,
		FT_C_ACTION_TradeCorrect,
		FT_C_ACTION_TradeCancel,
		FT_C_ACTION_ClientFill,
		FT_C_ACTION_Unexecuted,
		FT_C_ACTION_PendingNew,
		FT_C_ACTION_PendingCancel,
		FT_C_ACTION_Closure,
		FT_C_ACTION_Opening,
		FT_C_ACTION_Split,
		FT_C_ACTION_WaitingDelete,
		FT_C_ACTION_StopActivation,
		FT_C_ACTION_AutoSettlement,
		FT_C_ACTION_Moving,
		FT_C_ACTION_Sweep,
		FT_C_ACTION_CMD_Get,
		FT_C_ACTION_CMD_Get_Forced,
		FT_C_ACTION_CMD_Get_Ownership,
		FT_C_ACTION_CMD_Get_Ownership_Forced,
		FT_C_ACTION_RFQ_PendingCancel,
		FT_C_ACTION_RFQ_Delete,
		FT_C_ACTION_SplitAck,
		FT_C_ACTION_TradeOn,
		FT_C_ACTION_TradeOff,
		FT_C_ACTION_OTOActivation,
		FT_C_ACTION_EOD,
		FT_C_ACTION_Merge,
		FT_C_ACTION_MassCancel,
		EEFT_C_ACTION = -99999
} FT_C_ACTIONEnum;


typedef enum {		/*  (0) */
		FT_C_MASS_CLASS_Order,
		FT_C_MASS_CLASS_Quote,
		FT_C_MASS_CLASS_All,
		FT_C_MASS_CLASS_RFQ,
		EEFT_C_MASS_CLASS = -99999
} FT_C_MASS_CLASSEnum;


typedef enum {		/*  (0) */
		FT_C_MASS_ACTION_LIST_None,
		FT_C_MASS_ACTION_LIST_Ind2Norm,
		FT_C_MASS_ACTION_LIST_Norm2Ind,
		FT_C_MASS_ACTION_LIST_Cancel,
		FT_C_MASS_ACTION_LIST_CancelStop,
		FT_C_MASS_ACTION_LIST_CancelAll,
		EEFT_C_MASS_ACTION_LIST = -99999
} FT_C_MASS_ACTION_LISTEnum;


typedef enum {		/*  (0) */
		FT_C_TRADABLE_FLAG_None,
		FT_C_TRADABLE_FLAG_All,
		FT_C_TRADABLE_FLAG_Manual,
		FT_C_TRADABLE_FLAG_AutoAccept,
		FT_C_TRADABLE_FLAG_RFQ,
		EEFT_C_TRADABLE_FLAG = -99999
} FT_C_TRADABLE_FLAGEnum;


typedef enum {		/*  (0) */
		FT_C_TRANS_STATUS_Flying,
		FT_C_TRANS_STATUS_Committed,
		FT_C_TRANS_STATUS_Aborted,
		EEFT_C_TRANS_STATUS = -99999
} FT_C_TRANS_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_SPOTPRICE_MODE_RequestToProvider,
		FT_C_SPOTPRICE_MODE_UseLastReceivedPrice,
		FT_C_SPOTPRICE_MODE_UseTransactionSpotPrice,
		EEFT_C_SPOTPRICE_MODE = -99999
} FT_C_SPOTPRICE_MODEEnum;


typedef enum {		/*  (0) */
		FT_C_FLOW_TYPE_Default,
		FT_C_FLOW_TYPE_TradingRoom,
		FT_C_FLOW_TYPE_AutoOrderFlow,
		FT_C_FLOW_TYPE_TOL,
		FT_C_FLOW_TYPE_HOME_BANKING,
		FT_C_FLOW_TYPE_PHONE_BANKING,
		FT_C_FLOW_TYPE_PRIVATE,
		FT_C_FLOW_TYPE_PUB_OFFER,
		FT_C_FLOW_TYPE_CIRCUIT,
		EEFT_C_FLOW_TYPE = -99999
} FT_C_FLOW_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_OP_TYPE_None,
		FT_C_OP_TYPE_AuthorizedOperator,
		FT_C_OP_TYPE_InstitutionalDealer,
		FT_C_OP_TYPE_Private,
		FT_C_OP_TYPE_Other,
		FT_C_OP_TYPE_Branch,
		FT_C_OP_TYPE_Retail_TOL,
		EEFT_C_OP_TYPE = -99999
} FT_C_OP_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_MARKET_STATE_TYPE_Public,
		FT_C_MARKET_STATE_TYPE_Private,
		EEFT_C_MARKET_STATE_TYPE = -99999
} FT_C_MARKET_STATE_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_CARE_ORDER_REQUEST_STATUS_Pending,
		FT_C_CARE_ORDER_REQUEST_STATUS_Accepted,
		FT_C_CARE_ORDER_REQUEST_STATUS_Rejected,
		FT_C_CARE_ORDER_REQUEST_STATUS_Deleted,
		EEFT_C_CARE_ORDER_REQUEST_STATUS = -99999
} FT_C_CARE_ORDER_REQUEST_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_CLIENT_FILL_AGGR_TYPE_Undef,
		FT_C_CLIENT_FILL_AGGR_TYPE_MarketAggregate,
		FT_C_CLIENT_FILL_AGGR_TYPE_PhaseAggregate,
		FT_C_CLIENT_FILL_AGGR_TYPE_ClientAggregate,
		FT_C_CLIENT_FILL_AGGR_TYPE_PreOpening,
		EEFT_C_CLIENT_FILL_AGGR_TYPE = -99999
} FT_C_CLIENT_FILL_AGGR_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_INTERNALIZER_MODE_Default,
		FT_C_INTERNALIZER_MODE_Client,
		FT_C_INTERNALIZER_MODE_Proprietary,
		FT_C_INTERNALIZER_MODE_PrivateBook,
		FT_C_INTERNALIZER_MODE_No,
		EEFT_C_INTERNALIZER_MODE = -99999
} FT_C_INTERNALIZER_MODEEnum;


typedef enum {		/*  (0) */
		FT_C_BEST_EXEC_PRIORITY_Default,
		FT_C_BEST_EXEC_PRIORITY_TotalConsideration,
		FT_C_BEST_EXEC_PRIORITY_Speed,
		FT_C_BEST_EXEC_PRIORITY_Likelihood,
		EEFT_C_BEST_EXEC_PRIORITY = -99999
} FT_C_BEST_EXEC_PRIORITYEnum;


typedef enum {		/*  (0) */
		FT_C_BYPASS_FLAG_None,
		FT_C_BYPASS_FLAG_RM,
		FT_C_BYPASS_FLAG_MM,
		FT_C_BYPASS_FLAG_RM_MM,
		FT_C_BYPASS_FLAG_MM_OS,
		FT_C_BYPASS_FLAG_MM_PRICE,
		FT_C_BYPASS_FLAG_MM_OS_PRICE,
		EEFT_C_BYPASS_FLAG = -99999
} FT_C_BYPASS_FLAGEnum;


typedef enum {		/*  (0) */
		FT_C_DEALING_STATUS_Undef,
		FT_C_DEALING_STATUS_Waiting,
		FT_C_DEALING_STATUS_Dealing,
		EEFT_C_DEALING_STATUS = -99999
} FT_C_DEALING_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_DER_ACCOUNT_TYPE_Undef,
		FT_C_DER_ACCOUNT_TYPE_GiveUp,
		FT_C_DER_ACCOUNT_TYPE_MainAccount,
		FT_C_DER_ACCOUNT_TYPE_SubAccount,
		EEFT_C_DER_ACCOUNT_TYPE = -99999
} FT_C_DER_ACCOUNT_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_FILL_EXCEPTION_STATUS_None,
		FT_C_FILL_EXCEPTION_STATUS_FillTooOld,
		FT_C_FILL_EXCEPTION_STATUS_Overfill,
		FT_C_FILL_EXCEPTION_STATUS_UnknownOrder,
		FT_C_FILL_EXCEPTION_STATUS_ClosedOrder,
		FT_C_FILL_EXCEPTION_STATUS_NullFee,
		FT_C_FILL_EXCEPTION_STATUS_Force,
		FT_C_FILL_EXCEPTION_STATUS_WaitingForExchangeRate,
		FT_C_FILL_EXCEPTION_STATUS_ExchangeRateMissing,
		FT_C_FILL_EXCEPTION_STATUS_ForcedExchangeRate,
		FT_C_FILL_EXCEPTION_STATUS_NullAccrInt,
		EEFT_C_FILL_EXCEPTION_STATUS = -99999
} FT_C_FILL_EXCEPTION_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_RETRY_ACTION_None,
		FT_C_RETRY_ACTION_ForceClosure,
		FT_C_RETRY_ACTION_ForceOrderToMarket,
		FT_C_RETRY_ACTION_RecalcFees,
		FT_C_RETRY_ACTION_ForceFees,
		FT_C_RETRY_ACTION_ForceSweep,
		FT_C_RETRY_ACTION_Lock,
		FT_C_RETRY_ACTION_Unlock,
		FT_C_RETRY_ACTION_EOD,
		FT_C_RETRY_ACTION_MoveOrder,
		FT_C_RETRY_ACTION_RecalcAccrInt,
		FT_C_RETRY_ACTION_ForceAccrInt,
		EEFT_C_RETRY_ACTION = -99999
} FT_C_RETRY_ACTIONEnum;


typedef enum {		/*  (0) */
		FT_C_SHORT_STATUS_Undef,
		FT_C_SHORT_STATUS_OrderRequest,
		FT_C_SHORT_STATUS_OrderSent,
		FT_C_SHORT_STATUS_OrderSentToMrk,
		FT_C_SHORT_STATUS_OrderConfirmedFromMrk,
		FT_C_SHORT_STATUS_OrderRefused,
		FT_C_SHORT_STATUS_OrderDeleted,
		FT_C_SHORT_STATUS_OrderRefused2,
		FT_C_SHORT_STATUS_OrderDeleted2,
		FT_C_SHORT_STATUS_Trade,
		FT_C_SHORT_STATUS_CompletelyFilled,
		FT_C_SHORT_STATUS_DeleteRequest,
		FT_C_SHORT_STATUS_DeleteRefused,
		FT_C_SHORT_STATUS_DeleteSentToMKT_OUT,
		FT_C_SHORT_STATUS_DeleteSentToMrk,
		FT_C_SHORT_STATUS_DeleteRefused2,
		FT_C_SHORT_STATUS_DeleteExecuted,
		FT_C_SHORT_STATUS_UpdateInfBonds,
		FT_C_SHORT_STATUS_OrderClosed,
		FT_C_SHORT_STATUS_StopOrderAccepted,
		FT_C_SHORT_STATUS_StopOrderRefused,
		FT_C_SHORT_STATUS_ConfirmTradeC,
		FT_C_SHORT_STATUS_ConfirmNegTradeC,
		FT_C_SHORT_STATUS_TradeDeleted,
		FT_C_SHORT_STATUS_TradeModified,
		FT_C_SHORT_STATUS_GetOrder,
		FT_C_SHORT_STATUS_OperatorAction,
		FT_C_SHORT_STATUS_ReleaseNewPDN,
		FT_C_SHORT_STATUS_EditRequest,
		FT_C_SHORT_STATUS_EditRefused,
		FT_C_SHORT_STATUS_EditExecuted,
		FT_C_SHORT_STATUS_OrderAccepted,
		FT_C_SHORT_STATUS_OrderWait,
		FT_C_SHORT_STATUS_OrderWaitFilter,
		FT_C_SHORT_STATUS_EditWait,
		FT_C_SHORT_STATUS_EditWaitFilter,
		FT_C_SHORT_STATUS_DeleteWait,
		FT_C_SHORT_STATUS_DeleteWaitFilter,
		FT_C_SHORT_STATUS_ClientFill,
		FT_C_SHORT_STATUS_OrderCreation,
		FT_C_SHORT_STATUS_UnExecuted,
		FT_C_SHORT_STATUS_AutoSettlement,
		FT_C_SHORT_STATUS_Split,
		FT_C_SHORT_STATUS_OrderReOpening,
		FT_C_SHORT_STATUS_Moving,
		FT_C_SHORT_STATUS_PartiallyFilled,
		FT_C_SHORT_STATUS_FeeForced,
		FT_C_SHORT_STATUS_FeeRecalculated,
		FT_C_SHORT_STATUS_TradeFeeException,
		FT_C_SHORT_STATUS_ClientFillFeeException,
		FT_C_SHORT_STATUS_TradeFeeForced,
		FT_C_SHORT_STATUS_TradeFeeEod,
		FT_C_SHORT_STATUS_TradeFeeCutoff,
		FT_C_SHORT_STATUS_TradeRecalculated,
		FT_C_SHORT_STATUS_CFillFeeForced,
		FT_C_SHORT_STATUS_CFillFeeEod,
		FT_C_SHORT_STATUS_CFillFeeCutoff,
		FT_C_SHORT_STATUS_ChangeRate,
		FT_C_SHORT_STATUS_ConfirmNeeded,
		FT_C_SHORT_STATUS_SweepingStarted,
		FT_C_SHORT_STATUS_SweepingExecuted,
		FT_C_SHORT_STATUS_SweepingFailed,
		FT_C_SHORT_STATUS_SweepingDisabled,
		FT_C_SHORT_STATUS_SweepingEnabled,
		FT_C_SHORT_STATUS_SweepingDailyRecalc,
		FT_C_SHORT_STATUS_OrderReceived,
		FT_C_SHORT_STATUS_OrderWait_MrkTradable,
		FT_C_SHORT_STATUS_OrderWait_SecTradable,
		FT_C_SHORT_STATUS_OrderWait_NextDate,
		FT_C_SHORT_STATUS_OrderWait_BestExec,
		FT_C_SHORT_STATUS_OrderWait_NextDateBE,
		FT_C_SHORT_STATUS_ResendToBe,
		FT_C_SHORT_STATUS_StrategyStatus,
		FT_C_SHORT_STATUS_MinderEvent,
		FT_C_SHORT_STATUS_RFQ_Request,
		FT_C_SHORT_STATUS_RFQ_Order,
		FT_C_SHORT_STATUS_RFQ_Rejected,
		FT_C_SHORT_STATUS_RFQ_Response,
		FT_C_SHORT_STATUS_RFQ_Delete,
		FT_C_SHORT_STATUS_AccruedInterestException,
		EEFT_C_SHORT_STATUS = -99999
} FT_C_SHORT_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_BLOTTER_STATE_Filter,
		EEFT_C_BLOTTER_STATE = -99999
} FT_C_BLOTTER_STATEEnum;


typedef enum {		/*  (0) */
		FT_C_SUMMARY_STATUS_Undef,
		FT_C_SUMMARY_STATUS_IomRej,
		FT_C_SUMMARY_STATUS_Error,
		FT_C_SUMMARY_STATUS_Exception,
		FT_C_SUMMARY_STATUS_Resubmitted,
		FT_C_SUMMARY_STATUS_Pending,
		FT_C_SUMMARY_STATUS_IomDel,
		FT_C_SUMMARY_STATUS_MktOutQueue,
		FT_C_SUMMARY_STATUS_OpnQueue,
		FT_C_SUMMARY_STATUS_MktCfm,
		FT_C_SUMMARY_STATUS_Rejected,
		FT_C_SUMMARY_STATUS_WaitRej,
		FT_C_SUMMARY_STATUS_PartFill,
		FT_C_SUMMARY_STATUS_Filled,
		FT_C_SUMMARY_STATUS_RevCfm,
		FT_C_SUMMARY_STATUS_Deleted,
		FT_C_SUMMARY_STATUS_WaitDel,
		FT_C_SUMMARY_STATUS_Received,
		FT_C_SUMMARY_STATUS_WaitFilter,
		FT_C_SUMMARY_STATUS_PartFillDel,
		FT_C_SUMMARY_STATUS_PartFillRevCfm,
		FT_C_SUMMARY_STATUS_Dealing,
		EEFT_C_SUMMARY_STATUS = -99999
} FT_C_SUMMARY_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_ORDER_FILL_EXCEPTION_None,
		FT_C_ORDER_FILL_EXCEPTION_CbgFill,
		FT_C_ORDER_FILL_EXCEPTION_ExchangeRateMissing,
		FT_C_ORDER_FILL_EXCEPTION_NullAccrInt,
		EEFT_C_ORDER_FILL_EXCEPTION = -99999
} FT_C_ORDER_FILL_EXCEPTIONEnum;


typedef enum {		/*  (0) */
		FT_C_FEE_EXCEPTION_None,
		FT_C_FEE_EXCEPTION_NullFee,
		FT_C_FEE_EXCEPTION_Force,
		EEFT_C_FEE_EXCEPTION = -99999
} FT_C_FEE_EXCEPTIONEnum;


typedef enum {		/*  (0) */
		FT_C_EXECUTION_PHASE_Undef,
		FT_C_EXECUTION_PHASE_PRA,
		FT_C_EXECUTION_PHASE_NEG,
		FT_C_EXECUTION_PHASE_CLO,
		EEFT_C_EXECUTION_PHASE = -99999
} FT_C_EXECUTION_PHASEEnum;


typedef enum {		/*  (0) */
		FT_C_RFQ_TRADING_MODEL_Undef,
		FT_C_RFQ_TRADING_MODEL_CAT,
		FT_C_RFQ_TRADING_MODEL_RFCQ,
		EEFT_C_RFQ_TRADING_MODEL = -99999
} FT_C_RFQ_TRADING_MODELEnum;


typedef enum {		/*  (0) */
		FT_C_IN_OUT_FLAG_Undef,
		FT_C_IN_OUT_FLAG_In,
		FT_C_IN_OUT_FLAG_Out,
		EEFT_C_IN_OUT_FLAG = -99999
} FT_C_IN_OUT_FLAGEnum;


typedef enum {		/*  (0) */
		FT_C_MATCHING_TYPE_Automatic,
		FT_C_MATCHING_TYPE_Manual,
		EEFT_C_MATCHING_TYPE = -99999
} FT_C_MATCHING_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_RFCQ_PROVIDER_STATUS_Processing,
		FT_C_RFCQ_PROVIDER_STATUS_Quoting,
		FT_C_RFCQ_PROVIDER_STATUS_Accepted,
		FT_C_RFCQ_PROVIDER_STATUS_Matched,
		FT_C_RFCQ_PROVIDER_STATUS_Closed,
		FT_C_RFCQ_PROVIDER_STATUS_Refused,
		FT_C_RFCQ_PROVIDER_STATUS_Timeout,
		FT_C_RFCQ_PROVIDER_STATUS_DeletedByGovernance,
		FT_C_RFCQ_PROVIDER_STATUS_InvalidMember,
		FT_C_RFCQ_PROVIDER_STATUS_Disconnected,
		FT_C_RFCQ_PROVIDER_STATUS_NoTradingRelation,
		FT_C_RFCQ_PROVIDER_STATUS_InvalidAccount,
		FT_C_RFCQ_PROVIDER_STATUS_InvalidSettlDate,
		FT_C_RFCQ_PROVIDER_STATUS_ClosedByGovernance,
		FT_C_RFCQ_PROVIDER_STATUS_MemberNotEnabled,
		FT_C_RFCQ_PROVIDER_STATUS_RefusedToQuote,
		FT_C_RFCQ_PROVIDER_STATUS_Quoted,
		FT_C_RFCQ_PROVIDER_STATUS_Winner,
		FT_C_RFCQ_PROVIDER_STATUS_ClosedBySystem,
		FT_C_RFCQ_PROVIDER_STATUS_DisabledRfcqType,
		EEFT_C_RFCQ_PROVIDER_STATUS = -99999
} FT_C_RFCQ_PROVIDER_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_RFQ_MODE_TYPE_Std,
		FT_C_RFQ_MODE_TYPE_Request,
		FT_C_RFQ_MODE_TYPE_Offer,
		FT_C_RFQ_MODE_TYPE_OrderNormal,
		FT_C_RFQ_MODE_TYPE_OrderBestPrice,
		FT_C_RFQ_MODE_TYPE_OrderBestProceeds,
		FT_C_RFQ_MODE_TYPE_OrderBestGrossYield,
		FT_C_RFQ_MODE_TYPE_OrderBestRiskWeightedYield,
		FT_C_RFQ_MODE_TYPE_OrderBestProceedsWeightedYield,
		EEFT_C_RFQ_MODE_TYPE = -99999
} FT_C_RFQ_MODE_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_MARKET_AFFILIATION_None,
		FT_C_MARKET_AFFILIATION_RegulatedMarket,
		FT_C_MARKET_AFFILIATION_MTF,
		EEFT_C_MARKET_AFFILIATION = -99999
} FT_C_MARKET_AFFILIATIONEnum;


typedef enum {		/*  (0) */
		FT_C_RFCQ_MLEG_TYPE_Outright,
		FT_C_RFCQ_MLEG_TYPE_Switch,
		FT_C_RFCQ_MLEG_TYPE_Butterfly,
		FT_C_RFCQ_MLEG_TYPE_MultiLeg,
		FT_C_RFCQ_MLEG_TYPE_ButterflyFree,
		FT_C_RFCQ_MLEG_TYPE_DoubleSided,
		FT_C_RFCQ_MLEG_TYPE_AllRFCQ,
		FT_C_RFCQ_MLEG_TYPE_InventoryOrder,
		FT_C_RFCQ_MLEG_TYPE_EarlyReleaseList,
		FT_C_RFCQ_MLEG_TYPE_MM_RequestOffer,
		FT_C_RFCQ_MLEG_TYPE_SpreadSwitch,
		EEFT_C_RFCQ_MLEG_TYPE = -99999
} FT_C_RFCQ_MLEG_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_RFCQ_TYPE_Outright,
		FT_C_RFCQ_TYPE_Switch,
		FT_C_RFCQ_TYPE_Butterfly,
		FT_C_RFCQ_TYPE_MultiLeg,
		FT_C_RFCQ_TYPE_ButterflyFree,
		FT_C_RFCQ_TYPE_DoubleSided,
		FT_C_RFCQ_TYPE_AllRFCQ,
		FT_C_RFCQ_TYPE_InventoryOrder,
		FT_C_RFCQ_TYPE_EarlyReleaseList,
		FT_C_RFCQ_TYPE_MM_RequestOffer,
		EEFT_C_RFCQ_TYPE = -99999
} FT_C_RFCQ_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_STATUS_Active,
		FT_C_STATUS_Deleted,
		EEFT_C_STATUS = -99999
} FT_C_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_RFCQ_TRADING_RELATION_STATUS_Processing,
		FT_C_RFCQ_TRADING_RELATION_STATUS_Accepted,
		FT_C_RFCQ_TRADING_RELATION_STATUS_Revoked,
		FT_C_RFCQ_TRADING_RELATION_STATUS_Refused,
		FT_C_RFCQ_TRADING_RELATION_STATUS_DeletedByGovernance,
		EEFT_C_RFCQ_TRADING_RELATION_STATUS = -99999
} FT_C_RFCQ_TRADING_RELATION_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_SIDE_Buy,
		FT_C_SIDE_Sell,
		EEFT_C_SIDE = -99999
} FT_C_SIDEEnum;


typedef enum {		/*  (0) */
		FT_C_ACCOUNT_INFO_STATUS_Accepted,
		FT_C_ACCOUNT_INFO_STATUS_Invalid,
		FT_C_ACCOUNT_INFO_STATUS_Refused,
		EEFT_C_ACCOUNT_INFO_STATUS = -99999
} FT_C_ACCOUNT_INFO_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_BLOCK_SPLIT_STATUS_Valid,
		FT_C_BLOCK_SPLIT_STATUS_Invalid,
		EEFT_C_BLOCK_SPLIT_STATUS = -99999
} FT_C_BLOCK_SPLIT_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_FILL_SPLIT_STATUS_Accepted,
		FT_C_FILL_SPLIT_STATUS_Processing,
		FT_C_FILL_SPLIT_STATUS_Refused,
		FT_C_FILL_SPLIT_STATUS_Assigned,
		FT_C_FILL_SPLIT_STATUS_Executed,
		FT_C_FILL_SPLIT_STATUS_Locked,
		FT_C_FILL_SPLIT_STATUS_Linked,
		FT_C_FILL_SPLIT_STATUS_Deleted,
		FT_C_FILL_SPLIT_STATUS_DeletedByGov,
		FT_C_FILL_SPLIT_STATUS_LinkedToTradingList,
		FT_C_FILL_SPLIT_STATUS_WaitingForSpotPrice,
		EEFT_C_FILL_SPLIT_STATUS = -99999
} FT_C_FILL_SPLIT_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_RFCQ_REQUEST_STATUS_Processing,
		FT_C_RFCQ_REQUEST_STATUS_Accepted,
		FT_C_RFCQ_REQUEST_STATUS_LifeTimeout,
		FT_C_RFCQ_REQUEST_STATUS_Closed,
		FT_C_RFCQ_REQUEST_STATUS_RefusedByAll,
		FT_C_RFCQ_REQUEST_STATUS_RejectedBySystem,
		FT_C_RFCQ_REQUEST_STATUS_ClosedByGovernance,
		FT_C_RFCQ_REQUEST_STATUS_ClosedBySystem,
		FT_C_RFCQ_REQUEST_STATUS_DeletedByGovernance,
		FT_C_RFCQ_REQUEST_STATUS_Matched,
		FT_C_RFCQ_REQUEST_STATUS_PartiallyAccepted,
		FT_C_RFCQ_REQUEST_STATUS_WaitingForStart,
		EEFT_C_RFCQ_REQUEST_STATUS = -99999
} FT_C_RFCQ_REQUEST_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_RFCQ_COVER_None,
		FT_C_RFCQ_COVER_ACCT,
		FT_C_RFCQ_COVER_TIED,
		FT_C_RFCQ_COVER_COVR,
		FT_C_RFCQ_COVER_COVT,
		FT_C_RFCQ_COVER_DAWY,
		FT_C_RFCQ_COVER_ACC,
		FT_C_RFCQ_COVER_ACCCVR,
		FT_C_RFCQ_COVER_ENDED,
		FT_C_RFCQ_COVER_BEST,
		EEFT_C_RFCQ_COVER = -99999
} FT_C_RFCQ_COVEREnum;


typedef enum {		/*  (0) */
		FT_C_CONNECTION_STATUS_Connected,
		FT_C_CONNECTION_STATUS_Disconnected,
		EEFT_C_CONNECTION_STATUS = -99999
} FT_C_CONNECTION_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_ACCEPTANCE_Undefined,
		FT_C_ACCEPTANCE_SelectiveAutomatic,
		FT_C_ACCEPTANCE_Manual,
		FT_C_ACCEPTANCE_Automatic,
		EEFT_C_ACCEPTANCE = -99999
} FT_C_ACCEPTANCEEnum;


typedef enum {		/*  (0) */
		FT_C_MATCHING_MODE_SingleProposal,
		FT_C_MATCHING_MODE_BestPrice,
		EEFT_C_MATCHING_MODE = -99999
} FT_C_MATCHING_MODEEnum;


typedef enum {		/*  (0) */
		FT_C_BEST_EXEC_PROFILE_None,
		FT_C_BEST_EXEC_PROFILE_BE_Disabled,
		FT_C_BEST_EXEC_PROFILE_BE_Restricted,
		FT_C_BEST_EXEC_PROFILE_BE_Unrestricted,
		FT_C_BEST_EXEC_PROFILE_BE_RestrictedWithSweeping,
		EEFT_C_BEST_EXEC_PROFILE = -99999
} FT_C_BEST_EXEC_PROFILEEnum;


typedef enum {		/*  (0) */
		FT_C_SETTL_TYPE_Manual,
		FT_C_SETTL_TYPE_Automatic,
		EEFT_C_SETTL_TYPE = -99999
} FT_C_SETTL_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_SETTL_DATE_TYPE_Regular,
		FT_C_SETTL_DATE_TYPE_Offset,
		FT_C_SETTL_DATE_TYPE_Future,
		EEFT_C_SETTL_DATE_TYPE = -99999
} FT_C_SETTL_DATE_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_SETUP_REASON_System,
		FT_C_SETUP_REASON_User,
		FT_C_SETUP_REASON_Restore,
		EEFT_C_SETUP_REASON = -99999
} FT_C_SETUP_REASONEnum;


typedef enum {		/*  (0) */
		FT_C_PEG_TYPE_None,
		FT_C_PEG_TYPE_PrimaryPeg,
		FT_C_PEG_TYPE_MarketPeg,
		FT_C_PEG_TYPE_MidPricePeg,
		EEFT_C_PEG_TYPE = -99999
} FT_C_PEG_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_RFQ_EXCLUSION_STATUS_Active,
		FT_C_RFQ_EXCLUSION_STATUS_Suspended,
		EEFT_C_RFQ_EXCLUSION_STATUS = -99999
} FT_C_RFQ_EXCLUSION_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_NEXT_DATE_MODE_None,
		FT_C_NEXT_DATE_MODE_Synthetic,
		FT_C_NEXT_DATE_MODE_Native,
		EEFT_C_NEXT_DATE_MODE = -99999
} FT_C_NEXT_DATE_MODEEnum;


typedef enum {		/*  (0) */
		FT_C_PERMISSION_TYPE_Undef,
		FT_C_PERMISSION_TYPE_Fasttrack,
		FT_C_PERMISSION_TYPE_Market,
		EEFT_C_PERMISSION_TYPE = -99999
} FT_C_PERMISSION_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_ALLOCATION_TYPE_Unspecified,
		FT_C_ALLOCATION_TYPE_SingleAccount,
		FT_C_ALLOCATION_TYPE_PreAllocation,
		EEFT_C_ALLOCATION_TYPE = -99999
} FT_C_ALLOCATION_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_RFCQ_ORIGIN_FromScratch,
		FT_C_RFCQ_ORIGIN_FromDealer,
		FT_C_RFCQ_ORIGIN_FromInventory,
		FT_C_RFCQ_ORIGIN_FromIOI,
		FT_C_RFCQ_ORIGIN_FromAXE,
		FT_C_RFCQ_ORIGIN_FromStagingOrder,
		EEFT_C_RFCQ_ORIGIN = -99999
} FT_C_RFCQ_ORIGINEnum;


typedef enum {		/*  (0) */
		FT_C_RFCQ_QUANTITY_CALCULATION_UserInput,
		FT_C_RFCQ_QUANTITY_CALCULATION_Risk,
		FT_C_RFCQ_QUANTITY_CALCULATION_ModifiedDuration,
		FT_C_RFCQ_QUANTITY_CALCULATION_Proceeds,
		EEFT_C_RFCQ_QUANTITY_CALCULATION = -99999
} FT_C_RFCQ_QUANTITY_CALCULATIONEnum;


typedef enum {		/*  (0) */
		FT_C_PREALLOCATION_TYPE_Public,
		FT_C_PREALLOCATION_TYPE_Private,
		FT_C_PREALLOCATION_TYPE_Template,
		EEFT_C_PREALLOCATION_TYPE = -99999
} FT_C_PREALLOCATION_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_RFCQ_TRADING_LIST_INFO_STATUS_Accepted,
		FT_C_RFCQ_TRADING_LIST_INFO_STATUS_Refused,
		EEFT_C_RFCQ_TRADING_LIST_INFO_STATUS = -99999
} FT_C_RFCQ_TRADING_LIST_INFO_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_RFCQ_TRADING_LIST_STATUS_Active,
		FT_C_RFCQ_TRADING_LIST_STATUS_Deleted,
		FT_C_RFCQ_TRADING_LIST_STATUS_Error,
		FT_C_RFCQ_TRADING_LIST_STATUS_Locked,
		FT_C_RFCQ_TRADING_LIST_STATUS_Processing,
		FT_C_RFCQ_TRADING_LIST_STATUS_Done,
		FT_C_RFCQ_TRADING_LIST_STATUS_NotSent,
		EEFT_C_RFCQ_TRADING_LIST_STATUS = -99999
} FT_C_RFCQ_TRADING_LIST_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_RFCQ_TYPE_EXCEPTION_STATUS_Active,
		FT_C_RFCQ_TYPE_EXCEPTION_STATUS_Deleted,
		EEFT_C_RFCQ_TYPE_EXCEPTION_STATUS = -99999
} FT_C_RFCQ_TYPE_EXCEPTION_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_PERC_QUALITY_None,
		FT_C_PERC_QUALITY_Low,
		FT_C_PERC_QUALITY_Medium,
		FT_C_PERC_QUALITY_High,
		EEFT_C_PERC_QUALITY = -99999
} FT_C_PERC_QUALITYEnum;


typedef enum {		/*  (0) */
		FT_C_REVEAL_FLAG_None,
		FT_C_REVEAL_FLAG_Now,
		FT_C_REVEAL_FLAG_DueIn,
		FT_C_REVEAL_FLAG_ViewOnly,
		FT_C_REVEAL_FLAG_ViewOnlyAndNotify,
		EEFT_C_REVEAL_FLAG = -99999
} FT_C_REVEAL_FLAGEnum;


typedef enum {		/*  (0) */
		FT_C_IO_DENIAL_TIME_TYPE_Last,
		FT_C_IO_DENIAL_TIME_TYPE_All,
		EEFT_C_IO_DENIAL_TIME_TYPE = -99999
} FT_C_IO_DENIAL_TIME_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_YIELD_PRICE_CONV_None,
		FT_C_YIELD_PRICE_CONV_Info,
		FT_C_YIELD_PRICE_CONV_InfoBest,
		EEFT_C_YIELD_PRICE_CONV = -99999
} FT_C_YIELD_PRICE_CONVEnum;


typedef enum {		/*  (0) */
		FT_C_POSSIBLE_QUOTING_None,
		FT_C_POSSIBLE_QUOTING_Single,
		FT_C_POSSIBLE_QUOTING_Double,
		FT_C_POSSIBLE_QUOTING_Both,
		EEFT_C_POSSIBLE_QUOTING = -99999
} FT_C_POSSIBLE_QUOTINGEnum;


typedef enum {		/*  (0) */
		FT_C_INVENTORY_TRADING_IDEA_TEXT_TYPE_FreeText,
		FT_C_INVENTORY_TRADING_IDEA_TEXT_TYPE_RTF,
		FT_C_INVENTORY_TRADING_IDEA_TEXT_TYPE_HTML,
		EEFT_C_INVENTORY_TRADING_IDEA_TEXT_TYPE = -99999
} FT_C_INVENTORY_TRADING_IDEA_TEXT_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_INVENTORY_TYPE_None,
		FT_C_INVENTORY_TYPE_Inventory,
		FT_C_INVENTORY_TYPE_Executable,
		EEFT_C_INVENTORY_TYPE = -99999
} FT_C_INVENTORY_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_SETTLEMENT_MODE_None,
		FT_C_SETTLEMENT_MODE_CCPOnly,
		FT_C_SETTLEMENT_MODE_BilateralOnly,
		FT_C_SETTLEMENT_MODE_Both,
		EEFT_C_SETTLEMENT_MODE = -99999
} FT_C_SETTLEMENT_MODEEnum;


typedef enum {		/*  (0) */
		FT_C_ORDER_COMMAND_ACTION_None,
		FT_C_ORDER_COMMAND_ACTION_Settle,
		FT_C_ORDER_COMMAND_ACTION_ConfirmChangeRate,
		FT_C_ORDER_COMMAND_ACTION_Get,
		FT_C_ORDER_COMMAND_ACTION_Get_Ownership,
		FT_C_ORDER_COMMAND_ACTION_Give,
		EEFT_C_ORDER_COMMAND_ACTION = -99999
} FT_C_ORDER_COMMAND_ACTIONEnum;


typedef enum {		/*  (0) */
		FT_C_MKT_LINK_TYPE_SameGroup,
		FT_C_MKT_LINK_TYPE_CloseLink,
		EEFT_C_MKT_LINK_TYPE = -99999
} FT_C_MKT_LINK_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_TRANSPARENT_None,
		FT_C_TRANSPARENT_OnlyTransparent,
		FT_C_TRANSPARENT_OnlyAnonymous,
		EEFT_C_TRANSPARENT = -99999
} FT_C_TRANSPARENTEnum;


typedef enum {		/*  (0) */
		FT_C_PRICE_DEV_TYPE_Percentage,
		FT_C_PRICE_DEV_TYPE_Points,
		EEFT_C_PRICE_DEV_TYPE = -99999
} FT_C_PRICE_DEV_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_SHORT_SELL_TYPE_Undef,
		FT_C_SHORT_SELL_TYPE_Yes,
		FT_C_SHORT_SELL_TYPE_No,
		FT_C_SHORT_SELL_TYPE_Automatic,
		FT_C_SHORT_SELL_TYPE_Exemption,
		FT_C_SHORT_SELL_TYPE_Undisclosed,
		EEFT_C_SHORT_SELL_TYPE = -99999
} FT_C_SHORT_SELL_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_BULK_TYPE_Undef,
		FT_C_BULK_TYPE_OCO,
		FT_C_BULK_TYPE_OTO,
		FT_C_BULK_TYPE_OTOCO,
		FT_C_BULK_TYPE_OUTRIGHT,
		FT_C_BULK_TYPE_SWITCH,
		FT_C_BULK_TYPE_BFLY,
		FT_C_BULK_TYPE_LIST,
		EEFT_C_BULK_TYPE = -99999
} FT_C_BULK_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_SETTL_MODE_None,
		FT_C_SETTL_MODE_CCP,
		FT_C_SETTL_MODE_Bilateral,
		EEFT_C_SETTL_MODE = -99999
} FT_C_SETTL_MODEEnum;


typedef enum {		/*  (0) */
		FT_C_SETTL_VERB_Buy,
		FT_C_SETTL_VERB_Sell,
		FT_C_SETTL_VERB_BuySell,
		EEFT_C_SETTL_VERB = -99999
} FT_C_SETTL_VERBEnum;


typedef enum {		/*  (0) */
		FT_C_PROFILE_APPLIED_Disabled,
		FT_C_PROFILE_APPLIED_Enabled,
		FT_C_PROFILE_APPLIED_OnlyClient,
		FT_C_PROFILE_APPLIED_EnabledPlusYield,
		FT_C_PROFILE_APPLIED_OnlyClientPlusYield,
		EEFT_C_PROFILE_APPLIED = -99999
} FT_C_PROFILE_APPLIEDEnum;


typedef enum {		/*  (0) */
		FT_C_STAT_TRADE_TYPE_Undefined,
		FT_C_STAT_TRADE_TYPE_Normal,
		FT_C_STAT_TRADE_TYPE_RFQ,
		FT_C_STAT_TRADE_TYPE_RFCQ,
		FT_C_STAT_TRADE_TYPE_OTC,
		FT_C_STAT_TRADE_TYPE_MPC,
		FT_C_STAT_TRADE_TYPE_IO,
		FT_C_STAT_TRADE_TYPE_ACM,
		EEFT_C_STAT_TRADE_TYPE = -99999
} FT_C_STAT_TRADE_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_STRATEGY_STATUS_Undefined,
		FT_C_STRATEGY_STATUS_Running,
		FT_C_STRATEGY_STATUS_Stopped,
		FT_C_STRATEGY_STATUS_Error,
		EEFT_C_STRATEGY_STATUS = -99999
} FT_C_STRATEGY_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_FINANCIAL_TAX_No,
		FT_C_FINANCIAL_TAX_Yes,
		FT_C_FINANCIAL_TAX_Exempt,
		FT_C_FINANCIAL_TAX_Substitute,
		FT_C_FINANCIAL_TAX_NoNetting,
		FT_C_FINANCIAL_TAX_SubstituteNetting,
		EEFT_C_FINANCIAL_TAX = -99999
} FT_C_FINANCIAL_TAXEnum;


typedef enum {		/*  (0) */
		FT_C_RFQ_TRADE_TYPE_Undefined,
		FT_C_RFQ_TRADE_TYPE_Block,
		FT_C_RFQ_TRADE_TYPE_OffExchange,
		FT_C_RFQ_TRADE_TYPE_Biso,
		EEFT_C_RFQ_TRADE_TYPE = -99999
} FT_C_RFQ_TRADE_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_ENTITY_ACTION_Add,
		FT_C_ENTITY_ACTION_Rwt,
		FT_C_ENTITY_ACTION_Del,
		EEFT_C_ENTITY_ACTION = -99999
} FT_C_ENTITY_ACTIONEnum;


typedef enum {		/*  (0) */
		FT_C_RFQ_MSG_TYPE_Chat,
		FT_C_RFQ_MSG_TYPE_Info,
		EEFT_C_RFQ_MSG_TYPE = -99999
} FT_C_RFQ_MSG_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_MSG_SRC_TYPE_Undefined,
		FT_C_MSG_SRC_TYPE_RFQ,
		FT_C_MSG_SRC_TYPE_RFCQ,
		FT_C_MSG_SRC_TYPE_RFQMLeg,
		FT_C_MSG_SRC_TYPE_RFCQMLeg,
		FT_C_MSG_SRC_TYPE_Order,
		FT_C_MSG_SRC_TYPE_Quote,
		FT_C_MSG_SRC_TYPE_OTC,
		EEFT_C_MSG_SRC_TYPE = -99999
} FT_C_MSG_SRC_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_PERC_FEE_TYPE_Amount,
		FT_C_PERC_FEE_TYPE_Percentual,
		FT_C_PERC_FEE_TYPE_NetPrice,
		EEFT_C_PERC_FEE_TYPE = -99999
} FT_C_PERC_FEE_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_CLEARING_ROLE_None,
		FT_C_CLEARING_ROLE_Dealer,
		FT_C_CLEARING_ROLE_EndUser,
		EEFT_C_CLEARING_ROLE = -99999
} FT_C_CLEARING_ROLEEnum;


typedef enum {		/*  (0) */
		FT_C_ROLL_CONVENTION_Unadjusted,
		FT_C_ROLL_CONVENTION_Following,
		FT_C_ROLL_CONVENTION_ModFollowing,
		FT_C_ROLL_CONVENTION_Undefined,
		FT_C_ROLL_CONVENTION_FRN,
		FT_C_ROLL_CONVENTION_Preceding,
		FT_C_ROLL_CONVENTION_ModPreceding,
		FT_C_ROLL_CONVENTION_Nearest,
		FT_C_ROLL_CONVENTION_NotApplicable,
		EEFT_C_ROLL_CONVENTION = -99999
} FT_C_ROLL_CONVENTIONEnum;


typedef enum {		/*  (0) */
		FT_C_SWAP_TYPE_Undefined,
		FT_C_SWAP_TYPE_STD,
		FT_C_SWAP_TYPE_OIS,
		FT_C_SWAP_TYPE_IMM,
		FT_C_SWAP_TYPE_MAC,
		FT_C_SWAP_TYPE_ZCI,
		FT_C_SWAP_TYPE_ForwardSTD,
		FT_C_SWAP_TYPE_ForwardOIS,
		FT_C_SWAP_TYPE_OffBmkSTD,
		FT_C_SWAP_TYPE_OffBmkOIS,
		FT_C_SWAP_TYPE_OffBmkForwardSTD,
		FT_C_SWAP_TYPE_OffBmkForwardOIS,
		FT_C_SWAP_TYPE_OffBmkIMM,
		FT_C_SWAP_TYPE_OffBmkZCI,
		FT_C_SWAP_TYPE_GenericOffBmk,
		FT_C_SWAP_TYPE_GenericBmk,
		FT_C_SWAP_TYPE_Others,
		FT_C_SWAP_TYPE_OffBmkMAC,
		EEFT_C_SWAP_TYPE = -99999
} FT_C_SWAP_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_ROLL_TYPE_Undefined,
		FT_C_ROLL_TYPE_STD,
		FT_C_ROLL_TYPE_EOM,
		FT_C_ROLL_TYPE_IMM,
		FT_C_ROLL_TYPE_ECB,
		FT_C_ROLL_TYPE_FRN,
		FT_C_ROLL_TYPE_IMMCAD,
		FT_C_ROLL_TYPE_IMMAUD,
		FT_C_ROLL_TYPE_IMMNZD,
		FT_C_ROLL_TYPE_SFE,
		FT_C_ROLL_TYPE_NONE,
		FT_C_ROLL_TYPE_TBILL,
		FT_C_ROLL_TYPE_MON,
		FT_C_ROLL_TYPE_TUE,
		FT_C_ROLL_TYPE_WED,
		FT_C_ROLL_TYPE_THU,
		FT_C_ROLL_TYPE_FRI,
		FT_C_ROLL_TYPE_SAT,
		FT_C_ROLL_TYPE_SUN,
		EEFT_C_ROLL_TYPE = -99999
} FT_C_ROLL_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_PRICE_TYPE_Default,
		FT_C_PRICE_TYPE_Rate,
		FT_C_PRICE_TYPE_Spread,
		FT_C_PRICE_TYPE_NPV,
		FT_C_PRICE_TYPE_MMY,
		FT_C_PRICE_TYPE_DiscountMargin,
		EEFT_C_PRICE_TYPE = -99999
} FT_C_PRICE_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_PRICE_SORT_TYPE_Ascending,
		FT_C_PRICE_SORT_TYPE_Descending,
		EEFT_C_PRICE_SORT_TYPE = -99999
} FT_C_PRICE_SORT_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_INSTRUCTION_TYPE_Dealing,
		FT_C_INSTRUCTION_TYPE_Unexecution,
		FT_C_INSTRUCTION_TYPE_Authorization,
		FT_C_INSTRUCTION_TYPE_CancellationRej,
		EEFT_C_INSTRUCTION_TYPE = -99999
} FT_C_INSTRUCTION_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_MINMAX_Minimum,
		FT_C_MINMAX_Maximum,
		EEFT_C_MINMAX = -99999
} FT_C_MINMAXEnum;


typedef enum {		/*  (0) */
		FT_C_RFQ_QUOTE_STATUS_Active,
		FT_C_RFQ_QUOTE_STATUS_Suspended,
		FT_C_RFQ_QUOTE_STATUS_Expired,
		FT_C_RFQ_QUOTE_STATUS_NoInterest,
		FT_C_RFQ_QUOTE_STATUS_Cancelled,
		FT_C_RFQ_QUOTE_STATUS_CancelledByGov,
		FT_C_RFQ_QUOTE_STATUS_PartFilled,
		FT_C_RFQ_QUOTE_STATUS_CompFilled,
		FT_C_RFQ_QUOTE_STATUS_RejectedBySystem,
		FT_C_RFQ_QUOTE_STATUS_RejectedByPanic,
		FT_C_RFQ_QUOTE_STATUS_ACCEPTED,
		FT_C_RFQ_QUOTE_STATUS_TraderDecide,
		FT_C_RFQ_QUOTE_STATUS_Manual,
		FT_C_RFQ_QUOTE_STATUS_Locked,
		FT_C_RFQ_QUOTE_STATUS_NoInterestFromAT,
		FT_C_RFQ_QUOTE_STATUS_PricedButNotRevealed,
		FT_C_RFQ_QUOTE_STATUS_AcNotEditable,
		FT_C_RFQ_QUOTE_STATUS_DealerTimeout,
		FT_C_RFQ_QUOTE_STATUS_CustomerEnded,
		FT_C_RFQ_QUOTE_STATUS_CancelReload,
		EEFT_C_RFQ_QUOTE_STATUS = -99999
} FT_C_RFQ_QUOTE_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_RFQ_ORDER_STATUS_Undefined,
		FT_C_RFQ_ORDER_STATUS_WaitingForLastLook,
		FT_C_RFQ_ORDER_STATUS_AutomaticallyAccepted,
		FT_C_RFQ_ORDER_STATUS_AutomaticallyRejected,
		FT_C_RFQ_ORDER_STATUS_LastLookAccepted,
		FT_C_RFQ_ORDER_STATUS_LastLookRejected,
		FT_C_RFQ_ORDER_STATUS_RejectedBySystem,
		FT_C_RFQ_ORDER_STATUS_GatedForLastLook,
		FT_C_RFQ_ORDER_STATUS_WaitingForImprove,
		FT_C_RFQ_ORDER_STATUS_ImproveRejected,
		EEFT_C_RFQ_ORDER_STATUS = -99999
} FT_C_RFQ_ORDER_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_RFQ_ORDER_QUOTE_ACTION_Accept,
		FT_C_RFQ_ORDER_QUOTE_ACTION_Reject,
		FT_C_RFQ_ORDER_QUOTE_ACTION_AcceptMarketBest,
		EEFT_C_RFQ_ORDER_QUOTE_ACTION = -99999
} FT_C_RFQ_ORDER_QUOTE_ACTIONEnum;


typedef enum {		/*  (0) */
		FT_C_RFQ_ORDER_RFQ_ACTION_DecreaseQty,
		FT_C_RFQ_ORDER_RFQ_ACTION_NoAction,
		FT_C_RFQ_ORDER_RFQ_ACTION_Suspend,
		EEFT_C_RFQ_ORDER_RFQ_ACTION = -99999
} FT_C_RFQ_ORDER_RFQ_ACTIONEnum;


typedef enum {		/*  (0) */
		FT_C_RFQ_ORDER_MEMBER_ACTION_NoAction,
		FT_C_RFQ_ORDER_MEMBER_ACTION_TradeOff,
		FT_C_RFQ_ORDER_MEMBER_ACTION_Unwelcome,
		EEFT_C_RFQ_ORDER_MEMBER_ACTION = -99999
} FT_C_RFQ_ORDER_MEMBER_ACTIONEnum;


typedef enum {		/*  (0) */
		FT_C_RFCQ_DURATION_TYPE_Default,
		FT_C_RFCQ_DURATION_TYPE_Custom,
		FT_C_RFCQ_DURATION_TYPE_Day,
		EEFT_C_RFCQ_DURATION_TYPE = -99999
} FT_C_RFCQ_DURATION_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_RFCQ_PRICE_TYPE_None,
		FT_C_RFCQ_PRICE_TYPE_Price,
		FT_C_RFCQ_PRICE_TYPE_Spread,
		EEFT_C_RFCQ_PRICE_TYPE = -99999
} FT_C_RFCQ_PRICE_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_RFQ_EVENT_TYPE_FirstRequest,
		FT_C_RFQ_EVENT_TYPE_Quote,
		FT_C_RFQ_EVENT_TYPE_Trade,
		FT_C_RFQ_EVENT_TYPE_Cancel,
		FT_C_RFQ_EVENT_TYPE_Expire,
		FT_C_RFQ_EVENT_TYPE_QuoteExpire,
		FT_C_RFQ_EVENT_TYPE_CancelTrade,
		EEFT_C_RFQ_EVENT_TYPE = -99999
} FT_C_RFQ_EVENT_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_RFCQ_ADDITIONAL_STATUS_None,
		FT_C_RFCQ_ADDITIONAL_STATUS_NoTradingRelation,
		FT_C_RFCQ_ADDITIONAL_STATUS_HasBeenActive,
		FT_C_RFCQ_ADDITIONAL_STATUS_HasBeenHitInLastLook,
		FT_C_RFCQ_ADDITIONAL_STATUS_HasBeenActiveAndHitInLastLook,
		EEFT_C_RFCQ_ADDITIONAL_STATUS = -99999
} FT_C_RFCQ_ADDITIONAL_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_PREVIEW_TYPE_Security,
		FT_C_PREVIEW_TYPE_SettlDateToDays,
		FT_C_PREVIEW_TYPE_SettlDaysToDate,
		FT_C_PREVIEW_TYPE_PriceToYield,
		FT_C_PREVIEW_TYPE_YieldToPrice,
		FT_C_PREVIEW_TYPE_AccruedInterest,
		FT_C_PREVIEW_TYPE_IndexRatio,
		FT_C_PREVIEW_TYPE_bnPvbp,
		FT_C_PREVIEW_TYPE_bnConvexityDollar,
		FT_C_PREVIEW_TYPE_Cusip,
		FT_C_PREVIEW_TYPE_BreakEvenPriceOrYield,
		EEFT_C_PREVIEW_TYPE = -99999
} FT_C_PREVIEW_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_ORDER_EXECUTION_STRATEGY_Undef,
		FT_C_ORDER_EXECUTION_STRATEGY_MultiMarketManualOrder,
		FT_C_ORDER_EXECUTION_STRATEGY_MultiMarketBEOrder,
		FT_C_ORDER_EXECUTION_STRATEGY_BEETFOrder,
		EEFT_C_ORDER_EXECUTION_STRATEGY = -99999
} FT_C_ORDER_EXECUTION_STRATEGYEnum;


typedef enum {		/*  (0) */
		FT_C_RFQ_ANONIMITY_Undef,
		FT_C_RFQ_ANONIMITY_Named,
		FT_C_RFQ_ANONIMITY_Anonymous,
		FT_C_RFQ_ANONIMITY_All,
		EEFT_C_RFQ_ANONIMITY = -99999
} FT_C_RFQ_ANONIMITYEnum;


typedef enum {		/*  (0) */
		FT_C_DELIVERY_TYPE_Undef,
		FT_C_DELIVERY_TYPE_Cash,
		FT_C_DELIVERY_TYPE_Physical,
		EEFT_C_DELIVERY_TYPE = -99999
} FT_C_DELIVERY_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_ALGO_TYPE_Undef,
		FT_C_ALGO_TYPE_FIXAtdl,
		FT_C_ALGO_TYPE_Algo,
		FT_C_ALGO_TYPE_MultiMktBE,
		FT_C_ALGO_TYPE_MultiMktBEMan,
		EEFT_C_ALGO_TYPE = -99999
} FT_C_ALGO_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_STOP_TRAILING_TYPE_None,
		FT_C_STOP_TRAILING_TYPE_PIP,
		FT_C_STOP_TRAILING_TYPE_Value,
		FT_C_STOP_TRAILING_TYPE_Perc,
		EEFT_C_STOP_TRAILING_TYPE = -99999
} FT_C_STOP_TRAILING_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_FIRM_TYPE_None,
		FT_C_FIRM_TYPE_Person,
		FT_C_FIRM_TYPE_Algo,
		EEFT_C_FIRM_TYPE = -99999
} FT_C_FIRM_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_WITHIN_FIRM_TYPE_None,
		FT_C_WITHIN_FIRM_TYPE_Client,
		FT_C_WITHIN_FIRM_TYPE_Operator,
		FT_C_WITHIN_FIRM_TYPE_Strategy,
		EEFT_C_WITHIN_FIRM_TYPE = -99999
} FT_C_WITHIN_FIRM_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_LIQUIDITY_INDICATOR_Undef,
		FT_C_LIQUIDITY_INDICATOR_RemoveLiquidity,
		FT_C_LIQUIDITY_INDICATOR_AddedLiquidity,
		FT_C_LIQUIDITY_INDICATOR_Neutral,
		FT_C_LIQUIDITY_INDICATOR_CalcRemoveLiquidity,
		FT_C_LIQUIDITY_INDICATOR_CalcAddedLiquidity,
		FT_C_LIQUIDITY_INDICATOR_CalcNeutral,
		EEFT_C_LIQUIDITY_INDICATOR = -99999
} FT_C_LIQUIDITY_INDICATOREnum;


typedef enum {		/*  (0) */
		FT_C_CAP_TYPE_None,
		FT_C_CAP_TYPE_Capped,
		EEFT_C_CAP_TYPE = -99999
} FT_C_CAP_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_MIFID_CLIENT_TYPE_Undef,
		FT_C_MIFID_CLIENT_TYPE_Person,
		FT_C_MIFID_CLIENT_TYPE_Entity,
		EEFT_C_MIFID_CLIENT_TYPE = -99999
} FT_C_MIFID_CLIENT_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_FIRM_CODE_TYPE_Undef,
		FT_C_FIRM_CODE_TYPE_Investment,
		FT_C_FIRM_CODE_TYPE_Execution,
		EEFT_C_FIRM_CODE_TYPE = -99999
} FT_C_FIRM_CODE_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_SOURCE_RFQ_QUOTE_STRATEGY_Undef,
		FT_C_SOURCE_RFQ_QUOTE_STRATEGY_Quote,
		FT_C_SOURCE_RFQ_QUOTE_STRATEGY_Composite,
		FT_C_SOURCE_RFQ_QUOTE_STRATEGY_TierPrice,
		EEFT_C_SOURCE_RFQ_QUOTE_STRATEGY = -99999
} FT_C_SOURCE_RFQ_QUOTE_STRATEGYEnum;


typedef enum {		/*  (0) */
		FT_C_AUTO_RESPONSE_Manual,
		FT_C_AUTO_RESPONSE_TraderDecide,
		FT_C_AUTO_RESPONSE_AutoResponse,
		EEFT_C_AUTO_RESPONSE = -99999
} FT_C_AUTO_RESPONSEEnum;


typedef enum {		/*  (0) */
		FT_C_MEMBER_ACC_TYPE_PublicSubAccount,
		FT_C_MEMBER_ACC_TYPE_PrivateSubAccount,
		EEFT_C_MEMBER_ACC_TYPE = -99999
} FT_C_MEMBER_ACC_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_TRADNG_LIST_TYPE_OddLotList,
		FT_C_TRADNG_LIST_TYPE_ASAP_List,
		EEFT_C_TRADNG_LIST_TYPE = -99999
} FT_C_TRADNG_LIST_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_FILL_ACTION_Correct,
		FT_C_FILL_ACTION_Cancel,
		FT_C_FILL_ACTION_Rollover,
		FT_C_FILL_ACTION_CorrectUni,
		FT_C_FILL_ACTION_CancelUni,
		EEFT_C_FILL_ACTION = -99999
} FT_C_FILL_ACTIONEnum;


typedef enum {		/*  (0) */
		FT_C_FILL_CORRECT_OR_CANCEL_STATUS_InProgress,
		FT_C_FILL_CORRECT_OR_CANCEL_STATUS_InAcceptance,
		FT_C_FILL_CORRECT_OR_CANCEL_STATUS_Accepted,
		FT_C_FILL_CORRECT_OR_CANCEL_STATUS_Rejected,
		FT_C_FILL_CORRECT_OR_CANCEL_STATUS_Expired,
		EEFT_C_FILL_CORRECT_OR_CANCEL_STATUS = -99999
} FT_C_FILL_CORRECT_OR_CANCEL_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_ORG_REFERENCE_SRC_NOREF,
		FT_C_ORG_REFERENCE_SRC_IOI,
		FT_C_ORG_REFERENCE_SRC_AXE,
		EEFT_C_ORG_REFERENCE_SRC = -99999
} FT_C_ORG_REFERENCE_SRCEnum;


typedef enum {		/*  (0) */
		FT_C_ISSUER_EXCL_TYPE_PrivateDealerPage,
		FT_C_ISSUER_EXCL_TYPE_WholesalePage,
		FT_C_ISSUER_EXCL_TYPE_Both,
		EEFT_C_ISSUER_EXCL_TYPE = -99999
} FT_C_ISSUER_EXCL_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_TAG_TYPE_Company,
		FT_C_TAG_TYPE_Account,
		EEFT_C_TAG_TYPE = -99999
} FT_C_TAG_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_CUSIP_CALC_METH_None,
		FT_C_CUSIP_CALC_METH_Mat_Sequence,
		FT_C_CUSIP_CALC_METH_Mat_Formula,
		EEFT_C_CUSIP_CALC_METH = -99999
} FT_C_CUSIP_CALC_METHEnum;


typedef enum {		/*  (0) */
		FT_C_OP_PROF_Trader,
		FT_C_OP_PROF_Admin,
		FT_C_OP_PROF_SalesTrader,
		FT_C_OP_PROF_PureSales,
		FT_C_OP_PROF_DealCapture,
		EEFT_C_OP_PROF_TYPE = -99999
} FT_C_OP_PROF_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_MATURITY_RULE_SML,
		FT_C_MATURITY_RULE_MSL,
		FT_C_MATURITY_RULE_LMS,
		FT_C_MATURITY_RULE_SLM,
		FT_C_MATURITY_RULE_MLS,
		FT_C_MATURITY_RULE_LSM,
		EEFT_C_MATURITY_RULE = -99999
} FT_C_MATURITY_RULEEnum;


typedef enum {		/*  (0) */
		FT_C_RFQ_WHOCANRECEIVERFQQUOTE_Issuer,
		FT_C_RFQ_WHOCANRECEIVERFQQUOTE_EveryEnabledMember,
		FT_C_RFQ_WHOCANRECEIVERFQQUOTE_EveryEnabledAggressor,
		EEFT_C_RFQ_WHOCANRECEIVERFQQUOTE = -99999
} FT_C_RFQ_WHOCANRECEIVERFQQUOTEEnum;


typedef enum {		/*  (0) */
		FT_C_RFQ_TYPE_DURATION_None,
		FT_C_RFQ_TYPE_DURATION_OnlyPriceRFQ,
		FT_C_RFQ_TYPE_DURATION_All,
		EEFT_C_RFQ_TYPE_DURATION = -99999
} FT_C_RFQ_TYPE_DURATIONEnum;


typedef enum {		/*  (0) */
		FT_C_RFQ_LEG_TYPE_None,
		FT_C_RFQ_LEG_TYPE_All,
		FT_C_RFQ_LEG_TYPE_OnlyOutright,
		EEFT_C_RFQ_LEG_TYPE = -99999
} FT_C_RFQ_LEG_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_WRONG_IMAGE_CHECK_None,
		FT_C_WRONG_IMAGE_CHECK_Reject,
		FT_C_WRONG_IMAGE_CHECK_LastLook,
		EEFT_C_WRONG_IMAGE_CHECK = -99999
} FT_C_WRONG_IMAGE_CHECKEnum;


typedef enum {		/*  (0) */
		FT_C_ENABLED_COUNTERING_No,
		FT_C_ENABLED_COUNTERING_OnlyFirstTime,
		FT_C_ENABLED_COUNTERING_Always,
		EEFT_C_ENABLED_COUNTERING = -99999
} FT_C_ENABLED_COUNTERINGEnum;


typedef enum {		/*  (0) */
		FT_C_QUOTE_STATUS_AFTER_LAST_LOOK_Expired,
		FT_C_QUOTE_STATUS_AFTER_LAST_LOOK_Active,
		FT_C_QUOTE_STATUS_AFTER_LAST_LOOK_ExpiredIfCountering,
		FT_C_QUOTE_STATUS_AFTER_LAST_LOOK_NoInterest,
		FT_C_QUOTE_STATUS_AFTER_LAST_LOOK_NoInterestIfCountering,
		EEFT_C_QUOTE_STATUS_AFTER_LAST_LOOK = -99999
} FT_C_QUOTE_STATUS_AFTER_LAST_LOOKEnum;


typedef enum {		/*  (0) */
		FT_C_DEALER_SECT_TYPE_Executing,
		FT_C_DEALER_SECT_TYPE_Acceptable,
		FT_C_DEALER_SECT_TYPE_UnAcceptable,
		EEFT_C_DEALER_SECT_TYPE = -99999
} FT_C_DEALER_SECT_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_AUTOMATCH_CRITERIA_YieldSpread,
		FT_C_AUTOMATCH_CRITERIA_MatchPrice,
		EEFT_C_AUTOMATCH_CRITERIA = -99999
} FT_C_AUTOMATCH_CRITERIAEnum;


typedef enum {		/*  (0) */
		FT_C_LIST_ADDITIONAL_STATUS_Open,
		FT_C_LIST_ADDITIONAL_STATUS_Done,
		FT_C_LIST_ADDITIONAL_STATUS_DueInRevealed,
		FT_C_LIST_ADDITIONAL_STATUS_EarlyRevealed,
		FT_C_LIST_ADDITIONAL_STATUS_GoodForExpired,
		FT_C_LIST_ADDITIONAL_STATUS_GatedExpired,
		FT_C_LIST_ADDITIONAL_STATUS_WaitingForLastLook,
		FT_C_LIST_ADDITIONAL_STATUS_TraderDecide,
		FT_C_LIST_ADDITIONAL_STATUS_NoInterestFromAT,
		FT_C_LIST_ADDITIONAL_STATUS_Quote,
		FT_C_LIST_ADDITIONAL_STATUS_NoInterest,
		FT_C_LIST_ADDITIONAL_STATUS_DealerTimeout,
		FT_C_LIST_ADDITIONAL_STATUS_CustomerEnded,
		FT_C_LIST_ADDITIONAL_STATUS_Expired,
		FT_C_LIST_ADDITIONAL_STATUS_WaitingForQuote,
		FT_C_LIST_ADDITIONAL_STATUS_LastLookAccepted,
		FT_C_LIST_ADDITIONAL_STATUS_DAW,
		FT_C_LIST_ADDITIONAL_STATUS_WaitingForConfirmation,
		EEFT_C_LIST_ADDITIONAL_STATUS = -99999
} FT_C_LIST_ADDITIONAL_STATUSEnum;


typedef enum {		/*  (0) */
		FT_TRAGING_BOOK_TYPE_Rule,
		FT_TRAGING_BOOK_TYPE_Static,
		EEFT_TRAGING_BOOK_TYPE = -99999
} FT_TRAGING_BOOK_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_LOCKED_LEG_NoLegs,
		FT_C_LOCKED_LEG_SwitchFirstLeg,
		FT_C_LOCKED_LEG_SwitchSecondLeg,
		FT_C_LOCKED_LEG_BflyWingsLegs,
		FT_C_LOCKED_LEG_BflyBodyLeg,
		FT_C_LOCKED_LEG_FirstAndThirdLeg,
		FT_C_LOCKED_LEG_SecondAndFourthLeg,
		EEFT_C_LOCKED_LEG = -99999
} FT_C_LOCKED_LEGEnum;


typedef enum {		/*  (0) */
		FT_C_QTY_CHANGE_NoChange,
		FT_C_QTY_CHANGE_AllChanges,
		FT_C_QTY_CHANGE_OnlyDecrease,
		EEFT_C_QTY_CHANGE = -99999
} FT_C_QTY_CHANGEEnum;


typedef enum {		/*  (0) */
		FT_C_ADDRESS_TYPE_Undef,
		FT_C_ADDRESS_TYPE_Private,
		FT_C_ADDRESS_TYPE_Public,
		EEFT_C_ADDRESS_TYPE = -99999
} FT_C_ADDRESS_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_RANGE_RULE_STATUS_Undef,
		FT_C_RANGE_RULE_STATUS_Active,
		FT_C_RANGE_RULE_STATUS_Suspended,
		FT_C_RANGE_RULE_STATUS_Removed,
		FT_C_RANGE_RULE_STATUS_ApplyNow,
		EEFT_C_RANGE_RULE_STATUS = -99999
} FT_C_RANGE_RULE_STATUSEnum;


typedef enum {		/*  (0) */
		FT_C_SEF_MODE_Undef,
		FT_C_SEF_MODE_ONSEF,
		FT_C_SEF_MODE_OFFSEF,
		EEFT_C_SEF_MODE = -99999
} FT_C_SEF_MODEEnum;


typedef enum {		/*  (0) */
		FT_C_SEF_STATE_Undef,
		FT_C_SEF_STATE_Required,
		FT_C_SEF_STATE_Permitted,
		EEFT_C_SEF_STATE = -99999
} FT_C_SEF_STATEEnum;


typedef enum {		/*  (0) */
		FT_C_MTF_MODE_Undef,
		FT_C_MTF_MODE_ONMTF,
		FT_C_MTF_MODE_OFFMTF,
		EEFT_C_MTF_MODE = -99999
} FT_C_MTF_MODEEnum;


typedef enum {		/*  (0) */
		FT_C_TRADING_LIST_TYPE_Undef,
		FT_C_TRADING_LIST_TYPE_Basic,
		FT_C_TRADING_LIST_TYPE_Compression,
		FT_C_TRADING_LIST_TYPE_CompressionRFM,
		FT_C_TRADING_LIST_TYPE_Multiasset,
		FT_C_TRADING_LIST_TYPE_MultiassetRFM,
		EEFT_C_TRADING_LIST_TYPE = -99999
} FT_C_TRADING_LIST_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_EXECUTION_SOURCE_CODE_Undef,
		FT_C_EXECUTION_SOURCE_CODE_Desk,
		FT_C_EXECUTION_SOURCE_CODE_Electronic,
		FT_C_EXECUTION_SOURCE_CODE_VendorProvidedPlatform,
		FT_C_EXECUTION_SOURCE_CODE_SponsoredAccess,
		FT_C_EXECUTION_SOURCE_CODE_PremiumAlgorithmicTrading,
		FT_C_EXECUTION_SOURCE_CODE_Other,
		FT_C_EXECUTION_SOURCE_CODE_DeskPit,
		FT_C_EXECUTION_SOURCE_CODE_ClientPit,
		EEFT_C_EXECUTION_SOURCE_CODE = -99999
} FT_C_EXECUTION_SOURCE_CODEEnum;


typedef enum {		/*  (0) */
		FT_C_SFTR_EXEMPTION_FLAG_None,
		FT_C_SFTR_EXEMPTION_FLAG_True,
		FT_C_SFTR_EXEMPTION_FLAG_False,
		EEFT_C_SFTR_EXEMPTION_FLAG = -99999
} FT_C_SFTR_EXEMPTION_FLAGEnum;


typedef enum {		/*  (0) */
		FT_C_CALLABLE_TYPE_None,
		FT_C_CALLABLE_TYPE_Callable,
		EEFT_C_CALLABLE_TYPE = -99999
} FT_C_CALLABLE_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_TRADABLE_TYPE_ByAll,
		FT_C_TRADABLE_TYPE_OnlyProfessional,
		EEFT_C_TRADABLE_TYPE = -99999
} FT_C_TRADABLE_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_RFE_INDICATOR_Undef,
		FT_C_RFE_INDICATOR_Subject,
		FT_C_RFE_INDICATOR_Firm,
		EEFT_C_RFE_INDICATOR = -99999
} FT_C_RFE_INDICATOREnum;


typedef enum {		/*  (0) */
		FT_C_SPREAD_SPOT_TYPE_Undef,
		FT_C_SPREAD_SPOT_TYPE_Delayed,
		FT_C_SPREAD_SPOT_TYPE_Now,
		EEFT_C_SPREAD_SPOT_TYPE = -99999
} FT_C_SPREAD_SPOT_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_LIST_TRADE_TYPE_ByPrice,
		FT_C_LIST_TRADE_TYPE_BySpread,
		EEFT_C_LIST_TRADE_TYPE = -99999
} FT_C_LIST_TRADE_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_SPREAD_CALCULATION_TYPE_Undef,
		FT_C_SPREAD_CALCULATION_TYPE_Spotted,
		FT_C_SPREAD_CALCULATION_TYPE_CompositeSnapshot,
		EEFT_C_SPREAD_CALCULATION_TYPE = -99999
} FT_C_SPREAD_CALCULATION_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_ACCEPTED_SIDE_Undef,
		FT_C_ACCEPTED_SIDE_Original,
		FT_C_ACCEPTED_SIDE_Opposite,
		EEFT_C_ACCEPTED_SIDE = -99999
} FT_C_ACCEPTED_SIDEEnum;


typedef enum {		/*  (0) */
		FT_C_QUOTATION_TYPE_Undef,
		FT_C_QUOTATION_TYPE_Tradable,
		FT_C_QUOTATION_TYPE_Indicative,
		EEFT_C_QUOTATION_TYPE = -99999
} FT_C_QUOTATION_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_PIP_EXEC_TYPE_Undef,
		FT_C_PIP_EXEC_TYPE_Improved,
		FT_C_PIP_EXEC_TYPE_NotImproved,
		EEFT_C_PIP_EXEC_TYPE = -99999
} FT_C_PIP_EXEC_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_NO_LAST_LOOK_Undef,
		FT_C_NO_LAST_LOOK_Always,
		FT_C_NO_LAST_LOOK_OnlyTrader,
		EEFT_C_NO_LAST_LOOK = -99999
} FT_C_NO_LAST_LOOKEnum;


typedef enum {		/*  (0) */
		FT_C_SECURITIES_IN_LIST_Default,
		FT_C_SECURITIES_IN_LIST_OnlyCorp,
		EEFT_C_SECURITIES_IN_LIST = -99999
} FT_C_SECURITIES_IN_LISTEnum;


typedef enum {		/*  (0) */
		FT_C_INTEREST_FEE_TYPE_None,
		FT_C_INTEREST_FEE_TYPE_Fixed,
		FT_C_INTEREST_FEE_TYPE_Floating,
		FT_C_INTEREST_FEE_TYPE_Negotiable,
		EEFT_C_INTEREST_FEE_TYPE = -99999
} FT_C_INTEREST_FEE_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_TIME_TO_MATURITY_None,
		FT_C_TIME_TO_MATURITY_6m,
		FT_C_TIME_TO_MATURITY_1y,
		FT_C_TIME_TO_MATURITY_2y,
		FT_C_TIME_TO_MATURITY_3y,
		FT_C_TIME_TO_MATURITY_5y,
		FT_C_TIME_TO_MATURITY_7y,
		FT_C_TIME_TO_MATURITY_10y,
		FT_C_TIME_TO_MATURITY_15y,
		FT_C_TIME_TO_MATURITY_30y,
		EEFT_C_TIME_TO_MATURITY = -99999
} FT_C_TIME_TO_MATURITYEnum;


typedef enum {		/*  (0) */
		FT_C_MODIFIED_QUOTE_NotToBeChanged,
		FT_C_MODIFIED_QUOTE_Confirmed,
		FT_C_MODIFIED_QUOTE_ChangingError,
		FT_C_MODIFIED_QUOTE_Changed,
		EEFT_C_MODIFIED_QUOTE = -99999
} FT_C_MODIFIED_QUOTEEnum;


typedef enum {		/*  (0) */
		FT_C_DIRTYCLEANPRICE_Unspecified,
		FT_C_DIRTYCLEANPRICE_Secco,
		FT_C_DIRTYCLEANPRICE_TelQuel,
		EEFT_C_DIRTYCLEANPRICE = -99999
} FT_C_DIRTYCLEANPRICEEnum;


typedef struct {		/*  (0) */
		char                			OrderID[FT_C_ORDER_LEN + 1];
} FT_C_ORDERIDRec, *FT_C_ORDERIDPtr;


typedef struct {		/* FT_C_EXCHANGE_ID (30039) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
		unsigned long       			OpenTime;
		unsigned long       			CloseTime;
} FT_C_EXCHANGERec, *FT_C_EXCHANGEPtr;


typedef struct {		/* FT_C_MARKET_ID (30007) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
		char                			CountryID[FT_C_COUNTRY_LEN + 1];
		char                			MarketCode[FT_C_MARKET_CODE_LEN + 1];
		FT_C_FLAGEnum       			OTC;
		char                			DefBrokerID[FT_C_BROKER_LEN + 1];
		FT_C_FLAGEnum       			HasSecurityState;
} FT_C_MARKETRec, *FT_C_MARKETPtr;


typedef struct {		/* FT_C_SECTION_ID (30009) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
		char                			MarketModelID[FT_C_MARKET_MODEL_LEN + 1];
		char                			MIC[FT_C_MIC_LEN + 1];
		char                			LEI[FT_C_LEI_LEN + 1];
} FT_C_SECTIONRec, *FT_C_SECTIONPtr;


typedef struct {		/* FT_C_MIC_TIMEZONE_ID (30275) */
		char                			MIC[FT_C_MIC_LEN + 1];
		char                			TimeZone[FT_C_TIMEZONE_LEN + 1];
} FT_C_MIC_TIMEZONERec, *FT_C_MIC_TIMEZONEPtr;


typedef struct {		/* FT_C_PERIOD_SEQUENCE_ID (30255) */
		FT_C_PERIODEnum     			Period;
		int                 			PeriodMultiplier;
		char                			RollConvention[FT_C_ROLL_LEN + 1];
} FT_C_PERIOD_SEQUENCERec, *FT_C_PERIOD_SEQUENCEPtr;


typedef struct {		/*  (0) */
		FT_C_PERIOD_SEQUENCERec			Fix;
		FT_C_PERIOD_SEQUENCERec			Flt;
		FT_C_DAY_COUNT_FRACTIONEnum			FxdDayCount;
		FT_C_FLAGEnum       			FloatComp;
		FT_C_ROLL_CONVENTIONEnum			AccrBusinessD;
		FT_C_ROLL_CONVENTIONEnum			PayBusinessD;
} FT_C_PAYMENT_INFORec, *FT_C_PAYMENT_INFOPtr;


typedef struct {		/*  (0) */
		FT_C_ROLL_CONVENTIONEnum			EndDateBusinessD;
		unsigned int        			RollOn;
		FT_C_ROLL_TYPEEnum  			RollType;
		FT_C_DAY_COUNT_FRACTIONEnum			FloatDayCount;
		FT_C_ROLL_CONVENTIONEnum			FltAccrBusinessD;
		FT_C_ROLL_CONVENTIONEnum			FltPayBusinessD;
		FT_C_ROLL_CONVENTIONEnum			FltResetBusinessD;
		int                 			FltResetDays;
		FT_C_PERIOD_SEQUENCERec			ForwardMonths;
		FT_C_FLAGEnum       			InitialFixingFlag;
		double              			InitialFixing;
		unsigned long       			AdditionalPaymentDate;
} FT_C_PAYMENT_INFO_EXTRec, *FT_C_PAYMENT_INFO_EXTPtr;


typedef struct {		/*  (0) */
		char                			TemplateFTSecid[FT_C_SEC_LEN + 1];
		unsigned long       			InitialDate;
		unsigned long       			FinalDate;
		char                			StartDateID[FT_C_DATE_LEN + 1];
		char                			EndDateID[FT_C_DATE_LEN + 1];
		FT_C_PAYMENT_INFORec			PayInfo;
} FT_C_SECURITY_INFORec, *FT_C_SECURITY_INFOPtr;


typedef struct {		/*  (0) */
		FT_C_SWAP_TYPEEnum  			SwapType;
		FT_C_PERIOD_SEQUENCERec			Tenor;
		FT_C_PAYMENT_INFO_EXTRec			PayInfoExt;
		unsigned long       			FixFrontStabDate;
		unsigned long       			FixAdjustedFrontStabDate;
		unsigned long       			FltFrontStabDate;
		unsigned long       			FltAdjustedFrontStabDate;
		FT_C_PERIOD_SEQUENCERec			FltStubBeginTenor;
		FT_C_PERIOD_SEQUENCERec			FltStubEndTenor;
} FT_C_SECURITY_INFO_EXTRec, *FT_C_SECURITY_INFO_EXTPtr;


typedef struct {		/*  (0) */
		char                			FCMID[FT_C_FCM_LEN + 1];
} FT_C_FCM_INFORec, *FT_C_FCM_INFOPtr;


typedef struct {		/* FT_C_SECURITY_ID (30000) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			FTSecTree[FT_C_SEC_TREE_LEN + 1];
		char                			PrimaryRef[FT_C_SEC_REF_LEN + 1];
		char                			AlternateRef[FT_C_SEC_REF_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			SecurityID[FT_C_SECURITY_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
		char                			ISINCode[FT_C_ISIN_LEN + 1];
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		char                			Issuer[FT_C_ISSUER_LEN + 1];
		FT_C_SECURITY_TYPEEnum			SecurityType;
		char                			UnderlyingISINCode[FT_C_ISIN_LEN + 1];
		char                			BasketID[FT_C_BASKET_LEN + 1];
		char                			MasterFTSecID[FT_C_SEC_LEN + 1];
		char                			MarketModelID[FT_C_MARKET_MODEL_LEN + 1];
		FT_C_OPTION_TYPEEnum			OptionType;
		FT_C_OPTION_STYLEEnum			OptionStyle;
		double              			PriceTick;
		double              			QtyTick;
		double              			MinTradableQty;
		double              			LotSize;
		unsigned long       			TradingStartDate;
		unsigned long       			TradingStopDate;
		unsigned long       			IssueDate;
		unsigned long       			MaturityDate;
		double              			StrikePrice;
		double              			ReferencePrice;
		double              			OfficialPrice;
		double              			ClosingPrice;
		unsigned long       			SettlementDate;
		char                			SecurityClass[FT_C_INSTRUMENT_CLASS_LEN + 1];
		FT_C_QUOTING_TYPEEnum			YieldQuoting;
		double              			MinParallelTradableQty;
		FT_C_QUOTE_DISABLEDEnum			QuoteDisabled;
		int                 			Modified;
		unsigned long       			SortPos;
		double              			MinQuoteQty;
		double              			QuoteQtyTick;
		double              			YieldTick;
		double              			MaxQuoteSpread;
		FT_C_REPO_BASKETEnum			RepoBasketFlag;
		FT_C_REPO_CLASSEnum 			RepoClass;
		unsigned long       			TradingCutOff;
		unsigned long       			AllocationCutOff;
		unsigned long       			NumOfGCAllocation;
		char                			Term[FT_C_TERM_LEN + 1];
		FT_C_SECURITY_TYPEEnum			UnderlyingType;
		char                			FloatRateID[FT_C_FLOAT_RATE_LEN + 1];
		char                			SettlGroupID[FT_C_SETTL_GROUP_LEN + 1];
		unsigned long       			StartDate;
		unsigned long       			EndDate;
		double              			Parity;
		FT_C_FLAGEnum       			MultiTick;
		char                			FTProductID[FT_C_SEC_LEN + 1];
		FT_C_SETTL_FORMULAEnum			SettlFormulaID;
		FT_C_YIELD_FORMULAEnum			YieldFormulaID;
		unsigned long       			NumOfStrategyLeg;
		FT_C_STRATEGY_TYPEEnum			StrategyType;
		double              			StopLossPrice;
		char                			ProviderFTSecID[FT_C_SEC_LEN + 1];
		FT_C_FLAGEnum       			InfoReqToDo;
		char                			UnderlyingFTSecID[FT_C_SEC_LEN + 1];
		char                			UnderlyingFTProductID[FT_C_SEC_LEN + 1];
		double              			RateTickFraction;
		double              			MinOrderAutoQty;
		unsigned short      			SettlCalcPrecision;
		unsigned short      			MaxQuoteNumber;
		FT_C_FLAGEnum       			StrikerQuotingFg;
		double              			MinQtyFASOrder;
		double              			MinQtyFOKOrder;
		double              			MinQtyStrikerOrder;
		double              			MinQtyStrikerQuote;
		double              			MinRFQQty;
		double              			Haircut;
		FT_C_TRANSPARENTEnum			Transparent;
		FT_C_FLAGEnum       			NoCPartSetup;
		char                			SourceTopic[FT_C_SOURCE_TOPIC_LEN + 1];
		double              			RFQPriceTick;
		double              			RFQYieldTick;
		unsigned long       			MaximumRfqDestinationNum;
		unsigned long       			MaximumRfqDuration;
		FT_C_RFQ_ANONIMITYEnum			RFQAnonimity;
		FT_C_DELIVERY_TYPEEnum			DeliveryType;
		FT_C_FLAG_UNDEnum   			IsIlliquid;
		double              			LISThreshold;
		double              			SSTIThreshold;
		char                			CFICode[FT_C_CFICODE_LEN + 1];
		char                			FISNCode[FT_C_FISN_LEN + 1];
		char                			IssuerLEI[FT_C_LEI_LEN + 1];
		char                			Seniority[FT_C_SENIORITY_LEN + 1];
		FT_C_CAP_TYPEEnum   			VolumeCap;
		char                			IssuerName[FT_C_ISSUER_NAME_LEN + 1];
		unsigned long       			TimeToMaturity;
		char                			BenchFTSecID[FT_C_SEC_LEN + 1];
		FT_C_FLAGEnum       			IsBenchMark;
		FT_C_FLAGEnum       			GreyMarketFlag;
		double              			MinIOIQty;
		FT_C_PAYMENT_INFORec			PayInfo;
		double              			ReferenceYield;
		char                			LongDescription[FT_C_LONG_DESCRIPTION_LEN + 1];
		double              			MaxRFQQty;
		double              			MaxListRFQQty;
		char                			BaseCusip[FT_C_SEC_REF_LEN + 1];
		FT_C_CUSIP_CALC_METHEnum			CusipCalcMethod;
		unsigned long       			TradingStartTime;
		unsigned long       			RebaseDate;
		char                			MrkSubType[FT_C_MRK_SUB_TYPE_LEN + 1];
		FT_C_FLAG_UNDEnum   			CrossEnabled;
		double              			RFQQtyTick;
		double              			CrossPriceTick;
		FT_C_SWAP_TYPEEnum  			SwapType;
		FT_C_PERIOD_SEQUENCERec			Tenor;
		FT_C_PAYMENT_INFO_EXTRec			PayInfoExt;
		FT_C_PRICE_TYPEEnum 			PriceType;
		FT_C_PRICE_SORT_TYPEEnum			PriceSortType;
		FT_C_FLAG_UNDEnum   			BTFCrossEnabled;
		char                			OnTheRunTerm[FT_C_TERM_LEN + 1];
		double              			MinIndQuoteQty;
		double              			IndQuoteQtyTick;
		double              			MinInvQuoteQty;
		double              			InvQuoteQtyTick;
		double              			MinExecInvQuoteQty;
		double              			ExecInvQuoteQtyTick;
		FT_C_CALLABLE_TYPEEnum			CallableType;
		unsigned long       			CallDate;
		double              			BreakEvenPrice;
		double              			BreakEvenYield;
		char                			TradeClass[FT_C_TRADE_CLASS_LEN + 1];
		char                			IndustryGroup[FT_C_INDUSTRY_GROUP_LEN + 1];
		char                			IndustrySubGroup[FT_C_INDUSTRY_SUBGROUP_LEN + 1];
		char                			Underwriter[FT_C_UNDERWRITER_LEN + 1];
		double              			ReferenceSpread;
		FT_C_TRADABLE_TYPEEnum			TradableType;
		FT_C_FLAGEnum       			RFEEligible;
		double              			MinRfqValue;
		double              			CouponRate;
		double              			BarrierPrice;
		double              			LeverageFactor;
		char                			InternalProperties[FT_C_INTERNALPROP_LEN + 1];
		char                			ProductName[FT_C_PRODUCTNAME_LEN + 1];
		FT_C_INTEREST_FEE_TYPEEnum			InterestFeeType;
		FT_C_FLAGEnum       			CommodityDerivatives;
		double              			PrevDayOfficialPrice;
		FT_C_DIRTYCLEANPRICEEnum			DirtyCleanPrice;
} FT_C_SECURITYRec, *FT_C_SECURITYPtr;


typedef struct {		/* FT_C_SECURITY_LIST_ID (30176) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			PrimaryRef[FT_C_SEC_REF_LEN + 1];
		char                			AlternateRef[FT_C_SEC_REF_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			SecurityID[FT_C_SECURITY_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
		char                			ISINCode[FT_C_ISIN_LEN + 1];
		FT_C_SECURITY_TYPEEnum			SecurityType;
		char                			UnderlyingISINCode[FT_C_ISIN_LEN + 1];
		FT_C_OPTION_TYPEEnum			OptionType;
		unsigned long       			MaturityDate;
		double              			PriceTick;
		double              			QtyTick;
		double              			QuoteQtyTick;
		double              			YieldTick;
		FT_C_FLAGEnum       			MultiTick;
		char                			FTProductID[FT_C_SEC_LEN + 1];
		char                			UnderlyingFTSecID[FT_C_SEC_LEN + 1];
		char                			UnderlyingFTProductID[FT_C_SEC_LEN + 1];
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		double              			MinTradableQty;
		double              			LotSize;
		double              			MinQuoteQty;
		double              			MinParallelTradableQty;
		FT_C_QUOTING_TYPEEnum			YieldQuoting;
		unsigned long       			NumOfStrategyLeg;
		char                			Term[FT_C_TERM_LEN + 1];
		char                			FloatRateID[FT_C_FLOAT_RATE_LEN + 1];
		char                			SettlGroupID[FT_C_SETTL_GROUP_LEN + 1];
		double              			StrikePrice;
		char                			SourceTopic[FT_C_SOURCE_TOPIC_LEN + 1];
		double              			RFQPriceTick;
		double              			RFQYieldTick;
		FT_C_OPTION_STYLEEnum			OptionStyle;
		FT_C_DELIVERY_TYPEEnum			DeliveryType;
		int                 			Modified;
		char                			BenchFTSecID[FT_C_SEC_LEN + 1];
		FT_C_FLAGEnum       			IsBenchMark;
		FT_C_FLAGEnum       			GreyMarketFlag;
		double              			MinIOIQty;
		FT_C_PAYMENT_INFORec			PayInfo;
		char                			LongDescription[FT_C_LONG_DESCRIPTION_LEN + 1];
		double              			MaxRFQQty;
		double              			MaxListRFQQty;
		char                			BaseCusip[FT_C_SEC_REF_LEN + 1];
		FT_C_CUSIP_CALC_METHEnum			CusipCalcMethod;
		unsigned long       			TradingStartTime;
		unsigned long       			RebaseDate;
		char                			MrkSubType[FT_C_MRK_SUB_TYPE_LEN + 1];
		FT_C_FLAG_UNDEnum   			CrossEnabled;
		double              			RFQQtyTick;
		double              			CrossPriceTick;
		FT_C_SWAP_TYPEEnum  			SwapType;
		FT_C_PERIOD_SEQUENCERec			Tenor;
		FT_C_PAYMENT_INFO_EXTRec			PayInfoExt;
		FT_C_PRICE_TYPEEnum 			PriceType;
		FT_C_PRICE_SORT_TYPEEnum			PriceSortType;
		FT_C_FLAG_UNDEnum   			BTFCrossEnabled;
		char                			OnTheRunTerm[FT_C_TERM_LEN + 1];
		double              			MinIndQuoteQty;
		double              			IndQuoteQtyTick;
		double              			MinInvQuoteQty;
		double              			InvQuoteQtyTick;
		double              			MinExecInvQuoteQty;
		double              			ExecInvQuoteQtyTick;
		FT_C_CALLABLE_TYPEEnum			CallableType;
		FT_C_TRADABLE_TYPEEnum			TradableType;
		double              			MinRfqValue;
		char                			ProductName[FT_C_PRODUCTNAME_LEN + 1];
} FT_C_SECURITY_LISTRec, *FT_C_SECURITY_LISTPtr;


typedef struct {		/* FT_C_STRATEGY_LEG_ID (30167) */
		char                			StrategyFTSecID[FT_C_SEC_LEN + 1];
		char                			LegFTSecID[FT_C_SEC_LEN + 1];
		unsigned long       			Position;
		unsigned short      			Ratio;
		FT_C_VERBEnum       			ActionOnBuy;
		FT_C_VERBEnum       			ActionOnSell;
		double              			RatioDb;
} FT_C_STRATEGY_LEGRec, *FT_C_STRATEGY_LEGPtr;


typedef struct {		/* FT_C_SECURITY_EXT_ID (30075) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		double              			LastPrice;
		unsigned long       			DateLastPrice;
		double              			AuctionOpeningPrice;
		unsigned long       			AuctionOpeningPriceTime;
		double              			AuctionOpeningQuantity;
		double              			AuctionOpeningImbalance;
		FT_C_FLAGEnum       			AuctionOpeningPriceSuitability;
		unsigned long       			AuctionOpeningContractNumber;
		unsigned long       			NumberOfOpenings;
		double              			AuctionClosingPrice;
		unsigned long       			AuctionClosingPriceTime;
		double              			AuctionClosingQuantity;
		double              			AuctionClosingImbalance;
		FT_C_FLAGEnum       			AuctionClosingPriceSuitability;
		unsigned long       			AuctionClosingContractNumber;
		double              			PercentageDeviationOrderPrice;
		double              			PercentageDeviationTradePrice;
		double              			PercentageDeviationLastTradePrice;
		double              			MaximumOrderQuantity;
		double              			MaximumOrderQuantityOpeningPrice;
		char                			SettlementType[3 + 1];
		double              			NumberOfSharesInCirculation;
		double              			IcebergMinQty;
		double              			TodayReferencePrice;
		double              			TodayOfficialPrice;
		double              			TodayOfficialPriceLira;
		double              			ControlPrice;
		char                			CorporateAuction[3 + 1];
		unsigned long       			RandomAuctionStartTime;
		double              			YesterdayReferencePrice;
		double              			YesterdayOfficialPrice;
		double              			CrossOrderMinCountervalue;
		double              			ClosureLastTradePrice;
		double              			ClosureLastTradeQty;
		double              			ClosureMaximumPrice;
		double              			ClosureMinimumPrice;
		double              			ClosureTotalCountervalue;
		double              			ClosureTotalQuantityTraded;
		double              			ClosureNumberOfTrades;
		FT_C_FLAGEnum       			DurationFlag;
		FT_C_FLAGEnum       			PeriodFlag;
		double              			MaxPriceYield;
		double              			MinPriceYield;
		double              			LastAuctionPrice;
		unsigned long       			LastAuctionPriceTime;
		double              			LastAuctionQuantity;
		double              			LastAuctionImbalance;
		FT_C_FLAGEnum       			LastAuctionPriceSuitability;
		unsigned long       			LastAuctionContractNumber;
		long                			YesterdayOpenInterest;
		double              			MaximumAllowedPrice;
		double              			MinimumAllowedPrice;
		FT_C_PRICE_DEV_TYPEEnum			PriceDevType;
		double              			AlternateHaircut;
		double              			AuctionOpeningYield;
		double              			AuctionClosingYield;
		double              			LastAuctionYield;
		double              			MaxDynAllowedPrice;
		double              			MinDynAllowedPrice;
		double              			PercentageDeviationCrossOrderPrice;
		double              			PercentageDeviationRFQPrice;
		double              			MaximumRfqQuantity;
		double              			MinOTCValue;
		double              			MaxIndQuoteQty;
		double              			MaxInvQuoteQty;
		double              			MaxExecInvQuoteQty;
		double              			MaxRfqValue;
		char                			TradeClass[FT_C_TRADE_CLASS_LEN + 1];
} FT_C_SECURITY_EXTRec, *FT_C_SECURITY_EXTPtr;


typedef struct {		/*  (0) */
		double              			MinPrice;
		double              			MaxPrice;
		double              			PriceTick;
} FT_C_TICKS_ROWRec, *FT_C_TICKS_ROWPtr;


typedef struct {		/* FT_C_TICKS_ID (30144) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		FT_C_TICKS_ROWRec   			Tick[FT_C_MAX_TICKS_NUMBER];
} FT_C_TICKSRec, *FT_C_TICKSPtr;


typedef struct {		/* FT_C_UNDERLYING_ID (30002) */
		char                			UnderlyingFTSecID[FT_C_SEC_LEN + 1];
		char                			FTSecTree[FT_C_SEC_TREE_LEN + 1];
		char                			PrimaryRef[FT_C_SEC_REF_LEN + 1];
		char                			AlternateRef[FT_C_SEC_REF_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			SecurityID[FT_C_SECURITY_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
		char                			ISINCode[FT_C_ISIN_LEN + 1];
		char                			MasterFTSecID[FT_C_SEC_LEN + 1];
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		char                			Issuer[FT_C_ISSUER_LEN + 1];
		FT_C_SECURITY_TYPEEnum			SecurityType;
		char                			FTProductID[FT_C_SEC_LEN + 1];
		char                			CFICode[FT_C_CFICODE_LEN + 1];
		char                			FISNCode[FT_C_FISN_LEN + 1];
		char                			IssuerLEI[FT_C_LEI_LEN + 1];
		char                			IssuerName[FT_C_ISSUER_NAME_LEN + 1];
		char                			FloatRateID[FT_C_FLOAT_RATE_LEN + 1];
		char                			TermID[FT_C_TERM_LEN + 1];
		char                			SettlGroupID[FT_C_SETTL_GROUP_LEN + 1];
		unsigned long       			MaturityDate;
} FT_C_UNDERLYINGRec, *FT_C_UNDERLYINGPtr;


typedef struct {		/* FT_C_GC_COMPOSITION_ID (30087) */
		char                			GenFTSecID[FT_C_SEC_LEN + 1];
		char                			ColFTSecID[FT_C_SEC_LEN + 1];
} FT_C_GC_COMPOSITIONRec, *FT_C_GC_COMPOSITIONPtr;


typedef struct {		/*  (0) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		unsigned short      			Ratio;
		FT_C_VERBEnum       			ActionOnBuy;
		FT_C_VERBEnum       			ActionOnSell;
} FT_C_STRATEGY_ITEMRec, *FT_C_STRATEGY_ITEMPtr;


typedef struct {		/* FT_C_STRATEGY_REQ_ID (30003) */
		char                			FTStrategyID[FT_C_SEC_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			SecurityID[FT_C_SECURITY_LEN + 1];
		unsigned short      			NumberOfLegs;
		FT_C_STRATEGY_ITEMRec			StrategyLeg[FT_C_STRATEGY_LEG_NUMBER];
} FT_C_STRATEGY_REQRec, *FT_C_STRATEGY_REQPtr;


typedef struct {		/* FT_C_MARKET_CAPABILITY_ID (30279) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			FTSecID[FT_C_SEC_LEN + 1];
		FT_C_FLAG_UNDEnum   			OTCEnabled;
		FT_C_FLAG_UNDEnum   			CrossOrderEnabled;
} FT_C_MARKET_CAPABILITYRec, *FT_C_MARKET_CAPABILITYPtr;


typedef struct {		/* FT_C_COUPON_PLAN_ID (30092) */
		char                			CouponPlanID[FT_C_COUPON_PLAN_LEN + 1];
		unsigned long       			CouponRateDate;
		double              			CouponRate;
} FT_C_COUPON_PLANRec, *FT_C_COUPON_PLANPtr;


typedef struct {		/* FT_C_SECTION_INFO_ID (30042) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		FT_C_FLAGEnum       			OrderEnabled;
		FT_C_FLAGEnum       			QuoteEnabled;
		FT_C_FLAGEnum       			RFQEnabled;
		FT_C_FLAGEnum       			Anonymous;
		FT_C_CONFIG_FLAGEnum			AggregatedView;
		FT_C_FLAGEnum       			IndicativePrice;
} FT_C_SECTION_INFORec, *FT_C_SECTION_INFOPtr;


typedef struct {		/* FT_C_SECTION_MEMBER_ID (30091) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			SwiftCode[FT_C_SWIFT_CODE_LEN + 1];
		char                			EMail[FT_C_EMAIL_LEN + 1];
		char                			Telephone[FT_C_TELEPHONE_LEN + 1];
		char                			Fax[FT_C_FAX_LEN + 1];
		char                			MarketManager[FT_C_MARKET_MANAGER_LEN + 1];
		char                			AgentSwift[FT_C_SWIFT_CODE_LEN + 1];
		char                			AgentAccount[FT_C_AGENT_ACCOUNT_LEN + 1];
} FT_C_SECTION_MEMBERRec, *FT_C_SECTION_MEMBERPtr;


typedef struct {		/* FT_C_SETTL_SYSTEM_ID (30018) */
		char                			SettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
} FT_C_SETTL_SYSTEMRec, *FT_C_SETTL_SYSTEMPtr;


typedef struct {		/* FT_C_SETTL_INFORMATION_ID (30093) */
		char                			SettlGroupID[FT_C_SETTL_GROUP_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
		char                			CalendarID[FT_C_CALENDAR_LEN + 1];
		FT_C_FLAGEnum       			AllowedManualSettlement;
} FT_C_SETTL_INFORMATIONRec, *FT_C_SETTL_INFORMATIONPtr;


typedef struct {		/* FT_C_SETTL_GROUP_SYSTEM_ID (30094) */
		char                			SettlGroupID[FT_C_SETTL_GROUP_LEN + 1];
		char                			SettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		FT_C_SETTL_MODEEnum 			SettlementMode;
		unsigned long       			CutOffTime;
		long                			AllocationPeriod;
} FT_C_SETTL_GROUP_SYSTEMRec, *FT_C_SETTL_GROUP_SYSTEMPtr;


typedef struct {		/* FT_C_MARKET_SETTL_SYSTEM_ID (30145) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
} FT_C_MARKET_SETTL_SYSTEMRec, *FT_C_MARKET_SETTL_SYSTEMPtr;


typedef struct {		/* FT_C_MARKET_SETTL_INFORMATION_ID (30146) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SettlGroupID[FT_C_SETTL_GROUP_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
		char                			CalendarID[FT_C_CALENDAR_LEN + 1];
		FT_C_SETTLEMENT_MODEEnum			SettlementMode;
} FT_C_MARKET_SETTL_INFORMATIONRec, *FT_C_MARKET_SETTL_INFORMATIONPtr;


typedef struct {		/* FT_C_MARKET_SETTL_GROUP_SYSTEM_ID (30147) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SettlGroupID[FT_C_SETTL_GROUP_LEN + 1];
		char                			SettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		FT_C_SETTL_MODEEnum 			SettlementMode;
		unsigned long       			CutOffTime;
} FT_C_MARKET_SETTL_GROUP_SYSTEMRec, *FT_C_MARKET_SETTL_GROUP_SYSTEMPtr;


typedef struct {		/* FT_C_CALENDAR_ID (30095) */
		char                			CalendarID[FT_C_CALENDAR_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
} FT_C_CALENDARRec, *FT_C_CALENDARPtr;


typedef struct {		/* FT_C_CALENDAR_EXCP_ID (30096) */
		char                			CalendarID[FT_C_CALENDAR_LEN + 1];
		unsigned long       			Date;
		FT_C_FLAGEnum       			WorkingDay;
		FT_C_FLAGEnum       			RollingFlag;
} FT_C_CALENDAR_EXCPRec, *FT_C_CALENDAR_EXCPPtr;


typedef struct {		/* FT_C_MARKET_CALENDAR_ID (30097) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			CalendarID[FT_C_CALENDAR_LEN + 1];
} FT_C_MARKET_CALENDARRec, *FT_C_MARKET_CALENDARPtr;


typedef struct {		/* FT_C_MARKET_CALENDAR_EXCP_ID (30098) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			CalendarID[FT_C_CALENDAR_LEN + 1];
		unsigned long       			Date;
		FT_C_FLAGEnum       			WorkingDay;
		FT_C_FLAGEnum       			RollingFlag;
} FT_C_MARKET_CALENDAR_EXCPRec, *FT_C_MARKET_CALENDAR_EXCPPtr;


typedef struct {		/* FT_C_SETTL_GROUP_ID (30019) */
		char                			SettlGroupID[FT_C_SETTL_GROUP_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			SettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		char                			DirectMemberCode[FT_C_MEMBER_LEN + 1];
		unsigned long       			SettlAccount;
		unsigned long       			StartDate;
		char                			AltSettlAccount[FT_C_ALT_SETTL_ACCOUNT_LEN + 1];
		char                			ClearingHouse[FT_C_CLEARING_HOUSE_LEN + 1];
		char                			GeneralMemberCode[FT_C_MEMBER_LEN + 1];
		char                			SettlType[FT_C_SETTL_SYSTEM_LEN + 1];
		char                			ClearingMember[FT_C_MEMBER_LEN + 1];
		char                			Account[FT_C_ALT_SETTL_ACCOUNT_LEN + 1];
		char                			AlternateMember[FT_C_MEMBER_LEN + 1];
		char                			AlternateAccount[FT_C_ALT_SETTL_ACCOUNT_LEN + 1];
		char                			EMail[FT_C_EMAIL_LEN + 1];
		char                			Telephone[FT_C_TELEPHONE_LEN + 1];
		char                			Fax[FT_C_FAX_LEN + 1];
		char                			MarketManager[FT_C_MARKET_MANAGER_LEN + 1];
		char                			ClearingSwiftCode[FT_C_SWIFT_CODE_LEN + 1];
		char                			AlternateSwiftCode[FT_C_SWIFT_CODE_LEN + 1];
		char                			IntermediaryBankName[FT_C_MEMBER_NAME_LEN + 1];
		char                			IntermediaryBankSWIFT[FT_C_SWIFT_CODE_LEN + 1];
} FT_C_SETTL_GROUPRec, *FT_C_SETTL_GROUPPtr;


typedef struct {		/* FT_C_MEMBER_SETTL_SYSTEMS_ID (30160) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			SettlGroupID[FT_C_SETTL_GROUP_LEN + 1];
		FT_C_SETTL_MODEEnum 			SettlementMode;
		char                			SettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		long                			Priority;
		FT_C_SETTL_VERBEnum 			Verb;
} FT_C_MEMBER_SETTL_SYSTEMSRec, *FT_C_MEMBER_SETTL_SYSTEMSPtr;


typedef struct {		/* FT_C_LINKED_SETTL_SYSTEMS_ID (30161) */
		char                			SettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		char                			LinkedSettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
} FT_C_LINKED_SETTL_SYSTEMSRec, *FT_C_LINKED_SETTL_SYSTEMSPtr;


typedef struct {		/* FT_C_BASKET_ID (30004) */
		char                			BasketID[FT_C_BASKET_LEN + 1];
		double              			Coefficient;
		unsigned long       			YesterdayValue;
} FT_C_BASKETRec, *FT_C_BASKETPtr;


typedef struct {		/* FT_C_BASKET_COMPOSITION_ID (30005) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			BasketID[FT_C_BASKET_LEN + 1];
		double              			Price;
		double              			Weight;
} FT_C_BASKET_COMPOSITIONRec, *FT_C_BASKET_COMPOSITIONPtr;


typedef struct {		/* FT_C_BASKET_STATUS_ID (30006) */
		char                			BasketID[FT_C_BASKET_LEN + 1];
		unsigned long       			Value;
		unsigned long       			Time;
		FT_C_SIGNEnum       			Trend;
		double              			PercVar;
		unsigned long       			MaximumValue;
		unsigned long       			MinimumValue;
		double              			dValue;
		double              			dMaximumValue;
		double              			dMinimumValue;
} FT_C_BASKET_STATUSRec, *FT_C_BASKET_STATUSPtr;


typedef struct {		/* FT_C_VIEWS_ID (30148) */
		char                			ViewsID[FT_C_BASKET_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
		char                			BasketID[FT_C_BASKET_LEN + 1];
} FT_C_VIEWSRec, *FT_C_VIEWSPtr;


typedef struct {		/* FT_C_MEMBER_ID (30027) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			Name[FT_C_MEMBER_NAME_LEN + 1];
		char                			Address[FT_C_ADDRESS_LEN + 1];
		char                			City[FT_C_CITY_LEN + 1];
		char                			EMail[FT_C_EMAIL_LEN + 1];
		char                			ZipCode[FT_C_ZIPCODE_LEN + 1];
		char                			Telephone[FT_C_TELEPHONE_LEN + 1];
		char                			Fax[FT_C_FAX_LEN + 1];
		char                			Country[FT_C_COUNTRY_DESC_LEN + 1];
		char                			DirectMemberID[FT_C_MEMBER_LEN + 1];
		FT_C_MEMBER_TYPEEnum			Type;
		char                			FTCounterpartID[FT_C_COUNTERPART_LEN + 1];
		FT_C_FLAGEnum       			Myself;
		char                			SWIFTCode[FT_C_SWIFT_LEN + 1];
		FT_C_W_SETUP_VALUEEnum			DepoDeliveryRisk;
		FT_C_W_SETUP_VALUEEnum			DepoCreditLimit;
		FT_C_W_SETUP_VALUEEnum			SwapCreditLimit;
		FT_C_FLAGEnum       			ActiveMember;
		char                			SettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		FT_C_FLAGEnum       			External;
		char                			Description[FT_C_MEMBER_NAME_LEN + 1];
		FT_C_FLAGEnum       			WelcomeStatusAllowed;
		FT_C_FLAGEnum       			Invisible;
		FT_C_FLAGEnum       			DoubleSidedRFCQEnabledFg;
		FT_C_W_SETUP_VALUEEnum			RepoDeliveryRisk;
		FT_C_W_SETUP_VALUEEnum			RepoCreditLimit;
		char                			LEI[FT_C_LEI_LEN + 1];
		FT_C_FLAG_UNDEnum   			IsProfessional;
		FT_C_FLAGEnum       			DisabledChat;
} FT_C_MEMBERRec, *FT_C_MEMBERPtr;


typedef struct {		/* FT_C_MEMBER_BY_SECURITY_ID (30271) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			FTSecID[FT_C_SEC_LEN + 1];
} FT_C_MEMBER_BY_SECURITYRec, *FT_C_MEMBER_BY_SECURITYPtr;


typedef struct {		/* FT_C_OPERATOR_ID (30028) */
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_FLAGEnum       			IsConnected;
} FT_C_OPERATORRec, *FT_C_OPERATORPtr;


typedef struct {		/* FT_C_BROKER_ID (30178) */
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		char                			Name[FT_C_MEMBER_NAME_LEN + 1];
} FT_C_BROKERRec, *FT_C_BROKERPtr;


typedef struct {		/* FT_C_MARKET_PER_BROKER_ID (30179) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
} FT_C_MARKET_PER_BROKERRec, *FT_C_MARKET_PER_BROKERPtr;


typedef struct {		/* FT_C_MARKET_TERM_ID (30090) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			TermID[FT_C_TERM_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
		FT_C_BD_TYPEEnum    			BrokenDateType;
		unsigned long       			StartDate;
		unsigned long       			EndDate;
		unsigned short      			Elapsed;
		FT_C_DUR_UNITEnum   			Unit;
		unsigned long       			SortPos;
		unsigned short      			SpotValueDate;
		char                			ForwardCode[FT_C_FRW_CODE_LEN + 1];
		char                			StartDateID[FT_C_DATE_LEN + 1];
		char                			EndDateID[FT_C_DATE_LEN + 1];
} FT_C_MARKET_TERMRec, *FT_C_MARKET_TERMPtr;


typedef struct {		/* FT_C_MARKET_STATE_ID (30008) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MarketType[FT_C_MARKET_TYPE_LEN + 1];
		FT_SERVERSTATUSEnum 			Status;
		unsigned long       			Time;
		unsigned long       			IdleToReceive;
		FT_C_TRADE_STATUSEnum			TradeStatus;
		FT_C_TRADE_STATUSEnum			MemberTradeStatus;
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		FT_C_MARKET_STATE_TYPEEnum			Type;
		unsigned long       			Date;
} FT_C_MARKET_STATERec, *FT_C_MARKET_STATEPtr;


typedef struct {		/* FT_C_SECURITY_ISSUE_ID (30046) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_ISSUE_TYPEEnum 			IssueType;
		double              			Qty;
		double              			Price;
		unsigned long       			StartDate;
		unsigned long       			StopDate;
		unsigned long       			DailyStartTime;
		unsigned long       			DailyStopTime;
		unsigned long       			IssueTime;
		double              			MinVolQty;
		double              			MinFillSize;
		FT_C_ISSUE_MODEEnum 			IssueMode;
		FT_C_ISSUE_STATUSEnum			Status;
		FT_C_ISSUE_ACCESSEnum			IssueAccess;
		unsigned long       			SettlDate;
		double              			Value;
		double              			CutOffYield;
		double              			CutOffPrice;
		double              			ProRata;
		double              			FeesAmount;
		double              			TotalReceivedQty;
		double              			TotalCompetitiveQty;
		double              			TotalNonCompetitiveQty;
		double              			NonCompetitiveProRata;
		double              			AveragePrice;
		double              			MaxAcceptedPrice;
		double              			Tail;
		double              			Ratio;
		double              			AccruedInterest;
} FT_C_SECURITY_ISSUERec, *FT_C_SECURITY_ISSUEPtr;


typedef struct {		/* FT_C_SECTION_PLANNING_ID (30040) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		unsigned long       			Date;
		unsigned long       			Time;
		unsigned long       			PhaseSeqNo;
		FT_C_TRADING_PHASEEnum			Phase;
		FT_C_PHASE_FLAGEnum 			PhaseFlag;
		FT_C_ORDER_ENTRYEnum			OrderEntry;
		unsigned long       			StartPhaseTimeBeforeFestivity;
} FT_C_SECTION_PLANNINGRec, *FT_C_SECTION_PLANNINGPtr;


typedef struct {		/* FT_C_SECURITY_PLANNING_ID (30041) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		unsigned long       			Date;
		unsigned long       			Time;
		unsigned long       			PhaseSeqNo;
		FT_C_TRADING_PHASEEnum			Phase;
		FT_C_PHASE_FLAGEnum 			PhaseFlag;
		FT_C_ORDER_ENTRYEnum			OrderEntry;
} FT_C_SECURITY_PLANNINGRec, *FT_C_SECURITY_PLANNINGPtr;


typedef struct {		/* FT_C_TRADING_STATE_ID (30010) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		FT_C_TRADING_PHASEEnum			Phase;
		FT_C_TRADING_STATUSEnum			Status;
		char                			PhaseDescription[FT_C_PHASE_DESCRIPTION_LEN + 1];
		unsigned long       			Date;
		unsigned long       			Time;
		FT_C_ORDER_ENTRYEnum			OrderEntry;
		unsigned long       			TimeMicroSec;
} FT_C_TRADING_STATERec, *FT_C_TRADING_STATEPtr;


typedef struct {		/* FT_C_SECURITY_STATE_ID (30011) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		FT_C_TRADING_PHASEEnum			Phase;
		FT_C_TRADING_STATUSEnum			Status;
		char                			PhaseDescription[FT_C_PHASE_DESCRIPTION_LEN + 1];
		unsigned long       			Date;
		unsigned long       			Time;
		FT_C_ORDER_ENTRYEnum			OrderEntry;
		unsigned long       			TimeMicroSec;
} FT_C_SECURITY_STATERec, *FT_C_SECURITY_STATEPtr;


typedef struct {		/* FT_C_TRADING_STATE_HIST_ID (30242) */
		FT_C_TRADING_STATERec			State;
} FT_C_TRADING_STATE_HISTRec, *FT_C_TRADING_STATE_HISTPtr;


typedef struct {		/* FT_C_SECURITY_STATE_HIST_ID (30243) */
		FT_C_SECURITY_STATERec			State;
} FT_C_SECURITY_STATE_HISTRec, *FT_C_SECURITY_STATE_HISTPtr;


typedef struct {		/* FT_C_OPERATOR_STATE_ID (30030) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_MEMBER_STATUSEnum			Status;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		FT_C_TRADE_STATUSEnum			TradeStatus;
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
} FT_C_OPERATOR_STATERec, *FT_C_OPERATOR_STATEPtr;


typedef struct {		/*  (0) */
		char                			ClientID[FT_C_CLIENT_LEN + 1];
		char                			ClientAccount[FT_C_ACCOUNT_LEN + 1];
		FT_C_POSITIONEnum   			Position;
		FT_C_ORIGINEnum     			Origin;
} FT_C_CLIENT_INFORec, *FT_C_CLIENT_INFOPtr;


typedef struct {		/*  (0) */
		double              			Price;
		double              			Volatility;
		double              			Yield;
		double              			Qty;
		double              			VisibleQty;
		double              			MinVolQty;
		double              			ExecutedQty;
		double              			RemainingQty;
		double              			ParallelQty;
} FT_C_QUOTE_LEGRec, *FT_C_QUOTE_LEGPtr;


typedef struct {		/*  (0) */
		double              			StrikerPrice;
		double              			MinStrikerQty;
		FT_C_FLAGEnum       			StrikerPriceFg;
} FT_C_STRIKER_QUOTE_LEGRec, *FT_C_STRIKER_QUOTE_LEGPtr;


typedef struct {		/*  (0) */
		unsigned long       			FirmShortCode;
		FT_C_FIRM_TYPEEnum  			FirmType;
} FT_C_FIRM_INFORec, *FT_C_FIRM_INFOPtr;

#define		FT_C_EXCEPTION_DATES_LEN 32
#define		FT_C_QUOTES_EXCEPTION_DATES_LEN 8

typedef struct {		/*  (0) */
		unsigned long       			StartDateIntv;
		unsigned long       			StopDateIntv;
		FT_C_FLAGEnum       			SingleDatesAsExcpetion;
		unsigned long       			ExceptionDates[FT_C_EXCEPTION_DATES_LEN];
		unsigned long       			StartExcpDateIntv;
		unsigned long       			StopExcpDateIntv;
} FT_C_MAT_DATE_INTVRec, *FT_C_MAT_DATE_INTVPtr;


typedef struct {		/*  (0) */
		unsigned long       			StartDateIntv;
		unsigned long       			StopDateIntv;
		FT_C_FLAGEnum       			SingleDatesAsExcpetion;
		unsigned long       			ExceptionDates[FT_C_QUOTES_EXCEPTION_DATES_LEN];
		unsigned long       			StartExcpDateIntv;
		unsigned long       			StopExcpDateIntv;
} FT_C_QUOTES_MAT_DATE_INTVRec, *FT_C_QUOTES_MAT_DATE_INTVPtr;


typedef struct {		/* FT_C_QUOTE_ID (30016) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			QuoteID[FT_C_ORDER_LEN + 1];
		char                			OrigQuoteID[FT_C_ORDER_LEN + 1];
		char                			ClientQuoteID[FT_C_CLIENT_ORDER_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		unsigned long       			BookPriority;
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		FT_C_ORDER_STATUSEnum			Status;
		FT_C_QUOTE_LEGRec   			Bid;
		FT_C_QUOTE_LEGRec   			Ask;
		FT_C_FLAGEnum       			ParallelQuoting;
		double              			MinFillSize;
		char                			UserText[FT_C_USER_TEXT_LEN + 1];
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			ISINCode[FT_C_ISIN_LEN + 1];
		FT_C_QUOTE_AUTOEnum 			AutomaticFlag;
		char                			ExtInfo[FT_C_QUOTE_INFO_LEN + 1];
		char                			LinkTag[FT_C_LINK_TAG_LEN + 1];
		FT_C_LINK_FLAGEnum  			LinkFlag;
		FT_C_QUOTE_SUB_STATUSEnum			SubStatus;
		char                			BuyOrderID[FT_C_ORDER_LEN + 1];
		char                			SellOrderID[FT_C_ORDER_LEN + 1];
		FT_C_CLIENT_INFORec 			Client;
		char                			ParentOrderID[FT_C_ORDER_LEN + 1];
		char                			BuyMrkOrderID[FT_C_MRKORDER_LEN + 1];
		char                			SellMrkOrderID[FT_C_MRKORDER_LEN + 1];
		FT_C_PRIORITYEnum   			Priority;
		FT_C_FLAGEnum       			Indicative;
		char                			MrkQuoteID[FT_C_MRKORDER_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		FT_C_OP_TYPEEnum    			OpType;
		FT_C_QTY_TYPEEnum   			RelativeQty;
		FT_C_INVENTORY_TYPEEnum			Inventory;
		unsigned long       			GroupID;
		FT_C_FLAGEnum       			BidAxedBonds;
		FT_C_FLAGEnum       			AskAxedBonds;
		FT_C_FLAGEnum       			ShowOnlyInDealerPageFg;
		char                			StrategyManager[FT_C_STRATEGY_MANAGER_LEN + 1];
		FT_C_STRIKER_QUOTE_LEGRec			BidStriker;
		FT_C_STRIKER_QUOTE_LEGRec			AskStriker;
		FT_C_FLAGEnum       			AdjustedFg;
		FT_C_FLAGEnum       			TransparentFlag;
		FT_C_FLAGEnum       			CCPOnlyFlag;
		double              			Haircut;
		double              			SpotPrice;
		FT_C_CLEARING_MODEEnum			ClearingMode;
		char                			SettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		char                			ClearingHouseID[FT_C_CLEARING_HOUSE_LEN + 1];
		unsigned long       			SeqNo;
		char                			ClearingMemberID[FT_C_MEMBER_LEN + 1];
		char                			StrategyWireValue[FT_C_STRATEGY_WIRE_VALUE_LEN + 1];
		char                			StrategyVersion[FT_C_STRATEGY_VERSION_LEN + 1];
		char                			StrategyParameter[FT_C_STRATEGY_PARAMETER_LEN + 1];
		FT_C_STRATEGY_STATUSEnum			StrategyStatus;
		FT_C_INTERNAL_ORDER_STATUSEnum			InternalStatus;
		double              			BidAxedQty;
		double              			AskAxedQty;
		FT_C_FIRM_INFORec   			InvestmentDecisionFirm;
		FT_C_FIRM_INFORec   			ExecutionDecisionFirm;
		unsigned long       			CreationTimeMicroSec;
		unsigned long       			UpdateTimeMicroSec;
		unsigned long       			TradingVenueSeqNo;
		unsigned long       			TransmittingFirmShortCode;
		FT_C_FLAG_UNDEnum   			LiquidityProvision;
		FT_C_ACTIONEnum     			IsManualEdit;
		FT_C_QTY_PARAMETEREnum			QtyParameter;
		unsigned long       			FirstSettlDate;
		unsigned long       			MaturityDate;
		FT_C_QUOTES_MAT_DATE_INTVRec			MatDateIntv;
		char                			MassActionID[FT_C_MASS_ACTION_LEN + 1];
		FT_C_SHORT_SELL_TYPEEnum			ShortSellType;
		FT_C_SECURITY_INFORec			SecInfo;
		FT_C_EXECUTION_SOURCE_CODEEnum			ExecutionSourceCode;
		FT_C_RFE_INDICATOREnum			RFEIndicator;
		char                			InternalProperties[FT_C_INTERNALPROP_LEN + 1];
		double              			MarkUp;
		char                			ComplianceText[FT_C_COMPLIANCETEXT_LEN + 1];
} FT_C_QUOTERec, *FT_C_QUOTEPtr;


typedef struct {		/* FT_C_QUOTE_PRICE_EDIT_ID (30192) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			QuoteID[FT_C_ORDER_LEN + 1];
		double              			BidPrice;
		double              			AskPrice;
		FT_C_ORDER_STATUSEnum			Status;
		double              			BidYield;
		double              			AskYield;
		double              			BidQty;
		double              			AskQty;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		unsigned long       			UpdateTimeMicroSec;
} FT_C_QUOTE_PRICE_EDITRec, *FT_C_QUOTE_PRICE_EDITPtr;


typedef struct {		/*  (0) */
		char                			QuoteID[FT_C_ORDER_LEN + 1];
} FT_C_QUOTE_LISTRec, *FT_C_QUOTE_LISTPtr;


typedef struct {		/* FT_C_LINKED_GROUP_ID (30169) */
		char                			LinkGroupID[FT_C_LINK_GROUP_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		FT_C_LINKED_QUOTE_STATUSEnum			Status;
		char                			LinkTag[FT_C_LINK_TAG_LEN + 1];
		unsigned long       			QuoteCount;
		FT_C_QUOTE_LISTRec  			QuoteList[FT_C_QUOTELIST_LEN];
} FT_C_LINKED_GROUPRec, *FT_C_LINKED_GROUPPtr;


typedef struct {		/*  (0) */
		char                			GiveUpMemberID[FT_C_MEMBER_LEN + 1];
		FT_C_ORIGINEnum     			GiveUpOrigin;
		char                			GiveUpClientAccount[FT_C_ACCOUNT_LEN + 1];
} FT_C_GIVEUP_INFORec, *FT_C_GIVEUP_INFOPtr;


typedef struct {		/*  (0) */
		char                			ClearingMemberID[FT_C_MEMBER_LEN + 1];
		FT_C_CLEARING_MODEEnum			ClearingMode;
} FT_C_CLEARING_INFORec, *FT_C_CLEARING_INFOPtr;


typedef struct {		/*  (0) */
		FT_C_ALLOCATION_TYPEEnum			AllocationType;
		unsigned long       			AllocationId;
} FT_C_ORDER_ALLOC_INFORec, *FT_C_ORDER_ALLOC_INFOPtr;


typedef struct {		/* FT_C_ORDER_ID (30014) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			ISINCode[FT_C_ISIN_LEN + 1];
		char                			OrderID[FT_C_ORDER_LEN + 1];
		char                			OrigOrderID[FT_C_ORDER_LEN + 1];
		char                			ClientOrderID[FT_C_CLIENT_ORDER_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		FT_C_VERBEnum       			Verb;
		FT_C_ORDER_TYPEEnum 			OrderType;
		FT_C_QTY_PARAMETEREnum			QtyParameter;
		FT_C_TIMEINFORCEEnum			TimeInForce;
		unsigned long       			ValidityDate;
		unsigned long       			ValidityTime;
		FT_C_ORDER_STATUSEnum			Status;
		double              			Price;
		double              			Volatility;
		double              			Yield;
		double              			MinVolQty;
		double              			MinFillSize;
		double              			Qty;
		double              			VisibleQty;
		double              			ExecutedQty;
		double              			RemainingQty;
		FT_C_QTY_TYPEEnum   			RelativeQty;
		double              			StopPrice;
		FT_C_STOP_TRIGGER_MECHANISMEnum			TriggerMechanism;
		unsigned long       			BookPriority;
		char                			UserText[FT_C_USER_TEXT_LEN + 1];
		FT_C_CLIENT_INFORec 			Client;
		FT_C_CLEARING_INFORec			Clearing;
		FT_C_FLAGEnum       			ConfirmFlag;
		FT_C_NEG_PHASEEnum  			AuctionFlag;
		FT_C_OPT_COMBO_INDEnum			ComboIndicator;
		FT_C_FLAGEnum       			IssueOrder;
		char                			TriggerFTSecID[FT_C_SEC_LEN + 1];
		char                			CounterpartMemberID[FT_C_MEMBER_LEN + 1];
		char                			ClearingHouseID[FT_C_CLEARING_HOUSE_LEN + 1];
		FT_C_FLAGEnum       			TransparentFlag;
		FT_C_FLAGEnum       			CCPOnlyFlag;
		char                			MrkOrderID[FT_C_MRKORDER_LEN + 1];
		unsigned long       			SeqNo;
		FT_C_FLAGEnum       			CareOrder;
		double              			TradesAvgPrice;
		char                			ParentOrderID[FT_C_ORDER_LEN + 1];
		double              			ActiveExecutedQty;
		double              			FeesAmount;
		double              			SettlementAmount;
		char                			Tag[FT_C_USER_TEXT_LEN + 1];
		char                			SalesOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_OWN_TYPEEnum   			OrderPrivate;
		FT_C_BYPASS_FLAGEnum			ByPassSentinel;
		FT_C_CARE_RELEASE_STATUSEnum			ToSettle;
		FT_C_PRIORITYEnum   			Priority;
		FT_C_QUOTE_AUTOEnum 			AutomaticFlag;
		long                			RefusedDel;
		double              			ExCurChangeRate;
		char                			LinkTag[FT_C_LINK_TAG_LEN + 1];
		FT_C_LINK_FLAGEnum  			LinkFlag;
		FT_C_FLAGEnum       			Indicative;
		FT_C_FLAGEnum       			WelcomePlusOnly;
		FT_C_ACTIONEnum     			IsManualEdit;
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		char                			ClientReference[FT_C_USER_TEXT_LEN + 1];
		char                			OnBehalfOf[FT_C_USER_TEXT_LEN + 1];
		unsigned long       			RecvDate;
		unsigned long       			RecvTime;
		FT_C_INTERNAL_ORDER_STATUSEnum			InternalStatus;
		FT_C_FLAGEnum       			InternalOrderFlag;
		char                			OrigClientOrderID[FT_C_CLIENT_ORDER_LEN + 1];
		double              			TotTradesAvgPrice;
		double              			TotActiveExecutedQty;
		char                			DealingInstructions[FT_C_FREE_TEXT_LEN + 1];
		FT_C_OP_TYPEEnum    			OpType;
		char                			LastFillID[FT_C_FILL_LEN + 1];
		unsigned long       			LastFillDate;
		unsigned long       			LastFillTime;
		FT_C_FLAG_UNDEnum   			OtcOrder;
		FT_C_NEXT_DATE_MODEEnum			NextDateOrder;
		unsigned long       			ActivationDate;
		FT_C_FLAG_UNDEnum   			TAH;
		FT_C_FLAGEnum       			IsBestOrder;
		FT_C_INTERNALIZER_MODEEnum			InternalizerMode;
		FT_C_BEST_EXEC_PRIORITYEnum			BestExecIndicator;
		char                			ParentClientOrderID[FT_C_CLIENT_ORDER_LEN + 1];
		FT_C_FLAGEnum       			SyntheticOrderFlag;
		FT_C_DEALING_STATUSEnum			ToDeal;
		FT_C_DER_ACCOUNT_TYPEEnum			DerAccountType;
		char                			DerAccount[FT_C_ACCOUNT_LEN + 1];
		char                			DerSubAccount[FT_C_ACCOUNT_LEN + 1];
		FT_C_SUMMARY_STATUSEnum			SummaryStatus;
		FT_C_ORDER_FILL_EXCEPTIONEnum			FillException;
		FT_C_FEE_EXCEPTIONEnum			FeeException;
		char                			InitialClientOrderID[FT_C_CLIENT_ORDER_LEN + 1];
		unsigned long       			LocalCreationDate;
		unsigned long       			LocalCreationTime;
		FT_C_TIMEINFORCEEnum			OriginalTimeInForce;
		unsigned long       			OriginalValidityDate;
		FT_C_FLAGEnum       			Moved;
		char                			SettlementCircuit[FT_C_MIC_LEN + 1];
		FT_C_BEST_EXEC_PROFILEEnum			BestExecProfile;
		FT_C_FLAGEnum       			LimitExceeded;
		double              			ExceededLimitQty;
		double              			OrigMinQty;
		unsigned short      			SplitNumber;
		FT_C_FLAGEnum       			WarningEnabledFlag;
		FT_C_ORDER_STATUSEnum			CounterpartStatus;
		double              			SubscribedQty;
		double              			SubscribedMinQty;
		double              			SubscribedPrice;
		double              			PegIncrement;
		FT_C_FLAGEnum       			HiddenOrder;
		FT_C_PEG_TYPEEnum   			PegType;
		char                			CounterpartMrkOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			StrategyManager[FT_C_STRATEGY_MANAGER_LEN + 1];
		FT_C_STRIKER_QUOTE_LEGRec			StrikerPrice;
		double              			UserChangeRate;
		FT_C_FLAG_UNDEnum   			UserChangeEnabled;
		double              			SubscribedSpotPrice;
		double              			SpotPrice;
		FT_C_SHORT_SELL_TYPEEnum			ShortSellType;
		char                			ShortSellExternalAccount[FT_C_ACCOUNT_LEN + 1];
		FT_C_FLAG_UNDEnum   			SweepingEnabled;
		unsigned long       			SweepingNo;
		unsigned long       			SweepingRejectNo;
		double              			Haircut;
		double              			SubscribedHaircut;
		char                			SettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		char                			ExecPolicyID[FT_C_EXEC_POLICY_LEN + 1];
		char                			StrategyWireValue[FT_C_STRATEGY_WIRE_VALUE_LEN + 1];
		char                			StrategyVersion[FT_C_STRATEGY_VERSION_LEN + 1];
		char                			StrategyParameter[FT_C_STRATEGY_PARAMETER_LEN + 1];
		char                			CounterpartSettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		FT_C_STRATEGY_STATUSEnum			StrategyStatus;
		char                			StrategyLastMsg[FT_C_USER_TEXT_LEN + 1];
		FT_C_ORDER_EXECUTION_STRATEGYEnum			OrderExecutionStrategy;
		FT_C_FLAGEnum       			VisibleRandom;
		double              			SecondVisibleQty;
		FT_C_STOP_TRAILING_TYPEEnum			StopTrailingType;
		double              			StopTrailing;
		char                			LinkBulkID[FT_C_LINK_BULK_LEN + 1];
		unsigned short      			BulkLegSeqNo;
		unsigned short      			BulkLegsNum;
		FT_C_FIRM_INFORec   			InvestmentDecisionFirm;
		FT_C_FIRM_INFORec   			ExecutionDecisionFirm;
		unsigned long       			CreationTimeMicroSec;
		unsigned long       			UpdateTimeMicroSec;
		unsigned long       			RecvTimeMicroSec;
		unsigned long       			LastFillTimeMicroSec;
		unsigned long       			LocalCreationTimeMicroSec;
		unsigned long       			TradingVenueSeqNo;
		unsigned long       			OrigClientShortCode;
		FT_C_FLAG_UNDEnum   			RiskReduction;
		unsigned long       			TransmittingFirmShortCode;
		FT_C_FLAG_UNDEnum   			LiquidityProvision;
		FT_C_LIQUIDITY_INDICATOREnum			Aggressor;
		FT_C_SECURITY_INFORec			SecInfo;
		FT_C_FLAGEnum       			CreateFTCSwapSecurity;
		unsigned long       			SettlementDate;
		unsigned long       			MaturityDate;
		FT_C_ORDER_ALLOC_INFORec			AllocInfo;
		char                			MassActionID[FT_C_MASS_ACTION_LEN + 1];
		char                			MergeOrderID[FT_C_ORDER_LEN + 1];
		FT_C_FLAGEnum       			ParallelQuoting;
		double              			ParallelQty;
		char                			ReferenceMIC[FT_C_MIC_LEN + 1];
		FT_C_SETTL_DATE_TYPEEnum			SettlDateType;
		unsigned short      			SettlementOffset;
		FT_C_EXECUTION_SOURCE_CODEEnum			ExecutionSourceCode;
		FT_C_MIFID_CLIENT_TYPEEnum			OrigClientFirmType;
		char                			CrossID[FT_C_ORDER_LEN + 1];
		char                			InternalReference[FT_C_USER_TEXT_LEN + 1];
		FT_C_FLAG_UNDEnum   			IsPersistent;
		char                			PIProposalID[FT_C_PIP_PROPOSAL_LEN + 1];
		char                			InternalProperties[FT_C_INTERNALPROP_LEN + 1];
		double              			CancelledQty;
		char                			BasketID[FT_C_BASKET_LEN + 1];
		double              			MarkUp;
		char                			ComplianceText[FT_C_COMPLIANCETEXT_LEN + 1];
} FT_C_ORDERRec, *FT_C_ORDERPtr;


typedef struct {		/* FT_C_ORDER_EXT_ID (30142) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			ISINCode[FT_C_ISIN_LEN + 1];
		char                			OrderID[FT_C_ORDER_LEN + 1];
		char                			OrigOrderID[FT_C_ORDER_LEN + 1];
		char                			ClientOrderID[FT_C_CLIENT_ORDER_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		FT_C_VERBEnum       			Verb;
		FT_C_ORDER_TYPEEnum 			OrderType;
		FT_C_QTY_PARAMETEREnum			QtyParameter;
		FT_C_TIMEINFORCEEnum			TimeInForce;
		unsigned long       			ValidityDate;
		unsigned long       			ValidityTime;
		FT_C_ORDER_STATUSEnum			Status;
		double              			Price;
		double              			Volatility;
		double              			Yield;
		double              			MinVolQty;
		double              			MinFillSize;
		double              			Qty;
		double              			VisibleQty;
		double              			ExecutedQty;
		double              			RemainingQty;
		FT_C_QTY_TYPEEnum   			RelativeQty;
		double              			StopPrice;
		FT_C_STOP_TRIGGER_MECHANISMEnum			TriggerMechanism;
		unsigned long       			BookPriority;
		char                			UserText[FT_C_USER_TEXT_LEN + 1];
		FT_C_CLIENT_INFORec 			Client;
		FT_C_CLEARING_INFORec			Clearing;
		FT_C_FLAGEnum       			ConfirmFlag;
		FT_C_NEG_PHASEEnum  			AuctionFlag;
		FT_C_OPT_COMBO_INDEnum			ComboIndicator;
		FT_C_FLAGEnum       			IssueOrder;
		char                			TriggerFTSecID[FT_C_SEC_LEN + 1];
		char                			CounterpartMemberID[FT_C_MEMBER_LEN + 1];
		char                			ClearingHouseID[FT_C_CLEARING_HOUSE_LEN + 1];
		FT_C_FLAGEnum       			TransparentFlag;
		FT_C_FLAGEnum       			CCPOnlyFlag;
		char                			MrkOrderID[FT_C_MRKORDER_LEN + 1];
		unsigned long       			SeqNo;
		FT_C_FLAGEnum       			CareOrder;
		double              			TradesAvgPrice;
		char                			ParentOrderID[FT_C_ORDER_LEN + 1];
		double              			ActiveExecutedQty;
		char                			TermID[FT_C_TERM_LEN + 1];
		unsigned long       			StartDate;
		unsigned long       			EndDate;
		char                			StartDateID[FT_C_DATE_LEN + 1];
		char                			EndDateID[FT_C_DATE_LEN + 1];
		char                			FloatRateID[FT_C_FLOAT_RATE_LEN + 1];
		double              			FeesAmount;
		double              			SettlementAmount;
		char                			Tag[FT_C_USER_TEXT_LEN + 1];
		char                			SalesOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_OWN_TYPEEnum   			OrderPrivate;
		FT_C_BYPASS_FLAGEnum			ByPassSentinel;
		FT_C_CARE_RELEASE_STATUSEnum			ToSettle;
		char                			LinkTag[FT_C_LINK_TAG_LEN + 1];
		FT_C_LINK_FLAGEnum  			LinkFlag;
		FT_C_FLAGEnum       			Indicative;
		FT_C_FLAGEnum       			WelcomePlusOnly;
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		char                			ClientReference[FT_C_USER_TEXT_LEN + 1];
		char                			OnBehalfOf[FT_C_USER_TEXT_LEN + 1];
		unsigned long       			RecvDate;
		unsigned long       			RecvTime;
		FT_C_INTERNAL_ORDER_STATUSEnum			InternalStatus;
		FT_C_OP_TYPEEnum    			OpType;
		FT_C_DEALING_STATUSEnum			ToDeal;
		char                			StrategyManager[FT_C_STRATEGY_MANAGER_LEN + 1];
		FT_C_SHORT_SELL_TYPEEnum			ShortSellType;
		char                			ShortSellExternalAccount[FT_C_ACCOUNT_LEN + 1];
		char                			StrategyWireValue[FT_C_STRATEGY_WIRE_VALUE_LEN + 1];
		FT_C_FIRM_INFORec   			InvestmentDecisionFirm;
		FT_C_FIRM_INFORec   			ExecutionDecisionFirm;
		unsigned long       			OrigClientShortCode;
		FT_C_FLAG_UNDEnum   			RiskReduction;
		FT_C_FLAG_UNDEnum   			LiquidityProvision;
} FT_C_ORDER_EXTRec, *FT_C_ORDER_EXTPtr;


typedef struct {		/*  (0) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			OrderID[FT_C_ORDER_LEN + 1];
		FT_C_ORDER_TYPEEnum 			OrderType;
		FT_C_TIMEINFORCEEnum			TimeInForce;
		unsigned long       			ValidityDate;
		unsigned long       			ValidityTime;
		FT_C_QTY_PARAMETEREnum			QtyParameter;
		FT_C_VERBEnum       			Verb;
		double              			Price;
		double              			Qty;
		FT_C_QTY_TYPEEnum   			RelativeQty;
		double              			MinVolQty;
		double              			VisibleQty;
		char                			ClientOrderID[FT_C_CLIENT_ORDER_LEN + 1];
		char                			UserText[FT_C_USER_TEXT_LEN + 1];
		FT_C_STOP_TRAILING_TYPEEnum			StopTrailingType;
		FT_C_FLAGEnum       			IsTakeProfit;
		FT_C_FLAG_UNDEnum   			IsPersistent;
		long                			lfiller4;
		long                			lfiller5;
		long                			lfiller6;
		double              			StopPrice;
		double              			StopTrailing;
		double              			PegIncrement;
		double              			Yield;
		double              			dfiller5;
		double              			dfiller6;
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			OrigClientOrderID[FT_C_CLIENT_ORDER_LEN + 1];
		char                			MrkOrderID[FT_C_MRKORDER_LEN + 1];
		char                			SettlSystemID[32 + 1];
		char                			ISINCode[32 + 1];
		char                			sfiller6[32 + 1];
} FT_C_ORDER_BULK_CHILDRec, *FT_C_ORDER_BULK_CHILDPtr;


typedef struct {		/*  (0) */
		FT_C_FIRM_INFORec   			InvestmentDecisionFirm;
		FT_C_FIRM_INFORec   			ExecutionDecisionFirm;
		unsigned long       			OrigClientShortCode;
		FT_C_FLAG_UNDEnum   			RiskReduction;
} FT_C_ORDER_BULK_CHILD_EXTRec, *FT_C_ORDER_BULK_CHILD_EXTPtr;


typedef struct {		/*  (0) */
		FT_C_MIFID_CLIENT_TYPEEnum			OrigClientFirmType;
} FT_C_ORDER_BULK_CHILD_EXT2Rec, *FT_C_ORDER_BULK_CHILD_EXT2Ptr;


typedef struct {		/*  (0) */
		unsigned long       			SettlementDate;
		unsigned long       			MaturityDate;
} FT_C_ORDER_BULK_CHILD_DATESRec, *FT_C_ORDER_BULK_CHILD_DATESPtr;


typedef struct {		/*  (0) */
		char                			StrategyParameter[FT_C_BULK_STRATEGY_PARAMETER_LEN + 1];
		FT_C_STRATEGY_STATUSEnum			StrategyStatus;
} FT_C_ORDER_BULK_STRATEGIESRec, *FT_C_ORDER_BULK_STRATEGIESPtr;


typedef struct {		/*  (0) */
		FT_C_SHORT_SELL_TYPEEnum			ShortSellType;
		char                			ShortSellExternalAccount[FT_C_ACCOUNT_LEN + 1];
} FT_C_ORDER_BULK_SHORTSELLRec, *FT_C_ORDER_BULK_SHORTSELLPtr;


typedef struct {		/*  (0) */
		FT_C_DEALER_SECT_TYPEEnum			DealerSelection;
		char                			MemberID[FT_C_MEMBER_LEN + 1];
} FT_C_STAGE_ORDER_DESTINATIONRec, *FT_C_STAGE_ORDER_DESTINATIONPtr;


typedef struct {		/* FT_C_ORDER_BULK_ID (30248) */
		char                			LinkBulkID[FT_C_LINK_BULK_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_CLIENT_INFORec 			Client;
		FT_C_BULK_TYPEEnum  			BulkType;
		FT_C_BYPASS_FLAGEnum			ByPassSentinel;
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		unsigned long       			ValidityDate;
		double              			dfiller1;
		double              			dfiller2;
		double              			dfiller3;
		double              			dfiller4;
		double              			dfiller5;
		double              			dfiller6;
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		char                			SettlementCircuit[FT_C_LONG_MIC_LEN + 1];
		char                			sfiller3[32 + 1];
		char                			sfiller4[32 + 1];
		char                			sfiller5[32 + 1];
		char                			sfiller6[32 + 1];
		int                 			NumChildren;
		FT_C_ORDER_BULK_CHILDRec			Child[FT_C_MAX_BULK_CHILD];
		FT_C_ORDER_BULK_CHILD_EXTRec			ChildExt[FT_C_MAX_BULK_CHILD];
		FT_C_ORDER_BULK_CHILD_DATESRec			ChildDates[FT_C_MAX_BULK_CHILD];
		FT_C_ORDER_ALLOC_INFORec			AllocInfo[FT_C_MAX_BULK_CHILD];
		FT_C_STAGE_ORDER_DESTINATIONRec			DestList[FT_C_RFQ_DESTINATIONEXT_LEN];
		FT_C_FLAGEnum       			Deleted;
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		FT_C_EXECUTION_SOURCE_CODEEnum			ExecutionSourceCode;
		FT_C_ORDER_BULK_CHILD_EXT2Rec			ChildExt2[FT_C_MAX_BULK_CHILD];
		FT_C_ORDER_BULK_STRATEGIESRec			ChildStrategy[FT_C_MAX_BULK_CHILD];
		FT_C_ORDER_BULK_SHORTSELLRec			ChildShortSell[FT_C_MAX_BULK_CHILD];
} FT_C_ORDER_BULKRec, *FT_C_ORDER_BULKPtr;


typedef struct {		/*  (0) */
		char                			Account[FT_C_ACCOUNT_LEN + 1];
		double              			PercentaulSplit;
		double              			AbsoluteSplit;
} FT_C_CARE_ORDER_SPLIT_LINERec, *FT_C_CARE_ORDER_SPLIT_LINEPtr;


typedef struct {		/* FT_C_CARE_ORDER_SPLIT_ID (30152) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			OrderID[FT_C_ORDER_LEN + 1];
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		unsigned long       			SeqNo;
		char                			UserText[FT_C_FREE_TEXT_LEN + 1];
		FT_C_CARE_ORDER_SPLIT_LINERec			Split[FT_C_CARE_SPLIT_NO];
		double              			MinReleaseQty;
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		FT_C_FIRM_INFORec   			InvDecFirm[FT_C_CARE_SPLIT_NO];
		FT_C_FIRM_INFORec   			ExeDecFirm[FT_C_CARE_SPLIT_NO];
		unsigned long       			TradeDate;
		FT_C_ORDERIDRec     			OrderIDList[FT_C_CARE_SPLIT_NO];
} FT_C_CARE_ORDER_SPLITRec, *FT_C_CARE_ORDER_SPLITPtr;


typedef struct {		/* FT_C_CARE_ORDER_SPLIT_HISTORY_ID (30165) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			OrderID[FT_C_ORDER_LEN + 1];
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		unsigned long       			SeqNo;
		char                			UserText[FT_C_FREE_TEXT_LEN + 1];
		FT_C_CARE_ORDER_SPLIT_LINERec			Split[FT_C_CARE_SPLIT_NO];
		double              			MinReleaseQty;
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		FT_C_FIRM_INFORec   			InvDecFirm[FT_C_CARE_SPLIT_NO];
		FT_C_FIRM_INFORec   			ExeDecFirm[FT_C_CARE_SPLIT_NO];
		unsigned long       			TradeDate;
} FT_C_CARE_ORDER_SPLIT_HISTORYRec, *FT_C_CARE_ORDER_SPLIT_HISTORYPtr;


typedef struct {		/* FT_C_CARE_ORDER_MERGE_ID (30164) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			OrderOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_ORDERIDRec     			OrderID[FT_C_ORDER_NUM];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
		char                			ClientID[FT_C_CLIENT_LEN + 1];
		char                			ClientAccount[FT_C_ACCOUNT_LEN + 1];
} FT_C_CARE_ORDER_MERGERec, *FT_C_CARE_ORDER_MERGEPtr;


typedef struct {		/*  (0) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			OrderID[FT_C_ORDER_LEN + 1];
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		unsigned long       			SeqNo;
		char                			UserText[FT_C_FREE_TEXT_LEN + 1];
		FT_C_CARE_ORDER_SPLIT_LINERec			Split[FT_C_CARE_SPLIT_NO];
		double              			MinReleaseQty;
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
} FT_C_CARE_ORDER_SPLIT_REQRec, *FT_C_CARE_ORDER_SPLIT_REQPtr;


typedef struct {		/*  (0) */
		FT_C_FIRM_INFORec   			InvDecFirm[FT_C_CARE_SPLIT_NO];
		FT_C_FIRM_INFORec   			ExeDecFirm[FT_C_CARE_SPLIT_NO];
} FT_C_CARE_ORDER_SPLIT_EXTRec, *FT_C_CARE_ORDER_SPLIT_EXTPtr;


typedef struct {		/* FT_C_CARE_ORDER_REQ_ID (30155) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			ISINCode[FT_C_ISIN_LEN + 1];
		char                			OrderID[FT_C_ORDER_LEN + 1];
		char                			OrigOrderID[FT_C_ORDER_LEN + 1];
		char                			ClientOrderID[FT_C_CLIENT_ORDER_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		FT_C_VERBEnum       			Verb;
		FT_C_ORDER_TYPEEnum 			OrderType;
		FT_C_QTY_PARAMETEREnum			QtyParameter;
		FT_C_TIMEINFORCEEnum			TimeInForce;
		unsigned long       			ValidityDate;
		unsigned long       			ValidityTime;
		FT_C_ORDER_STATUSEnum			Status;
		double              			Price;
		double              			Volatility;
		double              			Yield;
		double              			MinVolQty;
		double              			MinFillSize;
		double              			Qty;
		double              			VisibleQty;
		double              			ExecutedQty;
		double              			RemainingQty;
		FT_C_QTY_TYPEEnum   			RelativeQty;
		double              			StopPrice;
		FT_C_STOP_TRIGGER_MECHANISMEnum			TriggerMechanism;
		unsigned long       			BookPriority;
		char                			UserText[FT_C_USER_TEXT_LEN + 1];
		FT_C_CLIENT_INFORec 			Client;
		FT_C_CLEARING_INFORec			Clearing;
		FT_C_FLAGEnum       			ConfirmFlag;
		FT_C_NEG_PHASEEnum  			AuctionFlag;
		FT_C_OPT_COMBO_INDEnum			ComboIndicator;
		FT_C_FLAGEnum       			IssueOrder;
		char                			TriggerFTSecID[FT_C_SEC_LEN + 1];
		char                			CounterpartMemberID[FT_C_MEMBER_LEN + 1];
		char                			ClearingHouseID[FT_C_CLEARING_HOUSE_LEN + 1];
		FT_C_FLAGEnum       			TransparentFlag;
		FT_C_FLAGEnum       			CCPOnlyFlag;
		char                			MrkOrderID[FT_C_MRKORDER_LEN + 1];
		unsigned long       			SeqNo;
		FT_C_FLAGEnum       			CareOrder;
		double              			TradesAvgPrice;
		char                			ParentOrderID[FT_C_ORDER_LEN + 1];
		double              			ActiveExecutedQty;
		double              			FeesAmount;
		double              			SettlementAmount;
		char                			Tag[FT_C_USER_TEXT_LEN + 1];
		FT_C_CARE_ORDER_SPLIT_REQRec			Split;
		char                			SalesOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_OWN_TYPEEnum   			OrderPrivate;
		FT_C_BYPASS_FLAGEnum			ByPassSentinel;
		FT_C_CARE_RELEASE_STATUSEnum			ToSettle;
		FT_C_QUOTE_AUTOEnum 			AutomaticFlag;
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		char                			ClientReference[FT_C_USER_TEXT_LEN + 1];
		char                			OnBehalfOf[FT_C_USER_TEXT_LEN + 1];
		unsigned long       			RecvDate;
		unsigned long       			RecvTime;
		FT_C_INTERNAL_ORDER_STATUSEnum			InternalStatus;
		FT_C_FLAGEnum       			ReleaseImmediatly;
		double              			ReleasePrice;
		double              			ReleaseYield;
		double              			ReleaseQty;
		char                			DealingInstructions[FT_C_FREE_TEXT_LEN + 1];
		FT_C_OP_TYPEEnum    			OpType;
		FT_C_DEALING_STATUSEnum			ToDeal;
		double              			PegIncrement;
		FT_C_FLAGEnum       			HiddenOrder;
		FT_C_PEG_TYPEEnum   			PegType;
		FT_C_CARE_ORDER_SPLIT_REQRec			SplitExt[FT_C_CARE_SPLIT_EXT_NO];
		char                			StrategyManager[FT_C_STRATEGY_MANAGER_LEN + 1];
		FT_C_SHORT_SELL_TYPEEnum			ShortSellType;
		char                			ShortSellExternalAccount[FT_C_ACCOUNT_LEN + 1];
		char                			StrategyWireValue[FT_C_STRATEGY_WIRE_VALUE_LEN + 1];
		char                			StrategyVersion[FT_C_STRATEGY_VERSION_LEN + 1];
		char                			StrategyParameter[FT_C_STRATEGY_PARAMETER_LEN + 1];
		FT_C_STRATEGY_STATUSEnum			StrategyStatus;
		FT_C_CARE_ORDER_SPLIT_EXTRec			SplitInvExe;
		FT_C_CARE_ORDER_SPLIT_EXTRec			SplitInvExeExt[FT_C_CARE_SPLIT_EXT_NO];
		FT_C_FLAGEnum       			UseReleaseOrderType;
		FT_C_ORDER_TYPEEnum 			ReleaseOrderType;
		FT_C_FLAGEnum       			UseReleaseQtyParameter;
		FT_C_QTY_PARAMETEREnum			ReleaseQtyParameter;
		FT_C_TIMEINFORCEEnum			ReleaseTimeInForce;
		unsigned long       			ReleaseValidityDate;
		unsigned long       			ReleaseValidityTime;
		FT_C_FIRM_INFORec   			InvestmentDecisionFirm;
		FT_C_FIRM_INFORec   			ExecutionDecisionFirm;
		unsigned long       			OrigClientShortCode;
		FT_C_MIFID_CLIENT_TYPEEnum			OrigClientFirmType;
		FT_C_FLAG_UNDEnum   			IsPersistent;
} FT_C_CARE_ORDER_REQRec, *FT_C_CARE_ORDER_REQPtr;


typedef struct {		/* FT_C_CARE_ORDER_EDIT_REQUEST_ID (30163) */
		char                			ReqID[FT_C_ORDER_LEN + 1];
		char                			ClientReqID[FT_C_CLIENT_ORDER_LEN + 1];
		FT_C_ACTIONEnum     			Action;
		char                			ReqOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			MngOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			OrderID[FT_C_ORDER_LEN + 1];
		char                			Message[FT_C_FREE_TEXT_LEN + 1];
		FT_C_FLAGEnum       			ChangePrice;
		double              			Price;
		FT_C_FLAGEnum       			ChangeYield;
		double              			Yield;
		FT_C_FLAGEnum       			ChangeQty;
		double              			Qty;
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		FT_C_CARE_ORDER_REQUEST_STATUSEnum			RequestStatus;
		FT_C_SHORT_SELL_TYPEEnum			ShortSellType;
		char                			ShortSellExternalAccount[FT_C_ACCOUNT_LEN + 1];
		char                			StrategyParameter[FT_C_STRATEGY_PARAMETER_LEN + 1];
		char                			DealingInstructions[FT_C_FREE_TEXT_LEN + 1];
		FT_C_ORDER_TYPEEnum 			OrderType;
} FT_C_CARE_ORDER_EDIT_REQUESTRec, *FT_C_CARE_ORDER_EDIT_REQUESTPtr;


typedef struct {		/* FT_C_GIVE_ORDER_ID (30166) */
		char                			RequestID[FT_C_ORDER_LEN + 1];
		char                			OrderID[FT_C_ORDER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			GiveOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			Date;
		unsigned long       			Time;
		char                			RejectMessage[FT_C_FREE_TEXT_LEN + 1];
} FT_C_GIVE_ORDERRec, *FT_C_GIVE_ORDERPtr;


typedef struct {		/* FT_C_DEALING_INSTRUCTION_ID (30249) */
		char                			InstructionID[FT_C_INSTRUCTION_LEN + 1];
		char                			DealingInstructions[FT_C_FREE_TEXT_LEN + 1];
		FT_C_INSTRUCTION_TYPEEnum			InstructionType;
		unsigned long       			SortPos;
} FT_C_DEALING_INSTRUCTIONRec, *FT_C_DEALING_INSTRUCTIONPtr;


typedef struct {		/*  (0) */
		char                			IdentifType[FT_C_IDENTTYPE_LEN + 1];
		char                			Identifier[FT_C_IDENTIFIER_LEN + 1];
		char                			ClientAccount[FT_C_ACCOUNT_LEN + 1];
		FT_C_ORIGINEnum     			Origin;
} FT_C_REQ_CLIENT_INFORec, *FT_C_REQ_CLIENT_INFOPtr;


typedef struct {		/*  (0) */
		char                			IdentifType[FT_C_IDENTTYPE_LEN + 1];
		char                			Identifier[FT_C_IDENTIFIER_LEN + 1];
		char                			UndIdentifType[FT_C_IDENTTYPE_LEN + 1];
		char                			UndIdentifier[FT_C_IDENTIFIER_LEN + 1];
		unsigned long       			MaturityDate;
		FT_C_OPTION_TYPEEnum			OptionType;
		double              			StrikePrice;
		FT_C_SECURITY_TYPEEnum			SecurityType;
		char                			MrkIdentifType[FT_C_IDENTTYPE_LEN + 1];
		char                			MrkIdentifier[FT_C_IDENTIFIER_LEN + 1];
		char                			Currency[FT_C_CURRENCY_LEN + 1];
} FT_C_REQ_SEC_INFORec, *FT_C_REQ_SEC_INFOPtr;


typedef struct {		/*  (0) */
		char                			ContractID[FT_C_SEC_LEN + 1];
		char                			PlaceOfTrading[FT_C_MIC_LEN + 1];
} FT_C_SEC_INFORec, *FT_C_SEC_INFOPtr;


typedef struct {		/*  (0) */
		char                			Service[FT_C_ORD_SERVICE_LEN + 1];
		char                			Channel[FT_C_ORD_CHANNEL_LEN + 1];
		char                			FlowID[FT_C_ORD_FLOW_LEN + 1];
		FT_C_FLOW_TYPEEnum  			FlowType;
} FT_C_FLOW_INFORec, *FT_C_FLOW_INFOPtr;


typedef struct {		/*  (0) */
		unsigned long       			SettlDate;
		short               			OffsetSettlDays;
} FT_C_REQ_SETTL_INFORec, *FT_C_REQ_SETTL_INFOPtr;


typedef struct {		/* FT_C_ORDER_EXTRA_INFO_ID (30168) */
		FT_C_REQ_SEC_INFORec			ReqSeqInfo;
		FT_C_SEC_INFORec    			SecInfo;
		FT_C_REQ_CLIENT_INFORec			ReqClientInfo;
		FT_C_FLOW_INFORec   			FlowInfo;
		FT_C_REQ_SEC_INFORec			ReqTriggerSecInfo;
		FT_C_SEC_INFORec    			TriggerSecInfo;
		char                			OrderID[FT_C_ORDER_LEN + 1];
		FT_C_FLAGEnum       			ManualOrder;
		FT_C_REQ_SETTL_INFORec			ReqSettlInfo;
} FT_C_ORDER_EXTRA_INFORec, *FT_C_ORDER_EXTRA_INFOPtr;


typedef struct {		/*  (0) */
		char                			OrderID[FT_C_ORDER_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_CLIENT_INFORec 			Client;
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_TIMEINFORCEEnum			TimeInForce;
		unsigned long       			ValidityDate;
		unsigned long       			ValidityTime;
} FT_C_CROSS_ORDER_SIDERec, *FT_C_CROSS_ORDER_SIDEPtr;


typedef struct {		/* FT_C_CROSS_ORDER_ID (30079) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		FT_C_CROSS_ORDER_TYPEEnum			OrderType;
		double              			Price;
		double              			Qty;
		char                			UserText[FT_C_USER_TEXT_LEN + 1];
		FT_C_CROSS_OTC_STATUSEnum			Status;
		FT_C_CROSS_ORDER_SIDERec			Bid;
		FT_C_CROSS_ORDER_SIDERec			Ask;
		char                			CrossID[FT_C_ORDER_LEN + 1];
		char                			BidMrkOrderID[FT_C_MRKORDER_LEN + 1];
		char                			AskMrkOrderID[FT_C_MRKORDER_LEN + 1];
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			ClientOrderID[FT_C_CLIENT_ORDER_LEN + 1];
		char                			MrkCrossID[FT_C_MRKORDER_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		FT_C_OP_TYPEEnum    			BidOpType;
		FT_C_OP_TYPEEnum    			AskOpType;
		char                			FlowID[FT_C_ORD_FLOW_LEN + 1];
		FT_C_SHORT_SELL_TYPEEnum			ShortSellType;
		char                			ShortSellExternalAccount[FT_C_ACCOUNT_LEN + 1];
		unsigned long       			CreationTimeMicroSec;
		unsigned long       			UpdateTimeMicroSec;
		unsigned long       			TradingVenueSeqNo;
		unsigned long       			OrigBidClientShortCode;
		unsigned long       			OrigAskClientShortCode;
		FT_C_FIRM_INFORec   			BidInvestmentDecisionFirm;
		FT_C_FIRM_INFORec   			BidExecutionDecisionFirm;
		FT_C_FIRM_INFORec   			AskInvestmentDecisionFirm;
		FT_C_FIRM_INFORec   			AskExecutionDecisionFirm;
		char                			Tag[FT_C_USER_TEXT_LEN + 1];
		char                			ClientReference[FT_C_USER_TEXT_LEN + 1];
		char                			StrategyManager[FT_C_STRATEGY_MANAGER_LEN + 1];
		char                			StrategyWireValue[FT_C_STRATEGY_WIRE_VALUE_LEN + 1];
		FT_C_QUOTE_AUTOEnum 			AutomaticFlag;
		FT_C_EXECUTION_SOURCE_CODEEnum			ExecutionSourceCode;
		FT_C_MIFID_CLIENT_TYPEEnum			OrigBidClientFirmType;
		FT_C_MIFID_CLIENT_TYPEEnum			OrigAskClientFirmType;
		FT_C_DER_ACCOUNT_TYPEEnum			BidDerAccountType;
		char                			BidDerAccount[FT_C_ACCOUNT_LEN + 1];
		char                			BidDerSubAccount[FT_C_ACCOUNT_LEN + 1];
		FT_C_DER_ACCOUNT_TYPEEnum			AskDerAccountType;
		char                			AskDerAccount[FT_C_ACCOUNT_LEN + 1];
		char                			AskDerSubAccount[FT_C_ACCOUNT_LEN + 1];
		FT_C_FLAGEnum       			PriceImprovementReq;
		char                			PIProposalID[FT_C_PIP_PROPOSAL_LEN + 1];
		char                			InternalProperties[FT_C_INTERNALPROP_LEN + 1];
		double              			MarkUp;
		char                			ComplianceText[FT_C_COMPLIANCETEXT_LEN + 1];
} FT_C_CROSS_ORDERRec, *FT_C_CROSS_ORDERPtr;


typedef struct {		/*  (0) */
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
} FT_C_RFQ_DESTINATIONRec, *FT_C_RFQ_DESTINATIONPtr;


typedef struct {		/*  (0) */
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
} FT_C_RFQ_MEMBER_INFORec, *FT_C_RFQ_MEMBER_INFOPtr;


typedef struct {		/*  (0) */
		char                			OnBehalfOfMemberID[FT_C_MEMBER_LEN + 1];
		char                			OnBehalfOfOperatorID[FT_C_OPERATOR_LEN + 1];
} FT_C_RFQ_MEMBER_INFO_EXTRec, *FT_C_RFQ_MEMBER_INFO_EXTPtr;


typedef struct {		/*  (0) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			RfqID[FT_C_ORDER_LEN + 1];
		char                			ClientRfqID[FT_C_CLIENT_ORDER_LEN + 1];
		FT_C_RFQ_MEMBER_INFORec			Issuer;
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		FT_C_RFQ_VERBEnum   			Verb;
		FT_C_RFQ_STATUSEnum 			Status;
		double              			Qty;
		double              			Price;
		short               			OffsetSettlDays;
		unsigned long       			SettlDate;
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		char                			UserText[FT_C_USER_TEXT_LEN + 1];
		unsigned long       			ValidityDate;
		unsigned long       			ValidityTime;
} FT_C_RFQRec, *FT_C_RFQPtr;


typedef struct {		/*  (0) */
		unsigned long       			AccountID;
		char                			SettlementInfo[FT_C_SETTLEMENT_INFO_LEN + 1];
		char                			StageOrderID[FT_C_ORDER_LEN + 1];
} FT_C_RFQ_EXTRec, *FT_C_RFQ_EXTPtr;


typedef struct {		/* FT_C_RFQ_REQ_ID (30047) */
		FT_C_RFQRec         			Rfq;
		FT_C_RFQ_DESTINATION_TYPEEnum			DestinationType;
		unsigned short      			DestinationNumber;
		FT_C_RFQ_DESTINATIONRec			DestinationList[FT_C_RFQ_DESTINATION_LEN];
		double              			MinQty;
		char                			PropMsgID[FT_C_ORDER_LEN + 1];
		FT_C_FORCE_TYPEEnum 			ForceRepo;
		FT_C_FLAGEnum       			BilateralOnlyFlag;
		double              			Yield;
		FT_C_RFQ_DESTINATIONRec			DestinationListExt[FT_C_RFQ_DESTINATION_LEN];
		FT_C_CLIENT_INFORec 			Client;
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		FT_C_RFQ_TRADING_MODELEnum			TradingModel;
		unsigned long       			RfcqDuration;
		FT_C_RFQ_EXTRec     			RfqExt;
		FT_C_RFQ_MODE_TYPEEnum			RfqModeType;
		FT_C_FLAGEnum       			Competitive;
		FT_C_RFQ_TYPEEnum   			RfqType;
		FT_C_ALLOCATION_TYPEEnum			AllocationType;
		unsigned long       			AllocationId;
		FT_C_RFCQ_ORIGINEnum			RfcqOrigin;
		FT_C_RFCQ_QUANTITY_CALCULATIONEnum			QuantityCalculation;
		FT_C_FLAGEnum       			AdjustedFg;
		FT_C_RFQ_TRADE_TYPEEnum			TradeType;
		FT_C_SHORT_SELL_TYPEEnum			ShortSellType;
		char                			ShortSellExternalAccount[FT_C_ACCOUNT_LEN + 1];
		FT_C_FLAGEnum       			UseIoIFg;
		FT_C_FLAGEnum       			AutomatchingFg;
		double              			MarkUp;
		char                			ComplianceText[FT_C_COMPLIANCETEXT_LEN + 1];
} FT_C_RFQ_REQRec, *FT_C_RFQ_REQPtr;


typedef struct {		/* FT_C_RFQ_REQ_EXT_ID (30150) */
		FT_C_RFQRec         			Rfq;
		FT_C_RFQ_DESTINATION_TYPEEnum			DestinationType;
		unsigned short      			DestinationNumber;
		FT_C_RFQ_DESTINATIONRec			DestinationList[FT_C_RFQ_DESTINATION_LEN];
		double              			MinQty;
		char                			PropMsgID[FT_C_ORDER_LEN + 1];
		FT_C_FORCE_TYPEEnum 			ForceRepo;
		FT_C_FLAGEnum       			BilateralOnlyFlag;
		char                			TermID[FT_C_TERM_LEN + 1];
		unsigned long       			StartDate;
		unsigned long       			EndDate;
		char                			StartDateID[FT_C_DATE_LEN + 1];
		char                			EndDateID[FT_C_DATE_LEN + 1];
		char                			FloatRateID[FT_C_FLOAT_RATE_LEN + 1];
		double              			Yield;
		FT_C_RFQ_DESTINATIONRec			DestinationListExt[FT_C_RFQ_DESTINATION_LEN];
		FT_C_CLIENT_INFORec 			Client;
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		FT_C_RFQ_TRADING_MODELEnum			TradingModel;
		unsigned long       			RfcqDuration;
		FT_C_RFQ_EXTRec     			RfqExt;
		FT_C_RFQ_MODE_TYPEEnum			RfqModeType;
		FT_C_FLAGEnum       			Competitive;
		FT_C_RFQ_TYPEEnum   			RfqType;
		FT_C_ALLOCATION_TYPEEnum			AllocationType;
		unsigned long       			AllocationId;
		FT_C_RFCQ_ORIGINEnum			RfcqOrigin;
		FT_C_RFCQ_QUANTITY_CALCULATIONEnum			QuantityCalculation;
		FT_C_FLAGEnum       			AdjustedFg;
} FT_C_RFQ_REQ_EXTRec, *FT_C_RFQ_REQ_EXTPtr;


typedef struct {		/*  (0) */
		double              			Qty;
} FT_C_RFQ_INITIAL_INFORec, *FT_C_RFQ_INITIAL_INFOPtr;


typedef struct {		/*  (0) */
		double              			Price;
		double              			Yield;
		double              			MinQty;
} FT_C_RFQ_INITIAL_INFO_EXTRec, *FT_C_RFQ_INITIAL_INFO_EXTPtr;


typedef struct {		/*  (0) */
		double              			Qty;
		double              			MinQty;
		double              			Price;
		double              			Yield;
} FT_C_RFQ_PRICERec, *FT_C_RFQ_PRICEPtr;


typedef struct {		/*  (0) */
		double              			CVA;
		double              			FVA;
		double              			KVA;
		double              			DVA;
		double              			MVA;
} FT_C_XVARec, *FT_C_XVAPtr;


typedef struct {		/*  (0) */
		double              			Price;
		double              			Yield;
} FT_C_RFQ_MLEG_THRec, *FT_C_RFQ_MLEG_THPtr;


typedef struct {		/*  (0) */
		FT_C_FLAGEnum       			TraderApproval;
		char                			ApprovalOperator[FT_C_OPERATOR_LEN + 1];
} FT_C_APPROVAL_INFORec, *FT_C_APPROVAL_INFOPtr;


typedef struct {		/* FT_C_REQUEST_FOR_QUOTE_ID (30061) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			RfqID[FT_C_ORDER_LEN + 1];
		char                			ClientRfqID[FT_C_CLIENT_ORDER_LEN + 1];
		FT_C_RFQ_MEMBER_INFORec			Issuer;
		FT_C_RFQ_MEMBER_INFORec			Destination;
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		FT_C_RFQ_VERBEnum   			Verb;
		FT_C_REQUEST_FOR_QUOTE_STATUSEnum			Status;
		double              			Qty;
		double              			Price;
		short               			OffsetSettlDays;
		unsigned long       			SettlDate;
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		char                			UserText[FT_C_USER_TEXT_LEN + 1];
		FT_C_FLAGEnum       			Autoacceptance;
		FT_C_FLAGEnum       			Competitive;
		unsigned long       			ValidityDate;
		unsigned long       			ValidityTime;
		FT_C_RFQ_TYPEEnum   			RfqType;
		unsigned short      			NumberOfCompetitors;
		unsigned long       			LiveQuoteTime;
		unsigned long       			EndAuctionTime;
		FT_C_FLAGEnum       			IsSplit;
		char                			Fund[FT_C_FUND_LEN + 1];
		unsigned long       			InquiryTimer;
		double              			Yield;
		double              			MinQty;
		char                			DestinationProfile[FT_C_MEMBER_LEN + 1];
		char                			PropMsgID[FT_C_ORDER_LEN + 1];
		FT_C_FORCE_TYPEEnum 			ForceRepo;
		FT_C_FLAGEnum       			BilateralOnlyFlag;
		char                			IssuerUserText[FT_C_FREE_TEXT_LEN + 1];
		char                			DestinationUserText[FT_C_FREE_TEXT_LEN + 1];
		FT_C_FLAGEnum       			ManualFlag;
		FT_C_RFQ_DESTINATION_TYPEEnum			DestinationType;
		unsigned short      			DestinationNumber;
		FT_C_RFQ_DESTINATIONRec			DestinationList[FT_C_RFQ_DESTINATIONEXT_LEN];
		FT_C_CLIENT_INFORec 			Client;
		char                			MrkRfqID[FT_C_MRKORDER_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		FT_C_RFCQ_PROVIDER_STATUSEnum			ProviderStatus[FT_C_RFQ_DESTINATIONEXT_LEN];
		FT_C_RFQ_TRADING_MODELEnum			TradingModel;
		FT_C_IN_OUT_FLAGEnum			InOutFlag;
		FT_C_MATCHING_TYPEEnum			MatchingType;
		unsigned long       			AccountID;
		char                			SettlementInfo[FT_C_SETTLEMENT_INFO_LEN + 1];
		unsigned long       			RfcqDuration;
		unsigned short      			AutomaticMatchingThreshold;
		unsigned long       			AutomaticMatchingValidityTime;
		FT_C_RFQ_MODE_TYPEEnum			RfqModeType;
		char                			RfqReqID[FT_C_ORDER_LEN + 1];
		FT_C_MARKET_AFFILIATIONEnum			MarketAffiliation;
		char                			StatusDetail[FT_C_USER_TEXT_LEN + 1];
		FT_C_FLAGEnum       			PriceExpiredFlag;
		FT_C_FLAGEnum       			PriceOrderFlag;
		FT_C_ALLOCATION_TYPEEnum			AllocationType;
		unsigned long       			AllocationId;
		FT_C_FLAGEnum       			UseIoIFg;
		FT_C_FLAGEnum       			AutomatchingFg;
		FT_C_RFCQ_ORIGINEnum			RfcqOrigin;
		FT_C_RFCQ_QUANTITY_CALCULATIONEnum			QuantityCalculation;
		char                			CloseWithMemberID[FT_C_MEMBER_LEN + 1];
		char                			TradingListID[FT_C_SHORTID_LEN + 1];
		char                			LegID[FT_C_SHORTID_LEN + 1];
		double              			PercAccRatio;
		FT_C_PERC_QUALITYEnum			PercQualityRatio;
		unsigned short      			DueInTime;
		unsigned long       			DueInTimeout;
		FT_C_RFCQ_MLEG_TYPEEnum			RfcqType;
		FT_C_REVEAL_FLAGEnum			Reveal;
		FT_C_FLAGEnum       			AdjustedFg;
		double              			RfqSpread;
		FT_C_RFQ_INITIAL_INFORec			InitialInfo;
		FT_C_RFQ_TRADE_TYPEEnum			TradeType;
		FT_C_SHORT_SELL_TYPEEnum			ShortSellType;
		char                			ShortSellExternalAccount[FT_C_ACCOUNT_LEN + 1];
		double              			RFQOldP;
		double              			ExecutedQty;
		double              			RFQEq;
		FT_C_FLAGEnum       			RFQFg;
		FT_C_RFQ_INITIAL_INFO_EXTRec			InitialInfoExt;
		FT_C_RFCQ_DURATION_TYPEEnum			RfcqDurationType;
		char                			ParentOrderID[FT_C_ORDER_LEN + 1];
		FT_C_RFQ_PRICERec   			OtherQuote;
		FT_C_RFQ_VERBEnum   			QuoteVerb;
		char                			StrategyManager[FT_C_STRATEGY_MANAGER_LEN + 1];
		char                			StrategyWireValue[FT_C_STRATEGY_WIRE_VALUE_LEN + 1];
		char                			StrategyVersion[FT_C_STRATEGY_VERSION_LEN + 1];
		char                			StrategyParameter[FT_C_STRATEGY_PARAMETER_LEN + 1];
		FT_C_STRATEGY_STATUSEnum			StrategyStatus;
		FT_C_QUOTE_AUTOEnum 			AutomaticFlag;
		FT_C_FIRM_INFORec   			InvestmentDecisionFirm;
		FT_C_FIRM_INFORec   			ExecutionDecisionFirm;
		unsigned long       			CreationTimeMicroSec;
		unsigned long       			UpdateTimeMicroSec;
		unsigned long       			TradingVenueSeqNo;
		unsigned long       			OrigClientShortCode;
		FT_C_FLAG_UNDEnum   			RiskReduction;
		unsigned long       			TransmittingFirmShortCode;
		char                			ClearingHouseID[FT_C_CLEARING_HOUSE_LEN + 1];
		FT_C_XVARec         			XVAs;
		FT_C_RFQ_MLEG_THRec 			TheorValues;
		unsigned short      			MaxNumberOfRecipients;
		FT_C_FLAGEnum       			AutoRefill;
		unsigned short      			MinimumValidityTime;
		unsigned long       			MaturityDate;
		char                			StageOrderID[FT_C_ORDER_LEN + 1];
		char                			StageClOrderID[FT_C_CLIENT_ORDER_LEN + 1];
		char                			OrigReferenceID[FT_C_ORDER_LEN + 1];
		FT_C_FLAGEnum       			QuotationIsFirm;
		unsigned short      			AutomaticMatchingRefresh;
		FT_C_APPROVAL_INFORec			Approval;
		FT_C_FLAGEnum       			Countering;
		char                			MassActionID[FT_C_MASS_ACTION_LEN + 1];
		FT_C_RFQ_VERBEnum   			AcceptedVerb;
		FT_C_EXECUTION_SOURCE_CODEEnum			ExecutionSourceCode;
		char                			InternalProperties[FT_C_INTERNALPROP_LEN + 1];
		double              			MarkUp;
		char                			ComplianceText[FT_C_COMPLIANCETEXT_LEN + 1];
} FT_C_REQUEST_FOR_QUOTERec, *FT_C_REQUEST_FOR_QUOTEPtr;


typedef struct {		/* FT_C_RFQ_QUOTE_RANK_ID (30174) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			RfqQuoteID[FT_C_ORDER_LEN + 1];
		char                			RfqID[FT_C_ORDER_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		unsigned long       			Position;
		unsigned long       			TotalNumberOfRFQQuote;
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
} FT_C_RFQ_QUOTE_RANKRec, *FT_C_RFQ_QUOTE_RANKPtr;


typedef struct {		/*  (0) */
		char                			OrderID[FT_C_ORDER_LEN + 1];
		char                			MrkOrderID[FT_C_MRKORDER_LEN + 1];
		double              			Rate;
		double              			Qty;
		double              			MinQty;
} FT_C_DEPTH_RFQOFFER_ROWRec, *FT_C_DEPTH_RFQOFFER_ROWPtr;


typedef struct {		/* FT_C_DEPTH_RFQOFFER_ID (30175) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			RfqID[FT_C_ORDER_LEN + 1];
		FT_C_DEPTH_RFQOFFER_ROWRec			BuyRfqQuoteData[FT_C_DEPTH_RFQOFFER_ROW_NUMBER];
		FT_C_DEPTH_RFQOFFER_ROWRec			SellRfqQuoteData[FT_C_DEPTH_RFQOFFER_ROW_NUMBER];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
} FT_C_DEPTH_RFQOFFERRec, *FT_C_DEPTH_RFQOFFERPtr;


typedef struct {		/*  (0) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		double              			Qty;
		double              			Price;
		short               			OffsetSettlDays;
		unsigned long       			SettlDate;
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		FT_C_FLAGEnum       			IsSplit;
		char                			Fund[FT_C_FUND_LEN + 1];
} FT_C_RFQ_LEG_INFORec, *FT_C_RFQ_LEG_INFOPtr;


typedef struct {		/* FT_C_REQUEST_FOR_QUOTE_SWITCH_ID (30071) */
		FT_C_RFQ_LEG_INFORec			FirstLeg;
		FT_C_RFQ_LEG_INFORec			SecondLeg;
		char                			RfqID[FT_C_ORDER_LEN + 1];
		char                			ClientRfqID[FT_C_CLIENT_ORDER_LEN + 1];
		FT_C_RFQ_MEMBER_INFORec			Issuer;
		FT_C_RFQ_MEMBER_INFORec			Destination;
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		FT_C_VERBEnum       			Verb;
		FT_C_REQUEST_FOR_QUOTE_STATUSEnum			Status;
		char                			UserText[FT_C_USER_TEXT_LEN + 1];
		FT_C_FLAGEnum       			Autoacceptance;
		FT_C_FLAGEnum       			Competitive;
		unsigned long       			ValidityDate;
		unsigned long       			ValidityTime;
		FT_C_RFQ_TYPEEnum   			RfqType;
		unsigned short      			NumberOfCompetitors;
		unsigned long       			LiveQuoteTime;
		unsigned long       			EndAuctionTime;
		double              			FirstLegYield;
		double              			SecondLegYield;
		FT_C_CLIENT_INFORec 			Client;
		char                			FirstLegExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			FirstLegMarketID[FT_C_MARKET_LEN + 1];
		char                			FirstLegFTProductID[FT_C_SEC_LEN + 1];
		char                			SecondLegExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			SecondLegMarketID[FT_C_MARKET_LEN + 1];
		char                			SecondLegFTProductID[FT_C_SEC_LEN + 1];
		char                			MrkRfqID[FT_C_MRKORDER_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
} FT_C_REQUEST_FOR_QUOTE_SWITCHRec, *FT_C_REQUEST_FOR_QUOTE_SWITCHPtr;


typedef struct {		/*  (0) */
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
} FT_C_MEMBER_INFORec, *FT_C_MEMBER_INFOPtr;


typedef struct {		/* FT_C_MAIL_ID (30064) */
		FT_C_MEMBER_INFORec 			Issuer;
		unsigned long       			Date;
		unsigned long       			Time;
		FT_C_MAIL_DESTINATION_TYPEEnum			DestinationType;
		char                			FTProfileID[FT_C_PROFILE_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		unsigned short      			DestinationNumber;
		FT_C_MEMBER_INFORec 			DestinationList[FT_C_MAIL_DESTINATION_LEN];
		FT_C_MAIL_EXPIRY_TYPEEnum			ExpiryType;
		unsigned long       			ExpiryDate;
		char                			Text[FT_C_MAIL_TEXT_LEN + 1];
		FT_C_FLAGEnum       			Private;
} FT_C_MAILRec, *FT_C_MAILPtr;


typedef struct {		/*  (0) */
		double              			Price;
		double              			Yield;
		double              			Qty;
		unsigned long       			NumOfOrders;
} FT_C_DEPTH_ROWRec, *FT_C_DEPTH_ROWPtr;


typedef struct {		/* FT_C_DEPTH_ID (30024) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		FT_C_DEPTH_ROWRec   			Bid[FT_C_DEPTH_ROW_NUMBER];
		FT_C_DEPTH_ROWRec   			Ask[FT_C_DEPTH_ROW_NUMBER];
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		unsigned long       			Position;
		double              			BidPrivQty[FT_C_DEPTH_ROW_NUMBER];
		double              			AskPrivQty[FT_C_DEPTH_ROW_NUMBER];
		double              			BidMinQty[FT_C_DEPTH_ROW_NUMBER];
		double              			AskMinQty[FT_C_DEPTH_ROW_NUMBER];
		double              			BidMaxQty[FT_C_DEPTH_ROW_NUMBER];
		double              			AskMaxQty[FT_C_DEPTH_ROW_NUMBER];
		unsigned long       			UpdateTimeMicroSec;
} FT_C_DEPTHRec, *FT_C_DEPTHPtr;


typedef struct {		/*  (0) */
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			OrderID[FT_C_ORDER_LEN + 1];
		double              			Price;
		double              			Qty;
} FT_C_BOOK_ROWRec, *FT_C_BOOK_ROWPtr;


typedef struct {		/*  (0) */
		FT_C_TRADABLE_FLAGEnum			IsTradable;
		char                			ClearingHouseID[FT_C_CLEARING_HOUSE_LEN + 1];
		FT_C_FLAGEnum       			CCPOnlyFlag;
} FT_C_BOOK_ROW_EXTRec, *FT_C_BOOK_ROW_EXTPtr;


typedef struct {		/* FT_C_BOOK_ID (30025) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		FT_C_BOOK_ROWRec    			Bid[FT_C_BOOK_ROW_NUMBER];
		FT_C_BOOK_ROWRec    			Ask[FT_C_BOOK_ROW_NUMBER];
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		unsigned long       			Position;
		double              			BidMinQty[FT_C_BOOK_ROW_NUMBER];
		double              			AskMinQty[FT_C_BOOK_ROW_NUMBER];
		unsigned long       			BidTime[FT_C_BOOK_ROW_NUMBER];
		unsigned long       			AskTime[FT_C_BOOK_ROW_NUMBER];
		FT_C_BOOK_ROW_EXTRec			BidExt[FT_C_BOOK_ROW_NUMBER];
		FT_C_BOOK_ROW_EXTRec			AskExt[FT_C_BOOK_ROW_NUMBER];
		double              			BidYield[FT_C_BOOK_ROW_NUMBER];
		double              			AskYield[FT_C_BOOK_ROW_NUMBER];
		double              			BidCountervalue[FT_C_BOOK_ROW_NUMBER];
		double              			AskCountervalue[FT_C_BOOK_ROW_NUMBER];
		char                			BuyerMemberID[FT_C_MEMBER_LEN + 1];
		unsigned long       			UpdateTimeMicroSec;
} FT_C_BOOKRec, *FT_C_BOOKPtr;


typedef struct {		/* FT_C_ORDER_BOOK_INFO_ID (30240) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			MrkOrderID[FT_C_MRKORDER_LEN + 1];
		double              			SpotPrice;
		FT_C_CLEARING_MODEEnum			ClearingMode;
		char                			CutOffID[FT_C_CUTOFF_LEN + 1];
		double              			Haircut;
		char                			SettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		FT_C_SETTL_MODEEnum 			OrigSettlMode;
		FT_C_CLEARING_MODEEnum			OrigClearingMode;
} FT_C_ORDER_BOOK_INFORec, *FT_C_ORDER_BOOK_INFOPtr;


typedef struct {		/*  (0) */
		FT_C_DEPTH_ROWRec   			Bid;
		FT_C_DEPTH_ROWRec   			Ask;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		unsigned long       			Position;
		double              			BidPrivQty;
		double              			AskPrivQty;
		double              			BidMinQty;
		double              			AskMinQty;
		double              			BidMaxQty;
		double              			AskMaxQty;
} FT_C_INFO_SUMMARY_BESTRec, *FT_C_INFO_SUMMARY_BESTPtr;


typedef struct {		/*  (0) */
		FT_C_BOOK_ROWRec    			Bid;
		FT_C_BOOK_ROWRec    			Ask;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		double              			BidMinQty;
		double              			AskMinQty;
		unsigned long       			BidTime;
		unsigned long       			AskTime;
		FT_C_BOOK_ROW_EXTRec			BidExt;
		FT_C_BOOK_ROW_EXTRec			AskExt;
		double              			BidYield;
		double              			AskYield;
		double              			BidCountervalue;
		double              			AskCountervalue;
} FT_C_INFO_SUMMARY_BOOKRec, *FT_C_INFO_SUMMARY_BOOKPtr;


typedef struct {		/* FT_C_INFO_SUMMARY_ID (30235) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		FT_C_INFO_SUMMARY_BESTRec			Best;
		FT_C_INFO_SUMMARY_BOOKRec			Book;
		unsigned long       			BestUpdateTimeMicroSec;
		unsigned long       			BookUpdateTimeMicroSec;
		unsigned long       			BidTimeMicroSec;
		unsigned long       			AskTimeMicroSec;
} FT_C_INFO_SUMMARYRec, *FT_C_INFO_SUMMARYPtr;


typedef struct {		/*  (0) */
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			OrderID[FT_C_ORDER_LEN + 1];
		char                			OrigOrderID[FT_C_ORDER_LEN + 1];
		char                			ClientOrderID[FT_C_CLIENT_ORDER_LEN + 1];
		char                			UserText[FT_C_USER_TEXT_LEN + 1];
		FT_C_CLIENT_INFORec 			Client;
		FT_C_GIVEUP_INFORec 			GiveUp;
		FT_C_CLEARING_INFORec			Clearing;
		FT_C_SRC_TYPEEnum   			SrcType;
} FT_C_FILL_USER_INFORec, *FT_C_FILL_USER_INFOPtr;


typedef struct {		/*  (0) */
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
} FT_C_FILL_COUNTERPART_INFORec, *FT_C_FILL_COUNTERPART_INFOPtr;


typedef struct {		/*  (0) */
		unsigned long       			Account;
		char                			AccountCode[FT_C_ACCOUNTCODE_LEN + 1];
		unsigned long       			AkaAccount;
		char                			AkaAccountCode[FT_C_ACCOUNTCODE_LEN + 1];
		char                			CptCustodianMemberID[FT_C_MEMBER_LEN + 1];
		char                			TagAccountsInfo[FT_C_TAG_ACCOUNT_INFO_LEN + 1];
} FT_C_FILL_ALLOCATION_INFORec, *FT_C_FILL_ALLOCATION_INFOPtr;


typedef struct {		/* FT_C_FILL_ID (30017) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			ISINCode[FT_C_ISIN_LEN + 1];
		char                			FillID[FT_C_FILL_LEN + 1];
		FT_C_FILL_USER_INFORec			User;
		FT_C_FILL_COUNTERPART_INFORec			Counterpart;
		FT_C_FILL_STATUSEnum			Status;
		unsigned long       			FillDate;
		unsigned long       			FillTime;
		FT_C_VERBEnum       			Verb;
		double              			Price;
		double              			Volatility;
		double              			Yield;
		double              			Qty;
		unsigned long       			SettlDate;
		unsigned long       			EndDate;
		double              			Rate;
		double              			RepoInterest;
		double              			NominalValue;
		double              			SpotCollLoan;
		double              			EndCollLoan;
		double              			CleanPrice;
		double              			MarketPrice;
		double              			EndAccIntFactor;
		FT_C_FLAGEnum       			GCFlag;
		unsigned long       			RejectionTime;
		FT_C_LIQUIDITY_INDICATOREnum			Aggressor;
		char                			SecurityID[FT_C_SECURITY_LEN + 1];
		double              			EndPrice;
		double              			TaxAmount;
		double              			SettlementAmount;
		unsigned long       			StartDate;
		unsigned long       			DERSettlementDate;
		FT_C_FLAGEnum       			GreyMarketFlag;
		char                			UserSettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		char                			CounterpartSettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		double              			EndTelQuel;
		double              			SpotPrice;
		double              			SpotAccIntFact;
		double              			SpotTelQuel;
		FT_C_REPO_CLASSEnum 			RepoType;
		char                			MrkOrderID[FT_C_MRKORDER_LEN + 1];
		FT_C_FLAGEnum       			OTCFill;
		char                			ExternalID[FT_C_FILL_LEN + 1];
		double              			FeesAmount;
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		FT_C_FLAGEnum       			ThirdParty;
		double              			OrderRemQty;
		FT_C_PERIOD_SEQUENCERec			PaymentSequence;
		FT_C_PERIOD_SEQUENCERec			CounterpartPaymentSequence;
		FT_C_DAY_COUNT_FRACTIONEnum			DayCountFraction;
		FT_C_DAY_COUNT_FRACTIONEnum			CounterpartDayCountFraction;
		char                			SettlFillID[FT_C_FILL_LEN + 1];
		char                			OrderFTSecID[FT_C_SEC_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		char                			Tag[FT_C_USER_TEXT_LEN + 1];
		char                			ClientReference[FT_C_USER_TEXT_LEN + 1];
		FT_C_FLAGEnum       			PTTOffMrkPriceOperation;
		FT_C_FLAGEnum       			PTTReportOperation;
		FT_C_FLAGEnum       			PTTAgreedOperation;
		char                			PTTVenue[FT_C_VENUE_LEN + 1];
		FT_C_FLAGEnum       			PTTDelay;
		double              			BrokerFeeAmount;
		double              			MngFeeAmount;
		FT_C_FLAGEnum       			FeesCalc;
		FT_C_FLAGEnum       			MrkFeeCalc;
		double              			OtherNegFee;
		FT_C_FLAGEnum       			NegFeeCalc;
		double              			ExCurChangeRate;
		char                			SettlCurrency[FT_C_CURRENCY_LEN + 1];
		char                			CliCurrency[FT_C_CURRENCY_LEN + 1];
		FT_C_FILL_EXCEPTION_STATUSEnum			ExceptionStatus;
		char                			ClientFillID[FT_C_FILL_LEN + 1];
		FT_C_EXECUTION_PHASEEnum			ExecutionPhase;
		FT_C_MARKET_AFFILIATIONEnum			MarketAffiliation;
		double              			SettlementFXRate;
		char                			ParentFillID[FT_C_FILL_LEN + 1];
		unsigned long       			PreAllocationTime;
		unsigned short      			SettlementOffset;
		unsigned long       			SettlStartTime;
		FT_C_FLAGEnum       			AdjustedFg;
		char                			ClearingHouse[FT_C_CLEARING_HOUSE_LEN + 1];
		double              			Haircut;
		unsigned long       			AllocationValidityDate;
		unsigned long       			AllocationValidityTime;
		char                			MrkSalesOperatorID[FT_C_OPERATOR_LEN + 1];
		double              			FinancialTax;
		FT_C_FINANCIAL_TAXEnum			FinancialTaxCalc;
		double              			UpFront;
		char                			MMTFlags[FT_C_MMT_FLAGS_LEN + 1];
		FT_C_FIRM_INFORec   			InvestmentDecisionFirm;
		FT_C_FIRM_INFORec   			ExecutionDecisionFirm;
		unsigned long       			FillTimeMicroSec;
		unsigned long       			TradingVenueSeqNo;
		unsigned long       			UpdateTime;
		unsigned long       			UpdateTimeMicroSec;
		char                			FillIDExt[FT_C_FILLEXT_LEN + 1];
		char                			TradingBookID[FT_C_TRADING_BOOK_ID_LEN + 1];
		double              			MarketValue;
		unsigned long       			UpdateDate;
		FT_C_PERIOD_SEQUENCERec			FloatPaymentSequence;
		FT_C_FLAGEnum       			FloatCompounding;
		FT_C_ROLL_CONVENTIONEnum			AccruedBusinessDay;
		FT_C_ROLL_CONVENTIONEnum			PaymentBusinessDay;
		FT_C_FILL_ALLOCATION_INFORec			AllocationInfo;
		unsigned long       			AllocationId;
		unsigned long       			RevisionNmb;
		char                			StageOrderID[FT_C_ORDER_LEN + 1];
		char                			StageClOrderID[FT_C_CLIENT_ORDER_LEN + 1];
		char                			OrigReferenceID[FT_C_ORDER_LEN + 1];
		char                			AlternateRef[FT_C_SEC_REF_LEN + 1];
		unsigned long       			MaturityDate;
		char                			StrategyWireValue[FT_C_STRATEGY_WIRE_VALUE_LEN + 1];
		char                			AreaCode[FT_C_AREA_CODE_LEN + 1];
		double              			AccruedInterestRate;
		double              			AccruedInterestAmount;
		char                			BenchFTSecID[FT_C_SEC_LEN + 1];
		char                			StartDateID[FT_C_DATE_LEN + 1];
		char                			EndDateID[FT_C_DATE_LEN + 1];
		FT_C_FLAG_UNDEnum   			Confirmed;
		FT_C_FLAG_UNDEnum   			Affirmed;
		double              			MarkUp;
		char                			StrategyFillID[FT_C_FILL_LEN + 1];
		FT_C_PERIOD_SEQUENCERec			FixedPaymentSequence;
		FT_C_DAY_COUNT_FRACTIONEnum			FixedDayCount;
		char                			LongDescription[FT_C_LONG_DESCRIPTION_LEN + 1];
		FT_C_SWAP_TYPEEnum  			SwapType;
		FT_C_PERIOD_SEQUENCERec			Tenor;
		FT_C_PAYMENT_INFO_EXTRec			PayInfoExt;
		FT_C_MTF_MODEEnum   			MTFMode;
		FT_C_SEF_MODEEnum   			SEFMode;
		FT_C_SEF_STATEEnum  			SEFState;
		double              			UMid;
		double              			NPV;
		FT_C_EXECUTION_SOURCE_CODEEnum			ExecutionSourceCode;
		unsigned short      			RFQLegNo;
		char                			UTI[FT_C_UNIQUE_TRANS_ID_LEN + 1];
		char                			RTN[FT_C_REPORT_TRACKING_NUM_LEN + 1];
		FT_C_SFTR_EXEMPTION_FLAGEnum			SFTRExemptionFg;
		unsigned long       			FixFrontStabDate;
		unsigned long       			FixAdjustedFrontStabDate;
		unsigned long       			FltFrontStabDate;
		unsigned long       			FltAdjustedFrontStabDate;
		FT_C_PERIOD_SEQUENCERec			FltStubBeginTenor;
		FT_C_PERIOD_SEQUENCERec			FltStubEndTenor;
		FT_C_REVEAL_FLAGEnum			Reveal;
		unsigned long       			CallDate;
		unsigned long       			WorkoutDate;
		FT_C_FLAGEnum       			RFEFill;
		double              			BenchmarkPrice;
		double              			BenchmarkYield;
		double              			BenchmarkSpread;
		FT_C_SPREAD_SPOT_TYPEEnum			SpreadSpotType;
		unsigned long       			SpreadSpotDate;
		unsigned long       			SpreadSpotTime;
		char                			RefSpottingQuoteID[FT_C_ORDER_LEN + 1];
		unsigned long       			RefSpottingQuoteSeqNo;
		FT_C_SHORT_SELL_TYPEEnum			ShortSellType;
		char                			SpreadSpotTimeID[FT_C_SPREAD_TIMEID_LEN + 1];
		FT_C_FLAG_UNDEnum   			Amend;
		char                			PIProposalID[FT_C_PIP_PROPOSAL_LEN + 1];
		FT_C_PIP_EXEC_TYPEEnum			PIPExecType;
		char                			CounterpartLEI[FT_C_LEI_LEN + 1];
		char                			OrderOriginatorLEI[FT_C_LEI_LEN + 1];
} FT_C_FILLRec, *FT_C_FILLPtr;


typedef struct {		/* FT_C_GC_FILL_ID (30088) */
		FT_C_FILLRec        			GCFill;
} FT_C_GC_FILLRec, *FT_C_GC_FILLPtr;


typedef struct {		/* FT_C_OTC_FILL_ID (30141) */
		char                			ISINCode[FT_C_ISIN_LEN + 1];
		char                			OtcID[FT_C_FILL_LEN + 1];
		char                			MrkOtcID[FT_C_FILL_LEN + 1];
		unsigned long       			FillDate;
		unsigned long       			FillTime;
		FT_C_CROSS_OTC_STATUSEnum			Status;
		double              			Price;
		double              			Yield;
		double              			Qty;
		FT_C_OTC_TYPEEnum   			Type;
		char                			BuyMemberID[FT_C_MEMBER_LEN + 1];
		char                			BuyAlternateMemberID[FT_C_MEMBER_LEN + 1];
		char                			SellMemberID[FT_C_MEMBER_LEN + 1];
		char                			SellAlternateMemberID[FT_C_MEMBER_LEN + 1];
		FT_C_RFQ_VERBEnum   			Verb;
		FT_C_CLIENT_INFORec 			Client;
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			UserText[FT_C_USER_TEXT_LEN + 1];
		char                			ParentOrderID[FT_C_ORDER_LEN + 1];
		unsigned long       			SettlDate;
		double              			NominalValue;
		double              			SettlementAmount;
		double              			FeesAmount;
		FT_C_FLAGEnum       			OutSystem;
		unsigned long       			StartDate;
		unsigned long       			EndDate;
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		FT_C_SECURITY_TYPEEnum			SecurityType;
		double              			LotSize;
		unsigned long       			MaturityDate;
		double              			StrikePrice;
		char                			Term[FT_C_TERM_LEN + 1];
		char                			SecExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			OTCMarketID[FT_C_MARKET_LEN + 1];
		char                			OTCExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			ClientOTCID[FT_C_CLIENT_ORDER_LEN + 1];
		FT_C_OPTION_TYPEEnum			OptionType;
		char                			SellMrkOtcID[FT_C_FILL_LEN + 1];
		FT_C_OTC_TYPEEnum   			SellType;
		FT_C_CLIENT_INFORec 			SellSideClient;
		char                			SellFTSecID[FT_C_SEC_LEN + 1];
		FT_C_FLAGEnum       			SellOutSystem;
		char                			SellSideBuyMemberID[FT_C_MEMBER_LEN + 1];
		char                			SellSideBuyAlternateMemberID[FT_C_MEMBER_LEN + 1];
		char                			SellSideSellMemberID[FT_C_MEMBER_LEN + 1];
		char                			SellSideSellAlternateMemberID[FT_C_MEMBER_LEN + 1];
		char                			PrimaryRef[FT_C_SEC_REF_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
		char                			BuyBrokerID[FT_C_BROKER_LEN + 1];
		char                			SellBrokerID[FT_C_BROKER_LEN + 1];
		FT_C_FLAGEnum       			PTTOffMrkPriceOperation;
		FT_C_FLAGEnum       			PTTReportOperation;
		FT_C_FLAGEnum       			PTTAgreedOperation;
		char                			PTTVenue[FT_C_VENUE_LEN + 1];
		FT_C_FLAGEnum       			PTTDelay;
		char                			Issuer[FT_C_ISSUER_LEN + 1];
		double              			EndPrice;
		double              			SpotPrice;
		FT_C_CLEARING_MODEEnum			ClearingMode;
		FT_C_FLAGEnum       			CCPOnlyFlag;
		unsigned long       			ValidityDate;
		unsigned long       			ValidityTime;
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		FT_C_FLAGEnum       			BilateralOnlyFlag;
		char                			BuyOTCBrokerID[FT_C_BROKER_LEN + 1];
		char                			SellOTCBrokerID[FT_C_BROKER_LEN + 1];
		FT_C_CROSS_OTC_STATUSEnum			CounterpartStatus;
		char                			BuyClearingMemberID[FT_C_MEMBER_LEN + 1];
		char                			SellClearingMemberID[FT_C_MEMBER_LEN + 1];
		char                			CounterpartMrkOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_CROSS_OTC_STATUSEnum			SubStatus;
		FT_C_IN_OUT_FLAGEnum			InOutFlag;
		char                			FloatRateID[FT_C_FLOAT_RATE_LEN + 1];
		FT_C_REPO_CLASSEnum 			RepoClass;
		double              			Haircut;
		char                			SettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		char                			ClearingHouseID[FT_C_CLEARING_HOUSE_LEN + 1];
		unsigned long       			SeqNo;
		char                			CounterpartSettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		FT_C_SHORT_SELL_TYPEEnum			ShortSellType;
		char                			ShortSellExternalAccount[FT_C_ACCOUNT_LEN + 1];
		double              			Rate;
		double              			SpotCollLoan;
		double              			EndCollLoan;
		double              			SpotAccIntFact;
		double              			EndAccIntFactor;
		double              			SellSpotCollLoan;
		double              			SellEndCollLoan;
		double              			SellSpotAccIntFact;
		double              			SellEndAccIntFactor;
		unsigned long       			OrderCreationDate;
		unsigned long       			OrderCreationTime;
		FT_C_FIRM_INFORec   			BuyInvestmentDecisionFirm;
		FT_C_FIRM_INFORec   			BuyExecutionDecisionFirm;
		FT_C_FIRM_INFORec   			SellInvestmentDecisionFirm;
		FT_C_FIRM_INFORec   			SellExecutionDecisionFirm;
		unsigned long       			CreationTimeMicroSec;
		unsigned long       			UpdateTimeMicroSec;
		unsigned long       			FillTimeMicroSec;
		unsigned long       			OrderCreationTimeMicroSec;
		unsigned long       			TradingVenueSeqNo;
		unsigned long       			OrigClientShortCode;
		FT_C_FLAG_UNDEnum   			BuyRiskReduction;
		FT_C_FLAG_UNDEnum   			SellRiskReduction;
		unsigned long       			TransmittingFirmShortCode;
		FT_C_LIQUIDITY_INDICATOREnum			BuyAggressor;
		FT_C_LIQUIDITY_INDICATOREnum			SellAggressor;
		char                			BuyMMTFlags[FT_C_MMT_FLAGS_LEN + 1];
		char                			SellMMTFlags[FT_C_MMT_FLAGS_LEN + 1];
		char                			BuyFillIDExt[FT_C_FILLEXT_LEN + 1];
		char                			SellFillIDExt[FT_C_FILLEXT_LEN + 1];
		char                			BenchFTSecID[FT_C_SEC_LEN + 1];
		char                			StartDateID[FT_C_DATE_LEN + 1];
		char                			EndDateID[FT_C_DATE_LEN + 1];
		FT_C_FLAG_UNDEnum   			Confirmed;
		FT_C_FLAG_UNDEnum   			Affirmed;
		FT_C_MIFID_CLIENT_TYPEEnum			OrigClientFirmType;
		char                			InternalProperties[FT_C_INTERNALPROP_LEN + 1];
		double              			MarkUp;
		char                			ComplianceText[FT_C_COMPLIANCETEXT_LEN + 1];
} FT_C_OTC_FILLRec, *FT_C_OTC_FILLPtr;


typedef struct {		/* FT_C_MARKET_OTC_BROKER_ID (30245) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
		char                			BrokerMnemonicCode[FT_C_BROKER_CODE_LEN + 1];
		char                			ShortDescription[FT_C_SHORT_DESCRIPTION_LEN + 1];
		char                			Country[FT_C_COUNTRY_DESC_LEN + 1];
		char                			Address[FT_C_ADDRESS_LEN + 1];
		char                			City[FT_C_CITY_LEN + 1];
		char                			EMail[FT_C_EMAIL_LEN + 1];
		char                			Telephone[FT_C_TELEPHONE_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
} FT_C_MARKET_OTC_BROKERRec, *FT_C_MARKET_OTC_BROKERPtr;


typedef struct {		/* FT_C_BLOTTER_ID (30181) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			ISINCode[FT_C_ISIN_LEN + 1];
		char                			OrderID[FT_C_ORDER_LEN + 1];
		char                			OrigOrderID[FT_C_ORDER_LEN + 1];
		char                			ClientOrderID[FT_C_CLIENT_ORDER_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		FT_C_VERBEnum       			Verb;
		FT_C_ORDER_TYPEEnum 			OrderType;
		FT_C_QTY_PARAMETEREnum			QtyParameter;
		FT_C_TIMEINFORCEEnum			TimeInForce;
		unsigned long       			ValidityDate;
		unsigned long       			ValidityTime;
		FT_C_ORDER_STATUSEnum			Status;
		double              			Price;
		double              			Volatility;
		double              			Yield;
		double              			MinVolQty;
		double              			MinFillSize;
		double              			Qty;
		double              			VisibleQty;
		double              			ExecutedQty;
		double              			RemainingQty;
		FT_C_QTY_TYPEEnum   			RelativeQty;
		double              			StopPrice;
		FT_C_STOP_TRIGGER_MECHANISMEnum			TriggerMechanism;
		unsigned long       			BookPriority;
		char                			UserText[FT_C_USER_TEXT_LEN + 1];
		FT_C_CLIENT_INFORec 			Client;
		FT_C_CLEARING_INFORec			Clearing;
		FT_C_FLAGEnum       			ConfirmFlag;
		FT_C_NEG_PHASEEnum  			AuctionFlag;
		FT_C_OPT_COMBO_INDEnum			ComboIndicator;
		FT_C_FLAGEnum       			IssueOrder;
		char                			TriggerFTSecID[FT_C_SEC_LEN + 1];
		char                			CounterpartMemberID[FT_C_MEMBER_LEN + 1];
		char                			ClearingHouseID[FT_C_CLEARING_HOUSE_LEN + 1];
		FT_C_FLAGEnum       			TransparentFlag;
		FT_C_FLAGEnum       			CCPOnlyFlag;
		char                			MrkOrderID[FT_C_MRKORDER_LEN + 1];
		unsigned long       			SeqNo;
		FT_C_FLAGEnum       			CareOrder;
		double              			TradesAvgPrice;
		char                			ParentOrderID[FT_C_ORDER_LEN + 1];
		double              			ActiveExecutedQty;
		double              			FeesAmount;
		double              			SettlementAmount;
		char                			Tag[FT_C_USER_TEXT_LEN + 1];
		FT_C_ACTIONEnum     			IsManualEdit;
		char                			SalesOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_OWN_TYPEEnum   			OrderPrivate;
		FT_C_BYPASS_FLAGEnum			ByPassSentinel;
		FT_C_CARE_RELEASE_STATUSEnum			ToSettle;
		FT_C_PRIORITYEnum   			Priority;
		FT_C_QUOTE_AUTOEnum 			AutomaticFlag;
		long                			RefusedDel;
		double              			ExCurChangeRate;
		char                			LinkTag[FT_C_LINK_TAG_LEN + 1];
		FT_C_LINK_FLAGEnum  			LinkFlag;
		FT_C_FLAGEnum       			Indicative;
		FT_C_FLAGEnum       			WelcomePlusOnly;
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		char                			ClientReference[FT_C_USER_TEXT_LEN + 1];
		char                			OnBehalfOf[FT_C_USER_TEXT_LEN + 1];
		unsigned long       			RecvDate;
		unsigned long       			RecvTime;
		FT_C_INTERNAL_ORDER_STATUSEnum			InternalStatus;
		FT_C_FLAGEnum       			InternalOrderFlag;
		double              			TotTradesAvgPrice;
		char                			BlotterKey[FT_C_BLOTTER_MSG_KEY_LEN + 1];
		unsigned long       			BlotterDate;
		unsigned long       			BlotterTime;
		char                			FillID[FT_C_FILL_LEN + 1];
		FT_C_FILL_STATUSEnum			FillStatus;
		double              			FillQty;
		double              			FillPrice;
		unsigned long       			FillDate;
		unsigned long       			FillTime;
		long                			ErrorCode;
		char                			ErrorString[FT_C_ERROR_LEN + 1];
		FT_C_ERROR_SOURCEEnum			ErrorSource;
		char                			ClientFillID[FT_C_FILL_LEN + 1];
		FT_C_FLAG_UNDEnum   			OtcOrder;
		FT_C_NEXT_DATE_MODEEnum			NextDateOrder;
		unsigned long       			ActivationDate;
		double              			BrokerFeeAmount;
		double              			MngFeeAmount;
		double              			TaxAmount;
		FT_C_FLAGEnum       			FeesCalc;
		FT_C_OP_TYPEEnum    			OpType;
		char                			SettlCurrency[FT_C_CURRENCY_LEN + 1];
		char                			CliCurrency[FT_C_CURRENCY_LEN + 1];
		FT_C_FLAGEnum       			MrkFeeCalc;
		double              			OtherNegFee;
		FT_C_FLAGEnum       			NegFeeCalc;
		FT_C_FLAG_UNDEnum   			TAH;
		FT_C_FLAGEnum       			IsBestOrder;
		FT_C_INTERNALIZER_MODEEnum			InternalizerMode;
		FT_C_BEST_EXEC_PRIORITYEnum			BestExecIndicator;
		double              			TotActiveExecutedQty;
		unsigned long       			SettlementDate;
		char                			OrigClientOrderID[FT_C_CLIENT_ORDER_LEN + 1];
		char                			ParentClientOrderID[FT_C_CLIENT_ORDER_LEN + 1];
		FT_C_ACTIONEnum     			PendingAction;
		FT_C_PERC_FEE_TYPEEnum			PercFee;
		double              			PercCliFeeAmount;
		double              			PercCliMngFeeAmount;
		FT_C_FLAGEnum       			UseSettlFee;
		double              			SettlCliFeeAmount;
		double              			SettlCliMngFeeAmount;
		double              			IncrementalFeeAmount;
		double              			IncrementalMngFeeAmount;
		FT_C_FLAGEnum       			UseLocalTime;
		long                			TimeOffset;
		unsigned long       			CliNDec;
		FT_C_FLAGEnum       			SyntheticOrderFlag;
		FT_C_DEALING_STATUSEnum			ToDeal;
		FT_C_DER_ACCOUNT_TYPEEnum			DerAccountType;
		char                			DerAccount[FT_C_ACCOUNT_LEN + 1];
		char                			DerSubAccount[FT_C_ACCOUNT_LEN + 1];
		FT_C_SHORT_STATUSEnum			ShortStatus;
		char                			FullStatusDesc[FT_C_FULL_STATUS_DESC_LEN + 1];
		FT_C_ORDER_FILL_EXCEPTIONEnum			FillException;
		FT_C_FEE_EXCEPTIONEnum			FeeException;
		char                			InitialClientOrderID[FT_C_CLIENT_ORDER_LEN + 1];
		unsigned long       			LocalCreationDate;
		unsigned long       			LocalCreationTime;
		FT_C_TIMEINFORCEEnum			OriginalTimeInForce;
		unsigned long       			OriginalValidityDate;
		FT_C_FLAGEnum       			Moved;
		char                			SwitchLinkID[FT_C_ORDER_LEN + 1];
		double              			SettlIncrementalFeeAmount;
		double              			SettlIncrementalMngFeeAmount;
		char                			SettlementCircuit[FT_C_MIC_LEN + 1];
		FT_C_BEST_EXEC_PROFILEEnum			BestExecProfile;
		double              			PegIncrement;
		FT_C_FLAGEnum       			HiddenOrder;
		FT_C_PEG_TYPEEnum   			PegType;
		char                			StrategyManager[FT_C_STRATEGY_MANAGER_LEN + 1];
		FT_C_STRIKER_QUOTE_LEGRec			StrikerPrice;
		double              			UserChangeRate;
		FT_C_FLAG_UNDEnum   			UserChangeEnabled;
		FT_C_SHORT_SELL_TYPEEnum			ShortSellType;
		char                			ShortSellExternalAccount[FT_C_ACCOUNT_LEN + 1];
		FT_C_FLAG_UNDEnum   			SweepingEnabled;
		unsigned long       			SweepingNo;
		unsigned long       			SweepingRejectNo;
		char                			ExecPolicyID[FT_C_EXEC_POLICY_LEN + 1];
		char                			StrategyWireValue[FT_C_STRATEGY_WIRE_VALUE_LEN + 1];
		char                			StrategyVersion[FT_C_STRATEGY_VERSION_LEN + 1];
		char                			StrategyParameter[FT_C_STRATEGY_PARAMETER_LEN + 1];
		FT_C_STRATEGY_STATUSEnum			StrategyStatus;
		char                			StrategyLastMsg[FT_C_USER_TEXT_LEN + 1];
		double              			FinancialTax;
		FT_C_FINANCIAL_TAXEnum			FinancialTaxCalc;
		FT_C_ORDER_EXECUTION_STRATEGYEnum			OrderExecutionStrategy;
		FT_C_FLAGEnum       			VisibleRandom;
		double              			SecondVisibleQty;
		FT_C_STOP_TRAILING_TYPEEnum			StopTrailingType;
		double              			StopTrailing;
		char                			LinkBulkID[FT_C_LINK_BULK_LEN + 1];
		unsigned short      			BulkLegSeqNo;
		unsigned short      			BulkLegsNum;
		char                			MMTFlags[FT_C_MMT_FLAGS_LEN + 1];
		FT_C_FIRM_INFORec   			InvestmentDecisionFirm;
		FT_C_FIRM_INFORec   			ExecutionDecisionFirm;
		unsigned long       			CreationTimeMicroSec;
		unsigned long       			UpdateTimeMicroSec;
		unsigned long       			RecvTimeMicroSec;
		unsigned long       			BlotterTimeMicroSec;
		unsigned long       			FillTimeMicroSec;
		unsigned long       			LocalCreationTimeMicroSec;
		unsigned long       			TradingVenueSeqNo;
		unsigned long       			OrigClientShortCode;
		FT_C_FLAG_UNDEnum   			RiskReduction;
		unsigned long       			TransmittingFirmShortCode;
		FT_C_FLAG_UNDEnum   			LiquidityProvision;
		FT_C_LIQUIDITY_INDICATOREnum			Aggressor;
		char                			FillIDExt[FT_C_FILLEXT_LEN + 1];
		char                			MassActionID[FT_C_MASS_ACTION_LEN + 1];
		char                			MergeOrderID[FT_C_ORDER_LEN + 1];
		double              			AccruedInterestRate;
		double              			AccruedInterestAmount;
		char                			ReferenceMIC[FT_C_MIC_LEN + 1];
		double              			MarkUp;
		double              			ExCurChangeRateSpread;
		char                			PTTVenue[FT_C_VENUE_LEN + 1];
		char                			StrategyFillID[FT_C_FILL_LEN + 1];
		FT_C_SETTL_DATE_TYPEEnum			SettlDateType;
		unsigned short      			SettlementOffset;
		FT_C_EXECUTION_SOURCE_CODEEnum			ExecutionSourceCode;
		FT_C_MIFID_CLIENT_TYPEEnum			OrigClientFirmType;
		char                			CrossID[FT_C_ORDER_LEN + 1];
		char                			InternalReference[FT_C_USER_TEXT_LEN + 1];
		FT_C_FLAG_UNDEnum   			IsPersistent;
		char                			PIProposalID[FT_C_PIP_PROPOSAL_LEN + 1];
		char                			CounterpartLEI[FT_C_LEI_LEN + 1];
		FT_C_PIP_EXEC_TYPEEnum			PIPExecType;
		double              			CancelledQty;
		char                			BasketID[FT_C_BASKET_LEN + 1];
		char                			ComplianceText[FT_C_COMPLIANCETEXT_LEN + 1];
} FT_C_BLOTTERRec, *FT_C_BLOTTERPtr;


typedef struct {		/*  (0) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		double              			Price;
		double              			Qty;
		double              			CumQty;
		double              			LowestPrice;
		double              			HighestPrice;
		double              			PercVar;
		FT_C_SIGNEnum       			Trend;
		unsigned long       			Date;
		unsigned long       			Time;
		double              			CumNominalValue;
		FT_C_VERBEnum       			Verb;
} FT_C_EXEC_INFORec, *FT_C_EXEC_INFOPtr;


typedef struct {		/*  (0) */
		double              			BestBidPrice;
		double              			BestAskPrice;
} FT_C_DEPTH_INFORec, *FT_C_DEPTH_INFOPtr;


typedef struct {		/* FT_C_PRICE_EXEC_ID (30023) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		double              			Price;
		double              			Qty;
		double              			CumQty;
		double              			LowestPrice;
		double              			HighestPrice;
		double              			PercVar;
		FT_C_SIGNEnum       			Trend;
		unsigned long       			Date;
		unsigned long       			Time;
		double              			CumNominalValue;
		unsigned long       			Counter;
		unsigned long       			NumberOfTrades;
		double              			Yield;
		FT_C_VERBEnum       			Verb;
		FT_C_EXEC_TYPEEnum  			IsCross;
		double              			OpeningPrice;
		double              			ClosingPrice;
		long                			OpenInterest;
		FT_C_TRADING_PHASEEnum			Phase;
		unsigned long       			UpdateTimeMicroSec;
		char                			MMTFlags[FT_C_MMT_FLAGS_LEN + 1];
		char                			TransactionIdentificationCode[FT_C_FILLEXT_LEN + 1];
		unsigned long       			PublicationTime;
		double              			VWAP;
} FT_C_PRICE_EXECRec, *FT_C_PRICE_EXECPtr;


typedef struct {		/* FT_C_PRICE_EXEC_MINMAX_ID (30259) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		double              			Price;
		double              			Yield;
		FT_C_MINMAXEnum     			MinMax;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		double              			PercVar;
} FT_C_PRICE_EXEC_MINMAXRec, *FT_C_PRICE_EXEC_MINMAXPtr;


typedef struct {		/* FT_C_PRICE_EXEC_BESTWORST_ID (30260) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		double              			Price;
		double              			Yield;
		double              			PercVar;
		FT_C_SIGNEnum       			Trend;
} FT_C_PRICE_EXEC_BESTWORSTRec, *FT_C_PRICE_EXEC_BESTWORSTPtr;


typedef struct {		/* FT_C_PRICE_EXEC_HISTORY_ID (30083) */
		FT_C_PRICE_EXECRec  			Exec;
} FT_C_PRICE_EXEC_HISTORYRec, *FT_C_PRICE_EXEC_HISTORYPtr;


typedef struct {		/* FT_C_PRICE_EXEC_WND_ID (30082) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		unsigned long       			Date;
		unsigned long       			Time;
		unsigned long       			Wnd;
		double              			Qty;
		double              			Volume;
		unsigned long       			NumberOfTrades;
		double              			OpenPrice;
		double              			OpenBidPrice;
		double              			OpenAskPrice;
		double              			ClosePrice;
		double              			CloseBidPrice;
		double              			CloseAskPrice;
		double              			LowestPrice;
		double              			LowestBidPrice;
		double              			LowestAskPrice;
		double              			HighestPrice;
		double              			HighestBidPrice;
		double              			HighestAskPrice;
		long                			OpenInterest;
} FT_C_PRICE_EXEC_WNDRec, *FT_C_PRICE_EXEC_WNDPtr;


typedef struct {		/* FT_C_PRICE_EXEC_DAILY_ID (30084) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		unsigned long       			Date;
		unsigned long       			Time;
		unsigned long       			Wnd;
		double              			Qty;
		double              			Volume;
		unsigned long       			NumberOfTrades;
		double              			OpenPrice;
		double              			OpenBidPrice;
		double              			OpenAskPrice;
		double              			ClosePrice;
		double              			CloseBidPrice;
		double              			CloseAskPrice;
		double              			LowestPrice;
		double              			LowestBidPrice;
		double              			LowestAskPrice;
		double              			HighestPrice;
		double              			HighestBidPrice;
		double              			HighestAskPrice;
		long                			OpenInterest;
} FT_C_PRICE_EXEC_DAILYRec, *FT_C_PRICE_EXEC_DAILYPtr;


typedef struct {		/* FT_C_PRICE_EXEC_OHLC_ID (30273) */
		unsigned long       			Date;
		unsigned long       			Time;
		double              			Qty;
		double              			OpenPrice;
		double              			ClosePrice;
		double              			LowestPrice;
		double              			HighestPrice;
} FT_C_PRICE_EXEC_OHLCRec, *FT_C_PRICE_EXEC_OHLCPtr;


typedef struct {		/* FT_C_SUB_FILL_ID (30085) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			FillID[FT_C_FILL_LEN + 1];
		char                			OrderID[FT_C_ORDER_LEN + 1];
		double              			Qty;
		char                			GCFTSecID[FT_C_SEC_LEN + 1];
		char                			GCFillID[FT_C_FILL_LEN + 1];
		char                			GCOrderID[FT_C_ORDER_LEN + 1];
		double              			Rate;
		double              			Price;
		double              			CleanPrice;
		double              			SpotCollLoan;
		double              			EndCollLoan;
		double              			NominalValue;
		double              			EndAccIntFactor;
		int                 			AllocationItemNo;
		int                 			NoOfSubst;
		unsigned long       			StartDate;
		unsigned long       			EndDate;
		double              			EndPrice;
		unsigned long       			SettlDate;
		char                			MrkOrderID[FT_C_MRKORDER_LEN + 1];
		char                			MrkGCOrderID[FT_C_MRKORDER_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
		char                			GCExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			GCMarketID[FT_C_MARKET_LEN + 1];
		char                			GCFTProductID[FT_C_SEC_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		char                			ClientID[FT_C_CLIENT_LEN + 1];
		char                			ClientAccount[FT_C_ACCOUNT_LEN + 1];
} FT_C_SUB_FILLRec, *FT_C_SUB_FILLPtr;


typedef struct {		/*  (0) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		double              			Qty;
		int                 			AllocItemNo;
		int                 			OrigAllocItemNo;
} FT_C_ALLOC_INFORec, *FT_C_ALLOC_INFOPtr;


typedef struct {		/*  (0) */
		char                			ClientID[FT_C_CLIENT_LEN + 1];
		char                			ClientAccount[FT_C_ACCOUNT_LEN + 1];
} FT_C_ACCOUNT_ALLOC_INFORec, *FT_C_ACCOUNT_ALLOC_INFOPtr;


typedef struct {		/*  (0) */
		FT_C_FLAGEnum       			CheckOK;
		char                			ErrorDescr[FT_C_ALLOC_ERROR_LEN + 1];
} FT_C_ALLOC_CHECK_RESULTRec, *FT_C_ALLOC_CHECK_RESULTPtr;


typedef struct {		/* FT_C_FILL_ALLOC_TRANS_ID (30086) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			FillID[FT_C_FILL_LEN + 1];
		char                			OrderID[FT_C_ORDER_LEN + 1];
		unsigned long       			NumberOfAllocations;
		FT_C_ALLOC_INFORec  			SubFill[FT_C_MAX_SUBFILL];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		FT_C_ACCOUNT_ALLOC_INFORec			AccAlloc[FT_C_MAX_SUBFILL];
		FT_C_CLEARING_MODEEnum			ClearingMode[FT_C_MAX_SUBFILL];
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
} FT_C_FILL_ALLOC_TRANSRec, *FT_C_FILL_ALLOC_TRANSPtr;


typedef struct {		/* FT_C_FILL_CHECK_ALLOC_ID (30247) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			FillID[FT_C_FILL_LEN + 1];
		char                			OrderID[FT_C_ORDER_LEN + 1];
		unsigned long       			NumberOfAllocations;
		FT_C_ALLOC_INFORec  			SubFill[FT_C_MAX_SUBFILL];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		FT_C_ALLOC_CHECK_RESULTRec			CheckResult[FT_C_MAX_SUBFILL];
		char                			GlobalErrorDescr[FT_C_ERROR_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
} FT_C_FILL_CHECK_ALLOCRec, *FT_C_FILL_CHECK_ALLOCPtr;


typedef struct {		/* FT_C_ORDER_HISTORY_ID (30015) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			ISINCode[FT_C_ISIN_LEN + 1];
		char                			OrderID[FT_C_ORDER_LEN + 1];
		char                			OrigOrderID[FT_C_ORDER_LEN + 1];
		char                			ClientOrderID[FT_C_CLIENT_ORDER_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		FT_C_VERBEnum       			Verb;
		FT_C_ORDER_TYPEEnum 			OrderType;
		FT_C_QTY_PARAMETEREnum			QtyParameter;
		FT_C_TIMEINFORCEEnum			TimeInForce;
		unsigned long       			ValidityDate;
		unsigned long       			ValidityTime;
		FT_C_ORDER_STATUSEnum			Status;
		double              			Price;
		double              			Volatility;
		double              			Yield;
		double              			MinVolQty;
		double              			MinFillSize;
		double              			Qty;
		double              			VisibleQty;
		double              			ExecutedQty;
		double              			RemainingQty;
		FT_C_QTY_TYPEEnum   			RelativeQty;
		double              			StopPrice;
		FT_C_STOP_TRIGGER_MECHANISMEnum			TriggerMechanism;
		unsigned long       			BookPriority;
		char                			UserText[FT_C_USER_TEXT_LEN + 1];
		FT_C_CLIENT_INFORec 			Client;
		FT_C_CLEARING_INFORec			Clearing;
		FT_C_FLAGEnum       			ConfirmFlag;
		FT_C_NEG_PHASEEnum  			AuctionFlag;
		FT_C_OPT_COMBO_INDEnum			ComboIndicator;
		FT_C_FLAGEnum       			IssueOrder;
		char                			TriggerFTSecID[FT_C_SEC_LEN + 1];
		char                			CounterpartMemberID[FT_C_MEMBER_LEN + 1];
		char                			ClearingHouseID[FT_C_CLEARING_HOUSE_LEN + 1];
		FT_C_FLAGEnum       			TransparentFlag;
		FT_C_FLAGEnum       			CCPOnlyFlag;
		char                			MrkOrderID[FT_C_MRKORDER_LEN + 1];
		unsigned long       			SeqNo;
		FT_C_FLAGEnum       			CareOrder;
		double              			TradesAvgPrice;
		char                			ParentOrderID[FT_C_ORDER_LEN + 1];
		double              			ActiveExecutedQty;
		double              			FeesAmount;
		double              			SettlementAmount;
		char                			Tag[FT_C_USER_TEXT_LEN + 1];
		FT_C_ACTIONEnum     			IsManualEdit;
		char                			SalesOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_OWN_TYPEEnum   			OrderPrivate;
		FT_C_BYPASS_FLAGEnum			ByPassSentinel;
		FT_C_CARE_RELEASE_STATUSEnum			ToSettle;
		FT_C_PRIORITYEnum   			Priority;
		FT_C_QUOTE_AUTOEnum 			AutomaticFlag;
		long                			RefusedDel;
		double              			ExCurChangeRate;
		char                			LinkTag[FT_C_LINK_TAG_LEN + 1];
		FT_C_LINK_FLAGEnum  			LinkFlag;
		FT_C_FLAGEnum       			Indicative;
		FT_C_FLAGEnum       			WelcomePlusOnly;
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		char                			ClientReference[FT_C_USER_TEXT_LEN + 1];
		char                			OnBehalfOf[FT_C_USER_TEXT_LEN + 1];
		unsigned long       			RecvDate;
		unsigned long       			RecvTime;
		FT_C_INTERNAL_ORDER_STATUSEnum			InternalStatus;
		FT_C_FLAGEnum       			InternalOrderFlag;
		char                			OrigClientOrderID[FT_C_CLIENT_ORDER_LEN + 1];
		double              			TotTradesAvgPrice;
		double              			TotActiveExecutedQty;
		char                			DealingInstructions[FT_C_FREE_TEXT_LEN + 1];
		FT_C_OP_TYPEEnum    			OpType;
		char                			LastFillID[FT_C_FILL_LEN + 1];
		unsigned long       			LastFillDate;
		unsigned long       			LastFillTime;
		FT_C_DEALING_STATUSEnum			ToDeal;
		FT_C_FLAGEnum       			LimitExceeded;
		double              			ExceededLimitQty;
		double              			OrigMinQty;
		unsigned short      			SplitNumber;
		FT_C_FLAGEnum       			WarningEnabledFlag;
		FT_C_ORDER_STATUSEnum			CounterpartStatus;
		double              			SubscribedQty;
		double              			SubscribedMinQty;
		double              			SubscribedPrice;
		double              			PegIncrement;
		FT_C_FLAGEnum       			HiddenOrder;
		FT_C_PEG_TYPEEnum   			PegType;
		char                			CounterpartMrkOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			StrategyManager[FT_C_STRATEGY_MANAGER_LEN + 1];
		FT_C_STRIKER_QUOTE_LEGRec			StrikerPrice;
		double              			UserChangeRate;
		FT_C_FLAG_UNDEnum   			UserChangeEnabled;
		double              			SubscribedSpotPrice;
		double              			SpotPrice;
		FT_C_SHORT_SELL_TYPEEnum			ShortSellType;
		char                			ShortSellExternalAccount[FT_C_ACCOUNT_LEN + 1];
		FT_C_FLAG_UNDEnum   			SweepingEnabled;
		unsigned long       			SweepingNo;
		unsigned long       			SweepingRejectNo;
		double              			Haircut;
		double              			SubscribedHaircut;
		char                			SettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		char                			ExecPolicyID[FT_C_EXEC_POLICY_LEN + 1];
		char                			StrategyWireValue[FT_C_STRATEGY_WIRE_VALUE_LEN + 1];
		char                			StrategyVersion[FT_C_STRATEGY_VERSION_LEN + 1];
		char                			StrategyParameter[FT_C_STRATEGY_PARAMETER_LEN + 1];
		char                			CounterpartSettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		FT_C_STRATEGY_STATUSEnum			StrategyStatus;
		char                			StrategyLastMsg[FT_C_USER_TEXT_LEN + 1];
		FT_C_ORDER_EXECUTION_STRATEGYEnum			OrderExecutionStrategy;
		FT_C_FLAGEnum       			VisibleRandom;
		double              			SecondVisibleQty;
		FT_C_STOP_TRAILING_TYPEEnum			StopTrailingType;
		double              			StopTrailing;
		char                			LinkBulkID[FT_C_LINK_BULK_LEN + 1];
		unsigned short      			BulkLegSeqNo;
		unsigned short      			BulkLegsNum;
		FT_C_FIRM_INFORec   			InvestmentDecisionFirm;
		FT_C_FIRM_INFORec   			ExecutionDecisionFirm;
		unsigned long       			CreationTimeMicroSec;
		unsigned long       			UpdateTimeMicroSec;
		unsigned long       			RecvTimeMicroSec;
		unsigned long       			LocalCreationTimeMicroSec;
		unsigned long       			LastFillTimeMicroSec;
		unsigned long       			TradingVenueSeqNo;
		unsigned long       			OrigClientShortCode;
		FT_C_FLAG_UNDEnum   			RiskReduction;
		unsigned long       			TransmittingFirmShortCode;
		FT_C_FLAG_UNDEnum   			LiquidityProvision;
		FT_C_LIQUIDITY_INDICATOREnum			Aggressor;
		FT_C_SECURITY_INFORec			SecInfo;
		FT_C_FLAGEnum       			CreateFTCSwapSecurity;
		unsigned long       			SettlementDate;
		unsigned long       			MaturityDate;
		FT_C_ORDER_ALLOC_INFORec			AllocInfo;
		char                			MassActionID[FT_C_MASS_ACTION_LEN + 1];
		char                			MergeOrderID[FT_C_ORDER_LEN + 1];
		FT_C_FLAGEnum       			ParallelQuoting;
		double              			ParallelQty;
		char                			ReferenceMIC[FT_C_MIC_LEN + 1];
		FT_C_SETTL_DATE_TYPEEnum			SettlDateType;
		unsigned short      			SettlementOffset;
		FT_C_EXECUTION_SOURCE_CODEEnum			ExecutionSourceCode;
		FT_C_MIFID_CLIENT_TYPEEnum			OrigClientFirmType;
		char                			CrossID[FT_C_ORDER_LEN + 1];
		char                			InternalReference[FT_C_USER_TEXT_LEN + 1];
		FT_C_FLAG_UNDEnum   			IsPersistent;
		char                			PIProposalID[FT_C_PIP_PROPOSAL_LEN + 1];
		char                			InternalProperties[FT_C_INTERNALPROP_LEN + 1];
		double              			CancelledQty;
		char                			BasketID[FT_C_BASKET_LEN + 1];
		double              			MarkUp;
		char                			ComplianceText[FT_C_COMPLIANCETEXT_LEN + 1];
} FT_C_ORDER_HISTORYRec, *FT_C_ORDER_HISTORYPtr;


typedef struct {		/* FT_C_QUOTE_HISTORY_ID (30099) */
		FT_C_QUOTERec       			Quote;
} FT_C_QUOTE_HISTORYRec, *FT_C_QUOTE_HISTORYPtr;


typedef struct {		/*  (0) */
		unsigned long       			OSID;
		unsigned long       			ServiceID;
		unsigned long       			CID;
		unsigned long       			UPD[2];
} FT_C_TIDRec, *FT_C_TIDPtr;


typedef struct {		/* FT_C_ERROR_INFO_ID (30050) */
		long                			MMReasonCode;
		char                			MMErrorString[FT_C_ERROR_LEN + 1];
		FT_C_ERROR_SOURCEEnum			Source;
		long                			MarketReasonCode;
		char                			MarketErrorString[FT_C_ERROR_LEN + 1];
} FT_C_ERROR_INFORec, *FT_C_ERROR_INFOPtr;


typedef struct {		/* FT_C_MARKET_INFO_ID (30051) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			Entity[FT_C_SHORT_DESCRIPTION_LEN + 1];
		char                			Action[FT_C_SHORT_DESCRIPTION_LEN + 1];
		char                			Property[FT_C_SHORT_DESCRIPTION_LEN + 1];
		char                			Value[FT_C_SHORT_DESCRIPTION_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		FT_C_FLAGEnum       			IsMM;
} FT_C_MARKET_INFORec, *FT_C_MARKET_INFOPtr;


typedef struct {		/*  (0) */
		char                			SecurityID[FT_C_SEC_LEN + 1];
} FT_C_REQUEST_ONE_SECURITYRec, *FT_C_REQUEST_ONE_SECURITYPtr;


typedef struct {		/* FT_C_REQUEST_SECURITY_ID (30056) */
		FT_C_REQUEST_ONE_SECURITYRec			Security;
		FT_C_REQUEST_CODEEnum			ReqCode;
} FT_C_REQUEST_SECURITYRec, *FT_C_REQUEST_SECURITYPtr;


typedef struct {		/* FT_C_REQUEST_INFO_ID (30049) */
		FT_C_REQUEST_ONE_SECURITYRec			Securities[FT_C_REQSEC_NUM];
		FT_C_REQUEST_CODEEnum			ReqCode;
		long                			NSecurities;
		char                			MemberID[FT_C_MEMBER_LEN + 1];
} FT_C_REQUEST_INFORec, *FT_C_REQUEST_INFOPtr;


typedef struct {		/* FT_C_REQUEST_TOPIC_ID (30156) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		FT_C_REQUEST_CODEEnum			ReqCode;
		char                			MemberID[FT_C_MEMBER_LEN + 1];
} FT_C_REQUEST_TOPICRec, *FT_C_REQUEST_TOPICPtr;


typedef struct {		/* FT_C_OFFICIAL_PRICE_ID (30032) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		unsigned long       			Date;
		double              			LowestPrice;
		double              			HighestPrice;
		double              			AvgPrice;
		double              			ClosingPrice;
		double              			YieldOfLowestPrice;
		double              			YieldOfHighestPrice;
		double              			AvgYield;
		double              			Qty;
		double              			CumQty;
		double              			NominalValue;
		double              			Volatility;
		double              			UnderlyingPrice;
		double              			FixingPrice;
		FT_C_STAT_TRADE_TYPEEnum			StatTradeType;
		double              			OpeningPrice;
		double              			ClosingSpread;
} FT_C_OFFICIAL_PRICERec, *FT_C_OFFICIAL_PRICEPtr;


typedef struct {		/* FT_C_EXERCISE_ID (30035) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		unsigned long       			ExerciseID;
		FT_C_EXERCISE_TYPEEnum			Type;
		unsigned long       			Date;
		unsigned long       			Time;
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			ClearingMemberID[FT_C_MEMBER_LEN + 1];
		double              			Qty;
		FT_C_ORIGINEnum     			Origin;
		char                			ClientAccount[FT_C_ACCOUNT_LEN + 1];
		char                			UserText[FT_C_USER_TEXT_LEN + 1];
		FT_C_EXERCISE_STATUSEnum			Status;
} FT_C_EXERCISERec, *FT_C_EXERCISEPtr;


typedef struct {		/* FT_C_ASSIGNMENT_ID (30036) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		unsigned long       			Date;
		unsigned long       			Time;
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		double              			Qty;
		FT_C_ORIGINEnum     			Origin;
} FT_C_ASSIGNMENTRec, *FT_C_ASSIGNMENTPtr;


typedef struct {		/* FT_C_REPORT_ID (30060) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			ReportID[FT_C_REPORT_LEN + 1];
		unsigned long       			PageNumber;
		unsigned long       			Date;
		char                			ClearingMemberID[FT_C_MEMBER_LEN + 1];
		char                			Page[FT_C_PAGE_LEN];
} FT_C_REPORTRec, *FT_C_REPORTPtr;


typedef struct {		/* FT_C_CLIENT_ID (30052) */
		char                			ClientID[FT_C_CLIENT_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
		char                			ProfileID[FT_C_PROFILE_LEN + 1];
		FT_C_PROFILE_APPLIEDEnum			AllowProfileTrading;
		FT_C_CLIENT_TYPEEnum			ClientType;
		FT_C_FLAGEnum       			BlockIfNoInfo;
		char                			CountryID[FT_C_COUNTRY_LEN + 1];
		FT_C_ENTITY_ACTIONEnum			Action;
		char                			ActionOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			ActionDate;
		unsigned long       			ActionTime;
		FT_C_MIFID_CLIENT_TYPEEnum			MifidClientType;
		char                			ClientIdentificationCode[FT_C_CLIENT_CODE_LEN + 1];
} FT_C_CLIENTRec, *FT_C_CLIENTPtr;


typedef struct {		/* FT_C_MRK_CLIENT_ID (30280) */
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			ClientID[FT_C_CLIENT_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
		FT_C_CLIENT_TYPEEnum			ClientType;
		char                			CountryID[FT_C_COUNTRY_LEN + 1];
		FT_C_ENTITY_ACTIONEnum			Action;
		char                			ActionOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			ActionDate;
		unsigned long       			ActionTime;
		FT_C_MIFID_CLIENT_TYPEEnum			MifidClientType;
		char                			ClientIdentificationCode[FT_C_CLIENT_CODE_LEN + 1];
} FT_C_MRK_CLIENTRec, *FT_C_MRK_CLIENTPtr;


typedef struct {		/* FT_C_CLIENT_PER_OPERATOR_ID (30053) */
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			ClientID[FT_C_CLIENT_LEN + 1];
		FT_C_ENTITY_ACTIONEnum			Action;
		char                			ActionOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			ActionDate;
		unsigned long       			ActionTime;
} FT_C_CLIENT_PER_OPERATORRec, *FT_C_CLIENT_PER_OPERATORPtr;


typedef struct {		/* FT_C_ACCOUNT_PER_CLIENT_ID (30054) */
		char                			ClientID[FT_C_CLIENT_LEN + 1];
		char                			ClientAccount[FT_C_ACCOUNT_LEN + 1];
		char                			Alias[FT_C_ACCOUNT_CLIENT_LEN + 1];
		FT_C_ACCOUNT_TYPEEnum			Type;
		char                			AccountNumber[FT_C_ACCOUNT_NUMBER_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
		FT_C_FLAGEnum       			NoGUIFlag;
		FT_C_ENTITY_ACTIONEnum			Action;
		char                			ActionOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			ActionDate;
		unsigned long       			ActionTime;
} FT_C_ACCOUNT_PER_CLIENTRec, *FT_C_ACCOUNT_PER_CLIENTPtr;


typedef struct {		/* FT_C_ACCOUNT_ALIAS_PER_OPERATOR_ID (30159) */
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			ClientID[FT_C_CLIENT_LEN + 1];
		char                			ClientAccount[FT_C_ACCOUNT_LEN + 1];
		char                			Alias[FT_C_ACCOUNT_CLIENT_LEN + 1];
		FT_C_FLAGEnum       			Public;
		FT_C_ORIGINEnum     			Origin;
} FT_C_ACCOUNT_ALIAS_PER_OPERATORRec, *FT_C_ACCOUNT_ALIAS_PER_OPERATORPtr;


typedef struct {		/* FT_C_FIRM_CODE_DEFINITION_ID (30278) */
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		unsigned long       			TransmittingFirmShortCode;
		char                			ClientID[FT_C_CLIENT_LEN + 1];
		unsigned long       			FirmShortCode;
		FT_C_FIRM_CODE_TYPEEnum			FirmCodeType;
		char                			FirmLongCode[FT_C_LONG_CODE_LEN + 1];
		FT_C_FIRM_TYPEEnum  			FirmType;
} FT_C_FIRM_CODE_DEFINITIONRec, *FT_C_FIRM_CODE_DEFINITIONPtr;


typedef struct {		/* FT_C_SHORT_CODE_MAP_ID (30276) */
		unsigned long       			TransmittingFirmShortCode;
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			WithinFirmCode[FT_C_LONG_CODE_LEN + 1];
		FT_C_WITHIN_FIRM_TYPEEnum			WithinFirmType;
		char                			MrkShortCode[FT_C_SHORTCODE_LEN + 1];
		char                			ClientAccount[FT_C_ACCOUNT_LEN + 1];
		FT_C_ORIGINEnum     			Origin;
		FT_C_ENTITY_ACTIONEnum			Action;
		char                			ActionOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			ActionDate;
		unsigned long       			ActionTime;
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		FT_C_MIFID_CLIENT_TYPEEnum			MifidClientType;
} FT_C_SHORT_CODE_MAPRec, *FT_C_SHORT_CODE_MAPPtr;


typedef struct {		/*  (0) */
		double              			DownSide[FT_C_PL_ROW_NUMBER];
		double              			UpSide[FT_C_PL_ROW_NUMBER];
		double              			ShortAdjust;
} FT_C_PROFIT_AND_LOSSRec, *FT_C_PROFIT_AND_LOSSPtr;


typedef struct {		/* FT_C_SECURITY_BO_ID (30057) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		unsigned long       			Date;
		double              			ClosingPrice;
		double              			MarginInterval;
		FT_C_PROFIT_AND_LOSSRec			ProfitAndLoss;
} FT_C_SECURITY_BORec, *FT_C_SECURITY_BOPtr;


typedef struct {		/* FT_C_UNDERLYING_BO_ID (30058) */
		char                			UnderlyingFTSecID[FT_C_SEC_LEN + 1];
		unsigned long       			Date;
		double              			ClosingPrice;
		double              			MarginInterval;
		FT_C_PROFIT_AND_LOSSRec			ProfitAndLoss;
} FT_C_UNDERLYING_BORec, *FT_C_UNDERLYING_BOPtr;


typedef struct {		/* FT_C_DER_CLASS_INFO_ID (30185) */
		char                			UnderlyingFTSecID[FT_C_SEC_LEN + 1];
		FT_C_SECURITY_TYPEEnum			ClassType;
		unsigned long       			Date;
		unsigned long       			DividendDate;
		double              			DividendAmount;
		double              			InterestRate;
		double              			PriceOffset;
		double              			SpotSpreadRate;
		double              			NonSpotSpreadRate;
		double              			DeliveryRate;
		double              			Multiplier;
		double              			CurrentMarketValue;
		double              			MarginInterval;
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		double              			ExchangeRate;
		double              			CurrencyHaircut;
		double              			MinimumMargin;
} FT_C_DER_CLASS_INFORec, *FT_C_DER_CLASS_INFOPtr;


typedef struct {		/* FT_C_DER_THEO_PRICE_ID (30186) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		double              			TheorPrice;
		double              			Volatility;
		double              			UnderlyingPrice;
} FT_C_DER_THEO_PRICERec, *FT_C_DER_THEO_PRICEPtr;


typedef struct {		/*  (0) */
		double              			MinPrice;
		double              			YieldMinPrice;
		double              			MaxPrice;
		double              			YieldMaxPrice;
		double              			Qty;
		double              			AvgPrice;
		double              			AvgYield;
		double              			NominalValue;
		double              			PriceQuantity;
} FT_C_STATISTICS_INFORec, *FT_C_STATISTICS_INFOPtr;


typedef struct {		/*  (0) */
		double              			LastPrice;
		double              			LastQty;
		unsigned long       			LastDate;
		unsigned long       			LastTime;
		double              			OpeningPrice;
		double              			ClosingPrice;
		double              			Volume;
		unsigned long       			NumberOfTrades;
		double              			AvgPriceBuy;
		double              			AvgPriceSell;
		double              			TotQtyBuy;
		double              			TotQtySell;
} FT_C_STATISTICS_INFO_EXTRec, *FT_C_STATISTICS_INFO_EXTPtr;


typedef struct {		/* FT_C_STATISTICS_ID (30063) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		FT_C_STATISTICS_TYPEEnum			Type;
		unsigned long       			Time;
		FT_C_STATISTICS_INFORec			Info;
		unsigned long       			Date;
		FT_C_STATISTICS_INFO_EXTRec			InfoExt;
		FT_C_STAT_TRADE_TYPEEnum			StatTradeType;
} FT_C_STATISTICSRec, *FT_C_STATISTICSPtr;


typedef struct {		/* FT_C_STATISTICS_EXT_ID (30103) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		unsigned long       			YesterdayVolume;
		double              			YesterdayAvgYld;
		unsigned long       			TodayVolume;
		double              			TodayAvgYld;
		unsigned long       			SellVolume;
		double              			SellAvgYld;
		unsigned long       			BuyVolume;
		double              			BuyAvgYld;
		unsigned long       			MinVolume;
		double              			MinYld;
		unsigned long       			MaxVolume;
		double              			MaxYld;
		unsigned long       			FourWeeksVolume;
		double              			FourWeeksAvgYld;
		double              			YesterdayFixingRate;
		double              			TodayFixingRate;
} FT_C_STATISTICS_EXTRec, *FT_C_STATISTICS_EXTPtr;


typedef struct {		/*  (0) */
		unsigned long       			FillNumber;
		double              			Qty;
		double              			AvgPrice;
		double              			AvgYield;
		double              			NominalValue;
} FT_C_MEMB_STATISTICS_INFORec, *FT_C_MEMB_STATISTICS_INFOPtr;


typedef struct {		/*  (0) */
		double              			MinPrice;
		double              			YieldMinPrice;
		double              			MaxPrice;
		double              			YieldMaxPrice;
} FT_C_MEMB_STATISTICS_INFO_EXTRec, *FT_C_MEMB_STATISTICS_INFO_EXTPtr;


typedef struct {		/* FT_C_MARKET_MAKER_ID (30062) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		FT_C_FLAG_UNDEnum   			IsElegible;
		FT_C_FLAGEnum       			OnlyRegularSettlDate;
} FT_C_MARKET_MAKERRec, *FT_C_MARKET_MAKERPtr;


typedef struct {		/* FT_C_MEMBER_STATISTIC_ID (30065) */
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			FTSecID[FT_C_SEC_LEN + 1];
		FT_C_MEMB_STATISTICS_INFORec			Buy;
		FT_C_MEMB_STATISTICS_INFORec			Sell;
		FT_C_MEMB_STATISTICS_INFO_EXTRec			BuyExt;
		FT_C_MEMB_STATISTICS_INFO_EXTRec			SellExt;
		FT_C_MEMB_STATISTICS_AGGR_TYPEEnum			Type;
} FT_C_MEMBER_STATISTICRec, *FT_C_MEMBER_STATISTICPtr;


typedef struct {		/* FT_C_OTC_STATISTIC_ID (30143) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			ISINCode[FT_C_ISIN_LEN + 1];
		double              			AvgPrice;
		double              			Countervalue;
		double              			CumQty;
		double              			NumberOfContracts;
		FT_C_OTC_TYPEEnum   			Type;
		unsigned long       			StatisticDate;
		unsigned long       			StatisticTime;
} FT_C_OTC_STATISTICRec, *FT_C_OTC_STATISTICPtr;


typedef struct {		/* FT_C_CONTRACT_REPORT_ID (30068) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			ISINCode[FT_C_ISIN_LEN + 1];
		char                			FillID[FT_C_FILL_LEN + 1];
		FT_C_FILL_USER_INFORec			User;
		FT_C_FILL_COUNTERPART_INFORec			Counterpart;
		FT_C_FILL_STATUSEnum			Status;
		unsigned long       			FillDate;
		unsigned long       			FillTime;
		FT_C_VERBEnum       			Verb;
		double              			Price;
		double              			Volatility;
		double              			Yield;
		double              			Qty;
		unsigned long       			SettlDate;
		double              			NominalValue;
		double              			AccruedInterest;
		double              			SettlCountervalue;
		FT_C_CONTRACT_TYPEEnum			Type;
		unsigned long       			Date;
		unsigned long       			Time;
		FT_C_LIQUIDITY_INDICATOREnum			Aggressor;
		char                			MrkOrderID[FT_C_MRKORDER_LEN + 1];
		char                			SettlFillID[FT_C_FILL_LEN + 1];
		FT_C_FILL_SETTL_STATUSEnum			SettlStatus;
		char                			SettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
} FT_C_CONTRACT_REPORTRec, *FT_C_CONTRACT_REPORTPtr;


typedef struct {		/* FT_C_AUCTION_HISTORY_ID (30078) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		double              			AuctionPrice;
		unsigned long       			AuctionPriceTime;
		double              			AuctionQuantity;
		double              			AuctionImbalance;
		FT_C_AP_SUITEnum    			AuctionPriceSuitability;
		unsigned long       			AuctionContractNumber;
		unsigned long       			NumberOfOpeningClosure;
		FT_C_AUCTION_TYPEEnum			Type;
		FT_C_TRADING_PHASEEnum			Phase;
		char                			PhaseDescription[FT_C_PHASE_DESCRIPTION_LEN + 1];
		unsigned long       			TimeOfMessage;
} FT_C_AUCTION_HISTORYRec, *FT_C_AUCTION_HISTORYPtr;


typedef struct {		/* FT_C_NEWS_HEADER_ID (30076) */
		char                			NewsID[FT_C_NEWS_ID_LEN + 1];
		char                			NewsTree[FT_C_NEWS_TREE_LEN + 1];
		unsigned long       			LDate;
		unsigned long       			MTime;
		char                			Category[FT_C_NEWS_CATEGORY_LEN + 1];
		char                			Subject[FT_C_NEWS_SUBJECT_LEN + 1];
		char                			MrkNewsID[FT_C_NEWS_ID_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			FTSecID[FT_C_SEC_LEN + 1];
} FT_C_NEWS_HEADERRec, *FT_C_NEWS_HEADERPtr;


typedef struct {		/* FT_C_NEWS_BODY_ID (30074) */
		char                			NewsID[FT_C_NEWS_ID_LEN + 1];
		unsigned short      			PageNumber;
		unsigned short      			NumberOfPages;
		char                			Page[FT_C_NEWS_LEN + 1];
} FT_C_NEWS_BODYRec, *FT_C_NEWS_BODYPtr;


typedef struct {		/* FT_C_QUERY_PAR_ID (30070) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			FTSecID[FT_C_SEC_LEN + 1];
		unsigned long       			QueryDate;
		char                			NewsID[FT_C_NEWS_ID_LEN + 1];
		unsigned long       			PageNumber;
		long                			NofPages;
} FT_C_QUERY_PARRec, *FT_C_QUERY_PARPtr;


typedef struct {		/* FT_C_QUERY_INFO_EXEC_ID (30081) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		unsigned long       			FromDate;
		unsigned long       			FromTime;
		unsigned long       			ToDate;
		unsigned long       			ToTime;
		unsigned long       			Wnd;
} FT_C_QUERY_INFO_EXECRec, *FT_C_QUERY_INFO_EXECPtr;


typedef struct {		/* FT_C_QUERY_INFO_BD_ID (30080) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		long                			FromRow;
		long                			ToRow;
		char                			OrderID[FT_C_ORDER_LEN + 1];
		FT_C_FLAGEnum       			Private;
		FT_C_VERBEnum       			Verb;
		unsigned long       			SettlementDate;
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		double              			Qty;
		char                			ReferenceMIC[FT_C_MIC_LEN + 1];
} FT_C_QUERY_INFO_BDRec, *FT_C_QUERY_INFO_BDPtr;


typedef struct {		/* FT_C_QUERY_ALLOC_INFO_ID (30089) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			FillID[FT_C_FILL_LEN + 1];
		char                			OrderID[FT_C_ORDER_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		unsigned long       			FromDate;
		unsigned long       			ToDate;
		int                 			DateType;
} FT_C_QUERY_ALLOC_INFORec, *FT_C_QUERY_ALLOC_INFOPtr;


typedef struct {		/* FT_C_HISTORICAL_QUERY_PAR_ID (30171) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			Date;
		unsigned long       			FromTime;
		unsigned long       			ToTime;
		FT_C_FLAGEnum       			News;
		FT_C_FLAGEnum       			Order;
		FT_C_FLAGEnum       			Quote;
		FT_C_FLAGEnum       			Fill;
		FT_C_FLAGEnum       			Best;
		FT_C_FLAGEnum       			Exec;
		char                			FTProductID[FT_C_SEC_LEN + 1];
		char                			OrderID[FT_C_ORDER_LEN + 1];
} FT_C_HISTORICAL_QUERY_PARRec, *FT_C_HISTORICAL_QUERY_PARPtr;


typedef struct {		/* FT_C_PROFILE_QUERY_PAR_ID (30184) */
		char                			ProfileID[FT_C_PROFILE_LEN + 1];
		unsigned long       			FromDate;
		unsigned long       			ToDate;
} FT_C_PROFILE_QUERY_PARRec, *FT_C_PROFILE_QUERY_PARPtr;


typedef struct {		/*  (0) */
		long                			TS[2];
} FT_C_TIMESTAMPRec, *FT_C_TIMESTAMPPtr;


typedef struct {		/* FT_C_BLOTTER_QUERY_PARAM_ID (30182) */
		char                			OrderID[FT_C_ORDER_LEN + 1];
		FT_C_TIMESTAMPRec   			FromTS;
		FT_C_TIMESTAMPRec   			ToTS;
		unsigned long       			Counter;
		char                			FlowID[FT_C_ORD_FLOW_LEN + 1];
} FT_C_BLOTTER_QUERY_PARAMRec, *FT_C_BLOTTER_QUERY_PARAMPtr;


typedef struct {		/* FT_C_QUERY_BLOTTER_HISTORY_ID (30183) */
		FT_C_TIMESTAMPRec   			TS;
		unsigned long       			Del;
		FT_C_BLOTTERRec     			Blotter;
} FT_C_QUERY_BLOTTER_HISTORYRec, *FT_C_QUERY_BLOTTER_HISTORYPtr;


typedef struct {		/* FT_C_QUERY_MRK_OPERATOR_ID (30246) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			Identifier[FT_C_IDENTIFIER_LEN + 1];
		FT_C_QUERY_SOURCE_TYPEEnum			IdentifierType;
} FT_C_QUERY_MRK_OPERATORRec, *FT_C_QUERY_MRK_OPERATORPtr;


typedef struct {		/* FT_C_DICTIONARY_QUERY_PAR_ID (30157) */
		unsigned long       			ClassID;
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
		FT_C_FLAGEnum       			OnlyValid;
		FT_C_TIMESTAMPRec   			TS;
		char                			IdentifierName[FT_C_IDENTIFIER_NAME_LEN + 1];
		char                			IdentifierValue[FT_C_IDENTIFIER_VALUE_LEN + 1];
} FT_C_DICTIONARY_QUERY_PARRec, *FT_C_DICTIONARY_QUERY_PARPtr;


typedef struct {		/* FT_C_DICTIONARY_ROW_ID (30158) */
		unsigned long       			ClassID;
		FT_C_TIMESTAMPRec   			TS;
		short               			Deleted;
		long                			EntityLen;
		char                			Entity[1536];
} FT_C_DICTIONARY_ROWRec, *FT_C_DICTIONARY_ROWPtr;


typedef struct {		/*  (0) */
		double              			PrivRate;
		double              			PrivQty;
		char                			OrderID[FT_C_ORDER_LEN + 1];
		char                			MrkOrderID[FT_C_MRKORDER_LEN + 1];
} FT_C_PRIVATE_DEPTH_ROWRec, *FT_C_PRIVATE_DEPTH_ROWPtr;


typedef struct {		/* FT_C_ROW_DEPTH_ID (30072) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		FT_C_DEPTH_ROWRec   			Bid;
		FT_C_DEPTH_ROWRec   			Ask;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		unsigned long       			Position;
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		double              			BidMinQty;
		double              			AskMinQty;
		double              			BidMaxQty;
		double              			AskMaxQty;
		FT_C_PRIVATE_DEPTH_ROWRec			BidPriv;
		FT_C_PRIVATE_DEPTH_ROWRec			AskPriv;
} FT_C_ROW_DEPTHRec, *FT_C_ROW_DEPTHPtr;


typedef struct {		/* FT_C_ROW_BOOK_ID (30073) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		FT_C_BOOK_ROWRec    			Bid;
		FT_C_BOOK_ROWRec    			Ask;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		unsigned long       			Position;
		double              			BidMinQty;
		double              			AskMinQty;
		unsigned long       			BidTime;
		unsigned long       			AskTime;
		FT_C_BOOK_ROW_EXTRec			BidExt;
		FT_C_BOOK_ROW_EXTRec			AskExt;
		double              			BidYield;
		double              			AskYield;
		double              			BidCountervalue;
		double              			AskCountervalue;
		char                			BuyerMemberID[FT_C_MEMBER_LEN + 1];
		double              			BidMaxQty;
		double              			AskMaxQty;
} FT_C_ROW_BOOKRec, *FT_C_ROW_BOOKPtr;


typedef struct {		/* FT_C_OPEN_FILL_ID (30116) */
		FT_C_FILLRec        			Fill;
} FT_C_OPEN_FILLRec, *FT_C_OPEN_FILLPtr;


typedef struct {		/* FT_C_COUNTERPART_ID (30100) */
		char                			FTCounterpartID[FT_C_COUNTERPART_LEN + 1];
		char                			ABICode[FT_C_ABI_LEN + 1];
		char                			SWIFTCode[FT_C_SWIFT_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
		FT_C_CP_TYPEEnum    			CounterpartType;
		char                			HouseCode[FT_C_MEMBER_LEN + 1];
		char                			Address[FT_C_ADDRESS_LEN + 1];
		char                			City[FT_C_CITY_LEN + 1];
		char                			EMail[FT_C_EMAIL_LEN + 1];
		char                			ZipCode[FT_C_ZIPCODE_LEN + 1];
		char                			Telephone[FT_C_TELEPHONE_LEN + 1];
		char                			Fax[FT_C_FAX_LEN + 1];
		char                			Country[FT_C_COUNTRY_DESC_LEN + 1];
		char                			SettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		FT_C_FLAGEnum       			SubjectToRisk;
		unsigned long       			StartDate;
		unsigned long       			BlockDate;
		unsigned long       			EndDate;
} FT_C_COUNTERPARTRec, *FT_C_COUNTERPARTPtr;


typedef struct {		/* FT_C_PRIVATE_DEPTH_ID (30104) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		FT_C_DEPTH_ROWRec   			Bid[FT_C_DEPTH_ROW_NUMBER];
		FT_C_DEPTH_ROWRec   			Ask[FT_C_DEPTH_ROW_NUMBER];
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		unsigned long       			Position;
		double              			BidMinQty[FT_C_DEPTH_ROW_NUMBER];
		double              			AskMinQty[FT_C_DEPTH_ROW_NUMBER];
		double              			BidMaxQty[FT_C_DEPTH_ROW_NUMBER];
		double              			AskMaxQty[FT_C_DEPTH_ROW_NUMBER];
		FT_C_PRIVATE_DEPTH_ROWRec			BidPriv[FT_C_DEPTH_ROW_NUMBER];
		FT_C_PRIVATE_DEPTH_ROWRec			AskPriv[FT_C_DEPTH_ROW_NUMBER];
} FT_C_PRIVATE_DEPTHRec, *FT_C_PRIVATE_DEPTHPtr;


typedef struct {		/*  (0) */
		double              			Price;
		double              			Yield;
		double              			Qty;
		double              			MinQty;
		double              			MaxQty;
} FT_C_PRIVATE_BOOK_ROWRec, *FT_C_PRIVATE_BOOK_ROWPtr;


typedef struct {		/*  (0) */
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			OrderID[FT_C_ORDER_LEN + 1];
		FT_C_FLAGEnum       			CCPOnlyFlag;
} FT_C_PRIVATE_BOOK_ROW_EXTRec, *FT_C_PRIVATE_BOOK_ROW_EXTPtr;


typedef struct {		/*  (0) */
		char                			ClearingHouseID[FT_C_CLEARING_HOUSE_LEN + 1];
} FT_C_PRIVATE_BOOK_ROW_CLEARINGRec, *FT_C_PRIVATE_BOOK_ROW_CLEARINGPtr;


typedef struct {		/*  (0) */
		FT_C_FLAGEnum       			IsAxed;
		double              			Qty;
} FT_C_PRIVATE_BOOK_AXE_INFORec, *FT_C_PRIVATE_BOOK_AXE_INFOPtr;


typedef struct {		/*  (0) */
		unsigned long       			Time;
		unsigned long       			TimeMicroSec;
} FT_C_PRIVATE_BOOK_UPDATE_INFORec, *FT_C_PRIVATE_BOOK_UPDATE_INFOPtr;


typedef struct {		/* FT_C_PRIVATE_BOOK_ID (30212) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		FT_C_PRIVATE_BOOK_ROWRec			Bid[FT_C_BOOK_ROW_NUMBER];
		FT_C_PRIVATE_BOOK_ROWRec			Ask[FT_C_BOOK_ROW_NUMBER];
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		unsigned long       			Position;
		FT_C_PRIVATE_BOOK_ROW_EXTRec			BidExt[FT_C_BOOK_ROW_NUMBER];
		FT_C_PRIVATE_BOOK_ROW_EXTRec			AskExt[FT_C_BOOK_ROW_NUMBER];
		FT_C_PRIVATE_BOOK_ROW_CLEARINGRec			BidClearingExt[FT_C_BOOK_ROW_NUMBER];
		FT_C_PRIVATE_BOOK_ROW_CLEARINGRec			AskClearingExt[FT_C_BOOK_ROW_NUMBER];
		FT_C_PRIVATE_BOOK_AXE_INFORec			BidAxed[FT_C_BOOK_ROW_NUMBER];
		FT_C_PRIVATE_BOOK_AXE_INFORec			AskAxed[FT_C_BOOK_ROW_NUMBER];
		FT_C_PRIVATE_BOOK_UPDATE_INFORec			BidUpdate[FT_C_BOOK_ROW_NUMBER];
		FT_C_PRIVATE_BOOK_UPDATE_INFORec			AskUpdate[FT_C_BOOK_ROW_NUMBER];
} FT_C_PRIVATE_BOOKRec, *FT_C_PRIVATE_BOOKPtr;


typedef struct {		/*  (0) */
		unsigned long       			Date;
		unsigned long       			Time;
		unsigned long       			TimeMicroSec;
} FT_C_INVENTORY_BOOK_UPDATE_INFORec, *FT_C_INVENTORY_BOOK_UPDATE_INFOPtr;


typedef struct {		/*  (0) */
		double              			Price;
		double              			Yield;
		double              			Qty;
		double              			MinQty;
		double              			MaxQty;
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			OrderID[FT_C_ORDER_LEN + 1];
		FT_C_FLAGEnum       			CCPOnlyFlag;
		char                			ClearingHouseID[FT_C_CLEARING_HOUSE_LEN + 1];
		FT_C_TRADABLE_FLAGEnum			IsTradable;
} FT_C_INVENTORY_BOOK_SIDERec, *FT_C_INVENTORY_BOOK_SIDEPtr;


typedef struct {		/* FT_C_INVENTORY_BOOK_ID (30258) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		FT_C_INVENTORY_BOOK_SIDERec			Bid;
		FT_C_INVENTORY_BOOK_SIDERec			Ask;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		unsigned long       			Position;
		unsigned long       			UpdateTimeMicroSec;
		unsigned long       			GroupID;
		FT_C_PRIVATE_BOOK_AXE_INFORec			BidAxed;
		FT_C_PRIVATE_BOOK_AXE_INFORec			AskAxed;
		char                			BidExtInfo[FT_C_QUOTE_INFO_LEN + 1];
		char                			AskExtInfo[FT_C_QUOTE_INFO_LEN + 1];
		FT_C_INVENTORY_BOOK_UPDATE_INFORec			BidUpdate;
		FT_C_INVENTORY_BOOK_UPDATE_INFORec			AskUpdate;
} FT_C_INVENTORY_BOOKRec, *FT_C_INVENTORY_BOOKPtr;


typedef struct {		/* FT_C_PREVIEW_ID (30105) */
		char                			MasterFTSecID[FT_C_SEC_LEN + 1];
		char                			InstanceFTSecID[FT_C_SEC_LEN + 1];
		unsigned long       			InitialDate;
		unsigned long       			FinalDate;
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			SenderID[FT_C_MEMBER_LEN + 1];
		char                			ForwardCode[FT_C_FRW_CODE_LEN + 1];
		unsigned long       			LastUpdateDate;
		unsigned long       			LastUpdateTime;
		char                			UserData[FT_C_USER_TEXT_LEN + 1];
		FT_C_PRD_RESULTEnum 			PrdResult;
		char                			StartDateID[FT_C_DATE_LEN + 1];
		char                			EndDateID[FT_C_DATE_LEN + 1];
		char                			FloatRateID[FT_C_FLOAT_RATE_LEN + 1];
		unsigned long       			SettlementDate;
		short               			OffsetSettlDays;
		FT_C_PREVIEW_TYPEEnum			PreviewType;
		double              			Price;
		double              			Yield;
} FT_C_PREVIEWRec, *FT_C_PREVIEWPtr;


typedef struct {		/* FT_C_COUNTERPART_SETUP_ID (30106) */
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			CurrencyID[FT_C_CURRENCY_LEN + 1];
		char                			CounterpartMemberID[FT_C_MEMBER_LEN + 1];
		FT_C_W_SETUP_VALUEEnum			DepoDeliveryRisk;
		FT_C_W_SETUP_VALUEEnum			DepoCreditLimit;
		FT_C_W_SETUP_VALUEEnum			SwapCreditLimit;
		unsigned long       			LastEditDate;
		unsigned long       			LastEditTime;
		FT_C_SETUP_REASONEnum			Reason;
		FT_C_W_SETUP_VALUEEnum			RepoDeliveryRisk;
		FT_C_W_SETUP_VALUEEnum			RepoCreditLimit;
} FT_C_COUNTERPART_SETUPRec, *FT_C_COUNTERPART_SETUPPtr;


typedef struct {		/* FT_C_PRODUCT_LIMIT_ID (30107) */
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			FTSecID[FT_C_SEC_LEN + 1];
		double              			ProductWeight;
		FT_C_SETUP_STATUSEnum			Status;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
} FT_C_PRODUCT_LIMITRec, *FT_C_PRODUCT_LIMITPtr;


typedef struct {		/* FT_C_GLOBAL_LIMIT_ID (30108) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			CurrencyID[FT_C_CURRENCY_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			CounterpartMemberID[FT_C_MEMBER_LEN + 1];
		double              			Limit;
		double              			ResidualValue;
		FT_C_SETUP_STATUSEnum			Status;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
} FT_C_GLOBAL_LIMITRec, *FT_C_GLOBAL_LIMITPtr;


typedef struct {		/* FT_C_MEMBER_MIN_QTY_ID (30109) */
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			FTSecID[FT_C_SEC_LEN + 1];
		double              			MinQuantity;
		FT_C_SETUP_STATUSEnum			Status;
		unsigned long       			LastEditDate;
		unsigned long       			LastEditTime;
} FT_C_MEMBER_MIN_QTYRec, *FT_C_MEMBER_MIN_QTYPtr;


typedef struct {		/* FT_C_CAPS_PARAM_ID (30110) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			CurrencyID[FT_C_CURRENCY_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			IndirectMemberID[FT_C_MEMBER_LEN + 1];
		char                			SettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		unsigned long       			LastEditDate;
		unsigned long       			LastEditTime;
		double              			DailyCAPSLimit;
} FT_C_CAPS_PARAMRec, *FT_C_CAPS_PARAMPtr;


typedef struct {		/* FT_C_CAPS_PERIOD_ID (30111) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			CurrencyID[FT_C_CURRENCY_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			IndirectMemberID[FT_C_MEMBER_LEN + 1];
		char                			SettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		double              			Debits;
		double              			Credit;
		double              			Balance;
		unsigned long       			SettlementDate;
		double              			DailyCaps;
		double              			ResidualCaps;
		double              			SettlConfirmation;
} FT_C_CAPS_PERIODRec, *FT_C_CAPS_PERIODPtr;


typedef struct {		/* FT_C_SETUP_REMIND_ID (30224) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			CounterpartMemberID[FT_C_MEMBER_LEN + 1];
		char                			CurrencyID[FT_C_CURRENCY_LEN + 1];
		unsigned long       			Date;
} FT_C_SETUP_REMINDRec, *FT_C_SETUP_REMINDPtr;


typedef struct {		/* FT_C_SECTION_CALENDAR_ID (30225) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			CalendarID[FT_C_CALENDAR_LEN + 1];
} FT_C_SECTION_CALENDARRec, *FT_C_SECTION_CALENDARPtr;


typedef struct {		/* FT_C_MEMBER_QUOTEACC_ID (30113) */
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		FT_C_PROPOSAL_ACTIONEnum			ActionAfterMatching;
		FT_C_SETUP_STATUSEnum			Status;
		unsigned long       			LastEditDate;
		unsigned long       			LastEditTime;
		char                			SectionID[FT_C_SECTION_LEN + 1];
} FT_C_MEMBER_QUOTEACCRec, *FT_C_MEMBER_QUOTEACCPtr;


typedef struct {		/* FT_C_INDIRECT_FILL_ID (30114) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			FillID[FT_C_FILL_LEN + 1];
		FT_C_FILL_USER_INFORec			User;
		char                			ClearingMemberID[FT_C_MEMBER_LEN + 1];
		char                			CounterpartID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_FILL_STATUSEnum			Status;
		unsigned long       			FillDate;
		unsigned long       			FillTime;
		unsigned long       			LastUpdateTime;
		FT_C_VERBEnum       			Verb;
		double              			Price;
		double              			Qty;
		double              			NominalAmount;
		double              			Interest;
		FT_C_LIQUIDITY_INDICATOREnum			Aggressor;
		char                			MrkOrderID[FT_C_MRKORDER_LEN + 1];
		unsigned long       			SettlDate;
		unsigned long       			SettlStartTime;
		FT_C_FILLRec        			Fill;
} FT_C_INDIRECT_FILLRec, *FT_C_INDIRECT_FILLPtr;


typedef struct {		/* FT_C_MARKET_EXT_ID (30118) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		unsigned short      			OrderTimeout;
		unsigned short      			RecallTimeout;
		unsigned short      			ProposalTimeout;
		unsigned short      			RFQTimeout;
		FT_C_FLAGEnum       			EnabledRFQ;
		FT_C_FLAGEnum       			EnableSendAll;
		FT_C_FLAGEnum       			EnableSendMarketMaker;
		FT_C_FLAGEnum       			EnableSendRegular;
		FT_C_ACCEPTANCEEnum 			ProposalUserAcceptance;
		FT_C_ACCEPTANCEEnum 			OrderUserAcceptance;
		FT_C_MATCHING_MODEEnum			MatchingMode;
		FT_C_PROPOSAL_ACTIONEnum			ActionAfterMatching;
		FT_C_FLAGEnum       			CanOverrideAcceptance;
		FT_C_FLAGEnum       			CanOverrideAction;
		FT_C_FLAGEnum       			EnabledRecall;
		FT_C_FLAGEnum       			FixingEnabled;
		unsigned short      			MaxRFQDestinationLength;
		FT_C_FLAGEnum       			EnabledAuctionQty;
		FT_C_FLAGEnum       			EnabledAuctionPriceQty;
		unsigned short      			AuctionQtyTimeout;
		unsigned short      			AuctionPriceQtyTimeout;
		unsigned short      			BorrowerOrderTimeout;
		FT_C_FLAGEnum       			StrikerDoubleSidedQuotesFg;
		FT_C_FLAGEnum       			EnableMatchFAKOnStrikerPriceFg;
} FT_C_MARKET_EXTRec, *FT_C_MARKET_EXTPtr;


typedef struct {		/*  (0) */
		double              			Qty;
		double              			AvgRate;
} FT_C_STATS_INFORec, *FT_C_STATS_INFOPtr;


typedef struct {		/* FT_C_STATS_ID (30115) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			MaturityID[FT_C_SEC_LEN + 1];
		FT_C_STATISTICS_TYPEEnum			Type;
		unsigned long       			Time;
		FT_C_STATS_INFORec  			InfoBuy;
		FT_C_STATS_INFORec  			InfoSell;
		FT_C_STATS_INFORec  			InfoMin;
		FT_C_STATS_INFORec  			InfoMax;
		FT_C_STATS_INFORec  			InfoTotal;
		unsigned long       			Date;
		FT_C_FLAGEnum       			AggregateStatistics;
		double              			MinSpotPrice;
		double              			MaxSpotPrice;
} FT_C_STATSRec, *FT_C_STATSPtr;


typedef struct {		/* FT_C_SETTL_NOTIFY_ID (30119) */
		char                			FillID[FT_C_FILL_LEN + 1];
		char                			SettlFillID[FT_C_FILL_LEN + 1];
		unsigned long       			FillDate;
		unsigned long       			InitialDate;
		unsigned long       			FinalDate;
		unsigned long       			SettlDate;
		double              			Rate;
		double              			FixedRate;
		double              			FixedPriceInterest;
		double              			RateInterest;
		double              			Interest;
		char                			DebtorMemberID[FT_C_MEMBER_LEN + 1];
		char                			CreditorMemberID[FT_C_MEMBER_LEN + 1];
		char                			MaturityID[FT_C_SEC_LEN + 1];
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		FT_C_REC_TYPEEnum   			FillType;
		char                			FTSecID[FT_C_SEC_LEN + 1];
} FT_C_SETTL_NOTIFYRec, *FT_C_SETTL_NOTIFYPtr;


typedef struct {		/* FT_C_INSTRUMENT_CLASS_ID (30120) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			InstrumentClassID[FT_C_INSTRUMENT_CLASS_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
		char                			TradingCurrencyID[FT_C_CURRENCY_LEN + 1];
		char                			SettlementCurrencyID[FT_C_CURRENCY_LEN + 1];
		FT_C_FLAGEnum       			RFQStatisticsFlag;
		FT_C_FLAGEnum       			OnlyTransparentFlag;
		FT_C_POSSIBLE_QUOTINGEnum			DoubleLegStrikerQuotingFg;
		FT_C_YIELD_PRICE_CONVEnum			MidPriceYieldPriceConv;
		unsigned short      			IODenialTime;
		FT_C_IO_DENIAL_TIME_TYPEEnum			IODenialTimeType;
		unsigned short      			IOLastLook;
		unsigned long       			ProductType;
		double              			MidPriceMultiplier;
} FT_C_INSTRUMENT_CLASSRec, *FT_C_INSTRUMENT_CLASSPtr;


typedef struct {		/* FT_C_CALENDAR_WEEK_ID (30121) */
		char                			CalendarID[FT_C_CALENDAR_LEN + 1];
		FT_C_WEEK_DAYEnum   			NonWorkingDay;
} FT_C_CALENDAR_WEEKRec, *FT_C_CALENDAR_WEEKPtr;


typedef struct {		/* FT_C_MARKET_CALENDAR_WEEK_ID (30149) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			CalendarID[FT_C_CALENDAR_LEN + 1];
		FT_C_WEEK_DAYEnum   			NonWorkingDay;
} FT_C_MARKET_CALENDAR_WEEKRec, *FT_C_MARKET_CALENDAR_WEEKPtr;


typedef struct {		/* FT_C_MARKET_DATE_ID (30122) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			DateID[FT_C_DATE_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
		FT_C_DATE_TYPEEnum  			Type;
} FT_C_MARKET_DATERec, *FT_C_MARKET_DATEPtr;


typedef struct {		/* FT_C_MARKET_TERM_DATES_ID (30123) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			CalendarID[FT_C_CALENDAR_LEN + 1];
		char                			TermID[FT_C_TERM_LEN + 1];
		unsigned long       			StartDate;
		unsigned long       			EndDate;
} FT_C_MARKET_TERM_DATESRec, *FT_C_MARKET_TERM_DATESPtr;


typedef struct {		/* FT_C_MARKET_DATE_VALUE_ID (30151) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			CalendarID[FT_C_CALENDAR_LEN + 1];
		char                			DateID[FT_C_DATE_LEN + 1];
		unsigned long       			TradeDate;
} FT_C_MARKET_DATE_VALUERec, *FT_C_MARKET_DATE_VALUEPtr;


typedef struct {		/* FT_C_CURRENCY_ID (30124) */
		char                			CurrencyID[FT_C_CURRENCY_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
} FT_C_CURRENCYRec, *FT_C_CURRENCYPtr;


typedef struct {		/* FT_C_MARKET_CURRENCY_ID (30125) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			CurrencyID[FT_C_CURRENCY_LEN + 1];
		unsigned long       			Precision;
} FT_C_MARKET_CURRENCYRec, *FT_C_MARKET_CURRENCYPtr;


typedef struct {		/* FT_C_COUNTRY_ID (30126) */
		char                			CountryID[FT_C_COUNTRY_LEN + 1];
		char                			Description[FT_C_COUNTRY_DESC_LEN + 1];
} FT_C_COUNTRYRec, *FT_C_COUNTRYPtr;


typedef struct {		/* FT_C_MARKET_COUNTRY_ID (30127) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			CountryID[FT_C_COUNTRY_LEN + 1];
		char                			Description[FT_C_COUNTRY_DESC_LEN + 1];
} FT_C_MARKET_COUNTRYRec, *FT_C_MARKET_COUNTRYPtr;


typedef struct {		/* FT_C_ISSUER_ID (30128) */
		char                			IssuerID[FT_C_ISSUER_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
		char                			CountryCode[FT_C_COUNTRY_LEN + 1];
		char                			IndustryID[FT_C_INDUSTRY_LEN + 1];
		char                			IssuerType[FT_C_ISSUERTYPE_LEN + 1];
		char                			Rating[FT_C_RATING_LEN + 1];
} FT_C_ISSUERRec, *FT_C_ISSUERPtr;


typedef struct {		/* FT_C_MARKET_ISSUER_ID (30129) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			IssuerID[FT_C_ISSUER_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
		char                			CountryCode[FT_C_COUNTRY_LEN + 1];
		char                			IndustryID[FT_C_INDUSTRY_LEN + 1];
} FT_C_MARKET_ISSUERRec, *FT_C_MARKET_ISSUERPtr;


typedef struct {		/* FT_C_INDUSTRY_ID (30130) */
		char                			IndustryID[FT_C_INDUSTRY_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
} FT_C_INDUSTRYRec, *FT_C_INDUSTRYPtr;


typedef struct {		/* FT_C_MARKET_INDUSTRY_ID (30131) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			IndustryID[FT_C_INDUSTRY_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
} FT_C_MARKET_INDUSTRYRec, *FT_C_MARKET_INDUSTRYPtr;


typedef struct {		/* FT_C_FLOAT_RATE_ID (30132) */
		char                			FloatRateID[FT_C_FLOAT_RATE_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
} FT_C_FLOAT_RATERec, *FT_C_FLOAT_RATEPtr;


typedef struct {		/* FT_C_MARKET_FLOAT_RATE_ID (30133) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FloatRateID[FT_C_FLOAT_RATE_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
} FT_C_MARKET_FLOAT_RATERec, *FT_C_MARKET_FLOAT_RATEPtr;


typedef struct {		/* FT_C_CUTOFF_ID (30134) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			CutOffID[FT_C_CUTOFF_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
		char                			SettlGroupID[FT_C_SETTL_GROUP_LEN + 1];
		char                			ClearingHouseID[FT_C_CLEARING_HOUSE_LEN + 1];
		char                			DateID[FT_C_DATE_LEN + 1];
		FT_C_FLAGEnum       			AllTradeDates;
		FT_C_CUTOFF_TYPEEnum			CutOffType;
		unsigned long       			CutOffTime;
} FT_C_CUTOFFRec, *FT_C_CUTOFFPtr;


typedef struct {		/*  (0) */
		char                			FirstName[FT_C_NAME_LEN + 1];
		char                			LastName[FT_C_NAME_LEN + 1];
		char                			State[FT_C_STATE_LEN + 1];
		char                			City[FT_C_CITY_LEN + 1];
		char                			Province[FT_C_STATE_LEN + 1];
		char                			Country[FT_C_COUNTRY_DESC_LEN + 1];
		char                			ZipCode[FT_C_ZIPCODE_LEN + 1];
		char                			Address[FT_C_ADDRESS_LEN + 1];
		char                			EmailAddress[FT_C_EMAIL_LEN + 1];
		char                			Telephone[FT_C_TELEPHONE_LEN + 1];
		char                			Mobilephone[FT_C_TELEPHONE_LEN + 1];
} FT_C_OPERATOR_INFORec, *FT_C_OPERATOR_INFOPtr;


typedef struct {		/*  (0) */
		char                			ActionMemberID[FT_C_MEMBER_LEN + 1];
		char                			ActionOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_STATUSEnum     			Status;
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
} FT_C_AUDIT_INFORMATIONRec, *FT_C_AUDIT_INFORMATIONPtr;


typedef struct {		/* FT_C_MARKET_OPERATOR_ID (30135) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			Password[FT_C_PASSWORD_LEN + 1];
		unsigned long       			ExpiryDate;
		char                			ProfileID[FT_C_PROFILE_LEN + 1];
		unsigned long       			PwdDuration;
		unsigned long       			PwdChangeDate;
		char                			NationalID[FT_C_NATIONAL_LEN + 1];
		FT_C_OPERATOR_INFORec			Info;
		unsigned long       			PIN;
		FT_C_AUDIT_INFORMATIONRec			AuditInfo;
} FT_C_MARKET_OPERATORRec, *FT_C_MARKET_OPERATORPtr;


typedef struct {		/* FT_C_MARKET_OPERATOR_PROFILE_ID (30136) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_MARKET_CLASS_TYPEEnum			ClassType;
		FT_C_ACCESS_RIGHTEnum			TraderProfile;
} FT_C_MARKET_OPERATOR_PROFILERec, *FT_C_MARKET_OPERATOR_PROFILEPtr;


typedef struct {		/* FT_C_MARKET_OPERATOR_ACCESS_RIGHT_ID (30137) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			InstrumentClassID[FT_C_INSTRUMENT_CLASS_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_INSTR_CLASS_TYPEEnum			ClassType;
		FT_C_ACCESS_RIGHTEnum			TraderProfile;
} FT_C_MARKET_OPERATOR_ACCESS_RIGHTRec, *FT_C_MARKET_OPERATOR_ACCESS_RIGHTPtr;


typedef struct {		/* FT_C_CREDIT_LINE_NCL_ID (30138) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FirstMemberID[FT_C_MEMBER_LEN + 1];
		char                			SecondMemberID[FT_C_MEMBER_LEN + 1];
} FT_C_CREDIT_LINE_NCLRec, *FT_C_CREDIT_LINE_NCLPtr;


typedef struct {		/* FT_C_CREDIT_LINE_ECL_ID (30139) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FirstMemberID[FT_C_MEMBER_LEN + 1];
		char                			SecondMemberID[FT_C_MEMBER_LEN + 1];
} FT_C_CREDIT_LINE_ECLRec, *FT_C_CREDIT_LINE_ECLPtr;


typedef struct {		/* FT_C_RFQ_MSG_ID (30140) */
		char                			MsgID[FT_C_MSG_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			MsgTime;
		unsigned long       			MsgDate;
		char                			RfqID[FT_C_ORDER_LEN + 1];
		char                			AddresseeMemberID[FT_C_MEMBER_LEN + 1];
		char                			AddresseeOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			MsgLen;
		char                			MsgText[FT_C_MAIL_TEXT_LEN + 1];
		FT_C_RFQ_DESTINATIONRec			AddresseeList[FT_C_ADDR_LIST_LEN];
		FT_C_FLAGEnum       			UrgentMessage;
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		FT_C_MSG_SRC_TYPEEnum			MsgSrcType;
		FT_C_RFQ_MSG_TYPEEnum			MsgType;
		char                			MsgTextFormat[FT_C_MSGTEXTFORMAT_LEN + 1];
		char                			MrkRfqID[FT_C_MRKORDER_LEN + 1];
} FT_C_RFQ_MSGRec, *FT_C_RFQ_MSGPtr;


typedef struct {		/* FT_C_MARKET_VIEW_ID (30153) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			ViewID[FT_C_BASKET_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
} FT_C_MARKET_VIEWRec, *FT_C_MARKET_VIEWPtr;


typedef struct {		/* FT_C_MARKET_VIEW_COMPOSITION_ID (30154) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			ViewID[FT_C_BASKET_LEN + 1];
		char                			FTSecID[FT_C_SEC_LEN + 1];
} FT_C_MARKET_VIEW_COMPOSITIONRec, *FT_C_MARKET_VIEW_COMPOSITIONPtr;


typedef struct {		/* FT_C_MEMBER_RISK_ID (30172) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		FT_C_W_SETUP_VALUEEnum			RiskProfile;
} FT_C_MEMBER_RISKRec, *FT_C_MEMBER_RISKPtr;


typedef struct {		/* FT_C_MASS_ACTION_ID (30173) */
		FT_C_MASS_CLASSEnum 			Class;
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			UnderlyingFTSecID[FT_C_SEC_LEN + 1];
		FT_C_RFQ_VERBEnum   			Verb;
		char                			DeskID[FT_C_DESK_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			ClientID[FT_C_CLIENT_LEN + 1];
		char                			ClientAccount[FT_C_ACCOUNT_LEN + 1];
		FT_C_ORIGIN_SELECTIONEnum			Origin;
		FT_C_MASS_ACTION_LISTEnum			Action;
		char                			TxOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		char                			StrategyManager[FT_C_STRATEGY_MANAGER_LEN + 1];
		char                			StrategyWireValue[FT_C_STRATEGY_WIRE_VALUE_LEN + 1];
		char                			MassMessage[FT_C_FREE_TEXT_LEN + 1];
		char                			MassActionID[FT_C_MASS_ACTION_LEN + 1];
} FT_C_MASS_ACTIONRec, *FT_C_MASS_ACTIONPtr;


typedef struct {		/* FT_C_QUERY_BLOTTER_ID (30190) */
		char                			OrderID[FT_C_ORDER_LEN + 1];
		char                			FlowID[FT_C_ORD_FLOW_LEN + 1];
} FT_C_QUERY_BLOTTERRec, *FT_C_QUERY_BLOTTERPtr;


typedef struct {		/* FT_C_ORDER_RETRY_ID (30191) */
		char                			OrderID[FT_C_ORDER_LEN + 1];
		char                			FlowID[FT_C_ORD_FLOW_LEN + 1];
		FT_C_FLAGEnum       			Delete;
		char                			PMText[FT_C_ERROR_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_RETRY_ACTIONEnum			Action;
} FT_C_ORDER_RETRYRec, *FT_C_ORDER_RETRYPtr;


typedef struct {		/* FT_C_CLIENT_FILL_ID (30177) */
		char                			OrderID[FT_C_ORDER_LEN + 1];
		double              			TotTradesAvgPrice;
		double              			FillQty;
		double              			FillPrice;
		unsigned long       			FillDate;
		unsigned long       			FillTime;
		double              			ExecutedQty;
		char                			ClientID[FT_C_CLIENT_LEN + 1];
		FT_C_TRADING_PHASEEnum			Phase;
		unsigned long       			ClientFillID;
		FT_C_CLIENT_FILL_AGGR_TYPEEnum			ClientFillType;
		FT_C_FLAGEnum       			Notified;
		double              			FeesAmount;
		double              			BrokerFeeAmount;
		double              			MngFeeAmount;
		double              			TaxAmount;
		FT_C_FLAGEnum       			FeesCalc;
		unsigned long       			MrkFillNumber;
		unsigned long       			SettlementDate;
		FT_C_FLAGEnum       			CalcMrkFill;
		double              			OtherNegFee;
		FT_C_FLAGEnum       			CalcNegFee;
		double              			RealFeesAmount;
		double              			RealTaxAmount;
		double              			RealBrokerFeeAmount;
		double              			ExCurChangeRate;
		char                			SettlCurrency[FT_C_CURRENCY_LEN + 1];
		char                			CliCurrency[FT_C_CURRENCY_LEN + 1];
		char                			ExecID[FT_C_ORDER_LEN + 1];
		double              			SettlFeesAmount;
		double              			SettlMngFeeAmount;
		double              			FinancialTax;
		FT_C_FINANCIAL_TAXEnum			FinancialTaxCalc;
		double              			RealFinancialTaxAmount;
		FT_C_LIQUIDITY_INDICATOREnum			Aggressor;
		char                			MMTFlags[FT_C_MMT_FLAGS_LEN + 1];
		double              			MarkUp;
} FT_C_CLIENT_FILLRec, *FT_C_CLIENT_FILLPtr;


typedef struct {		/* FT_C_BLOTTER_SWITCH_LINK_ID (30193) */
		char                			SwitchLinkID[FT_C_ORDER_LEN + 1];
		char                			OrigCareOrderID[FT_C_ORDER_LEN + 1];
		char                			CareOrderID[FT_C_ORDER_LEN + 1];
		char                			OrderID[FT_C_ORDER_LEN + 1];
		char                			MrkOrderID[FT_C_MRKORDER_LEN + 1];
		unsigned long       			OrigClientFillID;
		unsigned long       			ClientFillID;
		double              			Qty;
} FT_C_BLOTTER_SWITCH_LINKRec, *FT_C_BLOTTER_SWITCH_LINKPtr;


typedef struct {		/* FT_C_SETTL_CIRCUIT_ID (30211) */
		char                			Circuit[FT_C_MIC_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
} FT_C_SETTL_CIRCUITRec, *FT_C_SETTL_CIRCUITPtr;


typedef struct {		/* FT_C_RFCQ_SECTION_ENABLE_ID (30205) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		FT_C_STATUSEnum     			Status;
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			UserData[FT_C_USER_TEXT_LEN + 1];
} FT_C_RFCQ_SECTION_ENABLERec, *FT_C_RFCQ_SECTION_ENABLEPtr;


typedef struct {		/* FT_C_RFCQ_TRADING_RELATION_ID (30194) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			CounterpartMemberID[FT_C_MEMBER_LEN + 1];
		char                			CounterpartMrkOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_SIDEEnum       			Side;
		FT_C_RFCQ_TRADING_RELATION_STATUSEnum			Status;
		FT_C_RFCQ_TRADING_RELATION_STATUSEnum			SubStatus;
		FT_C_RFCQ_TRADING_RELATION_STATUSEnum			CounterpartSubStatus;
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			FreeText[FT_C_FREE_TEXT_LEN + 1];
		char                			CounterpartSideFreeText[FT_C_FREE_TEXT_LEN + 1];
		char                			ActionMemberID[FT_C_MEMBER_LEN + 1];
} FT_C_RFCQ_TRADING_RELATIONRec, *FT_C_RFCQ_TRADING_RELATIONPtr;


typedef struct {		/* FT_C_RFCQ_TRADING_RELATION_EXCEPTION_ID (30195) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			CounterpartMemberID[FT_C_MEMBER_LEN + 1];
		char                			CounterpartMrkOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_SIDEEnum       			Side;
		FT_C_STATUSEnum     			Status;
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			ActionMemberID[FT_C_MEMBER_LEN + 1];
} FT_C_RFCQ_TRADING_RELATION_EXCEPTIONRec, *FT_C_RFCQ_TRADING_RELATION_EXCEPTIONPtr;


typedef struct {		/* FT_C_RFCQ_TRADING_RELATION_TRADER_ID (30196) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			BuySideMemberID[FT_C_MEMBER_LEN + 1];
		char                			BuySideMrkOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			BuySideFirstName[FT_C_NAME_LEN + 1];
		char                			BuySideLastName[FT_C_NAME_LEN + 1];
		char                			BuySideEmail[FT_C_EMAIL_LEN + 1];
		char                			BuySidePhone[FT_C_TELEPHONE_LEN + 1];
		char                			BuySideFax[FT_C_TELEPHONE_LEN + 1];
} FT_C_RFCQ_TRADING_RELATION_TRADERRec, *FT_C_RFCQ_TRADING_RELATION_TRADERPtr;


typedef struct {		/* FT_C_SELL_SIDE_MEMBER_ID (30197) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			SellSideMemberID[FT_C_MEMBER_LEN + 1];
		FT_C_FLAGEnum       			Enabled;
} FT_C_SELL_SIDE_MEMBERRec, *FT_C_SELL_SIDE_MEMBERPtr;


typedef struct {		/* FT_C_MEMBER_ACCOUNT_ID (30198) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		unsigned long       			Account;
		char                			AccountCode[FT_C_ACCOUNTCODE_LEN + 1];
		char                			AccountInfo[FT_C_ACCOUNTINFO_LEN + 1];
		char                			ClearingInfo[FT_C_CLEARINGINFO_LEN + 1];
		FT_C_STATUSEnum     			Status;
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		FT_C_MEMBER_ACC_TYPEEnum			AccountType;
		char                			CustodianMemberID[FT_C_MEMBER_LEN + 1];
		unsigned long       			AkaAccount;
		char                			ActionMemberID[FT_C_MEMBER_LEN + 1];
		char                			ActionOperatorID[FT_C_OPERATOR_LEN + 1];
} FT_C_MEMBER_ACCOUNTRec, *FT_C_MEMBER_ACCOUNTPtr;


typedef struct {		/* FT_C_MEMBER_ACCOUNT_INFO_ID (30199) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			SellSideMemberID[FT_C_MEMBER_LEN + 1];
		unsigned long       			Account;
		char                			AccountCode[FT_C_ACCOUNTCODE_LEN + 1];
		char                			AccountInfo[FT_C_ACCOUNTINFO_LEN + 1];
		char                			ClearingInfo[FT_C_CLEARINGINFO_LEN + 1];
		FT_C_STATUSEnum     			Status;
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
} FT_C_MEMBER_ACCOUNT_INFORec, *FT_C_MEMBER_ACCOUNT_INFOPtr;


typedef struct {		/* FT_C_MEMBER_ACCOUNT_EXCEPTION_ID (30200) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			BuySideMemberID[FT_C_MEMBER_LEN + 1];
		unsigned long       			Account;
		FT_C_STATUSEnum     			Status;
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			UserData[FT_C_USER_TEXT_LEN + 1];
} FT_C_MEMBER_ACCOUNT_EXCEPTIONRec, *FT_C_MEMBER_ACCOUNT_EXCEPTIONPtr;


typedef struct {		/* FT_C_INVENTORY_GROUP_ID (30203) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		unsigned long       			GroupID;
		char                			GroupName[FT_C_GROUPNAME_LEN + 1];
		char                			Description[FT_C_INVGROUPDESCR_LEN + 1];
		FT_C_STATUSEnum     			Status;
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			UserData[FT_C_USER_TEXT_LEN + 1];
		char                			ActionMemberID[FT_C_MEMBER_LEN + 1];
		char                			ActionOperatorID[FT_C_OPERATOR_LEN + 1];
} FT_C_INVENTORY_GROUPRec, *FT_C_INVENTORY_GROUPPtr;


typedef struct {		/* FT_C_INVENTORY_GROUP_MEMBER_ID (30204) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		unsigned long       			GroupID;
		char                			BuySideMemberID[FT_C_MEMBER_LEN + 1];
		FT_C_STATUSEnum     			Status;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			UserData[FT_C_USER_TEXT_LEN + 1];
		unsigned long       			ProductType;
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		char                			ActionMemberID[FT_C_MEMBER_LEN + 1];
		char                			ActionOperatorID[FT_C_OPERATOR_LEN + 1];
} FT_C_INVENTORY_GROUP_MEMBERRec, *FT_C_INVENTORY_GROUP_MEMBERPtr;


typedef struct {		/*  (0) */
		double              			Price;
		double              			Yield;
		double              			Countervalue;
} FT_C_RFCQ_TRADING_LEGRec, *FT_C_RFCQ_TRADING_LEGPtr;


typedef struct {		/*  (0) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		FT_C_VERBEnum       			Verb;
		double              			Qty;
} FT_C_RFCQ_BOOK_LEGRec, *FT_C_RFCQ_BOOK_LEGPtr;


typedef struct {		/*  (0) */
		char                			SellSideMemberID[FT_C_MEMBER_LEN + 1];
		char                			SellSideMrkOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			RfqID[FT_C_ORDER_LEN + 1];
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		unsigned long       			AutomaticMatchingValidityTime;
		FT_C_MATCHING_TYPEEnum			QuoteMatchingType;
		FT_C_RFCQ_TRADING_LEGRec			TradingLeg[FT_C_TRADINGLEG_LEN];
		double              			GrossYieldSpread;
		double              			ProceedsSpread;
		double              			RiskWeightedYieldSpread;
} FT_C_RFCQ_TRADING_LEVELRec, *FT_C_RFCQ_TRADING_LEVELPtr;


typedef struct {		/* FT_C_RFCQ_BOOK_ID (30201) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			RfqID[FT_C_ORDER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		FT_C_RFCQ_TYPEEnum  			RfcqType;
		FT_C_RFCQ_BOOK_LEGRec			DepthLeg[FT_C_TRADINGLEG_LEN];
		FT_C_RFCQ_TRADING_LEVELRec			TradingLevel[FT_C_TRADINGLEV_LEN];
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			TradingListID[FT_C_SHORTID_LEN + 1];
		char                			LegID[FT_C_SHORTID_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
} FT_C_RFCQ_BOOKRec, *FT_C_RFCQ_BOOKPtr;


typedef struct {		/*  (0) */
		unsigned long       			Account;
		FT_C_VERBEnum       			Verb;
		double              			Qty;
		FT_C_ACCOUNT_INFO_STATUSEnum			Status;
} FT_C_SPLIT_ACCOUNT_INFORec, *FT_C_SPLIT_ACCOUNT_INFOPtr;


typedef struct {		/*  (0) */
		double              			Percentage;
		char                			AllocFillID[FT_C_FILL_LEN + 1];
} FT_C_SPLIT_ACCOUNT_INFO_EXTRec, *FT_C_SPLIT_ACCOUNT_INFO_EXTPtr;


typedef struct {		/* FT_C_FILL_SPLIT_ID (30202) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			SellSideMemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			FillID[FT_C_FILL_LEN + 1];
		char                			OrderID[FT_C_ORDER_LEN + 1];
		char                			ClientOrderID[FT_C_CLIENT_ORDER_LEN + 1];
		unsigned long       			PreAllocationDate;
		unsigned long       			PreAllocationTime;
		unsigned short      			NumSplitAccountInfo;
		FT_C_SPLIT_ACCOUNT_INFORec			SplitAccountInfo[FT_C_SPLIT_ACCOUNTINFO_LEN];
		FT_C_FILL_SPLIT_STATUSEnum			Status;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			UserData[FT_C_USER_TEXT_LEN + 1];
		unsigned short      			BlockID;
		unsigned short      			NumOfBlocks;
		unsigned short      			SplitAttemptNo;
		FT_C_BLOCK_SPLIT_STATUSEnum			BlockValidity;
		char                			MrkOrderID[FT_C_MRKORDER_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		unsigned long       			AllocationId;
		char                			ClientAllocationID[FT_C_CLIENT_PREALLOCATION_LEN + 1];
		char                			AllocationDescription[FT_C_ALLOCATION_DESCR_LEN + 1];
		FT_C_PREALLOCATION_TYPEEnum			PreAllocationType;
		char                			WorkingMrkOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		FT_C_FLAGEnum       			PercentageAllocation;
		FT_C_SPLIT_ACCOUNT_INFO_EXTRec			SplitAccInfoExt[FT_C_SPLIT_ACCOUNTINFO_LEN];
		FT_C_LIQUIDITY_INDICATOREnum			Aggressor;
		char                			RefRfqID[FT_C_ORDER_LEN + 1];
} FT_C_FILL_SPLITRec, *FT_C_FILL_SPLITPtr;


typedef struct {		/*  (0) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		double              			Qty;
		double              			MinQty;
		double              			Price;
		double              			Yield;
		FT_C_RFQ_VERBEnum   			Verb;
		short               			OffsetSettlDays;
		unsigned long       			SettlDate;
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		unsigned long       			Account;
		FT_C_MARKET_AFFILIATIONEnum			MarketAffiliation;
		char                			SettlementInfo[FT_C_SETTLEMENT_INFO_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
} FT_C_RFQ_MLEG_INFORec, *FT_C_RFQ_MLEG_INFOPtr;


typedef struct {		/*  (0) */
		FT_C_ALLOCATION_TYPEEnum			AllocationType;
		unsigned long       			AllocationId;
} FT_C_RFQ_MLEG_INFO_EXTRec, *FT_C_RFQ_MLEG_INFO_EXTPtr;


typedef struct {		/*  (0) */
		double              			ExecutedQty;
} FT_C_RFQ_MLEG_EXEC_INFORec, *FT_C_RFQ_MLEG_EXEC_INFOPtr;


typedef struct {		/*  (0) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			TradingBookID[FT_C_TRADING_BOOK_ID_LEN + 1];
		double              			IndValue;
		FT_C_FLAGEnum       			IsIndSubject;
		double              			CompValue;
		double              			TierValue;
		FT_C_FLAGEnum       			IsTierSubject;
		double              			BmkIndValue;
		double              			BmkCmpValue;
		double              			BmkTierValue;
} FT_C_RFQ_MLEG_TRD_BOOK_INFORec, *FT_C_RFQ_MLEG_TRD_BOOK_INFOPtr;


typedef struct {		/*  (0) */
		double              			IndYield;
		FT_C_FLAGEnum       			IsValidIndYield;
		double              			TierYield;
		FT_C_FLAGEnum       			IsValidTierYield;
		double              			BmkIndYield;
		FT_C_FLAGEnum       			BmkValidIndYield;
		double              			BmkTierYield;
		FT_C_FLAGEnum       			BmkValidTierYield;
		double              			CompYield;
		FT_C_FLAGEnum       			IsValidCompYield;
		double              			BmkCompYield;
		FT_C_FLAGEnum       			BmkValidCompYield;
} FT_C_RFQ_MLEG_TRD_BOOK_YIELD_INFORec, *FT_C_RFQ_MLEG_TRD_BOOK_YIELD_INFOPtr;


typedef struct {		/*  (0) */
		double              			IndValue;
		FT_C_FLAGEnum       			IsIndSubject;
		double              			CompValue;
		double              			TierValue;
		FT_C_FLAGEnum       			IsTierSubject;
		double              			BmkIndValue;
		double              			BmkCmpValue;
		double              			BmkTierValue;
} FT_C_RFQ_MLEG_TRD_BOOK_INFO_EXTRec, *FT_C_RFQ_MLEG_TRD_BOOK_INFO_EXTPtr;


typedef struct {		/*  (0) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			TradingBookID[FT_C_TRADING_BOOK_ID_LEN + 1];
		double              			IndValue;
		FT_C_FLAGEnum       			IsIndSubject;
		double              			CompValue;
		double              			TierValue;
		FT_C_FLAGEnum       			IsTierSubject;
		double              			BmkIndValue;
		double              			BmkCmpValue;
		double              			BmkTierValue;
		double              			FillCompValue;
		double              			FillBmkCompPrice;
		double              			FillBmkCompYield;
		FT_C_FLAGEnum       			IsValidFillBmkCompYield;
} FT_C_EXTRAINFO_EXTENDED_LEGRec, *FT_C_EXTRAINFO_EXTENDED_LEGPtr;


typedef struct {		/*  (0) */
		char                			LongDescription[FT_C_LONG_DESCRIPTION_LEN + 1];
} FT_C_SEC_LONG_DESCRIPTIONRec, *FT_C_SEC_LONG_DESCRIPTIONPtr;


typedef struct {		/*  (0) */
		char                			FixPeriodCalendarID[FT_C_CALENDAR_LEN + 1];
		char                			FixPaymentCalendarID[FT_C_CALENDAR_LEN + 1];
		char                			FltPeriodCalendarID[FT_C_CALENDAR_LEN + 1];
		char                			FltPaymentCalendarID[FT_C_CALENDAR_LEN + 1];
		char                			FltResetCalendarID[FT_C_CALENDAR_LEN + 1];
} FT_C_RFQ_MLEG_CALENDAR_INFORec, *FT_C_RFQ_MLEG_CALENDAR_INFOPtr;


typedef struct {		/*  (0) */
		FT_C_CALLABLE_TYPEEnum			CallableType;
		unsigned long       			CallDate;
		double              			BreakEvenPrice;
		double              			BreakEvenYield;
} FT_C_RFQ_CALLABLE_INFORec, *FT_C_RFQ_CALLABLE_INFOPtr;


typedef struct {		/*  (0) */
		char                			BenchFTSecID[FT_C_SEC_LEN + 1];
} FT_C_RFQ_BENCHMARK_MLEG_INFORec, *FT_C_RFQ_BENCHMARK_MLEG_INFOPtr;


typedef struct {		/*  (0) */
		double              			Spread;
		char                			BenchFTSecID[FT_C_SEC_LEN + 1];
		double              			BenchIndPrice;
		double              			BenchIndYield;
		FT_C_FLAGEnum       			BenchIsIndSubject;
		double              			BenchCompPrice;
		double              			BenchCompYield;
		double              			BenchTierPrice;
		double              			BenchTierYield;
		FT_C_FLAGEnum       			BenchIsTierSubject;
		double              			ReferenceBenchmarkYield;
} FT_C_RFQ_DEALER_RUN_INFORec, *FT_C_RFQ_DEALER_RUN_INFOPtr;


typedef struct {		/*  (0) */
		double              			Interest;
		unsigned long       			NextCouponDate;
} FT_C_RFQ_REPO_RATE_INFORec, *FT_C_RFQ_REPO_RATE_INFOPtr;


typedef struct {		/* FT_C_RFQ_MLEG_EXTRA_INFO_ID (30288) */
		char                			RfqID[FT_C_ORDER_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		FT_C_RFQ_MLEG_TRD_BOOK_INFORec			TrdBookInf[FT_C_TRADINGLEG_LEN];
		FT_C_RFCQ_MLEG_TYPEEnum			RfcqMlegType;
		FT_C_RFQ_TYPEEnum   			RfqType;
		FT_C_RFCQ_PRICE_TYPEEnum			RfcqPriceType;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		double              			FillCompValue[FT_C_TRADINGLEG_LEN];
		FT_C_EXTRAINFO_EXTENDED_LEGRec			Leg4;
		double              			FillBmkCompPrice[FT_C_TRADINGLEG_LEN];
		double              			FillBmkCompYield[FT_C_TRADINGLEG_LEN];
		FT_C_FLAGEnum       			IsValidFillBmkCompYield[FT_C_TRADINGLEG_LEN];
		unsigned long       			TierGroupID;
		FT_C_SEC_LONG_DESCRIPTIONRec			SecLongDescr[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_RFQ_MLEG_TRD_BOOK_INFO_EXTRec			AskTrdBookInf[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_RFQ_MLEG_TRD_BOOK_YIELD_INFORec			TrdBookYieldInf[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_RFQ_MLEG_TRD_BOOK_YIELD_INFORec			AskTrdBookYieldInf[FT_C_EXT_TRADINGLEG_LEN];
		double              			InitialDelta[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_FLAGEnum       			IsValidInitialDelta[FT_C_EXT_TRADINGLEG_LEN];
		double              			InitialUMid[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_FLAGEnum       			IsValidInitialUMid[FT_C_EXT_TRADINGLEG_LEN];
		double              			InitialNPV[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_FLAGEnum       			IsValidInitialNPV[FT_C_EXT_TRADINGLEG_LEN];
		double              			InitialCompSpread[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_FLAGEnum       			IsValidInitialCompSpread[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_MTF_MODEEnum   			MTFMode;
		FT_C_SEF_STATEEnum  			SEFState;
		unsigned long       			FloatIndexMonth[FT_C_EXT_TRADINGLEG_LEN];
		double              			FloatIndexValue[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_PERIOD_SEQUENCERec			FloatIndexLag[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_RFQ_MLEG_CALENDAR_INFORec			CalendarInfo[FT_C_EXT_TRADINGLEG_LEN];
		char                			PrimarySales[FT_C_OPERATOR_LEN + 1];
		FT_C_RFQ_CALLABLE_INFORec			CallableInfo[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_RFQ_BENCHMARK_MLEG_INFORec			Benchmark[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_RFQ_DEALER_RUN_INFORec			DealerRuns[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_RFQ_REPO_RATE_INFORec			RepoRate[FT_C_EXT_TRADINGLEG_LEN];
} FT_C_RFQ_MLEG_EXTRA_INFORec, *FT_C_RFQ_MLEG_EXTRA_INFOPtr;


typedef struct {		/*  (0) */
		char                			StageOrderID[FT_C_ORDER_LEN + 1];
		char                			StageClOrderID[FT_C_CLIENT_ORDER_LEN + 1];
} FT_C_RFQ_ORD_STAGING_INFORec, *FT_C_RFQ_ORD_STAGING_INFOPtr;


typedef struct {		/*  (0) */
		char                			SettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
} FT_C_RFQ_SETTLMENT_INFORec, *FT_C_RFQ_SETTLMENT_INFOPtr;


typedef struct {		/*  (0) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		double              			Qty;
		double              			MinQty;
		double              			Price;
		double              			Yield;
		FT_C_RFQ_VERBEnum   			Verb;
		short               			OffsetSettlDays;
		unsigned long       			SettlDate;
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		unsigned long       			Account;
		FT_C_MARKET_AFFILIATIONEnum			MarketAffiliation;
		char                			SettlementInfo[FT_C_SETTLEMENT_INFO_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
		FT_C_ALLOCATION_TYPEEnum			AllocationType;
		unsigned long       			AllocationId;
		FT_C_FLAGEnum       			AdjustedFg;
		double              			SpotPrice;
		double              			InitialQty;
		double              			InitialPrice;
		double              			InitialYield;
		double              			InitialMinQty;
		double              			ExecutedQty;
		double              			HiddenQtyFlag;
		FT_C_XVARec         			XVAs;
		FT_C_RFQ_MLEG_THRec 			TheorValues;
		unsigned long       			MaturityDate;
		FT_C_RFQ_ORD_STAGING_INFORec			Staging;
		FT_C_RFQ_SETTLMENT_INFORec			Settl;
		FT_C_SECURITY_INFORec			SecInfo;
} FT_C_RFQ_EXTENDED_LEGRec, *FT_C_RFQ_EXTENDED_LEGPtr;


typedef struct {		/* FT_C_REQUEST_FOR_QUOTE_MLEG_ID (30206) */
		FT_C_RFQ_MLEG_INFORec			Leg[FT_C_TRADINGLEG_LEN];
		char                			RfqID[FT_C_ORDER_LEN + 1];
		FT_C_RFCQ_MLEG_TYPEEnum			RfcqType;
		FT_C_RFQ_TYPEEnum   			RfqType;
		FT_C_RFQ_TRADING_MODELEnum			TradingModel;
		FT_C_IN_OUT_FLAGEnum			InOutFlag;
		FT_C_RFQ_MODE_TYPEEnum			RfqModeType;
		FT_C_MATCHING_TYPEEnum			MatchingType;
		char                			ClientRfqID[FT_C_CLIENT_ORDER_LEN + 1];
		char                			SubRfqID[FT_C_ORDER_LEN + 1];
		FT_C_RFQ_MEMBER_INFORec			Issuer;
		FT_C_RFQ_MEMBER_INFO_EXTRec			IssuerExt;
		FT_C_RFQ_MEMBER_INFORec			Destination;
		char                			DestinationProfile[FT_C_MEMBER_LEN + 1];
		char                			DestinationUserText[FT_C_FREE_TEXT_LEN + 1];
		FT_C_RFQ_DESTINATION_TYPEEnum			DestinationType;
		unsigned short      			DestinationNumber;
		FT_C_RFQ_DESTINATIONRec			DestinationList[FT_C_RFQ_DESTINATIONEXT_LEN];
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		FT_C_REQUEST_FOR_QUOTE_STATUSEnum			Status;
		FT_C_FLAGEnum       			Autoacceptance;
		FT_C_FLAGEnum       			Competitive;
		unsigned long       			ValidityDate;
		unsigned long       			ValidityTime;
		unsigned long       			AutomaticMatchingValidityTime;
		unsigned long       			LiveQuoteTime;
		unsigned long       			EndAuctionTime;
		unsigned long       			InquiryTimer;
		unsigned long       			RfcqDuration;
		unsigned short      			AutomaticMatchingThreshold;
		unsigned short      			NumberOfCompetitors;
		char                			UserText[FT_C_USER_TEXT_LEN + 1];
		char                			IssuerUserText[FT_C_FREE_TEXT_LEN + 1];
		FT_C_FORCE_TYPEEnum 			ForceRepo;
		FT_C_FLAGEnum       			BilateralOnlyFlag;
		FT_C_FLAGEnum       			ManualFlag;
		FT_C_CLIENT_INFORec 			Client;
		FT_C_RFCQ_PROVIDER_STATUSEnum			ProviderStatus[FT_C_RFQ_DESTINATIONEXT_LEN];
		char                			RfqReqID[FT_C_ORDER_LEN + 1];
		char                			MrkRfqID[FT_C_MRKORDER_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		FT_C_RFQ_MLEG_INFO_EXTRec			LegExt[FT_C_TRADINGLEG_LEN];
		unsigned long       			filler1;
		unsigned short      			MaxNumberOfRecipients;
		FT_C_FLAGEnum       			UseIoIFg;
		FT_C_FLAGEnum       			AutomatchingFg;
		FT_C_RFCQ_ORIGINEnum			RfcqOrigin;
		FT_C_RFCQ_QUANTITY_CALCULATIONEnum			QuantityCalculation;
		unsigned short      			DueInTime;
		unsigned long       			DueInTimeout;
		char                			CloseWithMemberID[FT_C_MEMBER_LEN + 1];
		double              			PercAccRatio;
		FT_C_PERC_QUALITYEnum			PercQualityRatio;
		FT_C_REVEAL_FLAGEnum			Reveal;
		char                			TradingListID[FT_C_SHORTID_LEN + 1];
		char                			LegID[FT_C_SHORTID_LEN + 1];
		FT_C_FLAGEnum       			AdjustedFg[FT_C_TRADINGLEG_LEN];
		FT_C_FLAGEnum       			CCPOnlyFlag;
		double              			Haircut;
		double              			SpotPrice[FT_C_TRADINGLEG_LEN];
		FT_C_CLEARING_MODEEnum			ClearingMode;
		char                			StatusDetail[FT_C_USER_TEXT_LEN + 1];
		FT_C_FLAGEnum       			PriceExpiredFlag;
		FT_C_FLAGEnum       			PriceOrderFlag;
		double              			RfqSpread;
		char                			SettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		char                			ClearingHouseID[FT_C_CLEARING_HOUSE_LEN + 1];
		FT_C_RFQ_INITIAL_INFORec			InitialInfo[FT_C_TRADINGLEG_LEN];
		unsigned long       			SeqNo;
		char                			CounterpartSettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		char                			ClearingMemberID[FT_C_MEMBER_LEN + 1];
		FT_C_PERIOD_SEQUENCERec			PaymentSequence;
		FT_C_DAY_COUNT_FRACTIONEnum			DayCountFraction;
		double              			UpFront;
		FT_C_RFCQ_DURATION_TYPEEnum			RfcqDurationType;
		FT_C_RFCQ_PRICE_TYPEEnum			RfcqPriceType;
		FT_C_RFQ_TRADE_TYPEEnum			TradeType;
		FT_C_SHORT_SELL_TYPEEnum			ShortSellType;
		char                			ShortSellExternalAccount[FT_C_ACCOUNT_LEN + 1];
		double              			RFQOldP;
		FT_C_FLAGEnum       			IsSplit;
		char                			Fund[FT_C_FUND_LEN + 1];
		FT_C_RFQ_MLEG_EXEC_INFORec			LegExecQty[FT_C_TRADINGLEG_LEN];
		double              			RFQEq[FT_C_TRADINGLEG_LEN];
		FT_C_FLAGEnum       			RFQFg;
		FT_C_RFQ_INITIAL_INFO_EXTRec			InitialInfoExt[FT_C_TRADINGLEG_LEN];
		double              			RfqInitialSpread;
		char                			ParentOrderID[FT_C_ORDER_LEN + 1];
		char                			StrategyManager[FT_C_STRATEGY_MANAGER_LEN + 1];
		char                			StrategyWireValue[FT_C_STRATEGY_WIRE_VALUE_LEN + 1];
		char                			StrategyVersion[FT_C_STRATEGY_VERSION_LEN + 1];
		char                			StrategyParameter[FT_C_STRATEGY_PARAMETER_LEN + 1];
		FT_C_STRATEGY_STATUSEnum			StrategyStatus;
		FT_C_QUOTE_AUTOEnum 			AutomaticFlag;
		FT_C_FIRM_INFORec   			InvestmentDecisionFirm;
		FT_C_FIRM_INFORec   			ExecutionDecisionFirm;
		unsigned long       			CreationTimeMicroSec;
		unsigned long       			UpdateTimeMicroSec;
		unsigned long       			TradingVenueSeqNo;
		unsigned long       			OrigClientShortCode;
		FT_C_FLAG_UNDEnum   			RiskReduction;
		unsigned long       			TransmittingFirmShortCode;
		FT_C_XVARec         			XVAs[FT_C_TRADINGLEG_LEN];
		FT_C_RFQ_MLEG_THRec 			TheorValues[FT_C_TRADINGLEG_LEN];
		FT_C_FLAGEnum       			AutoRefill;
		unsigned short      			MinimumValidityTime;
		unsigned long       			MaturityDate[FT_C_TRADINGLEG_LEN];
		FT_C_RFQ_ORD_STAGING_INFORec			StagingInfo[FT_C_TRADINGLEG_LEN];
		char                			OrigReferenceID[FT_C_ORDER_LEN + 1];
		FT_C_RFQ_SETTLMENT_INFORec			SettlInfo[FT_C_TRADINGLEG_LEN];
		FT_C_SECURITY_INFORec			SecInfo[FT_C_TRADINGLEG_LEN];
		FT_C_FLAGEnum       			CreateFTCSwapSecurity;
		FT_C_LOCKED_LEGEnum 			LockedLegInputValues;
		FT_C_RFQ_EXTENDED_LEGRec			Leg4;
		FT_C_RFQ_BENCHMARK_MLEG_INFORec			BenchMrk[FT_C_EXT_TRADINGLEG_LEN];
		double              			CoverQuotePrice;
		double              			CoverQuoteYield;
		double              			CoverQuoteSpread;
		char                			FCMID[FT_C_FCM_LEN + 1];
		FT_C_SEF_MODEEnum   			SEFMode;
		double              			HiddenQtyFlag[FT_C_TRADINGLEG_LEN];
		char                			MassActionID[FT_C_MASS_ACTION_LEN + 1];
		FT_C_FLAGEnum       			DiscloseVerb;
		unsigned long       			MinNumberQuotes;
		double              			LegsHaircut[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_REPO_CLASSEnum 			RepoClass[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_FCM_INFORec    			LegsFCMInfo[FT_C_EXT_TRADINGLEG_LEN];
		char                			OnBehalfOfSenderMemberID[FT_C_MEMBER_LEN + 1];
		char                			OnBehalfOfSenderOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_SECURITY_INFO_EXTRec			SecInfoExt[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_FLAGEnum       			TradeFirm[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_FLAGEnum       			MisWeighted;
		FT_C_FLAGEnum       			FCMAgree[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_FLAGEnum       			IsRFM;
		double              			FixedRate[FT_C_EXT_TRADINGLEG_LEN];
		double              			FloatRate[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_EXECUTION_SOURCE_CODEEnum			ExecutionSourceCode;
		FT_C_SPREAD_SPOT_TYPEEnum			SpreadSpotType;
		char                			SpreadSpotTimeID[FT_C_SPREAD_TIMEID_LEN + 1];
		FT_C_MIFID_CLIENT_TYPEEnum			OrigClientFirmType;
		double              			BenchmarkSpread[FT_C_TRADINGLEG_LEN];
		FT_C_PRICE_TYPEEnum 			PriceType[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_PRICE_SORT_TYPEEnum			PriceSortType[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_RFQ_PRICERec   			OtherQuote[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_SHORT_SELL_TYPEEnum			LegShortSellType[FT_C_EXT_TRADINGLEG_LEN];
		double              			MarkUp;
		char                			ComplianceText[FT_C_COMPLIANCETEXT_LEN + 1];
} FT_C_REQUEST_FOR_QUOTE_MLEGRec, *FT_C_REQUEST_FOR_QUOTE_MLEGPtr;


typedef struct {		/*  (0) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		double              			Qty;
		double              			MinQty;
		double              			ExecutedQty;
		double              			Price;
		double              			Yield;
		FT_C_RFQ_VERBEnum   			Verb;
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
} FT_C_RFQ_QUOTE_MLEG_INFORec, *FT_C_RFQ_QUOTE_MLEG_INFOPtr;


typedef struct {		/*  (0) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		double              			Qty;
		double              			MinQty;
		double              			ExecutedQty;
		double              			Price;
		double              			Yield;
		FT_C_RFQ_VERBEnum   			Verb;
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
		double              			SpotPrice;
		FT_C_RFQ_PRICERec   			AskQuote;
		FT_C_XVARec         			XVAs;
		FT_C_RFQ_MLEG_THRec 			TheorValues;
		unsigned long       			MaturityDate;
		unsigned long       			SettlDate;
} FT_C_RFQ_QUOTE_EXTENDED_LEGRec, *FT_C_RFQ_QUOTE_EXTENDED_LEGPtr;


typedef struct {		/*  (0) */
		double              			Price;
		double              			Yield;
		double              			BenchmarkSpread;
} FT_C_RFQ_DEALER_QUOTERec, *FT_C_RFQ_DEALER_QUOTEPtr;


typedef struct {		/* FT_C_RFQ_QUOTE_ID (30267) */
		char                			RfqQuoteID[FT_C_ORDER_LEN + 1];
		char                			MrkRfqQuoteID[FT_C_ORDER_LEN + 1];
		FT_C_RFQ_QUOTE_MLEG_INFORec			Leg[FT_C_TRADINGLEG_LEN];
		char                			RfqRefID[FT_C_ORDER_LEN + 1];
		char                			ClientRfqQuoteID[FT_C_CLIENT_ORDER_LEN + 1];
		FT_C_RFQ_MEMBER_INFORec			Issuer;
		FT_C_RFQ_MEMBER_INFORec			Destination;
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		FT_C_RFQ_QUOTE_STATUSEnum			Status;
		unsigned short      			ValidityThreshold;
		unsigned long       			ValidityDate;
		unsigned long       			ValidityTime;
		unsigned short      			AutomaticMatchingThreshold;
		unsigned long       			AutomaticMatchingValidityDate;
		unsigned long       			AutomaticMatchingValidityTime;
		char                			UserText[FT_C_USER_TEXT_LEN + 1];
		FT_C_CLIENT_INFORec 			Client;
		double              			Haircut;
		double              			SpotPrice[FT_C_TRADINGLEG_LEN];
		FT_C_CLEARING_MODEEnum			ClearingMode;
		char                			SettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		char                			ClearingHouseID[FT_C_CLEARING_HOUSE_LEN + 1];
		unsigned long       			SeqNo;
		char                			ClearingMemberID[FT_C_MEMBER_LEN + 1];
		FT_C_PERIOD_SEQUENCERec			PaymentSequence;
		FT_C_DAY_COUNT_FRACTIONEnum			DayCountFraction;
		double              			UpFront;
		FT_C_IN_OUT_FLAGEnum			InOutFlag;
		FT_C_MATCHING_TYPEEnum			QuoteMatchingType;
		FT_C_RFCQ_ADDITIONAL_STATUSEnum			AdditionalStatus;
		FT_C_FLAGEnum       			Automatic;
		char                			ParentOrderID[FT_C_ORDER_LEN + 1];
		FT_C_RFQ_PRICERec   			AskQuote[FT_C_TRADINGLEG_LEN];
		char                			AskMrkRfqQuoteID[FT_C_ORDER_LEN + 1];
		char                			StrategyManager[FT_C_STRATEGY_MANAGER_LEN + 1];
		char                			StrategyWireValue[FT_C_STRATEGY_WIRE_VALUE_LEN + 1];
		char                			StrategyVersion[FT_C_STRATEGY_VERSION_LEN + 1];
		char                			StrategyParameter[FT_C_STRATEGY_PARAMETER_LEN + 1];
		FT_C_STRATEGY_STATUSEnum			StrategyStatus;
		FT_C_QUOTE_AUTOEnum 			AutomaticFlag;
		FT_C_FIRM_INFORec   			InvestmentDecisionFirm;
		FT_C_FIRM_INFORec   			ExecutionDecisionFirm;
		unsigned long       			CreationTimeMicroSec;
		unsigned long       			UpdateTimeMicroSec;
		unsigned long       			TradingVenueSeqNo;
		FT_C_XVARec         			XVAs[FT_C_TRADINGLEG_LEN];
		FT_C_RFQ_MLEG_THRec 			TheorValues[FT_C_TRADINGLEG_LEN];
		FT_C_FLAGEnum       			QuotationIsFirm;
		unsigned short      			AutomaticMatchingRefresh;
		FT_C_APPROVAL_INFORec			Approval;
		unsigned long       			MaturityDate[FT_C_TRADINGLEG_LEN];
		unsigned long       			SettlDate[FT_C_TRADINGLEG_LEN];
		FT_C_FLAGEnum       			IsTraderDecide;
		FT_C_RFQ_QUOTE_EXTENDED_LEGRec			Leg4;
		char                			MassActionID[FT_C_MASS_ACTION_LEN + 1];
		FT_C_FLAGEnum       			PersistOTW;
		FT_C_SECURITY_INFORec			SecInfo[FT_C_EXT_TRADINGLEG_LEN];
		double              			LegsHaircut[FT_C_EXT_TRADINGLEG_LEN];
		double              			Margin[FT_C_EXT_TRADINGLEG_LEN];
		double              			CurrentFirmPrice[FT_C_EXT_TRADINGLEG_LEN];
		unsigned short      			RemainingOTWCycles;
		unsigned long       			CounterpartSeqNo;
		FT_C_SECURITY_INFO_EXTRec			SecInfoExt[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_RFQ_VERBEnum   			AcceptedVerb[FT_C_EXT_TRADINGLEG_LEN];
		double              			UMid[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_EXECUTION_SOURCE_CODEEnum			ExecutionSourceCode;
		double              			BenchmarkSpread[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_SHORT_SELL_TYPEEnum			ShortSellType[FT_C_EXT_TRADINGLEG_LEN];
		char                			InternalProperties[FT_C_INTERNALPROP_LEN + 1];
		FT_C_RFQ_DEALER_QUOTERec			DealerQuote[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_MODIFIED_QUOTEEnum			ModifiedQuote;
		char                			TXResult[FT_C_TX_RESULT_DESC_LEN + 1];
		FT_C_RFQ_DEALER_QUOTERec			LastDealerQuote[FT_C_EXT_TRADINGLEG_LEN];
		double              			MarkUp;
		char                			ComplianceText[FT_C_COMPLIANCETEXT_LEN + 1];
} FT_C_RFQ_QUOTERec, *FT_C_RFQ_QUOTEPtr;


typedef struct {		/*  (0) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		double              			Price;
		double              			Yield;
} FT_C_RFQ_SLIM_MLEG_INFORec, *FT_C_RFQ_SLIM_MLEG_INFOPtr;


typedef struct {		/*  (0) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		double              			Price;
		double              			Yield;
} FT_C_RFQ_SLIM_QUOTE_EXTENDED_LEGRec, *FT_C_RFQ_SLIM_QUOTE_EXTENDED_LEGPtr;


typedef struct {		/* FT_C_RFQ_SLIM_QUOTE_ID (30268) */
		char                			RfqQuoteID[FT_C_ORDER_LEN + 1];
		FT_C_RFQ_SLIM_MLEG_INFORec			Leg[FT_C_TRADINGLEG_LEN];
		char                			RfqRefID[FT_C_ORDER_LEN + 1];
		FT_C_RFQ_QUOTE_STATUSEnum			Status;
		unsigned short      			AutomaticMatchingThreshold;
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_RFQ_SLIM_QUOTE_EXTENDED_LEGRec			Leg4;
} FT_C_RFQ_SLIM_QUOTERec, *FT_C_RFQ_SLIM_QUOTEPtr;


typedef struct {		/*  (0) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		double              			Qty;
		double              			MinQty;
		double              			Price;
		double              			Yield;
		FT_C_RFQ_VERBEnum   			Verb;
		short               			OffsetSettlDays;
		unsigned long       			SettlDate;
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		unsigned long       			Account;
		FT_C_MARKET_AFFILIATIONEnum			MarketAffiliation;
		char                			SettlementInfo[FT_C_SETTLEMENT_INFO_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
} FT_C_RFQ_ORDER_EXTENDED_LEGRec, *FT_C_RFQ_ORDER_EXTENDED_LEGPtr;


typedef struct {		/* FT_C_RFQ_ORDER_ID (30269) */
		char                			RfqOrderID[FT_C_ORDER_LEN + 1];
		char                			MrkRfqOrderID[FT_C_ORDER_LEN + 1];
		FT_C_RFQ_MLEG_INFORec			Leg[FT_C_TRADINGLEG_LEN];
		char                			RfqQuoteID[FT_C_ORDER_LEN + 1];
		unsigned long       			RfqQuoteUpdateDate;
		unsigned long       			RfqQuoteUpdateTime;
		unsigned long       			RfqQuoteSeqNo;
		char                			RfqRefID[FT_C_ORDER_LEN + 1];
		char                			ClientRfqOrderID[FT_C_CLIENT_ORDER_LEN + 1];
		FT_C_RFQ_MEMBER_INFORec			Issuer;
		FT_C_RFQ_MEMBER_INFORec			Destination;
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		FT_C_RFQ_ORDER_STATUSEnum			Status;
		FT_C_RFQ_ORDER_QUOTE_ACTIONEnum			QuoteAction;
		FT_C_RFQ_ORDER_RFQ_ACTIONEnum			RFQAction;
		FT_C_RFQ_ORDER_MEMBER_ACTIONEnum			MemberAction;
		unsigned long       			LastLookValidityDate;
		unsigned long       			LastLookValidityTime;
		char                			UserText[FT_C_USER_TEXT_LEN + 1];
		char                			LastLookUserText[FT_C_USER_TEXT_LEN + 1];
		FT_C_CLIENT_INFORec 			Client;
		unsigned long       			SeqNo;
		FT_C_IN_OUT_FLAGEnum			InOutFlag;
		char                			ParentOrderID[FT_C_ORDER_LEN + 1];
		FT_C_QUOTE_AUTOEnum 			AutomaticFlag;
		FT_C_FIRM_INFORec   			InvestmentDecisionFirm;
		FT_C_FIRM_INFORec   			ExecutionDecisionFirm;
		unsigned long       			CreationTimeMicroSec;
		unsigned long       			UpdateTimeMicroSec;
		unsigned long       			TradingVenueSeqNo;
		FT_C_FLAGEnum       			Countering;
		double              			Spread;
		FT_C_RFQ_ORDER_EXTENDED_LEGRec			Leg4;
		FT_C_SECURITY_INFORec			SecInfo[FT_C_EXT_TRADINGLEG_LEN];
		double              			LegsHaircut[FT_C_EXT_TRADINGLEG_LEN];
		double              			SpotPrice[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_SECURITY_INFO_EXTRec			SecInfoExt[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_EXECUTION_SOURCE_CODEEnum			ExecutionSourceCode;
		char                			StrategyManager[FT_C_STRATEGY_MANAGER_LEN + 1];
		char                			StrategyWireValue[FT_C_STRATEGY_WIRE_VALUE_LEN + 1];
		char                			StrategyVersion[FT_C_STRATEGY_VERSION_LEN + 1];
		char                			StrategyParameter[FT_C_STRATEGY_PARAMETER_LEN + 1];
		FT_C_STRATEGY_STATUSEnum			StrategyStatus;
		double              			BenchmarkSpread[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_RFQ_PRICERec   			AskOrder[FT_C_EXT_TRADINGLEG_LEN];
		char                			AskMrkRfqOrderID[FT_C_ORDER_LEN + 1];
		char                			InternalProperties[FT_C_INTERNALPROP_LEN + 1];
		double              			MarkUp;
		char                			ComplianceText[FT_C_COMPLIANCETEXT_LEN + 1];
} FT_C_RFQ_ORDERRec, *FT_C_RFQ_ORDERPtr;


typedef struct {		/*  (0) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		double              			Qty;
		double              			MinQty;
		double              			Price;
		double              			Yield;
		FT_C_RFQ_VERBEnum   			Verb;
		short               			OffsetSettlDays;
		unsigned long       			SettlDate;
		FT_C_FLAGEnum       			NonStdSettl;
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
} FT_C_RFQ_EVENT_LEGRec, *FT_C_RFQ_EVENT_LEGPtr;


typedef struct {		/*  (0) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		double              			Qty;
		double              			MinQty;
		double              			Price;
		double              			Yield;
		FT_C_RFQ_VERBEnum   			Verb;
		short               			OffsetSettlDays;
		unsigned long       			SettlDate;
		FT_C_FLAGEnum       			NonStdSettl;
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
		double              			SpotPrice;
} FT_C_RFQ_EVENT_EXTENDED_LEGRec, *FT_C_RFQ_EVENT_EXTENDED_LEGPtr;


typedef struct {		/* FT_C_RFQ_EVENT_ID (30270) */
		FT_C_RFQ_EVENT_TYPEEnum			EventType;
		char                			RfqID[FT_C_ORDER_LEN + 1];
		char                			RfqEventID[FT_C_RFQ_EVENT_LEN + 1];
		unsigned long       			SeqNo;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		FT_C_RFQ_EVENT_LEGRec			RfqEventLeg[FT_C_TRADINGLEG_LEN];
		FT_C_RFCQ_MLEG_TYPEEnum			RfcqType;
		FT_C_RFQ_TYPEEnum   			RfqType;
		FT_C_RFCQ_DURATION_TYPEEnum			RfcqDurationType;
		FT_C_RFCQ_PRICE_TYPEEnum			RfcqPriceType;
		double              			Haircut;
		double              			SpotPrice[FT_C_TRADINGLEG_LEN];
		FT_C_PERIOD_SEQUENCERec			PaymentSequence;
		FT_C_DAY_COUNT_FRACTIONEnum			DayCountFraction;
		double              			UpFront;
		char                			MrkRfqID[FT_C_MRKORDER_LEN + 1];
		double              			RfqSpread;
		unsigned long       			UpdateTimeMicroSec;
		FT_C_RFQ_EVENT_EXTENDED_LEGRec			Leg4;
} FT_C_RFQ_EVENTRec, *FT_C_RFQ_EVENTPtr;


typedef struct {		/* FT_C_MULTI_MEMBER_ID (30207) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OnBehalfOfMemberID[FT_C_MEMBER_LEN + 1];
		char                			OnBehalfOfOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_SIDEEnum       			Side;
} FT_C_MULTI_MEMBERRec, *FT_C_MULTI_MEMBERPtr;


typedef struct {		/*  (0) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			ISINCode[FT_C_ISIN_LEN + 1];
		FT_C_VERBEnum       			Verb;
		double              			Qty;
		double              			NominalValue;
		char                			FillID[FT_C_FILL_LEN + 1];
		double              			Price;
		double              			Yield;
		unsigned long       			SettlementDate;
		unsigned short      			SettlementOffset;
		double              			Principal;
		double              			Accrued;
		unsigned short      			AccrualDays;
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		double              			Bpv;
		unsigned long       			Account;
		char                			StageOrderID[FT_C_ORDER_LEN + 1];
		char                			ClientOrderID[FT_C_CLIENT_ORDER_LEN + 1];
		char                			SettlementInfo[FT_C_SETTLEMENT_INFO_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
} FT_C_RFCQ_LEG_SUMMARYRec, *FT_C_RFCQ_LEG_SUMMARYPtr;


typedef struct {		/*  (0) */
		FT_C_ALLOCATION_TYPEEnum			AllocationType;
		unsigned long       			AllocationId;
} FT_C_RFCQ_LEG_SUMMARY_ALLOCRec, *FT_C_RFCQ_LEG_SUMMARY_ALLOCPtr;


typedef struct {		/*  (0) */
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		FT_C_RFCQ_PROVIDER_STATUSEnum			Status;
		double              			PriceCoverValue;
		double              			ProceedsCoverValue;
		double              			GrossYieldCoverValue;
		double              			DurWeightedYieldCoverValue;
		long                			ResponseTimeDifference;
		double              			Delay;
} FT_C_RFCQ_PROVIDER_INFORec, *FT_C_RFCQ_PROVIDER_INFOPtr;


typedef struct {		/*  (0) */
		FT_C_RFCQ_COVEREnum 			CoverDefinition;
		double              			CoverValue;
} FT_C_RFCQ_COVER_INFORec, *FT_C_RFCQ_COVER_INFOPtr;


typedef struct {		/*  (0) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			ISINCode[FT_C_ISIN_LEN + 1];
		FT_C_VERBEnum       			Verb;
		double              			Qty;
		double              			NominalValue;
		char                			FillID[FT_C_FILL_LEN + 1];
		double              			Price;
		double              			Yield;
		unsigned long       			SettlementDate;
		unsigned short      			SettlementOffset;
		double              			Principal;
		double              			Accrued;
		unsigned short      			AccrualDays;
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		double              			Bpv;
		unsigned long       			Account;
		char                			StageOrderID[FT_C_ORDER_LEN + 1];
		char                			ClientOrderID[FT_C_CLIENT_ORDER_LEN + 1];
		char                			SettlementInfo[FT_C_SETTLEMENT_INFO_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
		FT_C_ALLOCATION_TYPEEnum			AllocationType;
		unsigned long       			AllocationId;
} FT_C_RFQ_SUMMARY_EXTENDED_LEGRec, *FT_C_RFQ_SUMMARY_EXTENDED_LEGPtr;


typedef struct {		/* FT_C_RFCQ_SELL_SIDE_SUMMARY_ID (30208) */
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			RfqID[FT_C_ORDER_LEN + 1];
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		FT_C_RFCQ_TYPEEnum  			RfcqType;
		FT_C_FLAGEnum       			MsgSent;
		char                			BuySideMemberID[FT_C_MEMBER_LEN + 1];
		char                			BuySideMrkOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_RFCQ_REQUEST_STATUSEnum			Status;
		FT_C_RFCQ_PROVIDER_STATUSEnum			ProviderStatus;
		unsigned long       			ClosingTime;
		unsigned short      			SellSideNumber;
		unsigned short      			ParticipatingSellSideNumber;
		unsigned long       			Delay;
		long                			ResponseTimeDifference;
		FT_C_RFCQ_COVER_INFORec			PriceCoverInfo;
		FT_C_RFCQ_COVER_INFORec			ProceedsCoverInfo;
		FT_C_RFCQ_COVER_INFORec			GrossYieldCoverInfo;
		FT_C_RFCQ_COVER_INFORec			DurWeightedYieldCoverInfo;
		double              			GrossYieldSpread;
		double              			ProceedsSpread;
		double              			RiskWeightedYieldSpread;
		FT_C_RFCQ_LEG_SUMMARYRec			LegSummary[FT_C_TRADINGLEG_LEN];
		char                			MrkRfqID[FT_C_MRKORDER_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		FT_C_RFCQ_ORIGINEnum			RfcqOrigin;
		unsigned short      			DueInTime;
		unsigned long       			DueInTimeout;
		FT_C_RFCQ_QUANTITY_CALCULATIONEnum			QuantityCalculation;
		unsigned long       			filler1;
		unsigned short      			filler2;
		FT_C_FLAGEnum       			QuotationFg;
		double              			Quotation;
		unsigned short      			NumOfLegs;
		char                			Comment[FT_C_DESCRIPTION_LEN + 1];
		double              			PercAccRatio;
		FT_C_PERC_QUALITYEnum			PercQualityRatio;
		char                			TradingListID[FT_C_SHORTID_LEN + 1];
		char                			LegID[FT_C_SHORTID_LEN + 1];
		FT_C_RFCQ_LEG_SUMMARY_ALLOCRec			LegSumAll[FT_C_TRADINGLEG_LEN];
		FT_C_RFQ_SUMMARY_EXTENDED_LEGRec			Leg4;
		FT_C_SPREAD_SPOT_TYPEEnum			SpreadSpotType;
		FT_C_SHORT_SELL_TYPEEnum			ShortSellType[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_RFCQ_COVER_INFORec			OppositePriceCoverInfo;
} FT_C_RFCQ_SELL_SIDE_SUMMARYRec, *FT_C_RFCQ_SELL_SIDE_SUMMARYPtr;


typedef struct {		/* FT_C_RFCQ_BUY_SIDE_SUMMARY_ID (30209) */
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			RfqID[FT_C_ORDER_LEN + 1];
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		FT_C_RFCQ_TYPEEnum  			RfcqType;
		FT_C_FLAGEnum       			MsgSent;
		char                			SellSideMemberID[FT_C_MEMBER_LEN + 1];
		char                			SellSideMrkOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_RFCQ_REQUEST_STATUSEnum			Status;
		unsigned long       			ClosingTime;
		unsigned short      			SellSideNumber;
		unsigned short      			ParticipatingSellSideNumber;
		char                			ClientRfqID[FT_C_CLIENT_ORDER_LEN + 1];
		unsigned long       			Delay;
		unsigned long       			BookTime;
		double              			PriceCoverValue;
		double              			ProceedsCoverValue;
		double              			GrossYieldCoverValue;
		double              			DurWeightedYieldCoverValue;
		double              			GrossYieldSpread;
		double              			ProceedsSpread;
		double              			RiskWeightedYieldSpread;
		FT_C_RFCQ_LEG_SUMMARYRec			LegSummary[FT_C_TRADINGLEG_LEN];
		FT_C_RFCQ_PROVIDER_INFORec			ProviderInfo[FT_C_PROVIDERINFO_LEN];
		char                			UserText[FT_C_FREE_TEXT_LEN + 1];
		char                			UserTextExt[FT_C_FREE_TEXT_LEN + 1];
		char                			MrkRfqID[FT_C_MRKORDER_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		FT_C_RFCQ_LEG_SUMMARY_ALLOCRec			LegSumAll[FT_C_TRADINGLEG_LEN];
		FT_C_RFQ_SUMMARY_EXTENDED_LEGRec			Leg4;
		FT_C_SPREAD_SPOT_TYPEEnum			SpreadSpotType;
		FT_C_SHORT_SELL_TYPEEnum			ShortSellType[FT_C_EXT_TRADINGLEG_LEN];
} FT_C_RFCQ_BUY_SIDE_SUMMARYRec, *FT_C_RFCQ_BUY_SIDE_SUMMARYPtr;


typedef struct {		/* FT_C_OP_CONNECTION_STATE_ID (30210) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_CONNECTION_STATUSEnum			Status;
		FT_C_FLAGEnum       			EnabledRFQ;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
} FT_C_OP_CONNECTION_STATERec, *FT_C_OP_CONNECTION_STATEPtr;


typedef struct {		/* FT_C_MEMBER_STATE_ID (30029) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		FT_C_MEMBER_STATUSEnum			Status;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		FT_C_TRADE_STATUSEnum			TradeStatus;
} FT_C_MEMBER_STATERec, *FT_C_MEMBER_STATEPtr;


typedef struct {		/* FT_C_MARKET_MODEL_ID (30012) */
		char                			MarketModelID[FT_C_MARKET_MODEL_LEN + 1];
		unsigned long       			StartDate;
		unsigned long       			StopDate;
		FT_C_FREQUENCYEnum  			Frequency;
		unsigned short      			Day;
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
} FT_C_MARKET_MODELRec, *FT_C_MARKET_MODELPtr;


typedef struct {		/* FT_C_MARKET_MODEL_TIMETABLE_ID (30013) */
		char                			MarketModelID[FT_C_MARKET_MODEL_LEN + 1];
		unsigned long       			StartTime;
		unsigned long       			StopTime;
		FT_C_TRADING_PHASEEnum			TradingPhase;
		unsigned short      			PhaseSeqNo;
		unsigned short      			Day;
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		FT_C_ORDER_ENTRYEnum			OrderEntry;
} FT_C_MARKET_MODEL_TIMETABLERec, *FT_C_MARKET_MODEL_TIMETABLEPtr;


typedef struct {		/* FT_C_OPERATOR_PROFILE_ID (30222) */
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_FLAGEnum       			Setup;
		FT_C_FLAGEnum       			CAPSAdmin;
		FT_C_FLAGEnum       			OperativeLimit;
		FT_C_FLAGEnum       			TradeOnOff;
		FT_C_OP_PROF_TYPEEnum			ProfileType;
		unsigned long       			LastUpdateDate;
		unsigned long       			LastUpdateTime;
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		FT_C_FLAGEnum       			DEAAccess;
		FT_C_FLAGEnum       			RFQAutotrader;
		FT_C_FLAGEnum       			LastResortOperator;
		char                			FirstPassword[FT_C_PASSWORD_LEN + 1];
		unsigned long       			OperatorCode;
		FT_C_FLAGEnum       			TradeOffOnDisconnect;
		FT_C_FLAGEnum       			Blocked;
		FT_C_FLAGEnum       			CanExtendPwdDuration;
		FT_C_FLAGEnum       			CanChangeOMSOrder;
		FT_C_FLAGEnum       			PINConfirmation;
		FT_C_FLAGEnum       			CanAcceptMarketBest;
		double              			UserTradeLimit;
		double              			LegTradeLimit;
		FT_C_AUDIT_INFORMATIONRec			AuditInfo;
		unsigned long       			AutoTraderResponseTimeOut;
		double              			WarnUserTradeLimit;
		double              			WarnLegTradeLimit;
		FT_C_FLAGEnum       			FirmWideVisibility;
		FT_C_FLAGEnum       			PostTrade;
		FT_C_FLAGEnum       			DisabledChat;
		FT_C_FLAGEnum       			EnabledToSendStrategyOrders;
} FT_C_OPERATOR_PROFILERec, *FT_C_OPERATOR_PROFILEPtr;


typedef struct {		/* FT_C_SECURITY_GROUP_ID (30213) */
		char                			SecurityGroupID[FT_C_SECURITY_GROUP_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
} FT_C_SECURITY_GROUPRec, *FT_C_SECURITY_GROUPPtr;


typedef struct {		/* FT_C_SEC_GROUP_COMP_ID (30214) */
		char                			SecurityGroupID[FT_C_SECURITY_GROUP_LEN + 1];
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
} FT_C_SEC_GROUP_COMPRec, *FT_C_SEC_GROUP_COMPPtr;


typedef struct {		/* FT_C_MEMBER_PRESETTL_INFO_ID (30215) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			SettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		char                			DirectMemberCode[FT_C_MEMBER_LEN + 1];
		char                			SettlAccount[FT_C_SETTL_ACCOUNT_LEN + 1];
		char                			AltSettlAccount[FT_C_ALT_SETTL_ACCOUNT_LEN + 1];
		char                			ClearingHouse[FT_C_CLEARING_HOUSE_LEN + 1];
		char                			GeneralMemberCode[FT_C_MEMBER_LEN + 1];
		char                			ClearingMember[FT_C_MEMBER_LEN + 1];
		char                			Account[FT_C_ALT_SETTL_ACCOUNT_LEN + 1];
		char                			AlternateMember[FT_C_MEMBER_LEN + 1];
		char                			AlternateAccount[FT_C_ALT_SETTL_ACCOUNT_LEN + 1];
		char                			EMail[FT_C_EMAIL_LEN + 1];
		char                			Telephone[FT_C_TELEPHONE_LEN + 1];
		char                			Fax[FT_C_FAX_LEN + 1];
		char                			MarketManager[FT_C_MARKET_MANAGER_LEN + 1];
		char                			ClearingSwiftCode[FT_C_SWIFT_CODE_LEN + 1];
		char                			AlternateSwiftCode[FT_C_SWIFT_CODE_LEN + 1];
		char                			IntermediaryBankName[FT_C_MEMBER_NAME_LEN + 1];
		char                			IntermediaryBankSWIFT[FT_C_SWIFT_CODE_LEN + 1];
		FT_C_FLAGEnum       			SettlNotificationMsg;
		FT_C_FLAGEnum       			TradesNotificationMsg;
		FT_C_FLAGEnum       			IndirectSettlNotificationMsg;
		FT_C_FLAGEnum       			IndirectTradesNotificationMsg;
		char                			SettlMessageType[FT_C_SETTL_MSG_TYPE_LEN + 1];
		FT_C_SETTL_TYPEEnum 			SettlementType;
		char                			CutOffID[FT_C_CUTOFF_LEN + 1];
		char                			AlternateClearingMember[FT_C_MEMBER_LEN + 1];
		char                			AlternateClearingAccount[FT_C_ALT_SETTL_ACCOUNT_LEN + 1];
		FT_C_ENABLE_REPO_CLASSEnum			RepoClass;
		FT_C_SETTLEMENT_MODEEnum			SettlementMode;
		FT_C_FLAGEnum       			EnabledSettlement;
		FT_C_CLEARING_ROLEEnum			ClearingRole;
} FT_C_MEMBER_PRESETTL_INFORec, *FT_C_MEMBER_PRESETTL_INFOPtr;


typedef struct {		/* FT_C_MEMBER_SECTION_PROFILE_ID (30216) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			ProfileID[FT_C_PROFILE_LEN + 1];
		char                			SecurityGroupID[FT_C_SECURITY_GROUP_LEN + 1];
		FT_C_ACCEPTANCEEnum 			QuoteUserAcceptance;
		FT_C_ACCEPTANCEEnum 			OrderUserAcceptance;
		unsigned long       			NumLevel;
} FT_C_MEMBER_SECTION_PROFILERec, *FT_C_MEMBER_SECTION_PROFILEPtr;


typedef struct {		/* FT_C_MEMBER_PROFILE_INFO_ID (30217) */
		char                			FTProfileID[FT_C_PROFILE_LEN + 1];
		char                			Property[FT_C_PROFILE_PROPERTY_LEN + 1];
		char                			Value[FT_C_PROFILE_VALUE_LEN + 1];
} FT_C_MEMBER_PROFILE_INFORec, *FT_C_MEMBER_PROFILE_INFOPtr;


typedef struct {		/* FT_C_SETTL_SYSTEM_INFO_ID (30218) */
		char                			SettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		FT_C_FLAGEnum       			Connected;
		char                			ClearingHouseID[FT_C_CLEARING_HOUSE_LEN + 1];
		char                			BilateralChannelID[FT_C_SETTL_CHANNEL_LEN + 1];
		char                			CCPChannelID[FT_C_SETTL_CHANNEL_LEN + 1];
		unsigned long       			CutOffTime;
		FT_C_ENABLE_REPO_CLASSEnum			EnabledRepoClass;
		unsigned long       			LinkedSettlSystemCutOffTime;
} FT_C_SETTL_SYSTEM_INFORec, *FT_C_SETTL_SYSTEM_INFOPtr;


typedef struct {		/* FT_C_BALANCE_ID (30219) */
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			FTSecID[FT_C_SEC_LEN + 1];
		FT_C_FLAGEnum       			AggregateProduct;
		double              			Balance;
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
} FT_C_BALANCERec, *FT_C_BALANCEPtr;


typedef struct {		/* FT_C_TOTAL_STATISTICS_ID (30220) */
		char                			SectionID[FT_C_SECTION_LEN + 1];
		FT_C_STATISTICS_TYPEEnum			Type;
		double              			TotalQty;
		unsigned long       			Date;
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
} FT_C_TOTAL_STATISTICSRec, *FT_C_TOTAL_STATISTICSPtr;


typedef struct {		/* FT_C_SERVICE_CHANNEL_ID (30223) */
		char                			Service[FT_C_ORD_SERVICE_LEN + 1];
		char                			Channel[FT_C_ORD_CHANNEL_LEN + 1];
} FT_C_SERVICE_CHANNELRec, *FT_C_SERVICE_CHANNELPtr;


typedef struct {		/* FT_C_RFQ_EXCLUSION_ID (30226) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			BlockedMemberID[FT_C_MEMBER_LEN + 1];
		char                			BlockedOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			BlockedMrkOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			RfqID[FT_C_ORDER_LEN + 1];
		FT_C_FLAGEnum       			PermanentFg;
		FT_C_RFQ_EXCLUSION_STATUSEnum			Status;
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
} FT_C_RFQ_EXCLUSIONRec, *FT_C_RFQ_EXCLUSIONPtr;


typedef struct {		/* FT_C_USER_PERMISSION_ID (30228) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			UserID[FT_C_OPERATOR_LEN + 1];
		FT_C_PERMISSION_TYPEEnum			Type;
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
} FT_C_USER_PERMISSIONRec, *FT_C_USER_PERMISSIONPtr;


typedef struct {		/*  (0) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTSecID[FT_C_SEC_LEN + 1];
		FT_C_SECURITY_TYPEEnum			SecurityType;
		FT_C_VERBEnum       			Verb;
		double              			Quantity;
		FT_C_FLAGEnum       			QuotationFg;
		double              			Quotation;
		FT_C_FLAGEnum       			DiscloseIOIFg;
		unsigned short      			IOIMatchingQuotes;
		unsigned long       			StageOrderId;
		char                			ClientOrderID[FT_C_CLIENT_ORDER_LEN + 1];
		unsigned short      			SettlementOffset;
		unsigned long       			SettlementDate;
		FT_C_ALLOCATION_TYPEEnum			AllocationType;
		unsigned long       			AllocationId;
		FT_C_MARKET_AFFILIATIONEnum			MarketAffiliation[FT_C_PROVIDERINFO_LEN];
		FT_C_RFCQ_TRADING_LIST_INFO_STATUSEnum			Status;
		char                			SettlementInfo[FT_C_SETTLEMENT_INFO_LEN + 1];
} FT_C_RFCQ_BUY_SIDE_TRADING_LIST_INFORec, *FT_C_RFCQ_BUY_SIDE_TRADING_LIST_INFOPtr;


typedef struct {		/*  (0) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FTSecID[FT_C_SEC_LEN + 1];
		FT_C_SECURITY_TYPEEnum			SecurityType;
		FT_C_VERBEnum       			Verb;
		double              			Quantity;
		FT_C_FLAGEnum       			QuotationFg;
		double              			Quotation;
		unsigned short      			SettlementOffset;
		unsigned long       			SettlementDate;
		unsigned long       			AccountID;
		FT_C_MARKET_AFFILIATIONEnum			MarketAffiliation;
		char                			SettlementInfo[FT_C_SETTLEMENT_INFO_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
} FT_C_RFCQ_SELL_SIDE_TRADING_LIST_INFORec, *FT_C_RFCQ_SELL_SIDE_TRADING_LIST_INFOPtr;


typedef struct {		/* FT_C_RFCQ_TRADING_RELATION_TRADER_EXCEPTION_ID (30229) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			SellSideMemberID[FT_C_MEMBER_LEN + 1];
		char                			SellSideMrkOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			BuySideMemberID[FT_C_MEMBER_LEN + 1];
		char                			BuySideMrkOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_STATUSEnum     			Status;
		FT_C_RFCQ_TYPEEnum  			RFCQType;
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			ActionMemberID[FT_C_MEMBER_LEN + 1];
} FT_C_RFCQ_TRADING_RELATION_TRADER_EXCEPTIONRec, *FT_C_RFCQ_TRADING_RELATION_TRADER_EXCEPTIONPtr;


typedef struct {		/* FT_C_RFCQ_BUY_SIDE_TRADING_LIST_ID (30230) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			TradingListID[FT_C_SHORTID_LEN + 1];
		char                			RfqID[FT_C_ORDER_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_FLAGEnum       			PrivateFg;
		char                			WorkingMrkOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_RFCQ_TYPEEnum  			RfcqType;
		unsigned short      			NumOfLegs;
		char                			Comment[FT_C_DESCRIPTION_LEN + 1];
		FT_C_FLAGEnum       			ShowCommentFg;
		FT_C_RFCQ_TRADING_LIST_STATUSEnum			Status;
		char                			UserData[FT_C_USER_TEXT_LEN + 1];
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		unsigned short      			DueInTime;
		unsigned long       			DueInTimeout;
		unsigned short      			GoodForInTime;
		unsigned long       			GoodForInTimeout;
		FT_C_FLAG_UNDEnum   			EarlyPriceRelease;
		FT_C_MAT_DATE_INTVRec			MatDateIntv;
		FT_C_LIST_TRADE_TYPEEnum			ListTradeType;
		FT_C_SECURITIES_IN_LISTEnum			SecuritiesInList;
} FT_C_RFCQ_BUY_SIDE_TRADING_LISTRec, *FT_C_RFCQ_BUY_SIDE_TRADING_LISTPtr;


typedef struct {		/* FT_C_RFCQ_SELL_SIDE_TRADING_LIST_ID (30231) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			TradingListID[FT_C_SHORTID_LEN + 1];
		char                			RfqID[FT_C_ORDER_LEN + 1];
		char                			RfqReqID[FT_C_ORDER_LEN + 1];
		FT_C_RFQ_MEMBER_INFORec			Issuer;
		FT_C_RFQ_MEMBER_INFORec			Destination;
		unsigned short      			NumOfLegs;
		char                			Comment[FT_C_DESCRIPTION_LEN + 1];
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		FT_C_FLAGEnum       			Competitive;
		unsigned short      			NumberOfCompetitors;
		unsigned short      			DueInTime;
		unsigned long       			DueInTimeout;
		unsigned long       			ValidityTime;
		unsigned long       			TimeOut;
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		FT_C_RFCQ_ORIGINEnum			RfcqOrigin;
		FT_C_RFCQ_QUANTITY_CALCULATIONEnum			QuantityCalculation;
		unsigned short      			GoodForInTime;
		unsigned long       			GoodForInTimeout;
		FT_C_LIST_ADDITIONAL_STATUSEnum			Done;
		FT_C_FLAG_UNDEnum   			EarlyPriceRelease;
		FT_C_MAT_DATE_INTVRec			MatDateIntv;
		FT_C_TRADING_LIST_TYPEEnum			ListType;
		double              			TotalNPV;
		double              			TotalOppositeNPV;
		double              			TotalUMid;
		FT_C_LIST_TRADE_TYPEEnum			ListTradeType;
		FT_C_FLAGEnum       			Automatic;
		char                			StrategyManager[FT_C_STRATEGY_MANAGER_LEN + 1];
		char                			StrategyWireValue[FT_C_STRATEGY_WIRE_VALUE_LEN + 1];
		char                			StrategyVersion[FT_C_STRATEGY_VERSION_LEN + 1];
		char                			StrategyParameter[FT_C_STRATEGY_PARAMETER_LEN + 1];
		FT_C_STRATEGY_STATUSEnum			StrategyStatus;
		FT_C_FIRM_INFORec   			InvestmentDecisionFirm;
		FT_C_FIRM_INFORec   			ExecutionDecisionFirm;
		FT_C_CLIENT_INFORec 			Client;
		FT_C_ACCEPTED_SIDEEnum			AcceptedSide;
		FT_C_QUOTATION_TYPEEnum			QuotationType;
		FT_C_FLAGEnum       			QuotationIsFirm;
		unsigned short      			LastLookTimeOut;
		unsigned long       			LastLookValidityTime;
		FT_C_MATCHING_TYPEEnum			QuoteMatchingType;
		FT_C_SECURITIES_IN_LISTEnum			SecuritiesInList;
} FT_C_RFCQ_SELL_SIDE_TRADING_LISTRec, *FT_C_RFCQ_SELL_SIDE_TRADING_LISTPtr;


typedef struct {		/* FT_C_RFCQ_TYPE_EXCEPTION_ID (30232) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SellSideMemberID[FT_C_MEMBER_LEN + 1];
		char                			SellSideMrkOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			BuySideMemberID[FT_C_MEMBER_LEN + 1];
		FT_C_RFCQ_TYPE_EXCEPTION_STATUSEnum			Status;
		FT_C_RFCQ_TYPEEnum  			RFCQType;
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
} FT_C_RFCQ_TYPE_EXCEPTIONRec, *FT_C_RFCQ_TYPE_EXCEPTIONPtr;


typedef struct {		/* FT_C_RFCQ_BUY_SIDE_TRADING_LIST_LEG_INFO_ID (30233) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			TradingListID[FT_C_SHORTID_LEN + 1];
		char                			RfqID[FT_C_ORDER_LEN + 1];
		char                			LegID[FT_C_SHORTID_LEN + 1];
		FT_C_RFCQ_REQUEST_STATUSEnum			LegStatus;
		FT_C_RFCQ_PROVIDER_STATUSEnum			ProviderStatus[FT_C_PROVIDERINFO_LEN];
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
} FT_C_RFCQ_BUY_SIDE_TRADING_LIST_LEG_INFORec, *FT_C_RFCQ_BUY_SIDE_TRADING_LIST_LEG_INFOPtr;


typedef struct {		/* FT_C_RFCQ_SELL_SIDE_TRADING_LIST_LEG_INFO_ID (30234) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			TradingListID[FT_C_SHORTID_LEN + 1];
		char                			RfqID[FT_C_ORDER_LEN + 1];
		char                			LegID[FT_C_SHORTID_LEN + 1];
		FT_C_RFCQ_REQUEST_STATUSEnum			LegStatus;
		FT_C_RFCQ_PROVIDER_STATUSEnum			ProviderStatus;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
} FT_C_RFCQ_SELL_SIDE_TRADING_LIST_LEG_INFORec, *FT_C_RFCQ_SELL_SIDE_TRADING_LIST_LEG_INFOPtr;


typedef struct {		/* FT_C_INVENTORY_TRADING_IDEA_ID (30236) */
		unsigned long       			TradingIdeaId;
		FT_C_MEMBER_INFORec 			SellSideMember;
		char                			BuySideMemberId[FT_C_MEMBER_LEN + 1];
		FT_C_INVENTORY_TRADING_IDEA_TEXT_TYPEEnum			TextType;
		char                			Format[FT_C_TRADINGIDEAFORMAT_LEN + 1];
		char                			Text[FT_C_TRADINGIDEATEXT_LEN + 1];
		unsigned long       			ExpiryDate;
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
} FT_C_INVENTORY_TRADING_IDEARec, *FT_C_INVENTORY_TRADING_IDEAPtr;


typedef struct {		/* FT_C_ORDER_COMMAND_ID (30241) */
		char                			OrderID[FT_C_ORDER_LEN + 1];
		char                			FlowID[FT_C_ORD_FLOW_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_ORDER_COMMAND_ACTIONEnum			Action;
		FT_C_FLAG_UNDEnum   			ConfirmFlag;
		char                			ParamText[FT_C_USER_TEXT_LEN + 1];
		long                			ParamLong;
		double              			ParamDouble;
} FT_C_ORDER_COMMANDRec, *FT_C_ORDER_COMMANDPtr;


typedef struct {		/*  (0) */
		double              			EndPrice;
		double              			EndAccIntFactor;
		double              			EndCollLoan;
		double              			EndTelQuel;
		double              			RepoInterest;
		double              			SpotPrice;
		double              			SpotAccIntFact;
		double              			SpotCollLoan;
		double              			SpotTelQuel;
} FT_C_CONTRACT_VALUERec, *FT_C_CONTRACT_VALUEPtr;


typedef struct {		/* FT_C_SETTLEMENT_PREVIEW_ID (30237) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			UnderlyingFTSecID[FT_C_SEC_LEN + 1];
		unsigned long       			StartDate;
		unsigned long       			EndDate;
		char                			StartFTSecID[FT_C_SEC_LEN + 1];
		char                			EndFTSecID[FT_C_SEC_LEN + 1];
		double              			Rate;
		double              			Qty;
		double              			SpotPrice;
		FT_C_CONTRACT_VALUERec			Classic;
		FT_C_CONTRACT_VALUERec			BuySellBack;
		char                			UserData[FT_C_USER_TEXT_LEN + 1];
		unsigned long       			SpotPriceDate;
		unsigned long       			SpotPriceTime;
		char                			SettlPreviewID[FT_C_SETTLPREVIEW_LEN + 1];
		char                			SenderMemberID[FT_C_MEMBER_LEN + 1];
		char                			TradingCurrency[FT_C_CURRENCY_LEN + 1];
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		FT_C_TRANS_STATUSEnum			Status;
		FT_C_SPOTPRICE_MODEEnum			SpotPriceMode;
		double              			Haircut;
} FT_C_SETTLEMENT_PREVIEWRec, *FT_C_SETTLEMENT_PREVIEWPtr;


typedef struct {		/* FT_C_GC_RULES_ID (30238) */
		char                			GenFTSecID[FT_C_SEC_LEN + 1];
		char                			Property[FT_C_SHORT_DESCRIPTION_LEN + 1];
		char                			Value[FT_C_DESCRIPTION_LEN + 1];
		char                			PropertyDescr[FT_C_DESCRIPTION_LEN + 1];
		char                			Name[FT_C_DESCRIPTION_LEN + 1];
		char                			PropertyLongDescr[FT_C_LONG_DESCRIPTION_LEN + 1];
} FT_C_GC_RULESRec, *FT_C_GC_RULESPtr;


typedef struct {		/*  (0) */
		double              			Qty;
		unsigned short      			MaxNumSecurities;
} FT_C_GC_QTY_LIMITS_ROWRec, *FT_C_GC_QTY_LIMITS_ROWPtr;


typedef struct {		/* FT_C_GC_QTY_LIMITS_ID (30261) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		unsigned long       			TableID;
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
		FT_C_GC_QTY_LIMITS_ROWRec			AllocationLimits[FT_C_GCQTYLIMITS_NUMBER];
} FT_C_GC_QTY_LIMITSRec, *FT_C_GC_QTY_LIMITSPtr;


typedef struct {		/* FT_C_MKT_LINKED_MEMBERS_ID (30239) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			FirstMemberId[FT_C_LINKED_MEMBER_LEN + 1];
		char                			SecondMemberId[FT_C_LINKED_MEMBER_LEN + 1];
		FT_C_MKT_LINK_TYPEEnum			LinkType;
} FT_C_MKT_LINKED_MEMBERSRec, *FT_C_MKT_LINKED_MEMBERSPtr;


typedef struct {		/* FT_C_STRATEGY_CONFIG_ID (30251) */
		char                			StrategyWireValue[FT_C_STRATEGY_WIRE_VALUE_LEN + 1];
		char                			StrategyVersion[FT_C_STRATEGY_VERSION_LEN + 1];
		FT_C_FLAGEnum       			IsBrokerStrategy;
		char                			StrategyManager[FT_C_STRATEGY_MANAGER_LEN + 1];
		char                			StrategyXmlID[FT_C_XMLID_LEN + 1];
		char                			BrokerStrategyWireValue[FT_C_STRATEGY_WIRE_VALUE_LEN + 1];
		unsigned long       			BrokerStrategyIdentifierTag;
		unsigned long       			BrokerVersionIdentifierTag;
		unsigned long       			BrokerDraftFlagIdentifierTag;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			ActionOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_ENTITY_ACTIONEnum			Action;
		FT_C_ALGO_TYPEEnum  			AlgoType;
		char                			StrategyDescription[FT_C_STRATEGY_DESCRIPTION_LEN + 1];
} FT_C_STRATEGY_CONFIGRec, *FT_C_STRATEGY_CONFIGPtr;


typedef struct {		/* FT_C_STRATEGY_MANAGER_ID (30277) */
		char                			StrategyManager[FT_C_STRATEGY_MANAGER_LEN + 1];
		char                			StrategyManagerDescription[FT_C_STRATEGY_DESCRIPTION_LEN + 1];
} FT_C_STRATEGY_MANAGERRec, *FT_C_STRATEGY_MANAGERPtr;


typedef struct {		/* FT_C_STRATEGY_PER_CLIENT_ID (30252) */
		char                			ClientID[FT_C_CLIENT_LEN + 1];
		char                			StrategyWireValue[FT_C_STRATEGY_WIRE_VALUE_LEN + 1];
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			ActionOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_ENTITY_ACTIONEnum			Action;
		char                			ProfileID[FT_C_PROFILE_LEN + 1];
} FT_C_STRATEGY_PER_CLIENTRec, *FT_C_STRATEGY_PER_CLIENTPtr;


typedef struct {		/* FT_C_STRATEGY_PER_OPERATOR_ID (30272) */
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			StrategyWireValue[FT_C_STRATEGY_WIRE_VALUE_LEN + 1];
		char                			ProfileID[FT_C_PROFILE_LEN + 1];
		FT_C_ENTITY_ACTIONEnum			Action;
		char                			ActionOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
} FT_C_STRATEGY_PER_OPERATORRec, *FT_C_STRATEGY_PER_OPERATORPtr;


typedef struct {		/* FT_C_STRATEGY_PER_CLIENT_PERMISSION_ID (30286) */
		char                			ClientID[FT_C_CLIENT_LEN + 1];
		char                			StrategyWireValue[FT_C_STRATEGY_WIRE_VALUE_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			FTSecID[FT_C_SEC_LEN + 1];
		FT_C_FLAGEnum       			Enabled;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			ActionOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_ENTITY_ACTIONEnum			Action;
} FT_C_STRATEGY_PER_CLIENT_PERMISSIONRec, *FT_C_STRATEGY_PER_CLIENT_PERMISSIONPtr;


typedef struct {		/* FT_C_STRATEGY_PER_OPERATOR_PERMISSION_ID (30287) */
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			StrategyWireValue[FT_C_STRATEGY_WIRE_VALUE_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			FTSecID[FT_C_SEC_LEN + 1];
		FT_C_FLAGEnum       			Enabled;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			ActionOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_ENTITY_ACTIONEnum			Action;
} FT_C_STRATEGY_PER_OPERATOR_PERMISSIONRec, *FT_C_STRATEGY_PER_OPERATOR_PERMISSIONPtr;


typedef struct {		/* FT_C_CLEARING_MEMBER_ID (30253) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			SettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		char                			ClearingMemberID[FT_C_MEMBER_LEN + 1];
		unsigned long       			SortPos;
} FT_C_CLEARING_MEMBERRec, *FT_C_CLEARING_MEMBERPtr;


typedef struct {		/* FT_C_MIFID_PRICE_EXEC_ID (30274) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			InstrumentCodeType[FT_C_CODE_TYPE_LEN + 1];
		char                			InstrumentCode[FT_C_CODE_LEN + 1];
		char                			DateTime[FT_C_DATETIME_LEN + 1];
		char                			Price[FT_C_PRICE_LEN + 1];
		char                			ExecutionVenue[FT_C_MIC_LEN + 1];
		char                			PriceNotation[FT_C_PRICE_NOTATION_LEN + 1];
		char                			PriceCurrency[FT_C_CURRENCY_LEN + 1];
		char                			Quantity[FT_C_QUANTITY_LEN + 1];
		char                			NotionalAmount[FT_C_NOTIONAL_AMOUNT_LEN + 1];
		char                			NotionalCurrency[FT_C_CURRENCY_LEN + 1];
		char                			PublicationDateTime[FT_C_DATETIME_LEN + 1];
		char                			TransactionIdentificationCode[FT_C_FILLEXT_LEN + 1];
		char                			TransactionToBeCleared[FT_C_FLAG_LEN + 1];
		char                			MMTFlags[FT_C_MMT_FLAGS_LEN + 1];
} FT_C_MIFID_PRICE_EXECRec, *FT_C_MIFID_PRICE_EXECPtr;


typedef struct {		/* FT_C_CONTRACT_INFO_ID (30281) */
		char                			ContractID[FT_C_SEC_LEN + 1];
		FT_C_FLAG_UNDEnum   			IsIlliquid;
		double              			PreLISThreshold;
		double              			PreSSTIThreshold;
		double              			PostLISThreshold;
		double              			PostSSTIThreshold;
		FT_C_FLAG_UNDEnum   			SIFlag;
		FT_C_FLAG_UNDEnum   			IsComplex;
		FT_C_FLAG_UNDEnum   			TradedOnVenue;
} FT_C_CONTRACT_INFORec, *FT_C_CONTRACT_INFOPtr;


typedef struct {		/* FT_C_ONBEHALFOF_ID (30282) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SUMemberID[FT_C_MEMBER_LEN + 1];
		char                			SUOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			OnBehalfOfMemberID[FT_C_MEMBER_LEN + 1];
} FT_C_ONBEHALFOFRec, *FT_C_ONBEHALFOFPtr;


typedef struct {		/* FT_C_MATURITY_BASKET_ID (30244) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			MaturityBasketID[FT_C_MAT_BASKET_ID_LEN + 1];
		char                			MaturityBasketDescription[FT_C_DESCRIPTION_LEN + 1];
		unsigned long       			FromTimeToMaturity;
		unsigned long       			ToTimeToMaturity;
		FT_C_AUDIT_INFORMATIONRec			AuditInformation;
} FT_C_MATURITY_BASKETRec, *FT_C_MATURITY_BASKETPtr;


typedef struct {		/* FT_C_TRADING_BOOK_ID (30254) */
		char                			TradingBookID[FT_C_TRADING_BOOK_ID_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		FT_C_AUDIT_INFORMATIONRec			AuditInformation;
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		char                			MaturityBasketID[FT_C_MAT_BASKET_ID_LEN + 1];
		char                			PrimaryManagerID[FT_C_OPERATOR_LEN + 1];
		char                			BackupManagerID[FT_C_OPERATOR_LEN + 1];
		FT_C_FLAGEnum       			BackupIsDesk;
		unsigned long       			DefaultOTWTime;
		FT_C_SOURCE_RFQ_QUOTE_STRATEGYEnum			Source;
		FT_C_SOURCE_RFQ_QUOTE_STRATEGYEnum			BenchmarkSource;
		char                			IssuerID[FT_C_ISSUER_LEN + 1];
		FT_C_FLAGEnum       			PrimaryIsDesk;
		FT_TRAGING_BOOK_TYPEEnum			TradingBookType;
		char                			PrimaryOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			UserText[FT_C_USER_TEXT_LEN + 1];
		unsigned short      			DefAutomaticMatchingRefresh;
		FT_C_FLAG_UNDEnum   			EnableSpreadInfo;
} FT_C_TRADING_BOOKRec, *FT_C_TRADING_BOOKPtr;


typedef struct {		/* FT_C_TRADING_BOOK_STATIC_COMP_ID (30299) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			TradingBookID[FT_C_TRADING_BOOK_ID_LEN + 1];
		char                			FTSecID[FT_C_SEC_LEN + 1];
		FT_C_AUDIT_INFORMATIONRec			AuditInformation;
} FT_C_TRADING_BOOK_STATIC_COMPRec, *FT_C_TRADING_BOOK_STATIC_COMPPtr;


typedef struct {		/* FT_C_TRADING_BOOK_SECTION_ID (30283) */
		char                			TradingBookID[FT_C_TRADING_BOOK_ID_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		FT_C_AUDIT_INFORMATIONRec			AuditInformation;
} FT_C_TRADING_BOOK_SECTIONRec, *FT_C_TRADING_BOOK_SECTIONPtr;


typedef struct {		/* FT_C_TRADING_BOOK_AUTO_NEG_ID (30284) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			TradingBookID[FT_C_TRADING_BOOK_ID_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		FT_C_AUDIT_INFORMATIONRec			AuditInformation;
		double              			MaxQty;
		FT_C_AUTO_RESPONSEEnum			AutoResponse;
		FT_C_FLAGEnum       			Enabled;
} FT_C_TRADING_BOOK_AUTO_NEGRec, *FT_C_TRADING_BOOK_AUTO_NEGPtr;


typedef struct {		/* FT_C_CUSTOMER_PER_OPER_ID (30301) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			CustomerMemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			IsPrimarySales[FT_C_OPERATOR_LEN + 1];
		FT_C_AUDIT_INFORMATIONRec			AuditInformation;
} FT_C_CUSTOMER_PER_OPERRec, *FT_C_CUSTOMER_PER_OPERPtr;


typedef struct {		/* FT_C_CUST_OP_EXCL_LIST_ID (30302) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			BuySideMemberID[FT_C_MEMBER_LEN + 1];
		char                			BuySideOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_AUDIT_INFORMATIONRec			AuditInformation;
} FT_C_CUST_OP_EXCL_LISTRec, *FT_C_CUST_OP_EXCL_LISTPtr;


typedef struct {		/*  (0) */
		char                			CounterpartMemberID[FT_C_MEMBER_LEN + 1];
		unsigned long       			Account;
} FT_C_TAG_CPTY_INFORec, *FT_C_TAG_CPTY_INFOPtr;


typedef struct {		/*  (0) */
		char                			Name[FT_C_TAG_NAME_LEN + 1];
} FT_C_TAG_NAMERec, *FT_C_TAG_NAMEPtr;


typedef struct {		/*  (0) */
		char                			Value[FT_C_TAG_VALUE_LEN + 1];
} FT_C_TAG_VALUERec, *FT_C_TAG_VALUEPtr;


typedef struct {		/* FT_C_MEMBER_TAG_ACCOUNT_ID (30289) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		FT_C_TAG_NAMERec    			Tags[FT_C_TAG_NUMBER];
		FT_C_AUDIT_INFORMATIONRec			AuditInformation;
} FT_C_MEMBER_TAG_ACCOUNTRec, *FT_C_MEMBER_TAG_ACCOUNTPtr;


typedef struct {		/* FT_C_MEMBER_TAG_ACCOUNT_VALUES_ID (30290) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		FT_C_TAG_CPTY_INFORec			CptyInfo;
		FT_C_TAG_TYPEEnum   			TagType;
		FT_C_AUDIT_INFORMATIONRec			AuditInformation;
		FT_C_TAG_VALUERec   			Tags[FT_C_TAG_NUMBER];
} FT_C_MEMBER_TAG_ACCOUNT_VALUESRec, *FT_C_MEMBER_TAG_ACCOUNT_VALUESPtr;


typedef struct {		/*  (0) */
		double              			Price;
		double              			Yield;
		double              			Quantity;
		unsigned long       			SettlementDate;
		unsigned long       			MaturityDate;
		FT_C_FILL_ACTIONEnum			Status;
} FT_C_MODIFY_PARAMETERRec, *FT_C_MODIFY_PARAMETERPtr;


typedef struct {		/*  (0) */
		unsigned long       			InitialDate;
		unsigned long       			FinalDate;
		char                			StartDateID[FT_C_DATE_LEN + 1];
		char                			EndDateID[FT_C_DATE_LEN + 1];
		double              			Haircut;
		double              			SpotPrice;
} FT_C_MODIFY_PARAMETER_EXTRec, *FT_C_MODIFY_PARAMETER_EXTPtr;


typedef struct {		/* FT_C_FILL_CORRECT_OR_CANCEL_ID (30291) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			ISINCode[FT_C_ISIN_LEN + 1];
		char                			FillID[FT_C_FILL_LEN + 1];
		FT_C_FILL_USER_INFORec			User;
		FT_C_FILL_COUNTERPART_INFORec			Counterpart;
		unsigned long       			FillDate;
		unsigned long       			FillTime;
		FT_C_VERBEnum       			Verb;
		FT_C_AUDIT_INFORMATIONRec			AuditInformation;
		FT_C_MODIFY_PARAMETERRec			Modified;
		FT_C_FILL_CORRECT_OR_CANCEL_STATUSEnum			Status;
		FT_C_FILL_CORRECT_OR_CANCEL_STATUSEnum			CounterpartStatus;
		FT_C_MAT_DATE_INTVRec			MatDateIntv;
		unsigned long       			ValidityDate;
		unsigned long       			ValidityTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			CorrectedFillID[FT_C_FILL_LEN + 1];
		char                			RefRfqID[FT_C_ORDER_LEN + 1];
		FT_C_MODIFY_PARAMETER_EXTRec			ModifiedParamsExt;
} FT_C_FILL_CORRECT_OR_CANCELRec, *FT_C_FILL_CORRECT_OR_CANCELPtr;


typedef struct {		/*  (0) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			ISINCode[FT_C_ISIN_LEN + 1];
		char                			PrimaryRef[FT_C_SEC_REF_LEN + 1];
		FT_C_SECURITY_TYPEEnum			SecurityType;
		double              			LotSize;
		unsigned long       			MaturityDate;
		FT_C_OPTION_TYPEEnum			OptionType;
		double              			StrikePrice;
		FT_C_REPO_CLASSEnum 			RepoClass;
		char                			Term[FT_C_TERM_LEN + 1];
		unsigned long       			StartDate;
		unsigned long       			EndDate;
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		char                			Issuer[FT_C_ISSUER_LEN + 1];
		char                			FloatRateID[FT_C_FLOAT_RATE_LEN + 1];
		FT_C_SECURITY_INFORec			SecInfo;
} FT_C_OTC_SECURITYRec, *FT_C_OTC_SECURITYPtr;


typedef struct {		/*  (0) */
		FT_C_OTC_SECURITYRec			OtcSec;
		double              			Price;
		double              			Yield;
		double              			Qty;
		FT_C_VERBEnum       			Verb;
		FT_C_CLIENT_INFORec 			Client;
		unsigned long       			SettlDate;
		double              			NominalValue;
		double              			SettlementAmount;
		double              			FeesAmount;
		double              			EndPrice;
		double              			SpotPrice;
		double              			Haircut;
		double              			Rate;
		double              			SpotCollLoan;
		double              			EndCollLoan;
		double              			SpotAccIntFact;
		double              			EndAccIntFactor;
		FT_C_SHORT_SELL_TYPEEnum			ShortSellType;
		char                			FTProductID[FT_C_SEC_LEN + 1];
		char                			SettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
		char                			CounterpartSettlSystemID[FT_C_SETTL_SYSTEM_LEN + 1];
} FT_C_OTC_LEGRec, *FT_C_OTC_LEGPtr;


typedef struct {		/* FT_C_OTC_FILL_MLEG_ID (30292) */
		FT_C_OTC_LEGRec     			Leg[FT_C_TRADINGLEG_LEN];
		char                			OtcID[FT_C_FILL_LEN + 1];
		char                			MrkOtcID[FT_C_FILL_LEN + 1];
		char                			ClientOTCID[FT_C_CLIENT_ORDER_LEN + 1];
		FT_C_CROSS_OTC_STATUSEnum			Status;
		FT_C_CROSS_OTC_STATUSEnum			SubStatus;
		FT_C_MEMBER_INFORec 			Issuer;
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_FILL_COUNTERPART_INFORec			Counterpart;
		FT_C_CROSS_OTC_STATUSEnum			CounterpartStatus;
		char                			ClearingMemberID[FT_C_MEMBER_LEN + 1];
		FT_C_OTC_TYPEEnum   			Type;
		FT_C_FLAGEnum       			OutSystem;
		char                			UserText[FT_C_USER_TEXT_LEN + 1];
		char                			ParentOrderID[FT_C_ORDER_LEN + 1];
		unsigned long       			ValidityDate;
		unsigned long       			ValidityTime;
		unsigned long       			FillDate;
		unsigned long       			FillTime;
		unsigned long       			FillTimeMicroSec;
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			CreationTimeMicroSec;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		unsigned long       			UpdateTimeMicroSec;
		unsigned long       			OrderCreationDate;
		unsigned long       			OrderCreationTime;
		unsigned long       			OrderCreationTimeMicroSec;
		FT_C_FLAGEnum       			PTTOffMrkPriceOperation;
		FT_C_FLAGEnum       			PTTReportOperation;
		FT_C_FLAGEnum       			PTTAgreedOperation;
		char                			PTTVenue[FT_C_VENUE_LEN + 1];
		FT_C_FLAGEnum       			PTTDelay;
		FT_C_CLEARING_MODEEnum			ClearingMode;
		FT_C_FLAGEnum       			CCPOnlyFlag;
		FT_C_FLAGEnum       			BilateralOnlyFlag;
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		FT_C_IN_OUT_FLAGEnum			InOutFlag;
		char                			ClearingHouseID[FT_C_CLEARING_HOUSE_LEN + 1];
		FT_C_FIRM_INFORec   			InvestmentDecisionFirm;
		FT_C_FIRM_INFORec   			ExecutionDecisionFirm;
		FT_C_FLAG_UNDEnum   			RiskReduction;
		unsigned long       			OrigClientShortCode;
		unsigned long       			TransmittingFirmShortCode;
		unsigned long       			TradingVenueSeqNo;
		FT_C_LIQUIDITY_INDICATOREnum			Aggressor;
		char                			MMTFlags[FT_C_MMT_FLAGS_LEN + 1];
		unsigned long       			SeqNo;
		FT_C_MIFID_CLIENT_TYPEEnum			OrigClientFirmType;
} FT_C_OTC_FILL_MLEGRec, *FT_C_OTC_FILL_MLEGPtr;


typedef struct {		/* FT_C_PAYMENT_FREQUENCES_ID (30293) */
		char                			PaymentFrequency[FT_C_PAYFREQ_LEN + 1];
		char                			UnderlyingFTSecID[FT_C_SEC_LEN + 1];
		FT_C_FLAGEnum       			DefaultFlag;
} FT_C_PAYMENT_FREQUENCESRec, *FT_C_PAYMENT_FREQUENCESPtr;


typedef struct {		/* FT_C_RFCQ_SECURITY_EXCLUSION_ID (30294) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			CounterpartMemberID[FT_C_MEMBER_LEN + 1];
		char                			FTSecID[FT_C_SEC_LEN + 1];
		FT_C_STATUSEnum     			Status;
		FT_C_AUDIT_INFORMATIONRec			AuditInformation;
		FT_C_ISSUER_EXCL_TYPEEnum			ExclusionType;
} FT_C_RFCQ_SECURITY_EXCLUSIONRec, *FT_C_RFCQ_SECURITY_EXCLUSIONPtr;


typedef struct {		/*  (0) */
		FT_C_FLAGEnum       			UserEnabled;
		int                 			Min;
		int                 			Max;
		int                 			Default;
		int                 			Value;
} FT_C_RFQ_TIMEOUTRec, *FT_C_RFQ_TIMEOUTPtr;


typedef struct {		/* FT_C_RFQ_TYPE_MAPPING_ID (30295) */
		FT_C_RFCQ_MLEG_TYPEEnum			RfcqMlegType;
		FT_C_RFQ_TYPEEnum   			RfqType;
		FT_C_RFCQ_PRICE_TYPEEnum			RfcqPriceType;
		char                			RFQTypeID[FT_C_RFQTYPE_LEN + 1];
} FT_C_RFQ_TYPE_MAPPINGRec, *FT_C_RFQ_TYPE_MAPPINGPtr;


typedef struct {		/* FT_C_RFQ_PROFILE_PER_RFQTYPE_ID (30296) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			RFQTypeID[FT_C_RFQTYPE_LEN + 1];
		char                			RFQProfileID[FT_C_RFQPROFILE_LEN + 1];
} FT_C_RFQ_PROFILE_PER_RFQTYPERec, *FT_C_RFQ_PROFILE_PER_RFQTYPEPtr;


typedef struct {		/* FT_C_RFQ_PROFILE_ID (30297) */
		char                			RFQProfileID[FT_C_RFQPROFILE_LEN + 1];
		FT_C_RFQ_WHOCANRECEIVERFQQUOTEEnum			WhoCanReceiveRFQQuote;
		FT_C_FLAGEnum       			AnonymousRFQ;
		FT_C_WRONG_IMAGE_CHECKEnum			WrongProposalImageCheck;
		FT_C_FLAGEnum       			CanSendOutrightRFQ;
		FT_C_FLAGEnum       			CanSendSwitchRFQ;
		FT_C_FLAGEnum       			CanSendButterflyRFQ;
		FT_C_FLAGEnum       			CanUseDestinationTypeAll;
		FT_C_FLAGEnum       			CanUseDestinationTypePrimary;
		FT_C_FLAGEnum       			CanUseDestinationTypeSelected;
		FT_C_FLAGEnum       			CanUseDestinationTypeProfile;
		FT_C_FLAGEnum       			CanUseDestinationTypeCCP;
		FT_C_FLAGEnum       			CanSpecifyBilateralOnly;
		FT_C_FLAGEnum       			CanSpecifyCCPOnly;
		FT_C_FLAGEnum       			CanSendCustomSettlementDate;
		FT_C_RFQ_TYPE_DURATIONEnum			CanSendDurationCustom;
		FT_C_RFQ_TYPE_DURATIONEnum			CanSendDurationDay;
		FT_C_FLAGEnum       			CanSendAcceptMarketBest;
		FT_C_FLAGEnum       			CanSendRFQActionNoAction;
		FT_C_FLAGEnum       			CanSendRFQActionSuspend;
		FT_C_FLAGEnum       			CanSendRFQActionDecreaseQty;
		FT_C_FLAGEnum       			CanSendMemberActionTradeOff;
		FT_C_FLAGEnum       			CanSendMemberActionUnwelcome;
		FT_C_RFQ_TIMEOUTRec 			RFQTimeout;
		FT_C_RFQ_TIMEOUTRec 			QuoteTimeout;
		FT_C_RFQ_TIMEOUTRec 			AutoMatchTimeout;
		int                 			MinQuoteEditInterval;
		FT_C_RFQ_TIMEOUTRec 			PriceRFQTimeout;
		FT_C_RFQ_TIMEOUTRec 			PriceQuoteTimeout;
		FT_C_RFQ_TIMEOUTRec 			MLegRFQTimeout;
		FT_C_RFQ_TIMEOUTRec 			MLegPriceRFQTimeout;
		FT_C_FLAGEnum       			CanSendBuySellRFQ;
		FT_C_RFQ_TIMEOUTRec 			LastLookTimeout;
		FT_C_FLAGEnum       			CanOrderBeLessQtyThanQuote;
		FT_C_RFQ_LEG_TYPEEnum			CanMinQtyMatchWithMoreQuotes;
		FT_C_FLAGEnum       			CanSendMlegRFQWithoutPrice;
		FT_C_FLAGEnum       			ForceAutomaticMatch;
		FT_C_FLAGEnum       			ForceRFQCloseAfterFirstFill;
		FT_C_FLAGEnum       			CanSellSideSendMultipleQuotes;
		FT_C_FLAGEnum       			CanSellSideSendLessQtyThanRFQ;
		FT_C_FLAGEnum       			CanSendMinQtyLessThanQtyRFQ;
		FT_C_FLAGEnum       			OTWEnabled;
		int                 			OTWRefresh;
		FT_C_ENABLED_COUNTERINGEnum			EnabledCountering;
		FT_C_QUOTE_STATUS_AFTER_LAST_LOOKEnum			QuoteStatusAfterLastLook;
		FT_C_FLAGEnum       			EnableRFQFromPrivateOfferings;
		int                 			MaxRecipientNo;
		double              			MaxQty;
		unsigned long       			MinimumQty;
		FT_C_RFQ_TIMEOUTRec 			ResponseTimeOut;
		FT_C_RFQ_TIMEOUTRec 			CounteringTimeout;
		FT_C_RFQ_TIMEOUTRec 			DueInTimeOut;
		FT_C_RFQ_TIMEOUTRec 			GoodForTimeout;
		FT_C_MATURITY_RULEEnum			MaturityRule;
		int                 			MaxListItem;
		int                 			MaxRFQNoPerOperator;
		FT_C_FLAGEnum       			AutotraderRouting;
		FT_C_FLAGEnum       			OperatorRouting;
		FT_C_FLAG_UNDEnum   			EarlyRelease;
		FT_C_AUTOMATCH_CRITERIAEnum			MultilegAutomatchCriteria;
		int                 			MinLimitOrderValidity;
		FT_C_RFQ_VERBEnum   			RFQEnabledVerb;
		FT_C_FLAGEnum       			CanSendMaturityDate;
		FT_C_FLAGEnum       			CanSendSettlDateInQuote;
		FT_C_FLAGEnum       			CanSendQtyHigherInQuote;
		FT_C_FLAGEnum       			QuoteIDInDestinationUserText;
		FT_C_FLAGEnum       			ForceSameDestinationInList;
		FT_C_FLAGEnum       			CanSendSettlementSystem;
		unsigned long       			TimeoutToSendFirstQuote;
		unsigned long       			ListGoodForLimit;
		FT_C_QTY_CHANGEEnum 			CanSellSideChangeQty;
		FT_C_FLAGEnum       			DisableEditPriceDuringLastLook;
		FT_C_FLAGEnum       			CanDeleteRFQBeforeQuote;
		FT_C_QUOTE_STATUS_AFTER_LAST_LOOKEnum			QuoteStatusAfterLastLookTimeout;
		unsigned short      			MaxOTWNum;
		FT_C_NO_LAST_LOOKEnum			NoLastLook;
} FT_C_RFQ_PROFILERec, *FT_C_RFQ_PROFILEPtr;


typedef struct {		/* FT_C_OPERATOR_IP_RANGES_ID (30298) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			CIDR[FT_C_CIDR_LEN + 1];
		FT_C_ADDRESS_TYPEEnum			RangeType;
		FT_C_RANGE_RULE_STATUSEnum			Status;
		char                			CurrentCIDR[FT_C_CIDR_LEN + 1];
		FT_C_ADDRESS_TYPEEnum			CurrentRangeType;
		FT_C_RANGE_RULE_STATUSEnum			CurrentStatus;
		FT_C_AUDIT_INFORMATIONRec			AuditInfo;
} FT_C_OPERATOR_IP_RANGESRec, *FT_C_OPERATOR_IP_RANGESPtr;


typedef struct {		/* FT_C_OPERATOR_ACCOUNT_EXCL_ID (30300) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			Account;
		FT_C_AUDIT_INFORMATIONRec			AuditInfo;
} FT_C_OPERATOR_ACCOUNT_EXCLRec, *FT_C_OPERATOR_ACCOUNT_EXCLPtr;


typedef enum {		/*  (0) */
		FT_C_COMP_REPORT_TYPE_Composite,
		FT_C_COMP_REPORT_TYPE_Competitive,
		FT_C_COMP_REPORT_TYPE_Both,
		EEFT_C_COMP_REPORT_TYPE = -99999
} FT_C_COMP_REPORT_TYPEEnum;


typedef struct {		/* FT_C_QUOTE_QUERY_PARAM_ID (30303) */
		char                			RFQID[FT_C_ORDER_LEN + 1];
		FT_C_COMP_REPORT_TYPEEnum			CompReportType;
} FT_C_QUOTE_QUERY_PARAMRec, *FT_C_QUOTE_QUERY_PARAMPtr;


typedef struct {		/*  (0) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		FT_C_VERBEnum       			Verb;
		double              			BestX;
		double              			CompositeQuote;
		FT_C_QUOTING_TYPEEnum			CompositePriceType;
} FT_C_COMP_QUOTE_LEGRec, *FT_C_COMP_QUOTE_LEGPtr;


typedef struct {		/*  (0) */
		FT_C_SPREAD_SPOT_TYPEEnum			SpreadSpotType;
		char                			BenchFTSecID[FT_C_SEC_LEN + 1];
		double              			SpreadBest;
} FT_C_COMP_QUOTE_LEG_EXTRec, *FT_C_COMP_QUOTE_LEG_EXTPtr;


typedef struct {		/* FT_C_COMPOSITE_QUOTE_QUERY_ROW_ID (30304) */
		char                			RFQID[FT_C_ORDER_LEN + 1];
		FT_C_COMP_QUOTE_LEGRec			CompQuoteLeg[FT_C_TRADINGLEG_LEN];
		FT_C_COMP_QUOTE_LEG_EXTRec			CompQuoteLegExt[FT_C_TRADINGLEG_LEN];
} FT_C_COMPOSITE_QUOTE_QUERY_ROWRec, *FT_C_COMPOSITE_QUOTE_QUERY_ROWPtr;


typedef struct {		/*  (0) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		FT_C_VERBEnum       			Verb;
		double              			CompDealerQuote;
		FT_C_QUOTING_TYPEEnum			CompDealerQuoteType;
		FT_C_RFQ_QUOTE_STATUSEnum			CompDealerStatus;
} FT_C_COMP_DEALER_LEGRec, *FT_C_COMP_DEALER_LEGPtr;


typedef struct {		/*  (0) */
		FT_C_SPREAD_SPOT_TYPEEnum			SpreadSpotType;
		char                			BenchFTSecID[FT_C_SEC_LEN + 1];
		double              			SpreadCompDealerQuote;
} FT_C_COMP_DEALER_LEG_EXTRec, *FT_C_COMP_DEALER_LEG_EXTPtr;


typedef struct {		/* FT_C_COMPETITIVE_DEALER_QUERY_ROW_ID (30305) */
		char                			RFQID[FT_C_ORDER_LEN + 1];
		unsigned long       			NoCompDealers;
		char                			CompMemberID[FT_C_MEMBER_LEN + 1];
		FT_C_COMP_DEALER_LEGRec			CompMemberInfo[FT_C_TRADINGLEG_LEN];
		FT_C_COMP_DEALER_LEG_EXTRec			CompMemberInfoExt[FT_C_TRADINGLEG_LEN];
} FT_C_COMPETITIVE_DEALER_QUERY_ROWRec, *FT_C_COMPETITIVE_DEALER_QUERY_ROWPtr;


typedef struct {		/*  (0) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		double              			IndPrice;
		double              			IndYield;
		FT_C_FLAGEnum       			IsValidIndYield;
		FT_C_FLAGEnum       			IsIndSubject;
		double              			TierPrice;
		double              			TierYield;
		FT_C_FLAGEnum       			IsValidTierYield;
		FT_C_FLAGEnum       			IsTierSubject;
		double              			BmkIndPrice;
		double              			BmkIndYield;
		FT_C_FLAGEnum       			BmkValidIndYield;
		double              			BmkTierPrice;
		double              			BmkTierYield;
		FT_C_FLAGEnum       			BmkValidTierYield;
		double              			CompPrice;
		double              			CompYield;
		FT_C_FLAGEnum       			IsValidCompYield;
		double              			BmkCompPrice;
		double              			BmkCompYield;
		FT_C_FLAGEnum       			BmkValidCompYield;
} FT_C_EXTRAINFO_STREAM_LEGRec, *FT_C_EXTRAINFO_STREAM_LEGPtr;


typedef struct {		/* FT_C_RFQ_MLEG_STREAM_INFO_ID (30306) */
		char                			RfqID[FT_C_ORDER_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		FT_C_EXTRAINFO_STREAM_LEGRec			Leg[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_EXTRAINFO_STREAM_LEGRec			AskLeg[FT_C_EXT_TRADINGLEG_LEN];
		double              			CompSpread[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_FLAGEnum       			IsValidCompSpread[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_RFQ_DEALER_RUN_INFORec			DealerRuns[FT_C_EXT_TRADINGLEG_LEN];
		FT_C_RFQ_REPO_RATE_INFORec			RepoRate[FT_C_EXT_TRADINGLEG_LEN];
} FT_C_RFQ_MLEG_STREAM_INFORec, *FT_C_RFQ_MLEG_STREAM_INFOPtr;


typedef struct {		/* FT_C_SPREAD_SPOT_TIME_ID (30314) */
		char                			SpreadSpotTimeID[FT_C_SPREAD_TIMEID_LEN + 1];
		char                			SpreadSpotTimeDescription[FT_C_USER_TEXT_LEN + 1];
		unsigned long       			SpotTime;
		FT_C_FLAGEnum       			IsDefault;
		int                 			SecondsBeforeUsingBackupPrices;
} FT_C_SPREAD_SPOT_TIMERec, *FT_C_SPREAD_SPOT_TIMEPtr;


typedef struct {		/* FT_C_SPREAD_SPOT_DATA_ID (30315) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			SpreadSpotTimeID[FT_C_SPREAD_TIMEID_LEN + 1];
		unsigned long       			SpreadSpotDate;
		unsigned long       			SpreadSpotTime;
		unsigned long       			SpreadSpotTimeMicroSec;
		char                			RefSpottingQuoteID[FT_C_ORDER_LEN + 1];
		unsigned long       			RefSpottingQuoteSeqNo;
		double              			BenchmarkBidPrice;
		double              			BenchmarkAskPrice;
		double              			BenchmarkBidYield;
		double              			BenchmarkaskYield;
		FT_C_SPREAD_CALCULATION_TYPEEnum			SpreadCalculationType;
		unsigned long       			PriceDate;
		unsigned long       			PriceTime;
} FT_C_SPREAD_SPOT_DATARec, *FT_C_SPREAD_SPOT_DATAPtr;


typedef struct {		/* FT_C_EXEC_ID (30001) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		double              			Price;
		double              			Qty;
		double              			PercVar;
		FT_C_SIGNEnum       			Trend;
		unsigned long       			Date;
		unsigned long       			Time;
		unsigned long       			UpdateTimeMicroSec;
		unsigned long       			Counter;
		double              			Yield;
		FT_C_VERBEnum       			Verb;
		FT_C_EXEC_TYPEEnum  			ExecType;
		FT_C_TRADING_PHASEEnum			Phase;
		char                			MMTFlags[FT_C_MMT_FLAGS_LEN + 1];
		char                			TransactionIdentificationCode[FT_C_FILLEXT_LEN + 1];
		unsigned long       			PublicationTime;
		double              			VWAP;
		char                			MIC[FT_C_MIC_LEN + 1];
		char                			PriceSeries[FT_C_PRICE_SERIES_LEN + 1];
} FT_C_EXECRec, *FT_C_EXECPtr;


typedef struct {		/* FT_C_EXEC_STAT_ID (30020) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		double              			CumQty;
		double              			LowestPrice;
		double              			HighestPrice;
		unsigned long       			Date;
		unsigned long       			Time;
		unsigned long       			UpdateTimeMicroSec;
		double              			CumNominalValue;
		unsigned long       			NumberOfTrades;
		FT_C_EXEC_TYPEEnum  			ExecType;
		double              			OpeningPrice;
		double              			ClosingPrice;
		long                			OpenInterest;
		char                			MIC[FT_C_MIC_LEN + 1];
		char                			PriceSeries[FT_C_PRICE_SERIES_LEN + 1];
} FT_C_EXEC_STATRec, *FT_C_EXEC_STATPtr;


typedef struct {		/* FT_C_RFCQ_TRADING_LIST_SUMMARY_ID (30021) */
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			TradingListID[FT_C_SHORTID_LEN + 1];
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		char                			BuySideMemberID[FT_C_MEMBER_LEN + 1];
		char                			BuySideMrkOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_RFCQ_REQUEST_STATUSEnum			Status;
		FT_C_RFCQ_PROVIDER_STATUSEnum			ProviderStatus;
		unsigned long       			ClosingTime;
		unsigned short      			SellSideNumber;
		unsigned short      			ParticipatingSellSideNumber;
		FT_C_RFCQ_COVER_INFORec			PriceCoverInfo;
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		unsigned short      			NumOfLegs;
		double              			Qty;
		double              			NominalValue;
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		FT_C_TRADING_LIST_TYPEEnum			ListType;
		double              			TotalNPV;
		double              			TotalOppositeNPV;
		double              			TotalUMid;
		FT_C_RFCQ_COVER_INFORec			OppositePriceCoverInfo;
} FT_C_RFCQ_TRADING_LIST_SUMMARYRec, *FT_C_RFCQ_TRADING_LIST_SUMMARYPtr;


typedef struct {		/* FT_C_BMK_GROUP_ID (30022) */
		char                			BmkGroupID[FT_C_BMK_GROUP_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
} FT_C_BMK_GROUPRec, *FT_C_BMK_GROUPPtr;


typedef struct {		/* FT_C_BMK_GROUP_SEC_ID (30026) */
		char                			BmkGroupID[FT_C_BMK_GROUP_LEN + 1];
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			ISINCode[FT_C_ISIN_LEN + 1];
		char                			Currency[FT_C_CURRENCY_LEN + 1];
} FT_C_BMK_GROUP_SECRec, *FT_C_BMK_GROUP_SECPtr;


typedef struct {		/*  (0) */
		char                			RfqQuoteID[FT_C_ORDER_LEN + 1];
		unsigned long       			RfqQuoteUpdateDate;
		unsigned long       			RfqQuoteUpdateTime;
		unsigned long       			RfqQuoteSeqNo;
		char                			RfqRefID[FT_C_ORDER_LEN + 1];
		FT_C_RFQ_ORDER_QUOTE_ACTIONEnum			QuoteAction;
} FT_C_RFQ_MASS_RFQ_ORDER_QUOTERec, *FT_C_RFQ_MASS_RFQ_ORDER_QUOTEPtr;


typedef struct {		/* FT_C_RFQ_BULK_RFQ_ORDER_ID (30031) */
		char                			RequestID[FT_C_ORDER_LEN + 1];
		char                			TradingListID[FT_C_SHORTID_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		FT_C_RFQ_MASS_RFQ_ORDER_QUOTERec			Quotes[QUOTES_BULK_LEN];
		FT_C_RFQ_MEMBER_INFORec			Issuer;
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			CreationTimeMicroSec;
		char                			UserText[FT_C_USER_TEXT_LEN + 1];
		FT_C_CLIENT_INFORec 			Client;
		FT_C_FIRM_INFORec   			InvestmentDecisionFirm;
		FT_C_FIRM_INFORec   			ExecutionDecisionFirm;
} FT_C_RFQ_BULK_RFQ_ORDERRec, *FT_C_RFQ_BULK_RFQ_ORDERPtr;


typedef struct {		/* FT_C_LAST_ERR_DESC_ID (30033) */
		char                			OrderID[FT_C_ORDER_LEN + 1];
		char                			LastErrorDescription[FT_C_ERROR_LEN + 1];
} FT_C_LAST_ERR_DESCRec, *FT_C_LAST_ERR_DESCPtr;


typedef struct {		/* FT_C_PLATFORM_EMULATED_ID (30034) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		FT_C_FLAGEnum       			TIFEmulated;
		FT_C_FLAGEnum       			OrderTypeEmulated;
		FT_C_FLAGEnum       			TIFEnabled;
		FT_C_FLAGEnum       			OrderTypeEnabled;
		FT_C_ENTITY_ACTIONEnum			Action;
		char                			ActionOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			ActionDate;
		unsigned long       			ActionTime;
} FT_C_PLATFORM_EMULATEDRec, *FT_C_PLATFORM_EMULATEDPtr;


#endif

#ifndef		__FT_ERRORS_D__
#define		__FT_ERRORS_D__

typedef enum {		/*  (0) */
		MM_ERR_COMMIT,
		MM_ERR_GENERIC,
		MM_ERR_UNKNOWN_LANGUAGE,
		MM_ERR_UNKNOWN_ERROR,
		MM_ERR_ORDER_UNKNOWN,
		MM_ERR_NULL_TRANSACTION,
		MM_ERR_INVALID_FTSECURITY,
		MM_ERR_W_REFPRICE_VARIATION,
		MM_ERR_B_REFPRICE_VARIATION,
		MM_ERR_W_BESPRICE_VARIATION,
		MM_ERR_B_BESPRICE_VARIATION,
		MM_ERR_W_QTY,
		MM_ERR_B_QTY,
		MM_ERR_W_FREQUENCY_MIN,
		MM_ERR_B_FREQUENCY_MIN,
		MM_ERR_W_FREQUENCY_HOUR,
		MM_ERR_B_FREQUENCY_HOUR,
		MM_ERR_REPLY_NotConnectedToADA,
		MM_ERR_REPLY_NotConnectedToEQ,
		MM_ERR_DB,
		MM_ERR_LOWERBOUND,
		MM_ERR_UPPERBOUND,
		MM_ERR_CLIENTID,
		MM_ERR_CON_DB,
		MM_ERR_DESKID,
		MM_ERR_OP_PERMISSION,
		MM_ERR_OPERATOR,
		MM_ERR_ENX_MEMBER,
		MM_ERR_OPERATOR_DESK,
		MM_ERR_OPERATOR_PERMISSION_ADM,
		MM_ERR_DESKIDNOTFOUND,
		MM_ERR_INVAL_ORIGIN,
		MM_ERR_INVAL_ACCOUNT,
		MM_ERR_W_DAILY_QUANTITY,
		MM_ERR_DAILY_QUANTITY,
		MM_ERR_ACCOUNT_ALIAS,
		MM_ERR_B_COUNTERVALUE_EXCEED,
		MM_ERR_DAILY_BUY_QUANTITY,
		MM_ERR_DAILY_SELL_QUANTITY,
		MM_ERR_OPERATOR_NULL,
		MM_ERR_BASE_CURRENCY,
		MM_ERR_INVAL_ORDER,
		MM_ERR_ORDER_STATUS,
		MM_ERR_INVAL_MESSAGE,
		MM_ERR_INVAL_DESTINATION,
		MM_ERR_UNKNOWN_CLASS,
		MM_ERR_TIME_PARAM,
		MM_ERR_NVAL_TIME_INFORCE,
		MM_ERR_OPERATOR_NOTFOUND,
		MM_ERR_MARKET_NOT_RUNNING,
		MM_ERR_LAST_ADMINISTRATOR,
		MM_ERR_NVAL_ORIGIN,
		MM_ERR_NVAL_VERB,
		MM_ERR_QTY_PARAM,
		MM_ERR_INVAL_ORDER_TYPE,
		MM_ERR_INVAL_CLRNG_MODE,
		MM_ERR_INVAL_POSITION,
		MM_ERR_INVAL_STP_TRG_MCH,
		MM_ERR_ADP_NO_TRANS,
		MM_ERR_INVAL_EXCHANGEID,
		MM_ERR_INVAL_MARKETID,
		MM_ERR_NO_MRK_OPERATOR,
		MM_ERR_SEND_TX_ERROR,
		MM_ERR_MARKET_CLOSE,
		MM_ERR_MARKET_NO_CONN,
		MM_ERR_SECURITY_SUSP,
		MM_ERR_MRKORD_NO_PRICE,
		MM_ERR_MARKET_ERROR,
		MM_ERR_USER_NO_LOG,
		MM_ERR_USER_NO_PRIV,
		MM_ERR_WRONG_ACTION,
		MM_ERR_WRONG_TID,
		MM_ERR_SEC_PHASE_NO_TRANS,
		MM_ERR_SUPER_OPERATOR,
		MM_ERR_SEC_NO_ADD,
		MM_ERR_I_QTY,
		MM_ERR_NO_DEL_GLOBAL,
		MM_ERR_CONN_LOST,
		MM_ERR_REPLY_NotConSentinel,
		MM_ERR_INVAL_CLIPROFILEID,
		MM_ERR_INVAL_PARENTPROFILEID,
		MM_ERR_CLPROFILENOTDEL,
		MM_ERR_CLIPROFILELOOP,
		MM_ERR_CLPROFNOTEXIST,
		MM_ERR_B_CLIENT_NOT_PROFILED,
		MM_ERR_B_QTB_REFPRICE_VARIATION,
		MM_ERR_B_QTS_REFPRICE_VARIATION,
		MM_ERR_B_QTB_BESPRICE_VARIATION,
		MM_ERR_B_QTS_BESPRICE_VARIATION,
		MM_ERR_B_QTB_QTY,
		MM_ERR_B_QTS_QTY,
		MM_ERR_QTB_DAILY_QUANTITY,
		MM_ERR_QTS_DAILY_QUANTITY,
		MM_ERR_QTB_DAILY_BUY_QUANTITY,
		MM_ERR_QTS_DAILY_BUY_QUANTITY,
		MM_ERR_QTB_DAILY_SELL_QUANTITY,
		MM_ERR_QTS_DAILY_SELL_QUANTITY,
		MM_ERR_B_QTB_FREQUENCY_MIN,
		MM_ERR_B_QTS_FREQUENCY_MIN,
		MM_ERR_B_QTB_FREQUENCY_HOUR,
		MM_ERR_B_QTS_FREQUENCY_HOUR,
		MM_ERR_B_QTB_COUNTERVALUE_EXCEED,
		MM_ERR_B_QTS_COUNTERVALUE_EXCEED,
		MM_ERR_ISSUE_ORDER_NOT_ENABLED,
		MM_ERR_REL_QTY_NOT_ENABLED,
		MM_ERR_CARE_ORDER_INSUF_QTY,
		MM_ERR_INVAL_CARE_ORDER,
		MM_ERR_CARE_ORDER_INVAL_SPLIT,
		MM_ERR_CARE_ORDER_INVAL_DATA,
		MM_ERR_INVAL_VIS_QTY,
		MM_ERR_INVAL_QTY,
		MM_ERR_CARE_ORDER_FLAG,
		MM_ERR_CARE_ORDER_SPLIT_TIME_EXP,
		MM_ERR_SPLIT_MANDATORY,
		MM_ERR_CARE_ORDER_PARENT,
		MM_ERR_INVAL_MIN_QTY,
		MM_ERR_CARE_ORD_NOT_EDIT,
		MM_ERR_CARE_ORD_FLAG_NOT_EDIT,
		MM_ERR_CARE_ORDER_INACTIVE,
		MM_ERR_CARE_ORDER_NOT_DEL,
		MM_ERR_NVAL_VALIDITYDATE,
		MM_ERR_CO_SON_NOSPLIT,
		MM_ERR_QTY_GREAT_CO_REL_Q,
		MM_ERR_WORSE_PRICE,
		MM_ERR_SON_WORSE_PRICE,
		MM_ERR_MERGE_INVAL_VERB,
		MM_ERR_MERGE_CLIENTID,
		MM_ERR_MERGE_CLIENTACCOUNT,
		MM_ERR_MERGE_TIMEINFORCE,
		MM_ERR_MERGE_CARE_SON,
		MM_ERR_MERGE_STATUS,
		MM_ERR_CARE_ORDER_LOCKED,
		MM_ERR_CARE_ORDER_LOCKED2,
		MM_ERR_MERGE_ORDERDATE,
		MM_ERR_INVAL_CROSS_STATUS,
		MM_ERR_INVAL_OTC_ISIN,
		MM_ERR_INVAL_OTC_STATUS,
		MM_ERR_RM_THRESH_CONFIRM,
		MM_ERR_RM_THRESH_EXCEED,
		MM_ERR_NO_DAY_ORDER,
		MM_ERR_MERGE_OP_NO_CLI,
		MM_ERR_SPLIT_ACCOUNT,
		MM_ERR_SPLIT_ACCOUNT_TYPE,
		MM_ERR_SPLIT_ACCOUNT_SETTLE,
		MM_ERR_EDIT_RELEASED,
		MM_ERR_SETTLE_NEED_SPLIT,
		MM_ERR_INVAL_SETTLE_STATUS,
		MM_ERR_ORDER_ALR_RELEASED,
		MM_ERR_ORDER_SETTLE,
		MM_ERR_INVAL_PRC_YIELD,
		MM_ERR_USER_NO_PROF,
		MM_ERR_ADMIN_ALL_TREE,
		MM_ERR_GIVEOPERATOR_NULL,
		MM_ERR_INVAL_SETTLE_QTY,
		MM_ERR_INVAL_SETTLE_SON,
		MM_ERR_NO_GIVE_CARE_REL,
		MM_ERR_INVALID_PARAM,
		MM_ERR_INTERNAL_TX_ERROR,
		MM_ERR_ADAPTER_NOT_CORRECTLY_STARTED,
		MM_ERR_TID_NOT_FOUND,
		MM_ERR_TX_SUSPENDED,
		MM_ERR_QUOTE_ALREADY_EXISTS,
		MM_ERR_INVALID_USER,
		MM_ERR_INVALID_OPERATION,
		MM_ERR_STILL_FLYING_REQUEST,
		MM_ERR_REQUEST_LOST_ERROR,
		MM_ERR_MRK_OP_OVERLAPPED,
		MM_ERR_STOP_ACTIVATION,
		MM_ERR_STOP_ACTIVE,
		MM_ERR_STOP_TIMEOUT,
		MM_ERR_FILLDATE,
		MM_ERR_B_FREQUENCY_SEC,
		MM_ERR_EXCEEDED_WINDOW_SIZE,
		MM_ERR_INVAL_OTC_MRK,
		MM_ERR_HDAT_MEMB_LGN_PEND,
		MM_ERR_META_SYNCHRO,
		MM_ERR_DAILY_TOTAL_VALUE,
		MM_ERR_THRESH_TYPE_IntrMaxRelQty,
		MM_ERR_THRESH_TYPE_IntrMaxRelCv,
		MM_ERR_THRESH_TYPE_IntrMaxAbsQty,
		MM_ERR_THRESH_TYPE_IntrMaxAbsCv,
		MM_ERR_THRESH_TYPE_MaxDailyLoss,
		MM_ERR_THRESH_TYPE_MaxMonthlyLoss,
		MM_ERR_THRESH_TYPE_IntrMaxInitMarg,
		MM_ERR_THRESH_TYPE_IntrMaxPotNetPos,
		MM_ERR_THRESH_TYPE_IntrMaxPotGrossPos,
		MM_ERR_THRESH_TYPE_IntrMaxPotBidPos,
		MM_ERR_THRESH_TYPE_IntrMaxPotAskPos,
		MM_ERR_THRESH_TYPE_IntrMaxPotNetValue,
		MM_ERR_THRESH_TYPE_IntrMaxPotGrossValue,
		MM_ERR_THRESH_TYPE_IntrMaxPotBidValue,
		MM_ERR_THRESH_TYPE_IntrMaxPotAskValue,
		MM_ERR_THRESH_TYPE_IntrMaxPotInitMarg,
		MM_ERR_THRESH_TYPE_PotCreditRiskEquivalent,
		MM_ERR_THRESH_TYPE_TradingPower,
		MM_ERR_THRESH_TYPE_Cash,
		MM_ERR_THRESH_TYPE_PotCash,
		MM_ERR_THRESH_TYPE_ShortPotPosition,
		MM_ERR_THRESH_CONFIRM_TYPE_IntrMaxRelQty,
		MM_ERR_THRESH_CONFIRM_TYPE_IntrMaxRelCv,
		MM_ERR_THRESH_CONFIRM_TYPE_IntrMaxAbsQty,
		MM_ERR_THRESH_CONFIRM_TYPE_IntrMaxAbsCv,
		MM_ERR_THRESH_CONFIRM_TYPE_MaxDailyLoss,
		MM_ERR_THRESH_CONFIRM_TYPE_MaxMonthlyLoss,
		MM_ERR_THRESH_CONFIRM_TYPE_IntrMaxInitMarg,
		MM_ERR_THRESH_CONFIRM_TYPE_IntrMaxPotNetPos,
		MM_ERR_THRESH_CONFIRM_TYPE_IntrMaxPotGrossPos,
		MM_ERR_THRESH_CONFIRM_TYPE_IntrMaxPotBidPos,
		MM_ERR_THRESH_CONFIRM_TYPE_IntrMaxPotAskPos,
		MM_ERR_THRESH_CONFIRM_TYPE_IntrMaxPotNetValue,
		MM_ERR_THRESH_CONFIRM_TYPE_IntrMaxPotGrossValue,
		MM_ERR_THRESH_CONFIRM_TYPE_IntrMaxPotBidValue,
		MM_ERR_THRESH_CONFIRM_TYPE_IntrMaxPotAskValue,
		MM_ERR_THRESH_CONFIRM_TYPE_IntrMaxPotInitMarg,
		MM_ERR_THRESH_CONFIRM_TYPE_PotCreditRiskEquivalent,
		MM_ERR_THRESH_CONFIRM_TYPE_TradingPower,
		MM_ERR_THRESH_CONFIRM_TYPE_Cash,
		MM_ERR_THRESH_CONFIRM_TYPE_PotCash,
		MM_ERR_THRESH_CONFIRM_TYPE_ShortPotPosition,
		MM_ERR_DAILY_VALUE,
		MM_ERR_DAILY_BUY_VALUE,
		MM_ERR_DAILY_SELL_VALUE,
		MM_ERR_STOP_YIELD,
		MM_ERR_INVALID_TIMESTAMP,
		MM_ERR_INVALID_CLIENT_ACCOUNT,
		MM_ERR_INVALID_CLIENT_ACCOUNT_ALIAS,
		MM_ERR_NOINFO,
		MM_ERR_VOLATILITY,
		MM_ERR_TX_NOT_MANAGED,
		MM_ERR_TX_FLYING,
		MM_ERR_EDIT_REQ_INVAL,
		MM_ERR_EDIT_REQ_INVAL_STATUS,
		MM_ERR_TX_UNKNOWN,
		MM_ERR_B_FREQUENCY_DAILY,
		MM_ERR_FILTER_PHASE_ALWAYS,
		MM_ERR_FILTER_PHASE_PHASE,
		MM_ERR_ADMIN_NO_TRADER,
		MM_ERR_NOT_PERM_CARE,
		MM_ERR_VIEWER_NO_TRADE,
		MM_ERR_NO_MRK_PERMISSION,
		MM_ERR_NO_PROF_CAPABILITY,
		MM_ERR_NO_SEND_CARE_ORDER,
		MM_ERR_NO_SEND_ORDER,
		MM_ERR_NO_SEND_CARE_ORDER_SON,
		MM_ERR_NO_SEND_VERB_BUY,
		MM_ERR_NO_SEND_VERB_SELL,
		MM_ERR_NO_SEND_TYPE_LIMIT,
		MM_ERR_NO_SEND_TYPE_MARKET,
		MM_ERR_NO_SEND_TYPE_MARKETLMT,
		MM_ERR_NO_SEND_TYPE_STOPLMT,
		MM_ERR_NO_SEND_TYPE_STOPMRK,
		MM_ERR_NO_SEND_TIF_DAY,
		MM_ERR_NO_SEND_TIF_DATE,
		MM_ERR_NO_SEND_TIF_IOC,
		MM_ERR_NO_SEND_QTY_AON,
		MM_ERR_NO_SEND_VISIBLE_QTY,
		MM_ERR_NO_SEND_ORIGIN_C,
		MM_ERR_NO_SEND_ORIGIN_P,
		MM_ERR_NO_SEND_ORIGIN_S,
		MM_ERR_NO_SEND_ORIGIN_SC,
		MM_ERR_NO_SEND_CARE_EDIT,
		MM_ERR_NO_SEND_CARE_MERGE,
		MM_ERR_NO_SEND_CROSS,
		MM_ERR_NO_SEND_QUOTE,
		MM_ERR_NO_SEND_RFQ,
		MM_ERR_NO_SEND_FILL,
		MM_ERR_NO_SEND_OP_TRADEON,
		MM_ERR_NO_SEND_MEMB_TRADEON,
		MM_ERR_NO_SEND_OTC,
		MM_ERR_NO_SEND_DISP,
		MM_ERR_NO_CHANGE_OPERATOR,
		MM_ERR_NO_OP_CLIENTID,
		MM_ERR_NO_OP_NO_DESK,
		MM_ERR_NO_OP_NO_GIVE,
		MM_ERR_NO_ADMIN,
		MM_ERR_NO_PANIC,
		MM_ERR_NO_INVAL_MASS,
		MM_ERR_NO_SUPER,
		MM_ERR_NO_TRADER,
		MM_ERR_NO_MASS_OPERATOR,
		MM_ERR_NO_MASS_DESK,
		MM_ERR_DEF_PROFILE_NOT_DEL,
		MM_ERR_NO_SIM_STOP,
		MM_ERR_NO_SIM_STOP_PHASE,
		MM_ERR_B_FREQUENCY_CUSTOM,
		MM_ERR_B_REFPRICE_REL_VARIATION,
		MM_ERR_B_QTB_REFPRICE_REL_VARIATION,
		MM_ERR_B_QTS_REFPRICE_REL_VARIATION,
		MM_ERR_B_LASTPRICE_VARIATION,
		MM_ERR_B_QTB_LASTPRICE_VARIATION,
		MM_ERR_B_QTS_LASTPRICE_VARIATION,
		MM_ERR_REFUSED_BY_EXT_SENTINEL,
		MM_ERR_REPLY_NotConExtSentinel,
		MM_ERR_REFUSED_ASAR_EXT_SNTL_DISCONNEC,
		MM_ERR_YIELD_EXCEEDED,
		MM_ERR_W_YIELD_EXCEEDED,
		MM_ERR_INVAL_UCRATE,
		MM_ERR_SETTLE_NEED_UCRATE,
		MM_ERR_CANNOT_SET_UCRATE,
		MM_ERR_THRESH_CONFIRM_TYPE_ShortSellUndef,
		MM_ERR_PANIC_IN_PROGRESS,
		MM_ERR_OP_YIELD_EDIT,
		MM_ERR_CARE_ORDER_ALREADY_ASSIGNED,
		MM_ERR_CARE_ORDER_ALREADY_OWNED,
		MM_ERR_STRICT_ADMIN_NO_MRK_PERM,
		MM_ERR_STRICT_ADMIN_NO_PERM,
		MM_ERR_RFQ_REQUOTED,
		MM_ERR_PROFILE_ALL_ONLY_ON_EXCHANGE_MARKET,
		MM_ERR_ALL_FILTER_NOT_ENABLED,
		MM_ERR_WRONG_ALL_MARKET,
		MM_ERR_INVAL_VERB,
		MM_ERR_RFQ_ACC_ONLY_MANUAL,
		MM_ERR_RFQ_ACC_ONLY_MARKETBEST,
		MM_ERR_INVAL_RFQ_DUR_TYPE,
		MM_ERR_INVAL_RFQ_PRICE_TYPE,
		MM_ERR_SELF_MATCH,
		MM_ERR_INVAL_STOP_TRAIL,
		MM_ERR_SWITCH_STRN_DISABLED,
		MM_ERR_SWITCH_STRM_DISABLED,
		MM_ERR_SWITCH_OP_DISABLED,
		MM_ERR_SWITCH_CLI_DISABLED,
		MM_ERR_SWITCH_DESK_DISABLED,
		MM_ERR_NO_STRATEGY,
		MM_ERR_NO_STRATEGY_PER_OP,
		MM_ERR_NO_STRATEGY_PER_CL,
		MM_ERR_INCOMPLETE_OCO_ORDER,
		MM_ERR_INVAL_STRATEGY,
		MM_ERR_SWITCH_NO_PERM,
		MM_ERR_CLIENT_SHORTCODE,
		MM_ERR_OPERATOR_SHORTCODE,
		MM_ERR_STRATEGY_SHORTCODE,
		MM_ERR_B_STRATEGY_REFPRICE_VARIATION,
		MM_ERR_B_STRATEGY_BESPRICE_VARIATION,
		MM_ERR_B_STRATEGY_QTY,
		MM_ERR_B_STRATEGY_FREQUENCY_MIN,
		MM_ERR_B_STRATEGY_FREQUENCY_HOUR,
		MM_ERR_STRATEGY_DAILY_QUANTITY,
		MM_ERR_B_STRATEGY_COUNTERVALUE_EXCEED,
		MM_ERR_STRATEGY_DAILY_BUY_QUANTITY,
		MM_ERR_STRATEGY_DAILY_SELL_QUANTITY,
		MM_ERR_B_STRATEGY_FREQUENCY_SEC,
		MM_ERR_STRATEGY_DAILY_TOTAL_VALUE,
		MM_ERR_STRATEGY_DAILY_VALUE,
		MM_ERR_STRATEGY_DAILY_BUY_VALUE,
		MM_ERR_STRATEGY_DAILY_SELL_VALUE,
		MM_ERR_STRATEGY_VOLATILITY,
		MM_ERR_B_STRATEGY_FREQUENCY_DAILY,
		MM_ERR_B_STRATEGY_FREQUENCY_CUSTOM,
		MM_ERR_B_STRATEGY_REFPRICE_REL_VARIATION,
		MM_ERR_B_STRATEGY_LASTPRICE_VARIATION,
		MM_ERR_STRATEGY_YIELD_EXCEEDED,
		MM_ERR_B_STRATEGY_QTB_REFPRICE_VARIATION,
		MM_ERR_B_STRATEGY_QTS_REFPRICE_VARIATION,
		MM_ERR_B_STRATEGY_QTB_BESPRICE_VARIATION,
		MM_ERR_B_STRATEGY_QTS_BESPRICE_VARIATION,
		MM_ERR_B_STRATEGY_QTB_QTY,
		MM_ERR_B_STRATEGY_QTS_QTY,
		MM_ERR_STRATEGY_QTB_DAILY_QUANTITY,
		MM_ERR_STRATEGY_QTS_DAILY_QUANTITY,
		MM_ERR_STRATEGY_QTB_DAILY_BUY_QUANTITY,
		MM_ERR_STRATEGY_QTS_DAILY_BUY_QUANTITY,
		MM_ERR_STRATEGY_QTB_DAILY_SELL_QUANTITY,
		MM_ERR_STRATEGY_QTS_DAILY_SELL_QUANTITY,
		MM_ERR_B_STRATEGY_QTB_FREQUENCY_MIN,
		MM_ERR_B_STRATEGY_QTS_FREQUENCY_MIN,
		MM_ERR_B_STRATEGY_QTB_FREQUENCY_HOUR,
		MM_ERR_B_STRATEGY_QTS_FREQUENCY_HOUR,
		MM_ERR_B_STRATEGY_QTB_COUNTERVALUE_EXCEED,
		MM_ERR_B_STRATEGY_QTS_COUNTERVALUE_EXCEED,
		MM_ERR_B_STRATEGY_QTB_REFPRICE_REL_VARIATION,
		MM_ERR_B_STRATEGY_QTS_REFPRICE_REL_VARIATION,
		MM_ERR_B_STRATEGY_QTB_LASTPRICE_VARIATION,
		MM_ERR_B_STRATEGY_QTS_LASTPRICE_VARIATION,
		MM_ERR_STRATEGY_DAILY_TOTAL_QUANTITY,
		MM_ERR_THRESH_TYPE_Credit,
		MM_ERR_THRESH_CONFIRM_TYPE_Credit,
		MM_ERR_CLIENT_SHORTCODE_TYPE_INVALID,
		MM_ERR_EXECUTOR_SHORTCODE_TYPE_INVALID,
		MM_ERR_INVESTOR_SHORTCODE_TYPE_INVALID,
		MM_ERR_B_TRADEPRICE_LASTPRICE_REL_VARIATION,
		MM_ERR_B_QTB_TRADEPRICE_LASTPRICE_REL_VARIATION,
		MM_ERR_B_QTS_TRADEPRICE_LASTPRICE_REL_VARIATION,
		MM_ERR_B_STRATEGY_TRADEPRICE_LASTPRICE_REL_VARIATION,
		MM_ERR_B_STRATEGY_QTB_TRADEPRIC_LASTPRICE_REL_VARIATION,
		MM_ERR_B_STRATEGY_QTS_TRADEPRIC_LASTPRICE_REL_VARIATION,
		MM_ERR_B_TRADEPRICE_REFPRICE_REL_VARIATION,
		MM_ERR_B_QTB_TRADEPRICE_REFPRICE_REL_VARIATION,
		MM_ERR_B_QTS_TRADEPRICE_REFPRICE_REL_VARIATION,
		MM_ERR_B_STRATEGY_TRADEPRICE_REFPRICE_REL_VARIATION,
		MM_ERR_B_STRATEGY_QTB_TRADEPRICE_REFPRICE_REL_VARIATION,
		MM_ERR_B_STRATEGY_QTS_TRADEPRICE_REFPRICE_REL_VARIATION,
		MM_ERR_REFERENCE_FILTER,
		MM_ERR_OPERATOR_CANNOT_ADD_EDIT_DEL_REF_FILTER,
		MM_ERR_PLATFORM_EMULATION_FOR_GTD_GTC_ORDER_NOT_ENABLE,
		MM_ERR_PLATFORM_EMULATION_FOR_STOP_ORDER_NOT_ENABLE,
		MM_ERR_PROFILE_TTM_ONLY_ON_SECTION_SECTYPE,
		EEMM_REASON_CODE = -99999
} MM_REASON_CODEEnum;


#endif

#ifndef		__METAMARKET_D__
#define		__METAMARKET_D__
#define		MM_MARKET_DATE_ID 50017
#define		MM_MARKET_DATEKey 1
#define		MM_FILTER_AUDIT_ID 50019
#define		MM_FILTER_AUDITKey 1
#define		MM_DESK_ID 50023
#define		MM_DESKKey 1
#define		MM_OPERATOR_PER_DESK_ID 50024
#define		MM_OPERATOR_PER_DESKKey 1
#define		MM_OPERATOR_PER_DESKOpKey 2
#define		MM_CONVERSIONS_ID 50029
#define		MM_CONVERSIONSKey 1
#define		MM_OPERATOR_ID 50102
#define		MM_OPERATORKey 1
#define		MM_OPERATOR_PERMISSION_ID 50105
#define		MM_OPERATOR_PERMISSIONKey 1
#define		MM_OPERATOR_GROUP_ID 50106
#define		MM_OPERATOR_GROUPKey 1
#define		MM_THREAD_ANSWER_OPERATOR 50110
#define		MM_MARKET_HIERARCHY_ID 50111
#define		MM_MARKET_HIERARCHYKey 1
#define		MM_MARKET_HIERARCHYParentKey 2
#define		MM_MRKOPERATOR_STATE_ID 50112
#define		MM_MRKOPERATOR_STATEKey 1
#define		MM_MEMBER_BOOK_ID 50113
#define		MM_MEMBER_BOOKKey 1
#define		MM_EXPIRED_SEC_INFO_ID 50114
#define		MM_EXPIRED_SEC_INFOKey 1
#define		MM_SYNC_ORDER_ID 50115
#define		MM_SYNC_ORDERKey 1
#define		MM_SYNCORD_INFO_ID 50116
#define		MM_SYNCORD_INFOKey 1
#define		MM_PANIC_ID 50117
#define		MM_PANICKey 1
#define		MM_PROFILE_CAPABILITY_ID 50118
#define		MM_PROFILE_CAPABILITYKey 1
#define		MM_PROFILE_MASTER_ID 50119
#define		MM_PROFILE_MASTERKey 1
#define		MM_CLIENT_PROFILE_MASTER_ID 50125
#define		MM_CLIENT_PROFILE_MASTERKey 1
#define		MM_CLIENT_PROFILE_DEFINITION_ID 50126
#define		MM_CLIENT_PROFILE_DEFINITIONKey 1
#define		MM_CLIENT_PROFILE_DEFINITION_OLD_ID 50076
#define		MM_FILTER_PROFILE_ID 50141
#define		MM_FILTER_PROFILEKey 1
#define		MM_SYNC_QUOTE_ID 50120
#define		MM_SYNC_QUOTEKey 1
#define		MM_SYNCQUOTE_INFO_ID 50121
#define		MM_SYNCQUOTE_INFOKey 1
#define		MM_POTENTIAL_PORTFOLIO_ID 50122
#define		MM_POTENTIAL_PORTFOLIOKey 1
#define		MM_CHECK_ORDER_ID 50123
#define		MM_CHECK_ORDERKey 1
#define		MM_ADD_INFO_ID 50124
#define		MM_ADD_INFOKey 1
#define		MM_CUTOFF_EXPIRED_ID 50127
#define		MM_CUTOFF_EXPIREDKey 1
#define		MM_CUTOFF_TIME_ID 50128
#define		MM_CUTOFF_TIMEKey 1
#define		MM_ANONYMOUS_OPERATOR_ID 50129
#define		MM_ANONYMOUS_OPERATORKey 1
#define		MM_ERROR_DESCRIPTION_ID 50130
#define		MM_ERROR_DESCRIPTIONKey 1
#define		MM_OTC_MARKET_ID 50131
#define		MM_OTC_MARKETKey 1
#define		MM_VOLATILITY_PARAM_ID 50132
#define		MM_VOLATILITY_PARAMKey 1
#define		MM_FILTER_GROUP_ID 50133
#define		MM_FILTER_GROUPKey 1
#define		MM_FILTER_GROUP_DEFINITION_ID 50134
#define		MM_FILTER_GROUP_DEFINITIONKey 1
#define		MM_ONESHOT_ORDER_ID 50135
#define		MM_ONESHOT_ORDERKey 1
#define		MM_INT_ROUTE_RULE_ID 50136
#define		MM_INT_ROUTE_RULEKey 1
#define		FT_MF_DOWNLOAD_STATUS_ID 50137
#define		FT_MF_DOWNLOAD_STATUSKey 1
#define		MM_NEW_CHECK_ORDER_ID 50138
#define		MM_NEW_CHECK_ORDERKey 1
#define		MM_DEPTH_LEVEL_OP_PERMISSION_ID 50139
#define		MM_DEPTH_LEVEL_OP_PERMISSIONKey 1
#define		MM_DEPTH_LEVEL_MRK_DEFAULT_ID 50140
#define		MM_DEPTH_LEVEL_MRK_DEFAULTKey 1
#define		MM_MRK_DEFAULT_CURRENCY_ID 50142
#define		MM_MRK_DEFAULT_CURRENCYKey 1
#define		MM_CURRENCY_ID 50143
#define		MM_CURRENCYKey 1
#define		MM_TX_STATUS_ID 50145
#define		MM_TX_STATUSKey 1
#define		MM_HOLD_VIOLATION_ID 50146
#define		MM_HOLD_VIOLATIONKey 1
#define		MM_TRANSACTION_SWITCH_ID 50149
#define		MM_TRANSACTION_SWITCHKey 1
#define		MM_SECURITY_EXT_ID 50147
#define		MM_SECURITY_EXTKey 1
#define		MM_FILTER_BLOCK_ID 50148
#define		MM_FILTER_BLOCKKey 1
#define		MM_DEA_FLAG_CLI_CFG_ID 50150
#define		MM_DEA_FLAG_CLI_CFGKey 1
#define		MM_DEA_FLAG_OP_CFG_ID 50151
#define		MM_DEA_FLAG_OP_CFGKey 1
#define		MM_CLI_FIRMTYPE_ID 50152
#define		MM_CLI_FIRMTYPEKey 1
#define		MM_FORCE_SHORT_CODE_ID 50171
#define		MM_FORCE_SHORT_CODEKey 1
#define		MM_STRATEGY_ADDINFO_ID 50153
#define		MM_STRATEGY_ADDINFOKey 1
#define		MM_MARKET_MAKER_ID 50157
#define		MM_MARKET_MAKERKey 1
#define		MM_MARKET_MAKER_ALIAS_ID 50154
#define		MM_MARKET_MAKER_ALIASKey 1
#define		MM_MARKET_MAKER_ALIASKey2 2
#define		MM_POLICY_MARKET_REQ_ID 50155
#define		MM_POLICY_MARKET_REQKey 1
#define		MM_POLICY_MARKET_RES_ID 50156
#define		MM_POLICY_MARKET_RESKey 1
#define		MM_SELFMATCH_QUOTE_CLIENTID_ID 50064
#define		MM_SELFMATCH_QUOTE_CLIENTIDKey 1
#define		MM_ORDER_OTR_ID 50065
#define		MM_ORDER_OTRKey 1
#define		MM_SECURITY_OTR_ID 50066
#define		MM_SECURITY_OTRKey 1
#define		MM_H24_SEC_CLOSURE_ID 50067
#define		MM_H24_SEC_CLOSUREKey 1
#define		MM_CLIENT_COUNTERPART_ID 50070
#define		MM_CLIENT_COUNTERPARTKey 1
#define		MM_ORDER_VIEW_PERMISSION_ID 50073
#define		MM_ORDER_VIEW_PERMISSIONKey 1
#define		MM_CONNECTION_TAG "MM"
#define		MM_WILDCARD "*"
#define		MM_PORTFOLIO_LEN 32
#define		MM_MAX_PRICE_DEFINITION_NUM 4
#define		MM_PROF_INHERITED_VALUE_INT -1
#define		MM_PROF_INHERITED_VALUE_STRING "#"
#define		MM_PROF_INHERITED_VALUE_SPREAD -9999
#define		MM_CLUSTER_LEN 32
#define		MM_GROUP_LEN 32
#define		MM_GROUP_ELEM_LEN 32
#define		MM_MRK_OPERATOR_LEN 32
#define		MM_MRK_OPERATOR_PWD_LEN 32
#define		MM_FILTER_AUDIT_MESSAGE_LEN 128
#define		MM_FILTER_AUDIT_MESSAGEEXT_LEN 256
#define		MM_FILTER_AUDIT_MESSAGEEXT2_LEN 384
#define		MM_FIRST_NAME_LEN 32
#define		MM_LAST_NAME_LEN 32
#define		MM_FULL_NAME_LEN 64
#define		MM_ENXMEMBER_LEN 16
#define		MM_SHORT_GROUP_LEN 16
#define		MM_SWITCH_KEY_LEN 64
#define		MM_SUBSC_ERR_SOURCE 100
#define		MM_LANG_LEN 16
#define		MMERROR "MM Error"
#define		MRKERROR "MRK Error"
#define		MM_CLUSTER_PUBLIC "_PUBLIC"
#define		MM_CLUSTER_PRIVATE "_PRIVATE"
#define		MM_MAIL_SYSYTEM_SENDER "SYSTEM MAIL"
#define		MM_PROFILE_YIELD "RESERVED_YIELD"
#define		FT_C_SECURITY_TYPE_All -1
#define		MM_TX_TID_LEN 5
#define		MM_MMAK_CODE_LEN 12
#define		MM_MMAK_ALIAS_TYPE_LEN 32
#define		MM_MMAK_ALIAS_LEN 32
#define		MM_MMAK_NAME_LEN 64
#define		MM_SOURCE_NAME_LEN 64
#define		MM_BC_DISCARD_REASON_LEN 64

typedef enum {		/*  (0) */
		MM_FILTER_TYPE_Price,
		MM_FILTER_TYPE_Quantity,
		MM_FILTER_TYPE_Frequency,
		MM_FILTER_TYPE_Countervalue,
		MM_FILTER_TYPE_Sentinel,
		MM_FILTER_TYPE_Volatility,
		MM_FILTER_TYPE_Yield,
		EEMM_FILTER_TYPE = -99999
} MM_FILTER_TYPEEnum;


typedef enum {		/*  (0) */
		MM_PROFILE_User,
		MM_PROFILE_Administrator,
		MM_PROFILE_Supervisor,
		MM_PROFILE_StrictAdmin,
		EEMM_PROFILE = -99999
} MM_PROFILEEnum;


typedef enum {		/*  (0) */
		MM_MARKET_PROFILE_User,
		MM_MARKET_PROFILE_Viewer,
		MM_MARKET_PROFILE_None,
		MM_MARKET_PROFILE_StrictUser,
		EEMM_MARKET_PROFILE = -99999
} MM_MARKET_PROFILEEnum;


typedef enum {		/*  (0) */
		MM_VIEW_FLAG_None,
		MM_VIEW_FLAG_Own,
		MM_VIEW_FLAG_All,
		EEMM_VIEW_FLAG = -99999
} MM_VIEW_FLAGEnum;


typedef enum {		/*  (0) */
		MM_BOOK_VIEW_None,
		MM_BOOK_VIEW_OnlyAnonymous,
		MM_BOOK_VIEW_All,
		EEMM_BOOK_VIEW = -99999
} MM_BOOK_VIEWEnum;


typedef enum {		/*  (0) */
		MM_VOLATILITY_TYPE_Undef,
		MM_VOLATILITY_TYPE_BS,
		MM_VOLATILITY_TYPE_BIN,
		EEMM_VOLATILITY_TYPE = -99999
} MM_VOLATILITY_TYPEEnum;


typedef enum {		/*  (0) */
		MM_VOLATILITY_DAYCOUNT_Undef,
		MM_VOLATILITY_DAYCOUNT_ACT_365,
		MM_VOLATILITY_DAYCOUNT_ACT_360,
		EEMM_VOLATILITY_DAYCOUNT = -99999
} MM_VOLATILITY_DAYCOUNTEnum;


typedef enum {		/*  (0) */
		MM_VOLATILITY_DIVTYPE_Undef,
		MM_VOLATILITY_DIVTYPE_Annual,
		MM_VOLATILITY_DIVTYPE_Continuos,
		EEMM_VOLATILITY_DIVTYPE = -99999
} MM_VOLATILITY_DIVTYPEEnum;


typedef enum {		/*  (0) */
		MM_PROFILE_VALIDITY_PHASE_DAY,
		MM_PROFILE_VALIDITY_PHASE_TAH,
		EEMM_PROFILE_VALIDITY_PHASE = -99999
} MM_PROFILE_VALIDITY_PHASEEnum;


typedef enum {		/*  (0) */
		MM_GROUP_TYPE_Custom,
		MM_GROUP_TYPE_Desk,
		EEMM_GROUP_TYPE = -99999
} MM_GROUP_TYPEEnum;


typedef enum {		/*  (0) */
		MM_GROUP_ELEM_TYPE_Operator,
		MM_GROUP_ELEM_TYPE_Client,
		EEMM_GROUP_ELEM_TYPE = -99999
} MM_GROUP_ELEM_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_PROFILE_TYPE_Operator,
		FT_C_PROFILE_TYPE_Member,
		EEFT_C_PROFILE_TYPE = -99999
} FT_C_PROFILE_TYPEEnum;


typedef enum {		/*  (0) */
		FT_C_BILATERAL_ROLE_Dealer,
		FT_C_BILATERAL_ROLE_MarketMaker,
		FT_C_BILATERAL_ROLE_Both,
		EEFT_C_BILATERAL_ROLE = -99999
} FT_C_BILATERAL_ROLEEnum;


typedef enum {		/*  (0) */
		FT_C_PRICE_EXEC_VIEW_No,
		FT_C_PRICE_EXEC_VIEW_OnlyRate,
		FT_C_PRICE_EXEC_VIEW_Yes,
		EEFT_C_PRICE_EXEC_VIEW = -99999
} FT_C_PRICE_EXEC_VIEWEnum;


typedef enum {		/*  (0) */
		FT_MF_DOWNLOAD_STATUS_InProgress,
		FT_MF_DOWNLOAD_STATUS_Done,
		EEFT_MF_DOWNLOAD_STATUS_CODE = -99999
} FT_MF_DOWNLOAD_STATUS_CODEEnum;


typedef enum {		/*  (0) */
		MM_ALIAS_USED_FOR_NotUsed,
		MM_ALIAS_USED_FOR_ForAll,
		MM_ALIAS_USED_FOR_OnlyCorporate,
		MM_ALIAS_USED_FOR_OnlyGovernment,
		EEMM_ALIAS_USED_FOR = -99999
} MM_ALIAS_USED_FOREnum;


typedef enum {		/*  (0) */
		MM_TX_TYPE_Order,
		MM_TX_TYPE_CrossOrder,
		EEMM_TX_TYPE = -99999
} MM_TX_TYPEEnum;


typedef enum {		/*  (0) */
		MM_YIELD_LIMIT_No,
		MM_YIELD_LIMIT_OnlyEdit,
		MM_YIELD_LIMIT_OnlyFilter,
		MM_YIELD_LIMIT_EditAndFilter,
		EEMM_YIELD_LIMIT = -99999
} MM_YIELD_LIMITEnum;


typedef enum {		/*  (0) */
		MM_FILTER_ADMIN_TYPE_Default,
		MM_FILTER_ADMIN_TYPE_All,
		MM_FILTER_ADMIN_TYPE_OnlyRem,
		EEMM_FILTER_ADMIN_TYPE = -99999
} MM_FILTER_ADMIN_TYPEEnum;


typedef enum {		/*  (0) */
		MM_RFQ_ACCEPTANCE_TYPE_OnlyManual,
		MM_RFQ_ACCEPTANCE_TYPE_OnlyMarketBest,
		MM_RFQ_ACCEPTANCE_TYPE_All,
		EEMM_RFQ_ACCEPTANCE_TYPE = -99999
} MM_RFQ_ACCEPTANCE_TYPEEnum;


typedef enum {		/*  (0) */
		MM_TX_SWITCH_KEY_TYPE_DeskID,
		MM_TX_SWITCH_KEY_TYPE_OperatorID,
		MM_TX_SWITCH_KEY_TYPE_ClientID,
		MM_TX_SWITCH_KEY_TYPE_StrategyManager,
		MM_TX_SWITCH_KEY_TYPE_StrategyName,
		MM_TX_SWITCH_KEY_TYPE_Market,
		EEMM_TX_SWITCH_KEY_TYPE = -99999
} MM_TX_SWITCH_KEY_TYPEEnum;


typedef enum {		/*  (0) */
		MM_SWITCH_On,
		MM_SWITCH_Off,
		EEMM_SWITCH = -99999
} MM_SWITCHEnum;


typedef enum {		/*  (0) */
		STRATEGY_ADDINFO_PROP_Undef,
		STRATEGY_ADDINFO_PROP_NotAlgo,
		EESTRATEGY_ADDINFO_PROP = -99999
} STRATEGY_ADDINFO_PROPEnum;


typedef enum {		/*  (0) */
		MM_AUDIT_TYPE_Undef,
		MM_AUDIT_TYPE_Info,
		MM_AUDIT_TYPE_Blocker,
		MM_AUDIT_TYPE_Warning,
		EEMM_AUDIT_TYPE = -99999
} MM_AUDIT_TYPEEnum;


typedef enum {		/*  (0) */
		MM_SETTLEMENT_DATE_TYPE_Future,
		MM_SETTLEMENT_DATE_TYPE_OnlyRegular,
		EEMM_SETTLEMENT_DATE_TYPE = -99999
} MM_SETTLEMENT_DATE_TYPEEnum;


typedef struct {		/* MM_MARKET_DATE_ID (50017) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		unsigned long       			MarketDate;
		long                			TimeOffSet;
} MM_MARKET_DATERec, *MM_MARKET_DATEPtr;


typedef struct {		/* MM_FILTER_AUDIT_ID (50019) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			ClientID[FT_C_CLIENT_LEN + 1];
		FT_C_SECURITY_TYPEEnum			SecurityType;
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			Date;
		unsigned long       			Time;
		MM_FILTER_TYPEEnum  			Type;
		char                			Message[MM_FILTER_AUDIT_MESSAGE_LEN + 1];
		char                			OrderID[FT_C_ORDER_LEN + 1];
		unsigned long       			SeqNo;
		FT_C_VERBEnum       			Verb;
		char                			MessageExt[MM_FILTER_AUDIT_MESSAGEEXT_LEN + 1];
		char                			FTProductID[FT_C_SEC_LEN + 1];
		unsigned long       			TimeMicroSec;
		MM_AUDIT_TYPEEnum   			AuditType;
} MM_FILTER_AUDITRec, *MM_FILTER_AUDITPtr;


typedef struct {		/* MM_DESK_ID (50023) */
		char                			DeskID[FT_C_DESK_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
		FT_C_FLAGEnum       			Visibility;
		FT_C_FLAGEnum       			CanSetVisibility;
		FT_C_ENTITY_ACTIONEnum			Action;
		char                			ActionOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			ActionDate;
		unsigned long       			ActionTime;
		char                			MemberID[FT_C_MEMBER_LEN + 1];
} MM_DESKRec, *MM_DESKPtr;


typedef struct {		/* MM_OPERATOR_PER_DESK_ID (50024) */
		char                			DeskID[FT_C_DESK_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_ENTITY_ACTIONEnum			Action;
		char                			ActionOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			ActionDate;
		unsigned long       			ActionTime;
		char                			MemberID[FT_C_MEMBER_LEN + 1];
} MM_OPERATOR_PER_DESKRec, *MM_OPERATOR_PER_DESKPtr;


typedef struct {		/* MM_CONVERSIONS_ID (50029) */
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		char                			CounterCurrency[FT_C_CURRENCY_LEN + 1];
		double              			ConversionRate;
} MM_CONVERSIONSRec, *MM_CONVERSIONSPtr;


typedef struct {		/* MM_OPERATOR_ID (50102) */
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		MM_PROFILEEnum      			Profile;
		FT_C_CONFIG_ORIGINEnum			Origin;
		FT_C_FLAGEnum       			ClientAccountNotFree;
		char                			DeskID[FT_C_DESK_LEN + 1];
		char                			EnxMemberID[MM_ENXMEMBER_LEN + 1];
		FT_C_FLAGEnum       			ClientIDNotFree;
		char                			FirstName[MM_FIRST_NAME_LEN + 1];
		char                			LastName[MM_LAST_NAME_LEN + 1];
		char                			OperatorFullName[MM_FULL_NAME_LEN + 1];
		char                			ProfileID[FT_C_PROFILE_LEN + 1];
		FT_C_FLAGEnum       			PanicEnabled;
		char                			SuperProfileID[FT_C_PROFILE_LEN + 1];
		FT_C_FLAGEnum       			QuoteAsOrder;
		FT_C_FLAGEnum       			MemberBookOnlyOperator;
		FT_C_OP_TYPEEnum    			OpType;
		char                			FilterProfileID[FT_C_PROFILE_LEN + 1];
		FT_C_FLAGEnum       			RemoteOperator;
		MM_YIELD_LIMITEnum  			EditYieldLimit;
		MM_FILTER_ADMIN_TYPEEnum			FilterAdminType;
		FT_C_ENTITY_ACTIONEnum			Action;
		char                			ActionOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			ActionDate;
		unsigned long       			ActionTime;
		FT_C_FLAGEnum       			PanicDeskEnabled;
		FT_C_FLAGEnum       			PanicStrategyEnabled;
		FT_C_FLAGEnum       			AlgoOperator;
		char                			NationalID[FT_C_NATIONAL_LEN + 1];
		FT_C_FLAGEnum       			PanicClientEnabled;
		FT_C_FLAGEnum       			PanicOperatorEnabled;
		FT_C_FLAGEnum       			PanicMarketEnabled;
		FT_C_FLAGEnum       			VisibilityOnOrigin;
		FT_C_FLAG_UNDEnum   			IsProfessional;
		char                			OrderViewProfileID[FT_C_PROFILE_LEN + 1];
} MM_OPERATORRec, *MM_OPERATORPtr;


typedef struct {		/* MM_OPERATOR_PERMISSION_ID (50105) */
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		MM_MARKET_PROFILEEnum			MarketProfile;
		char                			MrkOperator[MM_MRK_OPERATOR_LEN + 1];
		char                			MrkPwd[MM_MRK_OPERATOR_PWD_LEN + 1];
		FT_C_FLAGEnum       			AllTrades;
		char                			UpperMrkOperator[MM_MRK_OPERATOR_LEN + 1];
		FT_C_FLAGEnum       			ImmediateFwdToMrk;
		FT_C_FLAGEnum       			DisableAutoTrading;
		FT_C_FLAGEnum       			AllowTXOperator;
		FT_C_ENTITY_ACTIONEnum			Action;
		char                			ActionOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			ActionDate;
		unsigned long       			ActionTime;
		char                			PublicSourceID[FT_C_BROKER_LEN + 1];
} MM_OPERATOR_PERMISSIONRec, *MM_OPERATOR_PERMISSIONPtr;


typedef struct {		/* MM_OPERATOR_GROUP_ID (50106) */
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			Group[MM_SHORT_GROUP_LEN + 1];
} MM_OPERATOR_GROUPRec, *MM_OPERATOR_GROUPPtr;


typedef struct {		/* MM_MARKET_HIERARCHY_ID (50111) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			ParentExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			ParentMarketID[FT_C_MARKET_LEN + 1];
} MM_MARKET_HIERARCHYRec, *MM_MARKET_HIERARCHYPtr;


typedef struct {		/* MM_MRKOPERATOR_STATE_ID (50112) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MemberID[FT_C_MEMBER_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			MrkOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_MEMBER_STATUSEnum			Status;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		FT_C_TRADE_STATUSEnum			TradeStatus;
		long                			WindowSize;
} MM_MRKOPERATOR_STATERec, *MM_MRKOPERATOR_STATEPtr;


typedef struct {		/* MM_MEMBER_BOOK_ID (50113) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		FT_C_BOOK_ROWRec    			Bid[FT_C_BOOK_ROW_NUMBER];
		FT_C_BOOK_ROWRec    			Ask[FT_C_BOOK_ROW_NUMBER];
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		unsigned long       			Position;
} MM_MEMBER_BOOKRec, *MM_MEMBER_BOOKPtr;


typedef struct {		/* MM_SYNC_ORDER_ID (50115) */
		FT_C_ORDERRec       			Order;
} MM_SYNC_ORDERRec, *MM_SYNC_ORDERPtr;


typedef struct {		/* MM_SYNC_QUOTE_ID (50120) */
		FT_C_QUOTERec       			Quote;
} MM_SYNC_QUOTERec, *MM_SYNC_QUOTEPtr;


typedef struct {		/* MM_EXPIRED_SEC_INFO_ID (50114) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
} MM_EXPIRED_SEC_INFORec, *MM_EXPIRED_SEC_INFOPtr;


typedef struct {		/* MM_SYNCORD_INFO_ID (50116) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			Tag[FT_C_USER_TEXT_LEN + 1];
		char                			OrderID[FT_C_ORDER_LEN + 1];
		FT_C_VERBEnum       			Verb;
} MM_SYNCORD_INFORec, *MM_SYNCORD_INFOPtr;


typedef struct {		/* MM_SYNCQUOTE_INFO_ID (50121) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			ClQuoteID[FT_C_CLIENT_ORDER_LEN + 1];
		char                			QuoteID[FT_C_ORDER_LEN + 1];
		unsigned long       			CreationDate;
		unsigned long       			CreationTime;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		long                			ReasonCode;
		char                			ErrorInfo[FT_C_ERROR_LEN + 1];
} MM_SYNCQUOTE_INFORec, *MM_SYNCQUOTE_INFOPtr;


typedef struct {		/* MM_PANIC_ID (50117) */
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		FT_C_FLAGEnum       			ExcludeOrder;
		FT_C_FLAGEnum       			ExcludeManualQuote;
		FT_C_FLAGEnum       			ExcludeAutomaticQuote;
		char                			TxOperatorID[FT_C_OPERATOR_LEN + 1];
} MM_PANICRec, *MM_PANICPtr;


typedef struct {		/* MM_PROFILE_CAPABILITY_ID (50118) */
		char                			ProfileID[FT_C_PROFILE_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			FTSecID[FT_C_SEC_LEN + 1];
		MM_VIEW_FLAGEnum    			OrdersView;
		FT_C_FLAGEnum       			OrdersTx;
		MM_VIEW_FLAGEnum    			QuotesView;
		FT_C_FLAGEnum       			QuotesTx;
		MM_VIEW_FLAGEnum    			RFQsView;
		FT_C_FLAGEnum       			RFQsTx;
		MM_VIEW_FLAGEnum    			TradesView;
		FT_C_FLAGEnum       			TradesTx;
		FT_C_FLAGEnum       			MemberTradeOn;
		FT_C_FLAGEnum       			OperatorTradeOn;
		FT_C_FLAGEnum       			Buy;
		FT_C_FLAGEnum       			Sell;
		FT_C_FLAGEnum       			Limit;
		FT_C_FLAGEnum       			Market;
		FT_C_FLAGEnum       			StopLimit;
		FT_C_FLAGEnum       			StopMarket;
		FT_C_FLAGEnum       			InAcceptance;
		FT_C_FLAGEnum       			Cross;
		FT_C_FLAGEnum       			GTDay;
		FT_C_FLAGEnum       			GTDateTime;
		FT_C_FLAGEnum       			IOC;
		FT_C_FLAGEnum       			AON;
		FT_C_FLAGEnum       			OrdersHiddenQty;
		FT_C_FLAGEnum       			Client;
		FT_C_FLAGEnum       			Professional;
		FT_C_FLAGEnum       			SpecClient;
		FT_C_FLAGEnum       			SpecProfessional;
		FT_C_FLAGEnum       			Panic;
		MM_VIEW_FLAGEnum    			CareOrdersView;
		FT_C_FLAGEnum       			CareOrdersIns;
		FT_C_FLAGEnum       			CareOrdersTx;
		FT_C_FLAGEnum       			CareOrdersMerge;
		FT_C_FLAGEnum       			CareOrdersEdit;
		FT_C_FLAGEnum       			OTCFillTx;
		FT_C_FLAGEnum       			MarketToLimit;
		FT_C_FLAGEnum       			CareOrdersDispatch;
		MM_VIEW_FLAGEnum    			RfqQuoteView;
		MM_MARKET_PROFILEEnum			MarketProfile;
		FT_C_FLAGEnum       			OrdersEdit;
		FT_C_FLAGEnum       			GTCancel;
		FT_C_FLAGEnum       			GTAuction;
		FT_C_FLAGEnum       			IssueOrderTx;
		FT_C_BILATERAL_ROLEEnum			BilateralRole;
		FT_C_FLAGEnum       			StatisticsView;
		FT_C_PRICE_EXEC_VIEWEnum			PriceExecView;
		MM_BOOK_VIEWEnum    			BookView;
		FT_C_FLAGEnum       			BestOnly;
		FT_C_FLAGEnum       			RankingView;
		MM_RFQ_ACCEPTANCE_TYPEEnum			RFQAcceptanceTx;
		FT_C_FLAGEnum       			CanSendSettlInformation;
		FT_C_ENTITY_ACTIONEnum			Action;
		char                			ActionOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			ActionDate;
		unsigned long       			ActionTime;
		FT_C_FLAGEnum       			OrdersDelTx;
		char                			ActionMemberID[FT_C_MEMBER_LEN + 1];
		FT_C_FLAGEnum       			InitTrdCancelCorrect;
		FT_C_FLAGEnum       			MngTrdCancelCorrect;
		MM_VIEW_FLAGEnum    			AxeQuoteView;
		FT_C_FLAGEnum       			AxeQuoteTX;
		MM_VIEW_FLAGEnum    			OTCFillView;
		MM_VIEW_FLAGEnum    			FillAllocationView;
		FT_C_FLAGEnum       			FillAllocationPreTx;
		FT_C_FLAGEnum       			FillAllocationPostTx;
		FT_C_FLAGEnum       			AxeQuoteDel;
		FT_C_FLAGEnum       			RFQOnlyFromOMSOrders;
		FT_C_FLAGEnum       			RetryFilterExceptionOnCare;
		FT_C_FLAGEnum       			SpreadRFQsTx;
		FT_C_FLAGEnum       			ReferenceFilter;
} MM_PROFILE_CAPABILITYRec, *MM_PROFILE_CAPABILITYPtr;


typedef struct {		/* MM_PROFILE_MASTER_ID (50119) */
		char                			ProfileID[FT_C_PROFILE_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
		FT_C_PROFILE_TYPEEnum			ProfileType;
		FT_C_ENTITY_ACTIONEnum			Action;
		char                			ActionOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			ActionDate;
		unsigned long       			ActionTime;
		char                			ActionMemberID[FT_C_MEMBER_LEN + 1];
} MM_PROFILE_MASTERRec, *MM_PROFILE_MASTERPtr;


typedef struct {		/*  (0) */
		char                			ProfileID[FT_C_PROFILE_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		FT_C_SECURITY_TYPEEnum			SecurityType;
} MM_PROFILE_DEF_KEYRec, *MM_PROFILE_DEF_KEYPtr;


typedef struct {		/*  (0) */
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			FTSecID[FT_C_SEC_LEN + 1];
} MM_PROFILE_DEF_KEY_EXTRec, *MM_PROFILE_DEF_KEY_EXTPtr;


typedef struct {		/*  (0) */
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		MM_PROFILE_VALIDITY_PHASEEnum			ValidityPhase;
} MM_PROFILE_DEF_KEY_EXT2Rec, *MM_PROFILE_DEF_KEY_EXT2Ptr;


typedef struct {		/*  (0) */
		double              			LowerBound;
		double              			UpperBound;
		double              			BlockRPPercVar;
		double              			BlockBPPercVar;
} MM_PRICE_DEFINITIONRec, *MM_PRICE_DEFINITIONPtr;


typedef struct {		/*  (0) */
		double              			OrderControlPriceCoeff;
} MM_PRICE_DEFINITION_EXTRec, *MM_PRICE_DEFINITION_EXTPtr;


typedef struct {		/*  (0) */
		double              			BlockLPPercVar;
} MM_PRICE_DEFINITION_EXT2Rec, *MM_PRICE_DEFINITION_EXT2Ptr;


typedef struct {		/*  (0) */
		double              			OrderLastPriceCoeff;
		double              			OrderControlPriceAbsCoeff;
} MM_PRICE_DEFINITION_EXT3Rec, *MM_PRICE_DEFINITION_EXT3Ptr;


typedef struct {		/*  (0) */
		double              			DailyMaximumTotalQty;
		double              			MaximumQty;
		double              			DailyMaximumQty;
		double              			DailyMaximumBuyQty;
		double              			DailyMaximumSellQty;
} MM_QUANTITY_DEFINITIONRec, *MM_QUANTITY_DEFINITIONPtr;


typedef struct {		/*  (0) */
		long                			MaximumNoPerMinute;
		long                			MaximumNoPerHour;
} MM_FREQUENCY_DEFINITIONRec, *MM_FREQUENCY_DEFINITIONPtr;


typedef struct {		/*  (0) */
		long                			MaximumNoDay;
} MM_FREQUENCY_DEFINITION_EXTRec, *MM_FREQUENCY_DEFINITION_EXTPtr;


typedef struct {		/*  (0) */
		long                			CustomInterval;
		long                			MaximumNoCustom;
} MM_FREQUENCY_DEFINITION_EXT2Rec, *MM_FREQUENCY_DEFINITION_EXT2Ptr;


typedef struct {		/*  (0) */
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		double              			CounterValue;
} MM_COUNTERVALUE_DEFINITIONRec, *MM_COUNTERVALUE_DEFINITIONPtr;


typedef struct {		/*  (0) */
		double              			DailyMaximumTotalValue;
		double              			DailyMaximumValue;
		double              			DailyMaximumBuyValue;
		double              			DailyMaximumSellValue;
} MM_COUNTERVALUE_DEFINITION_EXTRec, *MM_COUNTERVALUE_DEFINITION_EXTPtr;


typedef struct {		/*  (0) */
		double              			CounterValueMarket;
} MM_COUNTERVALUE_DEFINITION_EXT2Rec, *MM_COUNTERVALUE_DEFINITION_EXT2Ptr;


typedef struct {		/* MM_CLIENT_PROFILE_MASTER_ID (50125) */
		char                			ProfileID[FT_C_PROFILE_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
		char                			ParentProfileID[FT_C_PROFILE_LEN + 1];
		unsigned long       			NSon;
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		FT_C_FLAGEnum       			IsDefault;
		FT_C_FLAGEnum       			ReferenceFilter;
} MM_CLIENT_PROFILE_MASTERRec, *MM_CLIENT_PROFILE_MASTERPtr;


typedef struct {		/*  (0) */
		double              			Volatility;
} MM_VOLATILITY_DEFINITIONRec, *MM_VOLATILITY_DEFINITIONPtr;


typedef struct {		/*  (0) */
		double              			LowerYield;
		double              			UpperYield;
		double              			WLowerYield;
		double              			WUpperYield;
} MM_YIELD_DEFINITIONRec, *MM_YIELD_DEFINITIONPtr;


typedef struct {		/*  (0) */
		double              			WBestPrice;
		double              			WLastPrice;
		double              			WRefPrice;
} MM_PRICE_WARNINGRec, *MM_PRICE_WARNINGPtr;


typedef struct {		/*  (0) */
		double              			WOrderControlPriceCoeff;
		double              			WOrderLastPriceCoeff;
		double              			WOrderControlPriceAbsCoeff;
} MM_PRICE_WARNING_EXTRec, *MM_PRICE_WARNING_EXTPtr;


typedef struct {		/* MM_CLIENT_PROFILE_DEFINITION_ID (50126) */
		MM_PROFILE_DEF_KEYRec			Key;
		int                 			Pos;
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		MM_PRICE_DEFINITIONRec			Price[MM_MAX_PRICE_DEFINITION_NUM];
		MM_QUANTITY_DEFINITIONRec			Qty;
		MM_FREQUENCY_DEFINITIONRec			Frequency;
		MM_COUNTERVALUE_DEFINITIONRec			Value;
		double              			WarningMaximumQty;
		double              			WarningCounterValue;
		long                			MaximumTxNoPerSecond;
		MM_COUNTERVALUE_DEFINITION_EXTRec			ValueExt;
		MM_PROFILE_DEF_KEY_EXTRec			KeyExt;
		MM_VOLATILITY_DEFINITIONRec			Volatility;
		MM_PROFILE_DEF_KEY_EXT2Rec			KeyExt2;
		MM_FREQUENCY_DEFINITION_EXTRec			FrequencyExt;
		MM_PRICE_DEFINITION_EXTRec			PriceExt[MM_MAX_PRICE_DEFINITION_NUM];
		MM_FREQUENCY_DEFINITION_EXT2Rec			FrequencyExt2;
		FT_C_FLAGEnum       			BlockIfNoInfo;
		FT_C_FLAGEnum       			MrkDisabled;
		MM_COUNTERVALUE_DEFINITION_EXT2Rec			ValueExt2;
		FT_C_FLAGEnum       			EnableAsymmetric;
		MM_PRICE_DEFINITION_EXT2Rec			PriceExt2[MM_MAX_PRICE_DEFINITION_NUM];
		MM_YIELD_DEFINITIONRec			Yield;
		MM_PRICE_WARNINGRec 			PriceWarning[MM_MAX_PRICE_DEFINITION_NUM];
		FT_C_FLAGEnum       			HoldSecFreqViolation;
		FT_C_FLAGEnum       			HoldMinFreqViolation;
		MM_PRICE_DEFINITION_EXT3Rec			PriceExt3[MM_MAX_PRICE_DEFINITION_NUM];
		MM_PRICE_WARNING_EXTRec			PriceWarningExt[MM_MAX_PRICE_DEFINITION_NUM];
		char                			UserText[FT_C_USER_TEXT_LEN + 1];
		FT_C_TIME_TO_MATURITYEnum			TTM;
} MM_CLIENT_PROFILE_DEFINITIONRec, *MM_CLIENT_PROFILE_DEFINITIONPtr;


typedef struct {		/* MM_CLIENT_PROFILE_DEFINITION_OLD_ID (50076) */
		MM_PROFILE_DEF_KEYRec			Key;
		int                 			Pos;
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		MM_PRICE_DEFINITIONRec			Price[MM_MAX_PRICE_DEFINITION_NUM];
		MM_QUANTITY_DEFINITIONRec			Qty;
		MM_FREQUENCY_DEFINITIONRec			Frequency;
		MM_COUNTERVALUE_DEFINITIONRec			Value;
		double              			WarningMaximumQty;
		double              			WarningCounterValue;
		long                			MaximumTxNoPerSecond;
		MM_COUNTERVALUE_DEFINITION_EXTRec			ValueExt;
		MM_PROFILE_DEF_KEY_EXTRec			KeyExt;
		MM_VOLATILITY_DEFINITIONRec			Volatility;
		MM_PROFILE_DEF_KEY_EXT2Rec			KeyExt2;
		MM_FREQUENCY_DEFINITION_EXTRec			FrequencyExt;
		MM_PRICE_DEFINITION_EXTRec			PriceExt[MM_MAX_PRICE_DEFINITION_NUM];
		MM_FREQUENCY_DEFINITION_EXT2Rec			FrequencyExt2;
		FT_C_FLAGEnum       			BlockIfNoInfo;
		FT_C_FLAGEnum       			MrkDisabled;
		MM_COUNTERVALUE_DEFINITION_EXT2Rec			ValueExt2;
		FT_C_FLAGEnum       			EnableAsymmetric;
		MM_PRICE_DEFINITION_EXT2Rec			PriceExt2[MM_MAX_PRICE_DEFINITION_NUM];
		MM_YIELD_DEFINITIONRec			Yield;
		MM_PRICE_WARNINGRec 			PriceWarning[MM_MAX_PRICE_DEFINITION_NUM];
		FT_C_FLAGEnum       			HoldSecFreqViolation;
		FT_C_FLAGEnum       			HoldMinFreqViolation;
		MM_PRICE_DEFINITION_EXT3Rec			PriceExt3[MM_MAX_PRICE_DEFINITION_NUM];
		MM_PRICE_WARNING_EXTRec			PriceWarningExt[MM_MAX_PRICE_DEFINITION_NUM];
		char                			UserText[FT_C_USER_TEXT_LEN + 1];
} MM_CLIENT_PROFILE_DEFINITION_OLDRec, *MM_CLIENT_PROFILE_DEFINITION_OLDPtr;


typedef struct {		/* MM_FILTER_PROFILE_ID (50141) */
		char                			ClientID[FT_C_CLIENT_LEN + 1];
		char                			ClientAccount[FT_C_ACCOUNT_LEN + 1];
		char                			Service[FT_C_ORD_SERVICE_LEN + 1];
		char                			Channel[FT_C_ORD_CHANNEL_LEN + 1];
		FT_C_ORIGINEnum     			Origin;
		char                			FilterOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			ProfileID[FT_C_PROFILE_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		FT_C_FLOW_TYPEEnum  			FlowType;
} MM_FILTER_PROFILERec, *MM_FILTER_PROFILEPtr;


typedef struct {		/* MM_CHECK_ORDER_ID (50123) */
		char                			NewOrd_FTSecID[FT_C_SEC_LEN + 1];
		char                			NewOrd_ISINCode[FT_C_ISIN_LEN + 1];
		char                			NewOrd_OrderID[FT_C_ORDER_LEN + 1];
		char                			NewOrd_OrigOrderID[FT_C_ORDER_LEN + 1];
		char                			NewOrd_ClientOrderID[FT_C_CLIENT_ORDER_LEN + 1];
		char                			NewOrd_MemberID[FT_C_MEMBER_LEN + 1];
		char                			NewOrd_OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			NewOrd_MrkOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			NewOrd_CreationDate;
		unsigned long       			NewOrd_CreationTime;
		unsigned long       			NewOrd_UpdateDate;
		unsigned long       			NewOrd_UpdateTime;
		char                			NewOrd_Currency[FT_C_CURRENCY_LEN + 1];
		FT_C_VERBEnum       			NewOrd_Verb;
		FT_C_ORDER_TYPEEnum 			NewOrd_OrderType;
		FT_C_QTY_PARAMETEREnum			NewOrd_QtyParameter;
		FT_C_TIMEINFORCEEnum			NewOrd_TimeInForce;
		unsigned long       			NewOrd_ValidityDate;
		unsigned long       			NewOrd_ValidityTime;
		FT_C_ORDER_STATUSEnum			NewOrd_Status;
		double              			NewOrd_Price;
		double              			NewOrd_Volatility;
		double              			NewOrd_Yield;
		double              			NewOrd_MinVolQty;
		double              			NewOrd_MinFillSize;
		double              			NewOrd_Qty;
		double              			NewOrd_VisibleQty;
		double              			NewOrd_ExecutedQty;
		double              			NewOrd_RemainingQty;
		FT_C_QTY_TYPEEnum   			NewOrd_RelativeQty;
		double              			NewOrd_StopPrice;
		FT_C_STOP_TRIGGER_MECHANISMEnum			NewOrd_TriggerMechanism;
		unsigned long       			NewOrd_BookPriority;
		char                			NewOrd_UserText[FT_C_USER_TEXT_LEN + 1];
		FT_C_CLIENT_INFORec 			NewOrd_Client;
		FT_C_CLEARING_INFORec			NewOrd_Clearing;
		FT_C_FLAGEnum       			NewOrd_ConfirmFlag;
		FT_C_NEG_PHASEEnum  			NewOrd_AuctionFlag;
		FT_C_OPT_COMBO_INDEnum			NewOrd_ComboIndicator;
		FT_C_FLAGEnum       			NewOrd_IssueOrder;
		char                			NewOrd_TriggerFTSecID[FT_C_SEC_LEN + 1];
		char                			NewOrd_CounterpartMemberID[FT_C_MEMBER_LEN + 1];
		char                			NewOrd_ClearingHouseID[FT_C_CLEARING_HOUSE_LEN + 1];
		FT_C_FLAGEnum       			NewOrd_TransparentFlag;
		FT_C_FLAGEnum       			NewOrd_CCPOnlyFlag;
		char                			NewOrd_MrkOrderID[FT_C_MRKORDER_LEN + 1];
		unsigned long       			NewOrd_SeqNo;
		FT_C_FLAGEnum       			NewOrd_CareOrder;
		double              			NewOrd_TradesAvgPrice;
		char                			NewOrd_ParentOrderID[FT_C_ORDER_LEN + 1];
		char                			OldOrd_FTSecID[FT_C_SEC_LEN + 1];
		char                			OldOrd_ISINCode[FT_C_ISIN_LEN + 1];
		char                			OldOrd_OrderID[FT_C_ORDER_LEN + 1];
		char                			OldOrd_OrigOrderID[FT_C_ORDER_LEN + 1];
		char                			OldOrd_ClientOrderID[FT_C_CLIENT_ORDER_LEN + 1];
		char                			OldOrd_MemberID[FT_C_MEMBER_LEN + 1];
		char                			OldOrd_OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			OldOrd_MrkOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			OldOrd_CreationDate;
		unsigned long       			OldOrd_CreationTime;
		unsigned long       			OldOrd_UpdateDate;
		unsigned long       			OldOrd_UpdateTime;
		char                			OldOrd_Currency[FT_C_CURRENCY_LEN + 1];
		FT_C_VERBEnum       			OldOrd_Verb;
		FT_C_ORDER_TYPEEnum 			OldOrd_OrderType;
		FT_C_QTY_PARAMETEREnum			OldOrd_QtyParameter;
		FT_C_TIMEINFORCEEnum			OldOrd_TimeInForce;
		unsigned long       			OldOrd_ValidityDate;
		unsigned long       			OldOrd_ValidityTime;
		FT_C_ORDER_STATUSEnum			OldOrd_Status;
		double              			OldOrd_Price;
		double              			OldOrd_Volatility;
		double              			OldOrd_Yield;
		double              			OldOrd_MinVolQty;
		double              			OldOrd_MinFillSize;
		double              			OldOrd_Qty;
		double              			OldOrd_VisibleQty;
		double              			OldOrd_ExecutedQty;
		double              			OldOrd_RemainingQty;
		FT_C_QTY_TYPEEnum   			OldOrd_RelativeQty;
		double              			OldOrd_StopPrice;
		FT_C_STOP_TRIGGER_MECHANISMEnum			OldOrd_TriggerMechanism;
		unsigned long       			OldOrd_BookPriority;
		char                			OldOrd_UserText[FT_C_USER_TEXT_LEN + 1];
		FT_C_CLIENT_INFORec 			OldOrd_Client;
		FT_C_CLEARING_INFORec			OldOrd_Clearing;
		FT_C_FLAGEnum       			OldOrd_ConfirmFlag;
		FT_C_NEG_PHASEEnum  			OldOrd_AuctionFlag;
		FT_C_OPT_COMBO_INDEnum			OldOrd_ComboIndicator;
		FT_C_FLAGEnum       			OldOrd_IssueOrder;
		char                			OldOrd_TriggerFTSecID[FT_C_SEC_LEN + 1];
		char                			OldOrd_CounterpartMemberID[FT_C_MEMBER_LEN + 1];
		char                			OldOrd_ClearingHouseID[FT_C_CLEARING_HOUSE_LEN + 1];
		FT_C_FLAGEnum       			OldOrd_TransparentFlag;
		FT_C_FLAGEnum       			OldOrd_CCPOnlyFlag;
		char                			OldOrd_MrkOrderID[FT_C_MRKORDER_LEN + 1];
		unsigned long       			OldOrd_SeqNo;
		FT_C_FLAGEnum       			OldOrd_CareOrder;
		double              			OldOrd_TradesAvgPrice;
		char                			OldOrd_ParentOrderID[FT_C_ORDER_LEN + 1];
		FT_C_FLAGEnum       			DoCheck;
		FT_C_FLAGEnum       			DoAdd;
		double              			NewOrd_ActiveExecutedQty;
		double              			OldOrd_ActiveExecutedQty;
		char                			NewOrd_SalesOperatorID[FT_C_OPERATOR_LEN + 1];
		char                			OldOrd_SalesOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_SHORT_SELL_TYPEEnum			NewOrd_ShortSellType;
		char                			NewOrd_ShortSellExternalAccount[FT_C_ACCOUNT_LEN + 1];
		FT_C_SHORT_SELL_TYPEEnum			OldOrd_ShortSellType;
		char                			OldOrd_ShortSellExternalAccount[FT_C_ACCOUNT_LEN + 1];
		char                			OldOrd_Tag[FT_C_USER_TEXT_LEN + 1];
		char                			NewOrd_Tag[FT_C_USER_TEXT_LEN + 1];
} MM_CHECK_ORDERRec, *MM_CHECK_ORDERPtr;


typedef struct {		/* MM_ADD_INFO_ID (50124) */
		unsigned long       			ClassID;
		char                			Key[128 + 1];
		char                			Field[64 + 1];
		char                			Value[64 + 1];
} MM_ADD_INFORec, *MM_ADD_INFOPtr;


typedef struct {		/* MM_CUTOFF_EXPIRED_ID (50127) */
		unsigned long       			DummyField;
} MM_CUTOFF_EXPIREDRec, *MM_CUTOFF_EXPIREDPtr;


typedef struct {		/* MM_CUTOFF_TIME_ID (50128) */
		unsigned long       			CutoffTime;
} MM_CUTOFF_TIMERec, *MM_CUTOFF_TIMEPtr;


typedef struct {		/* MM_ANONYMOUS_OPERATOR_ID (50129) */
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
} MM_ANONYMOUS_OPERATORRec, *MM_ANONYMOUS_OPERATORPtr;


typedef struct {		/* MM_ERROR_DESCRIPTION_ID (50130) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			StrErrorCode[FT_C_MRKORDER_LEN + 1];
		char                			ErrorDescription[FT_C_ERROR_LEN + 1];
		char                			Language[MM_LANG_LEN + 1];
		long                			ErrorCode;
		FT_C_ERROR_SOURCEEnum			Source;
		long                			MMReasonCode;
		char                			MMErrorString[FT_C_ERROR_LEN + 1];
} MM_ERROR_DESCRIPTIONRec, *MM_ERROR_DESCRIPTIONPtr;


typedef struct {		/* MM_OTC_MARKET_ID (50131) */
		char                			MarketID[FT_C_MARKET_LEN + 1];
} MM_OTC_MARKETRec, *MM_OTC_MARKETPtr;


typedef struct {		/* MM_VOLATILITY_PARAM_ID (50132) */
		MM_VOLATILITY_TYPEEnum			Type;
		unsigned long       			Precision;
		MM_VOLATILITY_DAYCOUNTEnum			DayCount;
		MM_VOLATILITY_DIVTYPEEnum			DivType;
		int                 			NStep;
} MM_VOLATILITY_PARAMRec, *MM_VOLATILITY_PARAMPtr;


typedef struct {		/* MM_FILTER_GROUP_ID (50133) */
		char                			GroupID[MM_GROUP_LEN + 1];
		MM_GROUP_TYPEEnum   			GroupType;
		char                			DeskID[FT_C_DESK_LEN + 1];
} MM_FILTER_GROUPRec, *MM_FILTER_GROUPPtr;


typedef struct {		/* MM_FILTER_GROUP_DEFINITION_ID (50134) */
		char                			GroupID[MM_GROUP_LEN + 1];
		char                			ElemGroupID[MM_GROUP_ELEM_LEN + 1];
		MM_GROUP_ELEM_TYPEEnum			ElemType;
} MM_FILTER_GROUP_DEFINITIONRec, *MM_FILTER_GROUP_DEFINITIONPtr;


typedef struct {		/* MM_ONESHOT_ORDER_ID (50135) */
		FT_C_ORDERRec       			order;
} MM_ONESHOT_ORDERRec, *MM_ONESHOT_ORDERPtr;


typedef struct {		/* MM_INT_ROUTE_RULE_ID (50136) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		FT_C_FLAGEnum       			OnlyAutomatic;
} MM_INT_ROUTE_RULERec, *MM_INT_ROUTE_RULEPtr;


typedef struct {		/* FT_MF_DOWNLOAD_STATUS_ID (50137) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		FT_MF_DOWNLOAD_STATUS_CODEEnum			Status;
} FT_MF_DOWNLOAD_STATUSRec, *FT_MF_DOWNLOAD_STATUSPtr;


typedef struct {		/* MM_NEW_CHECK_ORDER_ID (50138) */
		FT_C_TIDRec         			TID;
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		MM_CHECK_ORDERRec   			CheckOrder;
		FT_C_ERROR_INFORec  			ErrorInfo;
} MM_NEW_CHECK_ORDERRec, *MM_NEW_CHECK_ORDERPtr;


typedef struct {		/* MM_DEPTH_LEVEL_MRK_DEFAULT_ID (50140) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		unsigned long       			NumLevel;
} MM_DEPTH_LEVEL_MRK_DEFAULTRec, *MM_DEPTH_LEVEL_MRK_DEFAULTPtr;


typedef struct {		/* MM_DEPTH_LEVEL_OP_PERMISSION_ID (50139) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			NumLevel;
} MM_DEPTH_LEVEL_OP_PERMISSIONRec, *MM_DEPTH_LEVEL_OP_PERMISSIONPtr;


typedef struct {		/* MM_MRK_DEFAULT_CURRENCY_ID (50142) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			Currency[FT_C_CURRENCY_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
} MM_MRK_DEFAULT_CURRENCYRec, *MM_MRK_DEFAULT_CURRENCYPtr;


typedef struct {		/* MM_CURRENCY_ID (50143) */
		char                			CurrencyID[FT_C_CURRENCY_LEN + 1];
		char                			Description[FT_C_DESCRIPTION_LEN + 1];
} MM_CURRENCYRec, *MM_CURRENCYPtr;


typedef struct {		/*  (0) */
		unsigned long       			TXID[MM_TX_TID_LEN];
} MM_TX_TIDRec, *MM_TX_TIDPtr;


typedef struct {		/* MM_TX_STATUS_ID (50145) */
		MM_TX_TIDRec        			TxID;
		MM_TX_TYPEEnum      			TxType;
		long                			MMReasonCode;
		char                			MrkOrderID[FT_C_MRKORDER_LEN + 1];
		unsigned long       			OrderUpdateDate;
		unsigned long       			OrderUpdateTime;
		long                			OrderStatus;
		char                			MrkOrderID2[FT_C_MRKORDER_LEN + 1];
		char                			OrderID[FT_C_ORDER_LEN + 1];
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			ClientID[FT_C_CLIENT_LEN + 1];
} MM_TX_STATUSRec, *MM_TX_STATUSPtr;


typedef struct {		/* MM_HOLD_VIOLATION_ID (50146) */
		char                			ProfileID[FT_C_PROFILE_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		FT_C_SECURITY_TYPEEnum			SecurityType;
		char                			SectionID[FT_C_SECTION_LEN + 1];
		char                			FTSecID[FT_C_SEC_LEN + 1];
		char                			HoldClientID[FT_C_CLIENT_LEN + 1];
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			HoldOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			Date;
		unsigned long       			Time;
		char                			Message[MM_FILTER_AUDIT_MESSAGEEXT2_LEN + 1];
		FT_C_FLAGEnum       			Hold;
} MM_HOLD_VIOLATIONRec, *MM_HOLD_VIOLATIONPtr;


typedef struct {		/* MM_TRANSACTION_SWITCH_ID (50149) */
		char                			SwitchKey[MM_SWITCH_KEY_LEN + 1];
		MM_TX_SWITCH_KEY_TYPEEnum			SwitchKeyType;
		char                			SwitchMessage[MM_FILTER_AUDIT_MESSAGEEXT2_LEN + 1];
		MM_SWITCHEnum       			Switch;
		FT_C_ENTITY_ACTIONEnum			Action;
		char                			ActionOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			ActionDate;
		unsigned long       			ActionTime;
		char                			LastMassActionID[FT_C_MASS_ACTION_LEN + 1];
} MM_TRANSACTION_SWITCHRec, *MM_TRANSACTION_SWITCHPtr;


typedef struct {		/* MM_SECURITY_EXT_ID (50147) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		double              			MinBuyYield;
		double              			MaxSellYield;
		FT_C_FLAGEnum       			EffectiveYieldAvailable;
		double              			LastEffectiveYield;
} MM_SECURITY_EXTRec, *MM_SECURITY_EXTPtr;


typedef struct {		/* MM_FILTER_BLOCK_ID (50148) */
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			ClientID[FT_C_CLIENT_LEN + 1];
		char                			AllMarket[FT_C_MARKET_LEN + 1];
		FT_C_SECURITY_TYPEEnum			SecurityType;
		FT_C_FLAGEnum       			Block;
		FT_C_FLAGEnum       			GenerateAudit;
		double              			AllLimit;
		double              			CounterValue;
		char                			StrategyWireValue[FT_C_STRATEGY_WIRE_VALUE_LEN + 1];
} MM_FILTER_BLOCKRec, *MM_FILTER_BLOCKPtr;


typedef struct {		/* MM_DEA_FLAG_CLI_CFG_ID (50150) */
		char                			ClientID[FT_C_CLIENT_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		FT_C_FLAGEnum       			DEA;
} MM_DEA_FLAG_CLI_CFGRec, *MM_DEA_FLAG_CLI_CFGPtr;


typedef struct {		/* MM_DEA_FLAG_OP_CFG_ID (50151) */
		char                			OperatorID[FT_C_OPERATOR_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		FT_C_FLAGEnum       			DEA;
} MM_DEA_FLAG_OP_CFGRec, *MM_DEA_FLAG_OP_CFGPtr;


typedef struct {		/* MM_CLI_FIRMTYPE_ID (50152) */
		char                			ClientID[FT_C_CLIENT_LEN + 1];
} MM_CLI_FIRMTYPERec, *MM_CLI_FIRMTYPEPtr;


typedef struct {		/* MM_STRATEGY_ADDINFO_ID (50153) */
		char                			StrategyWireValue[FT_C_STRATEGY_WIRE_VALUE_LEN + 1];
		STRATEGY_ADDINFO_PROPEnum			Property;
} MM_STRATEGY_ADDINFORec, *MM_STRATEGY_ADDINFOPtr;


typedef struct {		/* MM_MARKET_MAKER_ID (50157) */
		char                			MMakCode[MM_MMAK_CODE_LEN + 1];
		char                			MMakName[MM_MMAK_NAME_LEN + 1];
		FT_C_FLAGEnum       			MMakEnabled;
		FT_C_FLAGEnum       			Promotable;
		MM_SETTLEMENT_DATE_TYPEEnum			SettlementDateType;
} MM_MARKET_MAKERRec, *MM_MARKET_MAKERPtr;


typedef struct {		/* MM_MARKET_MAKER_ALIAS_ID (50154) */
		char                			MMakCode[MM_MMAK_CODE_LEN + 1];
		char                			MMakAliasType[MM_MMAK_ALIAS_TYPE_LEN + 1];
		char                			MMakAlias[MM_MMAK_ALIAS_LEN + 1];
		MM_ALIAS_USED_FOREnum			MMakUsed;
} MM_MARKET_MAKER_ALIASRec, *MM_MARKET_MAKER_ALIASPtr;


typedef struct {		/* MM_POLICY_MARKET_REQ_ID (50155) */
		char                			OrderID[FT_C_ORDER_LEN + 1];
} MM_POLICY_MARKET_REQRec, *MM_POLICY_MARKET_REQPtr;


typedef struct {		/* MM_POLICY_MARKET_RES_ID (50156) */
		char                			MIC[FT_C_MIC_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		FT_C_FLAGEnum       			IsReferenceMrk;
		FT_C_FLAGEnum       			IsStrategic;
		char                			SettlementCircuit[FT_C_MIC_LEN + 1];
		char                			BCDiscardReason[MM_BC_DISCARD_REASON_LEN + 1];
		FT_C_FLAGEnum       			BCDiscarded;
} MM_POLICY_MARKET_RESRec, *MM_POLICY_MARKET_RESPtr;


typedef struct {		/* MM_ORDER_OTR_ID (50065) */
		char                			OrderID[FT_C_ORDER_LEN + 1];
		FT_C_SRC_TYPEEnum   			SrcType;
		long                			NumFill;
		long                			NumTx;
		double              			TotExVolume;
		double              			TotVolume;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			SourceName[MM_SOURCE_NAME_LEN + 1];
		char                			SourceTopic[FT_C_SOURCE_TOPIC_LEN + 1];
} MM_ORDER_OTRRec, *MM_ORDER_OTRPtr;


typedef struct {		/* MM_SECURITY_OTR_ID (50066) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		FT_C_FLAGEnum       			MarketMaking;
		double              			OTRNum;
		double              			OTRVolume;
		long                			NumFill;
		long                			NumTx;
		double              			TotVolume;
		double              			TotExVolume;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		char                			SourceName[MM_SOURCE_NAME_LEN + 1];
		char                			SourceTopic[FT_C_SOURCE_TOPIC_LEN + 1];
} MM_SECURITY_OTRRec, *MM_SECURITY_OTRPtr;


typedef struct {		/* MM_SELFMATCH_QUOTE_CLIENTID_ID (50064) */
		char                			ClientID[FT_C_CLIENT_LEN + 1];
} MM_SELFMATCH_QUOTE_CLIENTIDRec, *MM_SELFMATCH_QUOTE_CLIENTIDPtr;


typedef struct {		/* MM_H24_SEC_CLOSURE_ID (50067) */
		char                			FTSecID[FT_C_SEC_LEN + 1];
		unsigned long       			TradingDate;
		FT_C_FLAGEnum       			Managed;
} MM_H24_SEC_CLOSURERec, *MM_H24_SEC_CLOSUREPtr;


typedef struct {		/* MM_CLIENT_COUNTERPART_ID (50070) */
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		char                			FTCounterpartID[FT_C_COUNTERPART_LEN + 1];
		char                			ClientID[FT_C_CLIENT_LEN + 1];
		FT_C_ENTITY_ACTIONEnum			Action;
		char                			ActionOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			ActionDate;
		unsigned long       			ActionTime;
} MM_CLIENT_COUNTERPARTRec, *MM_CLIENT_COUNTERPARTPtr;


typedef struct {		/* MM_FORCE_SHORT_CODE_ID (50171) */
		char                			ClientID[FT_C_CLIENT_LEN + 1];
		char                			ExchangeID[FT_C_EXCHANGE_LEN + 1];
		char                			MarketID[FT_C_MARKET_LEN + 1];
		char                			BrokerID[FT_C_BROKER_LEN + 1];
		char                			ClientAccount[FT_C_ACCOUNT_LEN + 1];
		FT_C_ORIGINEnum     			Origin;
		FT_C_FLAGEnum       			ForwardClient;
		FT_C_FLAGEnum       			ForwardInvestment;
		FT_C_FLAGEnum       			ForwardExecution;
		FT_C_ENTITY_ACTIONEnum			Action;
		char                			ActionOperatorID[FT_C_OPERATOR_LEN + 1];
		unsigned long       			ActionDate;
		unsigned long       			ActionTime;
} MM_FORCE_SHORT_CODERec, *MM_FORCE_SHORT_CODEPtr;

#define		FT_FIX_ORDER_ID 50595
#define		FT_FIX_ORDERKey 1
#define		FT_FIX_QUOTE_ID 50596
#define		FT_FIX_QUOTEKey 1
#define		FT_FIX_REQUEST_FOR_QUOTE_MLEG_ID 50597
#define		FT_FIX_REQUEST_FOR_QUOTE_MLEGKey 1
#define		FT_FIX_RFQ_QUOTE_ID 50598
#define		FT_FIX_RFQ_QUOTEKey 1
#define		FT_FIX_RFQ_ORDER_ID 50599
#define		FT_FIX_RFQ_ORDERKey 1
#define		FT_FIX_EVENT_SOURCE_LEN 32

typedef enum {		/*  (0) */
		FT_FIX_ACTION_Add,
		FT_FIX_ACTION_Edit,
		FT_FIX_ACTION_Del,
		FT_FIX_ACTION_Warmup,
		EEFT_FIX_ACTION = -99999
} FT_FIX_ACTIONEnum;


typedef enum {		/*  (0) */
		FT_FIX_RESPONSE_Pending,
		FT_FIX_RESPONSE_Accepted,
		FT_FIX_RESPONSE_Rejected,
		EEFT_FIX_RESPONSE = -99999
} FT_FIX_RESPONSEEnum;


typedef struct {		/*  (0) */
		unsigned long       			datetime;
		unsigned long       			Prog;
		FT_FIX_ACTIONEnum   			FixAction;
		FT_FIX_RESPONSEEnum 			FixResponse;
		char                			EventSource[FT_FIX_EVENT_SOURCE_LEN + 1];
		FT_C_ERROR_SOURCEEnum			Source;
		long                			ReasonCode;
		char                			ErrorString[FT_C_ERROR_LEN + 1];
		long                			lfiller1;
		long                			lfiller2;
		long                			lfiller3;
		long                			lfiller4;
		long                			lfiller5;
		char                			SFiller1[FT_C_USER_TEXT_LEN + 1];
		char                			SFiller2[FT_C_USER_TEXT_LEN + 1];
		char                			SFiller3[FT_C_USER_TEXT_LEN + 1];
		char                			SFiller4[FT_C_USER_TEXT_LEN + 1];
		char                			SFiller5[FT_C_USER_TEXT_LEN + 1];
} FT_FIX_HEADERRec, *FT_FIX_HEADERPtr;


typedef struct {		/* FT_FIX_ORDER_ID (50595) */
		FT_FIX_HEADERRec    			FtFixHeader;
		FT_C_ORDERRec       			Order;
} FT_FIX_ORDERRec, *FT_FIX_ORDERPtr;


typedef struct {		/* FT_FIX_QUOTE_ID (50596) */
		FT_FIX_HEADERRec    			FtFixHeader;
		FT_C_QUOTERec       			Quote;
} FT_FIX_QUOTERec, *FT_FIX_QUOTEPtr;


typedef struct {		/* FT_FIX_REQUEST_FOR_QUOTE_MLEG_ID (50597) */
		FT_FIX_HEADERRec    			FtFixHeader;
		FT_C_REQUEST_FOR_QUOTE_MLEGRec			RfqMLeg;
} FT_FIX_REQUEST_FOR_QUOTE_MLEGRec, *FT_FIX_REQUEST_FOR_QUOTE_MLEGPtr;


typedef struct {		/* FT_FIX_RFQ_QUOTE_ID (50598) */
		FT_FIX_HEADERRec    			FtFixHeader;
		FT_C_RFQ_QUOTERec   			RFQQuote;
} FT_FIX_RFQ_QUOTERec, *FT_FIX_RFQ_QUOTEPtr;


typedef struct {		/* FT_FIX_RFQ_ORDER_ID (50599) */
		FT_FIX_HEADERRec    			FtFixHeader;
		FT_C_RFQ_ORDERRec   			RFQOrder;
} FT_FIX_RFQ_ORDERRec, *FT_FIX_RFQ_ORDERPtr;

#define		MM_PERCENTAGE_DEFINITION_ID 50072
#define		MM_PERCENTAGE_DEFINITIONKey 1

typedef struct {		/* MM_PERCENTAGE_DEFINITION_ID (50072) */
		MM_PROFILE_DEF_KEYRec			Key;
		MM_PROFILE_DEF_KEY_EXTRec			KeyExt;
		MM_PROFILE_DEF_KEY_EXT2Rec			KeyExt2;
		unsigned long       			Prog;
		unsigned long       			UpdateDate;
		unsigned long       			UpdateTime;
		double              			DailyMaximumTotalQtyPerc;
		double              			DailyMaximumQtyPerc;
		double              			DailyMaximumBuyQtyPerc;
		double              			DailyMaximumSellQtyPerc;
		double              			DailyMaximumTotalValuePerc;
		double              			DailyMaximumValuePerc;
		double              			DailyMaximumBuyValuePerc;
		double              			DailyMaximumSellValuePerc;
} MM_PERCENTAGE_DEFINITIONRec, *MM_PERCENTAGE_DEFINITIONPtr;

#define		FT_FIX_MASS_ACTION_ID 50100
#define		FT_FIX_MASS_ACTIONKey 1

typedef struct {		/* FT_FIX_MASS_ACTION_ID (50100) */
		FT_FIX_HEADERRec    			FtFixHeader;
		FT_C_MASS_ACTIONRec 			MassActionF;
} FT_FIX_MASS_ACTIONRec, *FT_FIX_MASS_ACTIONPtr;

#define		MM_CLIENT_PROF_DEF_EXP_HISTORY_ID 40170
#define		MM_CLIENT_PROF_DEF_EXP_HISTORYKey 1

typedef struct {		/* MM_CLIENT_PROF_DEF_EXP_HISTORY_ID (40170) */
		MM_CLIENT_PROFILE_DEFINITION_OLDRec			P;
		unsigned long       			PreviuosUpdateDate;
		unsigned long       			PreviuosUpdateTime;
		char                			ReferenceProfileID[FT_C_PROFILE_LEN + 1];
		unsigned long       			ReferenceUpdateDate;
		unsigned long       			ReferenceUpdateTime;
		FT_C_TIME_TO_MATURITYEnum			TTM;
} MM_CLIENT_PROF_DEF_EXP_HISTORYRec, *MM_CLIENT_PROF_DEF_EXP_HISTORYPtr;


typedef struct {		/* MM_ORDER_VIEW_PERMISSION_ID (50073) */
		char                			ClientID[FT_C_CLIENT_LEN + 1];
		FT_C_FLOW_TYPEEnum  			FlowType;
		FT_C_FLAGEnum       			CareOrder;
		char                			ClientAccount[FT_C_ACCOUNT_LEN + 1];
		char                			Service[FT_C_ORD_SERVICE_LEN + 1];
		char                			Channel[FT_C_ORD_CHANNEL_LEN + 1];
		FT_C_ORIGINEnum     			Origin;
		unsigned long       			ActionDate;
		unsigned long       			ActionTime;
		char                			ActionOperatorID[FT_C_OPERATOR_LEN + 1];
		FT_C_ACTIONEnum     			Action;
		FT_FLAGEnum         			Enable;
		char                			ProfileID[FT_C_PROFILE_LEN + 1];
} MM_ORDER_VIEW_PERMISSIONRec, *MM_ORDER_VIEW_PERMISSIONPtr;


#endif




void *InitSkeletonmetamarket(void);

#endif
